/*
 * MQ Reason Codes
 */
static MQ_ARRAY_T Reason_Codes[] = {
{  0,
   "MQRC_NONE",
   "MQCC_OK",
   "The call completed normally. The completion code (CompCode) is MQ"\
     "CC_OK.",
   "None.",
},
{  900,
   "MQRC_APPL_FIRST",
   "MQCC_WARNING or MQCC_FAILED",
   "This is the lowest value for an application-defined reason code r"\
     "eturned by a data-conversion exit. Data-conversion exits can re"\
     "turn reason codes in the range MQRC_APPL_FIRST through MQRC_APP"\
     "L_LAST to indicate particular conditions that the exit has dete"\
     "cted.",
   "As defined by the writer of the data-conversion exit.",
},
{  999,
   "MQRC_APPL_LAST",
   "MQCC_WARNING or MQCC_FAILED",
   "This is the highest value for an application-defined reason code "\
     "returned by a data-conversion exit. Data-conversion exits can r"\
     "eturn reason codes in the range MQRC_APPL_FIRST through MQRC_AP"\
     "PL_LAST to indicate particular conditions that the exit has det"\
     "ected.",
   "As defined by the writer of the data-conversion exit.",
},
{  2001,
   "MQRC_ALIAS_BASE_Q_TYPE_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued specifying an alias queue as "\
     "the destination, but the BaseQName in the alias queue definitio"\
     "n resolves to a queue that is not a local queue, a local defini"\
     "tion of a remote queue, or a cluster queue.",
   "Correct the queue definitions.",
},
{  2002,
   "MQRC_ALREADY_CONNECTED",
   "MQCC_WARNING",
   "An MQCONN or MQCONNX call was issued, but the application is alre"\
     "ady connected to the queue manager.\n- On z/OS, this reason cod"\
     "e occurs for batch and IMS applications only; it does not occur"\
     " for CICS applications.\n- On AIX, HP-UX, i5/OS, Solaris, Win"\
     "dows, this reason code occurs if the application attempts to c"\
     "reate a nonshared handle when a nonshared handle already exists"\
     " for the thread. A thread can have no more than one nonshared h"\
     "andle.\n- On Windows, MTS objects do not receive this reason co"\
     "de, as additional connections to the queue manager are allowed.",
   "None. The Hconn parameter returned has the same value as was retu"\
     "rned for the previous MQCONN or MQCONNX call. An MQCONN or MQCO"\
     "NNX call that returns this reason code does not mean that an ad"\
     "ditional MQDISC call must be issued in order to disconnect from"\
     " the queue manager. If this reason code is returned because the"\
     " application has been called in a situation where the connect h"\
     "as already been done, a corresponding MQDISC should not be issu"\
     "ed, because this will cause the application that issued the ori"\
     "ginal MQCONN or MQCONNX call to be disconnected as well.",
},
{  2003,
   "MQRC_BACKED_OUT",
   "MQCC_WARNING or MQCC_FAILED",
   "The current unit of work encountered a fatal error or was backed "\
     "out. This occurs in the following cases:\n- On an MQCMIT or MQD"\
     "ISC call, when the commit operation has failed and the unit of "\
     "work has been backed out. All resources that participated in th"\
     "e unit of work have been returned to their state at the start o"\
     "f the unit of work. The MQCMIT or MQDISC call completes with MQ"\
     "CC_WARNING in this case.\n  * On z/OS, this reason code occurs "\
     "only for batch applications.\n- On an MQGET, MQPUT, or MQPUT1 c"\
     "all that is operating within a unit of work, when the unit of w"\
     "ork has already encountered an error that prevents the unit of "\
     "work being committed (for example, when the log space is exhaus"\
     "ted). The application must issue the appropriate call to back o"\
     "ut the unit of work. (For a unit of work coordinated by the que"\
     "ue manager, this call is the MQBACK call, although the MQCMIT c"\
     "all has the same effect in these circumstances.) The MQGET, MQP"\
     "UT, or MQPUT1 call completes with MQCC_FAILED in this case.\n  "\
     "* On z/OS, this case does not occur.",
   "Check the returns from previous calls to the queue manager. For e"\
     "xample, a previous MQPUT call may have failed.",
},
{  2004,
   "MQRC_BUFFER_ERROR",
   "MQCC_FAILED",
   "The Buffer parameter is not valid for one of the following reason"\
     "s:\n- The parameter pointer is not valid. (It is not always pos"\
     "sible to detect parameter pointers that are not valid; if not d"\
     "etected, unpredictable results occur.)\n- The parameter pointer"\
     " points to storage that cannot be accessed for the entire lengt"\
     "h specified by BufferLength.\n- For calls where Buffer is an ou"\
     "tput parameter: the parameter pointer points to read-only stora"\
     "ge.",
   "Correct the parameter.",
},
{  2005,
   "MQRC_BUFFER_LENGTH_ERROR",
   "MQCC_FAILED",
   "The BufferLength parameter is not valid, or the parameter pointer"\
     " is not valid. (It is not always possible to detect parameter p"\
     "ointers that are not valid; if not detected, unpredictable resu"\
     "lts occur.) This reason can also be returned to an MQ client pr"\
     "ogram on the MQCONN or MQCONNX call if the negotiated maximum m"\
     "essage size for the channel is smaller than the fixed part of a"\
     "ny call structure. This reason should also be returned by the M"\
     "QZ_ENUMERATE_AUTHORITY_DATA installable service component when "\
     "the AuthorityBuffer parameter is too small to accommodate the d"\
     "ata to be returned to the invoker of the service component.",
   "Specify a value that is zero or greater. For the mqAddString and "\
     "mqSetString calls, the special value MQBL_NULL_TERMINATED is al"\
     "so valid.",
},
{  2006,
   "MQRC_CHAR_ATTR_LENGTH_ERROR",
   "MQCC_FAILED",
   "CharAttrLength is negative (for MQINQ or MQSET calls), or is not "\
     "large enough to hold all selected attributes (MQSET calls only)"\
     ". This reason also occurs if the parameter pointer is not valid"\
     ". (It is not always possible to detect parameter pointers that "\
     "are not valid; if not detected, unpredictable results occur.)",
   "Specify a value large enough to hold the concatenated strings for"\
     " all selected attributes.",
},
{  2007,
   "MQRC_CHAR_ATTRS_ERROR",
   "MQCC_FAILED",
   "CharAttrs is not valid. The parameter pointer is not valid, or po"\
     "ints to read-only storage for MQINQ calls or to storage that is"\
     " not as long as implied by CharAttrLength. (It is not always po"\
     "ssible to detect parameter pointers that are not valid; if not "\
     "detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2008,
   "MQRC_CHAR_ATTRS_TOO_SHORT",
   "MQCC_WARNING",
   "For MQINQ calls, CharAttrLength is not large enough to contain al"\
     "l of the character attributes for which MQCA_* selectors are sp"\
     "ecified in the Selectors parameter. The call still completes, w"\
     "ith the CharAttrs parameter string filled in with as many chara"\
     "cter attributes as there is room for. Only complete attribute s"\
     "trings are returned: if there is insufficient space remaining t"\
     "o accommodate an attribute in its entirety, that attribute and "\
     "subsequent character attributes are omitted. Any space at the e"\
     "nd of the string not used to hold an attribute is unchanged. An"\
     " attribute that represents a set of values (for example, the na"\
     "melist Names attribute) is treated as a single entityeither al"\
     "l of its values are returned, or none.",
   "Specify a large enough value, unless only a subset of the values "\
     "is needed.",
},
{  2009,
   "MQRC_CONNECTION_BROKEN",
   "MQCC_FAILED",
   "Connection to the queue manager has been lost. This can occur bec"\
     "ause the queue manager has ended. If the call is an MQGET call "\
     "with the MQGMO_WAIT option, the wait has been canceled. All con"\
     "nection and object handles are now invalid. For MQ client appli"\
     "cations, it is possible that the call did complete successfully"\
     ", even though this reason code is returned with a CompCode of M"\
     "QCC_FAILED.",
   "Applications can attempt to reconnect to the queue manager by iss"\
     "uing the MQCONN or MQCONNX call. It may be necessary to poll un"\
     "til a successful response is received.\n- On z/OS for CICS appl"\
     "ications, it is not necessary to issue the MQCONN or MQCONNX ca"\
     "ll, because CICS applications are connected automatically. Any "\
     "uncommitted changes in a unit of work should be backed out. A u"\
     "nit of work that is coordinated by the queue manager is backed "\
     "out automatically.",
},
{  2010,
   "MQRC_DATA_LENGTH_ERROR",
   "MQCC_FAILED",
   "The DataLength parameter is not valid. Either the parameter point"\
     "er is not valid, or it points to read-only storage. (It is not "\
     "always possible to detect parameter pointers that are not valid"\
     "; if not detected, unpredictable results occur.) This reason ca"\
     "n also be returned to an MQ client program on the MQGET, MQPUT,"\
     " or MQPUT1 call, if the BufferLength parameter exceeds the maxi"\
     "mum message size that was negotiated for the client channel.",
   "Correct the parameter. If the error occurs for an MQ client progr"\
     "am, also check that the maximum message size for the channel is"\
     " big enough to accommodate the message being sent; if it is not"\
     " big enough, increase the maximum message size for the channel.",
},
{  2011,
   "MQRC_DYNAMIC_Q_NAME_ERROR",
   "MQCC_FAILED",
   "On the MQOPEN call, a model queue is specified in the ObjectName "\
     "field of the ObjDesc parameter, but the DynamicQName field is n"\
     "ot valid, for one of the following reasons:\n- DynamicQName is "\
     "completely blank (or blank up to the first null character in th"\
     "e field).\n- Characters are present that are not valid for a qu"\
     "eue name.\n- An asterisk is present beyond the 33rd position (a"\
     "nd before any null character).\n- An asterisk is present follow"\
     "ed by characters that are not null and not blank. This reason c"\
     "ode can also sometimes occur when a server application opens th"\
     "e reply queue specified by the ReplyToQ and ReplyToQMgr fields "\
     "in the MQMD of a message that the server has just received. In "\
     "this case the reason code indicates that the application that s"\
     "ent the original message placed incorrect values into the Reply"\
     "ToQ and ReplyToQMgr fields in the MQMD of the original message.",
   "Specify a valid name.",
},
{  2012,
   "MQRC_ENVIRONMENT_ERROR",
   "MQCC_FAILED",
   "The call is not valid for the current environment.\n- On z/OS, on"\
     "e of the following applies:\n  * An MQCONN or MQCONNX call was "\
     "issued, but the application has been linked with an adapter tha"\
     "t is not supported in the environment in which the application "\
     "is running. For example, this can arise when the application is"\
     " linked with the MQ RRS adapter, but the application is running"\
     " in a DB2 Stored Procedure address space. RRS is not supported "\
     "in this environment. Stored Procedures wishing to use the MQ RR"\
     "S adapter must run in a DB2 WLM-managed Stored Procedure addres"\
     "s space.\n  * An MQCMIT or MQBACK call was issued, but the appl"\
     "ication has been linked with the RRS batch adapter CSQBRSTB. Th"\
     "is adapter does not support the MQCMIT and MQBACK calls.\n  * A"\
     "n MQCMIT or MQBACK call was issued in the CICS or IMS environme"\
     "nt.\n  * The RRS subsystem is not up and running on the z/OS sy"\
     "stem that ran the application.\n- On HP OpenVMS, OS/2, i5/OS, "\
     "Compaq NonStop Kernel, UNIX systems, and Windows, one of the f"\
     "ollowing applies:\n  * The application is linked to the wrong l"\
     "ibraries (threaded or nonthreaded).\n  * An MQBEGIN, MQCMIT, or"\
     " MQBACK call was issued, but an external unit-of-work manager i"\
     "s in use. For example, this reason code occurs on Windows when "\
     "an MTS object is running as a DTC transaction. This reason code"\
     " also occurs if the queue manager does not support units of wor"\
     "k.\n  * The MQBEGIN call was issued in an MQ client environment"\
     ".\n  * An MQXCLWLN call was issued, but the call did not origin"\
     "ate from a cluster workload exit.\n- On Windows, when using the"\
     " managed .NET client, an attempt was made to use one of the uns"\
     "upported features:\n  * Unmanaged channel exits\n  * Secure Soc"\
     "kets Layer (SSL)\n  * XA Transactions\n  * Communications other"\
     " than TCP/IP\n  * Channel compression",
   "Do one of the following (as appropriate):\n- On z/OS:\n  * Link t"\
     "he application with the correct adapter.\n  * Modify the applic"\
     "ation to use the SRRCMIT and SRRBACK calls in place of the MQCM"\
     "IT and MQBACK calls. Alternatively, link the application with t"\
     "he RRS batch adapter CSQBRRSI. This adapter supports MQCMIT and"\
     " MQBACK in addition to SRRCMIT and SRRBACK.\n  * For a CICS or "\
     "IMS application, issue the appropriate CICS or IMS call to comm"\
     "it or backout the unit of work.\n  * Start the RRS subsystem on"\
     " the z/OS system that is running the application.\n- In the oth"\
     "er environments:\n  * Link the application with the correct lib"\
     "raries (threaded or nonthreaded).\n  * Remove from the applicat"\
     "ion the call that is not supported.",
},
{  2013,
   "MQRC_EXPIRY_ERROR",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, the value specified for the Expiry fi"\
     "eld in the message descriptor MQMD is not valid.",
   "Specify a value that is greater than zero, or the special value M"\
     "QEI_UNLIMITED.",
},
{  2014,
   "MQRC_FEEDBACK_ERROR",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, the value specified for the Feedback "\
     "field in the message descriptor MQMD is not valid. The value is"\
     " not MQFB_NONE, and is outside both the range defined for syste"\
     "m feedback codes and the range defined for application feedback"\
     " codes.",
   "Specify MQFB_NONE, or a value in the range MQFB_SYSTEM_FIRST thro"\
     "ugh MQFB_SYSTEM_LAST, or MQFB_APPL_FIRST through MQFB_APPL_LAST"\
     ".",
},
{  2016,
   "MQRC_GET_INHIBITED",
   "MQCC_FAILED",
   "MQGET calls are currently inhibited for the queue, or for the que"\
     "ue to which this queue resolves.",
   "If the system design allows get requests to be inhibited for shor"\
     "t periods, retry the operation later.",
},
{  2017,
   "MQRC_HANDLE_NOT_AVAILABLE",
   "MQCC_FAILED",
   "An MQOPEN, MQPUT1 or MQSUB call was issued, but the maximum numbe"\
     "r of open handles allowed for the current task has already been"\
     " reached. Be aware that when a distribution list is specified o"\
     "n the MQOPEN or MQPUT1 call, each queue in the distribution lis"\
     "t uses one handle.\n- On z/OS, task means a CICS task, a z/OS"\
     " task, or an IMS-dependent region.",
   "Check whether the application is issuing MQOPEN calls without cor"\
     "responding MQCLOSE calls. If it is, modify the application to i"\
     "ssue the MQCLOSE call for each open object as soon as that obje"\
     "ct is no longer needed. Also check whether the application is s"\
     "pecifying a distribution list containing a large number of queu"\
     "es that are consuming all of the available handles. If it is, i"\
     "ncrease the maximum number of handles that the task can use, or"\
     " reduce the size of the distribution list. The maximum number o"\
     "f open handles that a task can use is given by the MaxHandles q"\
     "ueue manager attribute.",
},
{  2018,
   "MQRC_HCONN_ERROR",
   "MQCC_FAILED",
   "The connection handle Hconn is not valid, for one of the followin"\
     "g reasons:\n- The parameter pointer is not valid, or (for the M"\
     "QCONN or MQCONNX call) points to read-only storage. (It is not "\
     "always possible to detect parameter pointers that are not valid"\
     "; if not detected, unpredictable results occur.)\n- The value s"\
     "pecified was not returned by a preceding MQCONN or MQCONNX call"\
     ".\n- The value specified has been made invalid by a preceding M"\
     "QDISC call.\n- The handle is a shared handle that has been made"\
     " invalid by another thread issuing the MQDISC call.\n- The hand"\
     "le is a shared handle that is being used on the MQBEGIN call (o"\
     "nly nonshared handles are valid on MQBEGIN).\n- The handle is a"\
     " nonshared handle that is being used a thread that did not crea"\
     "te the handle.\n- The call was issued in the MTS environment in"\
     " a situation where the handle is not valid (for example, passin"\
     "g the handle between processes or packages; note that passing t"\
     "he handle between library packages is supported).",
   "Ensure that a successful MQCONN or MQCONNX call is performed for "\
     "the queue manager, and that an MQDISC call has not already been"\
     " performed for it. Ensure that the handle is being used within "\
     "its valid scope (see the description of MQCONN in the WebSphere"\
     " MQ Application Programming Reference).\n- On z/OS, also check "\
     "that the application has been linked with the correct stub; thi"\
     "s is CSQCSTUB for CICS applications, CSQBSTUB for batch applica"\
     "tions, and CSQQSTUB for IMS applications. Also, the stub used m"\
     "ust not belong to a release of the queue manager that is more r"\
     "ecent than the release on which the application will run.",
},
{  2019,
   "MQRC_HOBJ_ERROR",
   "MQCC_FAILED",
   "The object handle Hobj is not valid, for one of the following rea"\
     "sons:\n- The parameter pointer is not valid, or (for the MQOPEN"\
     " call) points to read-only storage. (It is not always possible "\
     "to detect parameter pointers that are not valid; if not detecte"\
     "d, unpredictable results occur.)\n- The value specified was not"\
     " returned by a preceding MQOPEN call.\n- The value specified ha"\
     "s been made invalid by a preceding MQCLOSE call.\n- The handle "\
     "is a shared handle that has been made invalid by another thread"\
     " issuing the MQCLOSE call.\n- The handle is a nonshared handle "\
     "that is being used by a thread that did not create the handle"\
     ".\n- The call is MQGET or MQPUT, but the object represented by "\
     "the handle is not a queue.",
   "Ensure that a successful MQOPEN call is performed for this object"\
     ", and that an MQCLOSE call has not already been performed for i"\
     "t. Ensure that the handle is being used within its valid scope "\
     "(see the description of MQOPEN in the WebSphere MQ Application "\
     "Programming Reference).",
},
{  2020,
   "MQRC_INHIBIT_VALUE_ERROR",
   "MQCC_FAILED",
   "On an MQSET call, the value specified for either the MQIA_INHIBIT"\
     "_GET attribute or the MQIA_INHIBIT_PUT attribute is not valid.",
   "Specify a valid value for the InhibitGet or InhibitPut queu attri"\
     "bute.",
},
{  2021,
   "MQRC_INT_ATTR_COUNT_ERROR",
   "MQCC_FAILED",
   "On an MQINQ or MQSET call, the IntAttrCount parameter is negative"\
     " (MQINQ or MQSET), or smaller than the number of integer attrib"\
     "ute selectors (MQIA_*) specified in the Selectors parameter (MQ"\
     "SET only). This reason also occurs if the parameter pointer is "\
     "not valid. (It is not always possible to detect parameter point"\
     "ers that are not valid; if not detected, unpredictable results "\
     "occur.)",
   "Specify a value large enough for all selected integer attributes.",
},
{  2022,
   "MQRC_INT_ATTR_COUNT_TOO_SMALL",
   "MQCC_WARNING",
   "On an MQINQ call, the IntAttrCount parameter is smaller than the "\
     "number of integer attribute selectors (MQIA_*) specified in the"\
     " Selectors parameter. The call completes with MQCC_WARNING, wit"\
     "h the IntAttrs array filled in with as many integer attributes "\
     "as there is room for.",
   "Specify a large enough value, unless only a subset of the values "\
     "is needed.",
},
{  2023,
   "MQRC_INT_ATTRS_ARRAY_ERROR",
   "MQCC_FAILED",
   "On an MQINQ or MQSET call, the IntAttrs parameter is not valid. T"\
     "he parameter pointer is not valid (MQINQ and MQSET), or points "\
     "to read-only storage or to storage that is not as long as indic"\
     "ated by the IntAttrCount parameter (MQINQ only). (It is not alw"\
     "ays possible to detect parameter pointers that are not valid; i"\
     "f not detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2024,
   "MQRC_SYNCPOINT_LIMIT_REACHED",
   "MQCC_FAILED",
   "An MQGET, MQPUT, or MQPUT1 call failed because it would have caus"\
     "ed the number of uncommitted messages in the current unit of wo"\
     "rk to exceed the limit defined for the queue manager (see the M"\
     "axUncommittedMsgs queue-manager attribute). The number of uncom"\
     "mitted messages is the sum of the following since the start of "\
     "the current unit of work:\n- Messages put by the application wi"\
     "th the MQPMO_SYNCPOINT option\n- Messages retrieved by the appl"\
     "ication with the MQGMO_SYNCPOINT option\n- Trigger messages and"\
     " COA report messages generated by the queue manager for message"\
     "s put with the MQPMO_SYNCPOINT option\n- COD report messages ge"\
     "nerated by the queue manager for messages retrieved with the MQ"\
     "GMO_SYNCPOINT option\n- On Compaq NonStop Kernel, this reason c"\
     "ode occurs when the maximum number of I/O operations in a singl"\
     "e TM/MP transaction has been exceeded.",
   "Check whether the application is looping. If it is not, consider "\
     "reducing the complexity of the application. Alternatively, incr"\
     "ease the queue-manager limit for the maximum number of uncommit"\
     "ted messages within a unit of work.\n- On z/OS, the limit for t"\
     "he maximum number of uncommitted messages can be changed by usi"\
     "ng the ALTER QMGR command.\n- On i5/OS, the limit for the maxim"\
     "um number of uncommitted messages can be changed by using the C"\
     "HGMQM command.\n- On Compaq NonStop Kernel, the application sho"\
     "uld cancel the transaction and retry with a smaller number of o"\
     "perations in the unit of work. See the MQSeries for Tandem Non"\
     "Stop Kernel System Management Guide for more details.",
},
{  2025,
   "MQRC_MAX_CONNS_LIMIT_REACHED",
   "MQCC_FAILED",
   "The MQCONN or MQCONNX call was rejected because the maximum numbe"\
     "r of concurrent connections has been exceeded.\n- On z/OS, conn"\
     "ection limits are applicable only to TSO and batch requests. Th"\
     "e limits are determined by the customer using the following par"\
     "ameters of the CSQ6SYSP macro:\n  * For TSO: IDFORE\n  * For ba"\
     "tch: IDBACK For more information, see the Tailor your system pa"\
     "rameter module in the WebSphere MQ for z/OS System Setup Guide."\
     "\n- On HP OpenVMS, OS/2, i5/OS, Compaq NonStop Kernel, UNIX sys"\
     "tems, and Windows, this reason code can also occur on the MQOPE"\
     "N call.\n- When using Java applications, a limit to the number"\
     " of concurrent connections may be defined by the connection man"\
     "ager.",
   "Either increase the size of the appropriate parameter value, or r"\
     "educe the number of concurrent connections.",
},
{  2026,
   "MQRC_MD_ERROR",
   "MQCC_FAILED",
   "The MQMD structure is not valid, for one of the following reasons"\
     ":\n- The StrucId field is not MQMD_STRUC_ID.\n- The Version fie"\
     "ld specifies a value that is not valid or not supported.\n- The"\
     " parameter pointer is not valid. (It is not always possible to "\
     "detect parameter pointers that are not valid; if not detected, "\
     "unpredictable results occur.)\n- The queue manager cannot copy "\
     "the changed structure to application storage, even though the c"\
     "all is successful. This can occur, for example, if the pointer "\
     "points to read-only storage.",
   "Ensure that input fields in the MQMD structure are set correctly.",
},
{  2027,
   "MQRC_MISSING_REPLY_TO_Q",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, the ReplyToQ field in the message des"\
     "criptor MQMD is blank, but one or both of the following is true"\
     ":\n- A reply was requested (that is, MQMT_REQUEST was specified"\
     " in the MsgType field of the message descriptor).\n- A report m"\
     "essage was requested in the Report field of the message descrip"\
     "tor.",
   "Specify the name of the queue to which the reply message or repor"\
     "t message is to be sent.",
},
{  2029,
   "MQRC_MSG_TYPE_ERROR",
   "MQCC_FAILED",
   "Either:\n- On an MQPUT or MQPUT1 call, the value specified for th"\
     "e MsgType field in the message descriptor (MQMD) is not valid"\
     ".\n- A message processing program received a message that does "\
     "not have the expected message type. For example, if the WebSphe"\
     "re MQ command server receives a message which is not a request "\
     "message (MQMT_REQUEST) then it rejects the request with this re"\
     "ason code.",
   "Specify a valid value for the MsgType field. In the case where a "\
     "request is rejected by a message processing program, refer to t"\
     "he documentation for that program for details of the message ty"\
     "pes that it supports.",
},
{  2030,
   "MQRC_MSG_TOO_BIG_FOR_Q",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message on a queue, b"\
     "ut the message was too long for the queue and MQMF_SEGMENTATION"\
     "_ALLOWED was not specified in the MsgFlags field in MQMD. If se"\
     "gmentation is not allowed, the length of the message cannot exc"\
     "eed the lesser of the queue MaxMsgLength attribute and queue-ma"\
     "nager MaxMsgLength attribute.\n- On z/OS, the queue manager doe"\
     "s not support the segmentation of messages; if MQMF_SEGMENTATIO"\
     "N_ALLOWED is specified, it is accepted but ignored. This reason"\
     " code can also occur when MQMF_SEGMENTATION_ALLOWED is specifie"\
     "d, but the nature of the data present in the message prevents t"\
     "he queue manager splitting it into segments that are small enou"\
     "gh to place on the queue:\n- For a user-defined format, the sma"\
     "llest segment that the queue manager can create is 16 bytes.\n-"\
     " For a built-in format, the smallest segment that the queue man"\
     "ager can create depends on the particular format, but is greate"\
     "r than 16 bytes in all cases other than MQFMT_STRING (for MQFMT"\
     "_STRING the minimum segment size is 16 bytes). MQRC_MSG_TOO_BIG"\
     "_FOR_Q can also occur in the Feedback field in the message desc"\
     "riptor of a report message; in this case it indicates that the "\
     "error was encountered by a message channel agent when it attemp"\
     "ted to put the message on a remote queue.",
   "Check whether the BufferLength parameter is specified correctly; "\
     "if it is, do one of the following:\n- Increase the value of the"\
     " queues MaxMsgLength attribute; the queue-managers MaxMsgLeng"\
     "th attribute may also need increasing.\n- Break the message int"\
     "o several smaller messages.\n- Specify MQMF_SEGMENTATION_ALLOWE"\
     "D in the MsgFlags field in MQMD; this will allow the queue mana"\
     "ger to break the message into segments.",
},
{  2031,
   "MQRC_MSG_TOO_BIG_FOR_Q_MGR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message on a queue, b"\
     "ut the message was too long for the queue manager and MQMF_SEGM"\
     "ENTATION_ALLOWED was not specified in the MsgFlags field in MQM"\
     "D. If segmentation is not allowed, the length of the message ca"\
     "nnot exceed the lesser of the queue-manager MaxMsgLength attrib"\
     "ute and queue MaxMsgLength attribute. This reason code can also"\
     " occur when MQMF_SEGMENTATION_ALLOWED is specified, but the nat"\
     "ure of the data present in the message prevents the queue manag"\
     "er splitting it into segments that are small enough for the que"\
     "ue-manager limit:\n- For a user-defined format, the smallest se"\
     "gment that the queue manager can create is 16 bytes.\n- For a b"\
     "uilt-in format, the smallest segment that the queue manager can"\
     " create depends on the particular format, but is greater than 1"\
     "6 bytes in all cases other than MQFMT_STRING (for MQFMT_STRING "\
     "the minimum segment size is 16 bytes). MQRC_MSG_TOO_BIG_FOR_Q_M"\
     "GR can also occur in the Feedback field in the message descript"\
     "or of a report message; in this case it indicates that the erro"\
     "r was encountered by a message channel agent when it attempted "\
     "to put the message on a remote queue. This reason also occurs i"\
     "f a channel, through which the message is to pass, has restrict"\
     "ed the maximum message length to a value that is actually less "\
     "than that supported by the queue manager, and the message lengt"\
     "h is greater than this value.\n- On z/OS, this return code is i"\
     "ssued only if you are using CICS for distributed queuing. Other"\
     "wise, MQRC_MSG_TOO_BIG_FOR_CHANNEL is issued.",
   "Check whether the BufferLength parameter is specified correctly; "\
     "if it is, do one of the following:\n- Increase the value of the"\
     " queue-managers MaxMsgLength attribute; the queues MaxMsgLeng"\
     "th attribute may also need increasing.\n- Break the message int"\
     "o several smaller messages.\n- Specify MQMF_SEGMENTATION_ALLOWE"\
     "D in the MsgFlags field in MQMD; this will allow the queue mana"\
     "ger to break the message into segments.\n- Check the channel de"\
     "finitions.",
},
{  2033,
   "MQRC_NO_MSG_AVAILABLE",
   "MQCC_WARNING or MQCC_FAILED",
   "An MQGET call was issued, but there is no message on the queue sa"\
     "tisfying the selection criteria specified in MQMD (the MsgId an"\
     "d CorrelId fields), and in MQGMO (the Options and MatchOptions "\
     "fields). Either the MQGMO_WAIT option was not specified, or the"\
     " time interval specified by the WaitInterval field in MQGMO has"\
     " expired. This reason is also returned for an MQGET call for br"\
     "owse, when the end of the queue has been reached. This reason c"\
     "ode can also be returned by the mqGetBag and mqExecute calls. m"\
     "qGetBag is similar to MQGET. For the mqExecute call, the comple"\
     "tion code can be either MQCC_WARNING or MQCC_FAILED:\n- If the "\
     "completion code is MQCC_WARNING, some response messages were re"\
     "ceived during the specified wait interval, but not all. The res"\
     "ponse bag contains system-generated nested bags for the message"\
     "s that were received.\n- If the completion code is MQCC_FAILED,"\
     " no response messages were received during the specified wait i"\
     "nterval.",
   "If this is an expected condition, no corrective action is require"\
     "d. If this is an unexpected condition, check that:\n- The messa"\
     "ge was put on the queue successfully.\n- The unit of work (if a"\
     "ny) used for the MQPUT or MQPUT1 call was committed successfull"\
     "y.\n- The options controlling the selection criteria are specif"\
     "ied correctly. All of the following can affect the eligibility "\
     "of a message for return on the MQGET call:\n  * MQGMO_LOGICAL_O"\
     "RDER\n  * MQGMO_ALL_MSGS_AVAILABLE\n  * MQGMO_ALL_SEGMENTS_AVAI"\
     "LABLE\n  * MQGMO_COMPLETE_MSG\n  * MQMO_MATCH_MSG_ID\n  * MQMO_"\
     "MATCH_CORREL_ID\n  * MQMO_MATCH_GROUP_ID\n  * MQMO_MATCH_MSG_SE"\
     "Q_NUMBER\n  * MQMO_MATCH_OFFSET\n  * Value of MsgId field in MQ"\
     "MD\n  * Value of CorrelId field in MQMD Consider waiting longer"\
     " for the message.",
},
{  2034,
   "MQRC_NO_MSG_UNDER_CURSOR",
   "MQCC_FAILED",
   "An MQGET call was issued with either the MQGMO_MSG_UNDER_CURSOR o"\
     "r the MQGMO_BROWSE_MSG_UNDER_CURSOR option. However, the browse"\
     " cursor is not positioned at a retrievable message. This is cau"\
     "sed by one of the following:\n- The cursor is positioned logica"\
     "lly before the first message (as it is before the first MQGET c"\
     "all with a browse option has been successfully performed).\n- T"\
     "he message the browse cursor was positioned on has been locked "\
     "or removed from the queue (probably by some other application) "\
     "since the browse operation was performed.\n- The message the br"\
     "owse cursor was positioned on has expired.",
   "Check the application logic. This may be an expected reason if th"\
     "e application design allows multiple servers to compete for mes"\
     "sages after browsing. Consider also using the MQGMO_LOCK option"\
     " with the preceding browse MQGET call.",
},
{  2035,
   "MQRC_NOT_AUTHORIZED",
   "MQCC_FAILED",
   "The user is not authorized to perform the operation attempted:\n-"\
     " On an MQCONN or MQCONNX call, the user is not authorized to co"\
     "nnect to the queue manager.\n  * On z/OS, for CICS applications"\
     ", MQRC_CONNECTION_NOT_AUTHORIZED is issued instead.\n- On an MQ"\
     "OPEN or MQPUT1 call, the user is not authorized to open the obj"\
     "ect for the option(s) specified.\n  * On z/OS, if the object be"\
     "ing opened is a model queue, this reason also arises if the use"\
     "r is not authorized to create a dynamic queue with the required"\
     " name.\n- On an MQCLOSE call, the user is not authorized to del"\
     "ete the object, which is a permanent dynamic queue, and the Hob"\
     "j parameter specified on the MQCLOSE call is not the handle ret"\
     "urned by the MQOPEN call that created the queue.\n- On a comman"\
     "d, the user is not authorized to issue the command, or to acces"\
     "s the object it specifies. This reason code can also occur in t"\
     "he Feedback field in the message descriptor of a report message"\
     "; in this case it indicates that the error was encountered by a"\
     " message channel agent when it attempted to put the message on "\
     "a remote queue.",
   "Ensure that the correct queue manager or object was specified, an"\
     "d that appropriate authority exists.",
},
{  2036,
   "MQRC_NOT_OPEN_FOR_BROWSE",
   "MQCC_FAILED",
   "An MQGET call was issued with one of the following options:\n- MQ"\
     "GMO_BROWSE_FIRST\n- MQGMO_BROWSE_NEXT\n- MQGMO_BROWSE_MSG_UNDER"\
     "_CURSOR\n- MQGMO_MSG_UNDER_CURSOR but the queue had not been op"\
     "ened for browse.",
   "Specify MQOO_BROWSE when the queue is opened.",
},
{  2037,
   "MQRC_NOT_OPEN_FOR_INPUT",
   "MQCC_FAILED",
   "An MQGET call was issued to retrieve a message from a queue, but "\
     "the queue had not been opened for input.",
   "Specify one of the following when the queue is opened:\n- MQOO_IN"\
     "PUT_SHARED\n- MQOO_INPUT_EXCLUSIVE\n- MQOO_INPUT_AS_Q_DEF",
},
{  2038,
   "MQRC_NOT_OPEN_FOR_INQUIRE",
   "MQCC_FAILED",
   "An MQINQ call was issued to inquire object attributes, but the ob"\
     "ject had not been opened for inquire.",
   "Specify MQOO_INQUIRE when the object is opened.",
},
{  2039,
   "MQRC_NOT_OPEN_FOR_OUTPUT",
   "MQCC_FAILED",
   "An MQPUT call was issued to put a message on a queue, but the que"\
     "ue had not been opened for output.",
   "Specify MQOO_OUTPUT when the queue is opened.",
},
{  2040,
   "MQRC_NOT_OPEN_FOR_SET",
   "MQCC_FAILED",
   "An MQSET call was issued to set queue attributes, but the queue h"\
     "ad not been opened for set.",
   "Specify MQOO_SET when the object is opened.",
},
{  2041,
   "MQRC_OBJECT_CHANGED",
   "MQCC_FAILED",
   "Object definitions that affect this object have been changed sinc"\
     "e the Hobj handle used on this call was returned by the MQOPEN "\
     "call. See the description of MQOPEN in the WebSphere MQ Applica"\
     "tion Programming Reference for more information. This reason do"\
     "es not occur if the object handle is specified in the Context f"\
     "ield of the PutMsgOpts parameter on the MQPUT or MQPUT1 call.",
   "Issue an MQCLOSE call to return the handle to the system. It is t"\
     "hen usually sufficient to reopen the object and retry the opera"\
     "tion. However, if the object definitions are critical to the ap"\
     "plication logic, an MQINQ call can be used after reopening the "\
     "object, to obtain the new values of the object attributes.",
},
{  2042,
   "MQRC_OBJECT_IN_USE",
   "MQCC_FAILED",
   "An MQOPEN call was issued, but the object in question has already"\
     " been opened by this or another application with options that c"\
     "onflict with those specified in the Options parameter. This ari"\
     "ses if the request is for shared input, but the object is alrea"\
     "dy open for exclusive input; it also arises if the request is f"\
     "or exclusive input, but the object is already open for input (o"\
     "f any sort). MCAs for receiver channels, or the intra-group que"\
     "uing agent (IGQ agent), may keep the destination queues open ev"\
     "en when messages are not being transmitted; this results in the"\
     " queues appearing to be in use. Use the MQSC command DISPLAY "\
     "QSTATUS to find out who is keeping the queue open.\n- On z/OS, "\
     "this reason can also occur for an MQOPEN or MQPUT1 call, if the"\
     " object to be opened (which can be a queue, or for MQOPEN a nam"\
     "elist or process object) is in the process of being deleted.",
   "System design should specify whether an application is to wait an"\
     "d retry, or take other action.",
},
{  2043,
   "MQRC_OBJECT_TYPE_ERROR",
   "MQCC_FAILED",
   "On the MQOPEN or MQPUT1 call, the ObjectType field in the object "\
     "descriptor MQOD specifies a value that is not valid. For the MQ"\
     "PUT1 call, the object type must be MQOT_Q.",
   "Specify a valid object type.",
},
{  2044,
   "MQRC_OD_ERROR",
   "MQCC_FAILED",
   "On the MQOPEN or MQPUT1 call, the object descriptor MQOD is not v"\
     "alid, for one of the following reasons:\n- The StrucId field is"\
     " not MQOD_STRUC_ID.\n- The Version field specifies a value that"\
     " is not valid or not supported.\n- The parameter pointer is not"\
     " valid. (It is not always possible to detect parameter pointers"\
     " that are not valid; if not detected, unpredictable results occ"\
     "ur.)\n- The queue manager cannot copy the changed structure to "\
     "application storage, even though the call is successful. This c"\
     "an occur, for example, if the pointer points to read-only stora"\
     "ge.",
   "Ensure that input fields in the MQOD structure are set correctly.",
},
{  2045,
   "MQRC_OPTION_NOT_VALID_FOR_TYPE",
   "MQCC_FAILED",
   "On an MQOPEN or MQCLOSE call, an option is specified that is not "\
     "valid for the type of object or queue being opened or closed. F"\
     "or the MQOPEN call, this includes the following cases:\n- An op"\
     "tion that is inappropriate for the object type (for example, MQ"\
     "OO_OUTPUT for an MQOT_PROCESS object).\n- An option that is uns"\
     "upported for the queue type (for example, MQOO_INQUIRE for a re"\
     "mote queue that has no local definition).\n- One or more of the"\
     " following options:\n  * MQOO_INPUT_AS_Q_DEF\n  * MQOO_INPUT_SH"\
     "ARED\n  * MQOO_INPUT_EXCLUSIVE\n  * MQOO_BROWSE\n  * MQOO_INQUI"\
     "RE\n  * MQOO_SET when either:\n  * the queue name is resolved t"\
     "hrough a cell directory, or\n  * ObjectQMgrName in the object d"\
     "escriptor specifies the name of a local definition of a remote "\
     "queue (in order to specify a queue-manager alias), and the queu"\
     "e named in the RemoteQMgrName attribute of the definition is th"\
     "e name of the local queue manager. For the MQCLOSE call, this i"\
     "ncludes the following case:\n- The MQCO_DELETE or MQCO_DELETE_P"\
     "URGE option when the queue is not a dynamic queue. This reason "\
     "code can also occur on the MQOPEN call when the object being op"\
     "ened is of type MQOT_NAMELIST, MQOT_PROCESS, or MQOT_Q_MGR, but"\
     " the ObjectQMgrName field in MQOD is neither blank nor the name"\
     " of the local queue manager.",
   "Specify the correct option. For the MQOPEN call, ensure that the "\
     "ObjectQMgrName field is set correctly. For the MQCLOSE call, ei"\
     "ther correct the option or change the definition type of the mo"\
     "del queue that is used to create the new queue.",
},
{  2046,
   "MQRC_OPTIONS_ERROR",
   "MQCC_FAILED",
   "The Options parameter or field contains options that are not vali"\
     "d, or a combination of options that is not valid.\n- For the MQ"\
     "OPEN, MQCLOSE, MQXCNVC, mqBagToBuffer, mqBufferToBag, mqCreateB"\
     "ag, and mqExecute calls, Options is a separate parameter on the"\
     " call. This reason also occurs if the parameter pointer is not "\
     "valid. (It is not always possible to detect parameter pointers "\
     "that are not valid; if not detected, unpredictable results occu"\
     "r.)\n- For the MQBEGIN, MQCONNX, MQGET, MQPUT, and MQPUT1 calls"\
     ", Options is a field in the relevant options structure (MQBO, M"\
     "QCNO, MQGMO, or MQPMO).",
   "Specify valid options. Check the description of the Options param"\
     "eter or field to determine which options and combinations of op"\
     "tions are valid. If multiple options are being set by adding th"\
     "e individual options together, ensure that the same option is n"\
     "ot added twice.",
},
{  2047,
   "MQRC_PERSISTENCE_ERROR",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, the value specified for the Persisten"\
     "ce field in the message descriptor MQMD is not valid.",
   "Specify one of the following values:\n- MQPER_PERSISTENT\n- MQPER"\
     "_NOT_PERSISTENT\n- MQPER_PERSISTENCE_AS_Q_DEF",
},
{  2048,
   "MQRC_PERSISTENT_NOT_ALLOWED",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, the value specified for the Persisten"\
     "ce field in MQMD (or obtained from the DefPersistence queue att"\
     "ribute) specifies MQPER_PERSISTENT, but the queue on which the "\
     "message is being placed does not support persistent messages. P"\
     "ersistent messages cannot be placed on temporary dynamic queues"\
     ". This reason code can also occur in the Feedback field in the "\
     "message descriptor of a report message; in this case it indicat"\
     "es that the error was encountered by a message channel agent wh"\
     "en it attempted to put the message on a remote queue.",
   "Specify MQPER_NOT_PERSISTENT if the message is to be placed on a "\
     "temporary dynamic queue. If persistence is required, use a perm"\
     "anent dynamic queue or predefined queue in place of a temporary"\
     " dynamic queue. Be aware that server applications are recommend"\
     "ed to send reply messages (message type MQMT_REPLY) with the sa"\
     "me persistence as the original request message (message type MQ"\
     "MT_REQUEST). If the request message is persistent, the reply qu"\
     "eue specified in the ReplyToQ field in the message descriptor M"\
     "QMD cannot be a temporary dynamic queue. Use a permanent dynami"\
     "c queue or predefined queue as the reply queue in this situatio"\
     "n. On z/OS, you cannot put persistent messages to a shared queu"\
     "e if the CFSTRUCT that the queue uses is defined with RECOVER(N"\
     "O). Either put only non-persistent messages to this queue or ch"\
     "ange the queue definition to RECOVER(YES). If you put a persist"\
     "ent message to a queue that uses a CFSTRUCT with RECOVER(NO) th"\
     "e put will fail with MQRC_PERSISTENT_NOT_ALLOWED.",
},
{  2049,
   "MQRC_PRIORITY_EXCEEDS_MAXIMUM",
   "MQCC_WARNING",
   "An MQPUT or MQPUT1 call was issued, but the value of the Priority"\
     " field in the message descriptor MQMD exceeds the maximum prior"\
     "ity supported by the local queue manager, as shown by the MaxPr"\
     "iority queue-manager attribute. The message is accepted by the "\
     "queue manager, but is placed on the queue at the queue manager"\
     "s maximum priority. The Priority field in the message descripto"\
     "r retains the value specified by the application that put the m"\
     "essage.",
   "None required, unless this reason code was not expected by the ap"\
     "plication that put the message.",
},
{  2050,
   "MQRC_PRIORITY_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the value of the Priority"\
     " field in the message descriptor MQMD is not valid. The maximum"\
     " priority supported by the queue manager is given by the MaxPri"\
     "ority queue-manager attribute.",
   "Specify a value in the range zero through MaxPriority, or the spe"\
     "cial value MQPRI_PRIORITY_AS_Q_DEF.",
},
{  2051,
   "MQRC_PUT_INHIBITED",
   "MQCC_FAILED",
   "MQPUT and MQPUT1 calls are currently inhibited for the queue, or "\
     "for the queue to which this queue resolves. This reason code ca"\
     "n also occur in the Feedback field in the message descriptor of"\
     " a report message; in this case it indicates that the error was"\
     " encountered by a message channel agent when it attempted to pu"\
     "t the message on a remote queue.",
   "If the system design allows put requests to be inhibited for shor"\
     "t periods, retry the operation later.",
},
{  2052,
   "MQRC_Q_DELETED",
   "MQCC_FAILED",
   "An Hobj queue handle specified on a call refers to a dynamic queu"\
     "e that has been deleted since the queue was opened. (See the de"\
     "scription of MQCLOSE in the WebSphere MQ Application Programmin"\
     "g Reference for information about the deletion of dynamic queue"\
     "s.)\n- On z/OS, this can also occur with the MQOPEN and MQPUT1 "\
     "calls if a dynamic queue is being opened, but the queue is in a"\
     " logically-deleted state. See MQCLOSE for more information abou"\
     "t this.",
   "Issue an MQCLOSE call to return the handle and associated resourc"\
     "es to the system (the MQCLOSE call will succeed in this case). "\
     "Check the design of the application that caused the error.",
},
{  2053,
   "MQRC_Q_FULL",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call, or a command, failed because the queue i"\
     "s full, that is, it already contains the maximum number of mess"\
     "ages possible, as specified by the MaxQDepth queue attribute. T"\
     "his reason code can also occur in the Feedback field in the mes"\
     "sage descriptor of a report message; in this case it indicates "\
     "that the error was encountered by a message channel agent when "\
     "it attempted to put the message on a remote queue.",
   "Retry the operation later. Consider increasing the maximum depth "\
     "for this queue, or arranging for more instances of the applicat"\
     "ion to service the queue.",
},
{  2055,
   "MQRC_Q_NOT_EMPTY",
   "MQCC_FAILED",
   "An MQCLOSE call was issued for a permanent dynamic queue, but the"\
     " call failed because the queue is not empty or still in use. On"\
     "e of the following applies:\n- The MQCO_DELETE option was speci"\
     "fied, but there are messages on the queue.\n- The MQCO_DELETE o"\
     "r MQCO_DELETE_PURGE option was specified, but there are uncommi"\
     "tted get or put calls outstanding against the queue. See the us"\
     "age notes pertaining to dynamic queues for the MQCLOSE call for"\
     " more information. This reason code is also returned from a com"\
     "mand to clear or delete or move a queue, if the queue contains "\
     "uncommitted messages (or committed messages in the case of dele"\
     "te queue without the purge option).",
   "Check why there might be messages on the queue. Be aware that the"\
     " CurrentQDepth queue attribute might be zero even though there "\
     "are one or more messages on the queue; this can happen if the m"\
     "essages have been retrieved as part of a unit of work that has "\
     "not yet been committed. If the messages can be discarded, try u"\
     "sing the MQCLOSE call with the MQCO_DELETE_PURGE option. Consid"\
     "er retrying the call later.",
},
{  2056,
   "MQRC_Q_SPACE_NOT_AVAILABLE",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but there is no space availab"\
     "le for the queue on disk or other storage device. This reason c"\
     "ode can also occur in the Feedback field in the message descrip"\
     "tor of a report message; in this case it indicates that the err"\
     "or was encountered by a message channel agent when it attempted"\
     " to put the message on a remote queue.\n- On z/OS, this reason "\
     "code does not occur.",
   "Check whether an application is putting messages in an infinite l"\
     "oop. If not, make more disk space available for the queue.",
},
{  2057,
   "MQRC_Q_TYPE_ERROR",
   "MQCC_FAILED",
   "One of the following occurred:\n- On an MQOPEN call, the ObjectQM"\
     "grName field in the object descriptor MQOD or object record MQO"\
     "R specifies the name of a local definition of a remote queue (i"\
     "n order to specify a queue-manager alias), and in that local de"\
     "finition the RemoteQMgrName attribute is the name of the local "\
     "queue manager. However, the ObjectName field in MQOD or MQOR sp"\
     "ecifies the name of a model queue on the local queue manager; t"\
     "his is not allowed. See the WebSphere MQ Application Programmin"\
     "g Guide for more information.\n- On an MQPUT1 call, the object "\
     "descriptor MQOD or object record MQOR specifies the name of a m"\
     "odel queue.\n- On a previous MQPUT or MQPUT1 call, the ReplyToQ"\
     " field in the message descriptor specified the name of a model "\
     "queue, but a model queue cannot be specified as the destination"\
     " for reply or report messages. Only the name of a predefined qu"\
     "eue, or the name of the dynamic queue created from the model qu"\
     "eue, can be specified as the destination. In this situation the"\
     " reason code MQRC_Q_TYPE_ERROR is returned in the Reason field "\
     "of the MQDLH structure when the reply message or report message"\
     " is placed on the dead-letter queue.",
   "Specify a valid queue.",
},
{  2058,
   "MQRC_Q_MGR_NAME_ERROR",
   "MQCC_FAILED",
   "On an MQCONN or MQCONNX call, the value specified for the QMgrNam"\
     "e parameter is not valid or not known. This reason also occurs "\
     "if the parameter pointer is not valid. (It is not always possib"\
     "le to detect parameter pointers that are not valid; if not dete"\
     "cted, unpredictable results occur.)\n- On z/OS for CICS applica"\
     "tions, this reason can occur on any call if the original connec"\
     "t specified an incorrect or unrecognized name. This reason code"\
     " can also occur if an MQ client application attempts to connect"\
     " to a queue manager within an MQ-client queue-manager group (se"\
     "e the QMgrName parameter of MQCONN), and either:\n- Queue-manag"\
     "er groups are not supported.\n- There is no queue-manager group"\
     " with the specified name.",
   "Use an all-blank name if possible, or verify that the name used i"\
     "s valid.",
},
{  2059,
   "MQRC_Q_MGR_NOT_AVAILABLE",
   "MQCC_FAILED",
   "This occurs: 1. On an MQCONN or MQCONNX call, the queue manager i"\
     "dentified by the QMgrName parameter is not available for connec"\
     "tion.\n- On z/OS:\n  * For batch applications, this reason can "\
     "be returned to applications running in LPARs that do not have a"\
     " queue manager installed.\n  * For CICS applications, this reas"\
     "on can occur on any call if the original connect specified a qu"\
     "eue manager whose name was recognized, but which is not availab"\
     "le.\n- On i5/OS, this reason can also be returned by the MQOPEN"\
     " and MQPUT1 calls, when MQHC_DEF_HCONN is specified for the Hco"\
     "nn parameter by an application running in compatibility mode. 2"\
     ". On an MQCONN or MQCONNX call from an MQ client application:\n"\
     "- Attempting to connect to a queue manager within an MQ-client "\
     "queue-manager group when none of the queue managers in the grou"\
     "p is available for connection (see the QMgrName parameter of th"\
     "e MQCONN call).\n- If the client channel fails to connect, perh"\
     "aps because of an error with the client-connection or the corre"\
     "sponding server-connection channel definitions.\n- The z/OS Cli"\
     "ent Attachment feature has not been installed. 3. If a command "\
     "uses the CommandScope parameter specifying a queue manager that"\
     " is not active in the queue-sharing group.",
   "Ensure that the queue manager has been started. If the connection"\
     " is from a client application, check the channel definitions, c"\
     "hannel status, and error logs.",
},
{  2061,
   "MQRC_REPORT_OPTIONS_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the Report field in the m"\
     "essage descriptor MQMD contains one or more options that are no"\
     "t recognized by the local queue manager. The options that cause"\
     " this reason code to be returned depend on the destination of t"\
     "he message; see the description of REPORT in the WebSphere MQ A"\
     "pplication Programming Reference for more details. This reason "\
     "code can also occur in the Feedback field in the MQMD of a repo"\
     "rt message, or in the Reason field in the MQDLH structure of a "\
     "message on the dead-letter queue; in both cases it indicates th"\
     "at the destination queue manager does not support one or more o"\
     "f the report options specified by the sender of the message.",
   "Do the following:\n- Ensure that the Report field in the message "\
     "descriptor is initialized with a value when the message descrip"\
     "tor is declared, or is assigned a value prior to the MQPUT or M"\
     "QPUT1 call. Specify MQRO_NONE if no report options are required"\
     ".\n- Ensure that the report options specified are valid; see th"\
     "e Report field described in the description of MQMD in the WebS"\
     "phere MQ Application Programming Reference for valid report opt"\
     "ions.\n- If multiple report options are being set by adding the"\
     " individual report options together, ensure that the same repor"\
     "t option is not added twice.\n- Check that conflicting report o"\
     "ptions are not specified. For example, do not add both MQRO_EXC"\
     "EPTION and MQRO_EXCEPTION_WITH_DATA to the Report field; only o"\
     "ne of these can be specified.",
},
{  2062,
   "MQRC_SECOND_MARK_NOT_ALLOWED",
   "MQCC_FAILED",
   "An MQGET call was issued specifying the MQGMO_MARK_SKIP_BACKOUT o"\
     "ption in the Options field of MQGMO, but a message has already "\
     "been marked within the current unit of work. Only one marked me"\
     "ssage is allowed within each unit of work. This reason code occ"\
     "urs only on z/OS.",
   "Modify the application so that no more than one message is marked"\
     " within each unit of work.",
},
{  2063,
   "MQRC_SECURITY_ERROR",
   "MQCC_FAILED",
   "An MQCONN, MQCONNX, MQOPEN, MQPUT1, or MQCLOSE call was issued, b"\
     "ut it failed because a security error occurred.\n- On z/OS, the"\
     " security error was returned by the External Security Manager.",
   "Note the error from the security manager, and contact your system"\
     " programmer or security administrator.\n- On i5/OS, the FFST lo"\
     "g will contain the error information.",
},
{  2065,
   "MQRC_SELECTOR_COUNT_ERROR",
   "MQCC_FAILED",
   "On an MQINQ or MQSET call, the SelectorCount parameter specifies "\
     "a value that is not valid. This reason also occurs if the param"\
     "eter pointer is not valid. (It is not always possible to detect"\
     " parameter pointers that are not valid; if not detected, unpred"\
     "ictable results occur.)",
   "Specify a value in the range 0 through 256.",
},
{  2066,
   "MQRC_SELECTOR_LIMIT_EXCEEDED",
   "MQCC_FAILED",
   "On an MQINQ or MQSET call, the SelectorCount parameter specifies "\
     "a value that is larger than the maximum supported (256).",
   "Reduce the number of selectors specified on the call; the valid r"\
     "ange is 0 through 256.",
},
{  2067,
   "MQRC_SELECTOR_ERROR",
   "MQCC_FAILED",
   "An MQINQ or MQSET call was issued, but the Selectors array contai"\
     "ns a selector that is not valid for one of the following reason"\
     "s:\n- The selector is not supported or out of range.\n- The sel"\
     "ector is not applicable to the type of object whose attributes "\
     "are being inquired or set.\n- The selector is for an attribute "\
     "that cannot be set. This reason also occurs if the parameter po"\
     "inter is not valid. (It is not always possible to detect parame"\
     "ter pointers that are not valid; if not detected, unpredictable"\
     " results occur.)",
   "Ensure that the value specified for the selector is valid for the"\
     " object type represented by Hobj. For the MQSET call, also ensu"\
     "re that the selector represents an integer attribute that can b"\
     "e set.",
},
{  2068,
   "MQRC_SELECTOR_NOT_FOR_TYPE",
   "MQCC_WARNING",
   "On the MQINQ call, one or more selectors in the Selectors array i"\
     "s not applicable to the type of the queue whose attributes are "\
     "being inquired. This reason also occurs when the queue is a clu"\
     "ster queue that resolved to a remote instance of the queue. In "\
     "this case only a subset of the attributes that are valid for lo"\
     "cal queues can be inquired. See the usage notes in the descript"\
     "ion of MQINQ in the WebSphere MQ Application Programming Refere"\
     "nce for further details. The call completes with MQCC_WARNING, "\
     "with the attribute values for the inapplicable selectors set as"\
     " follows:\n- For integer attributes, the corresponding elements"\
     " of IntAttrs are set to MQIAV_NOT_APPLICABLE.\n- For character "\
     "attributes, the appropriate parts of the CharAttrs string are s"\
     "et to a character string consisting entirely of asterisks (*).",
   "Verify that the selector specified is the one that was intended. "\
     "If the queue is a cluster queue, specifying one of the MQOO_BRO"\
     "WSE, MQOO_INPUT_*, or MQOO_SET options in addition to MQOO_INQU"\
     "IRE forces the queue to resolve to the local instance of the qu"\
     "eue. However, if there is no local instance of the queue the MQ"\
     "OPEN call fails.",
},
{  2069,
   "MQRC_SIGNAL_OUTSTANDING",
   "MQCC_FAILED",
   "An MQGET call was issued with either the MQGMO_SET_SIGNAL or MQGM"\
     "O_WAIT option, but there is already a signal outstanding for th"\
     "e queue handle Hobj. This reason code occurs only in the follow"\
     "ing environments: z/OS, Windows 95, Windows 98.",
   "Check the application logic. If it is necessary to set a signal o"\
     "r wait when there is a signal outstanding for the same queue, a"\
     " different object handle must be used.",
},
{  2070,
   "MQRC_SIGNAL_REQUEST_ACCEPTED",
   "MQCC_WARNING",
   "An MQGET call was issued specifying MQGMO_SET_SIGNAL in the GetMs"\
     "gOpts parameter, but no suitable message was available; the cal"\
     "l returns immediately. The application can now wait for the sig"\
     "nal to be delivered.\n- On z/OS, the application should wait on"\
     " the Event Control Block pointed to by the Signal1 field.\n- On"\
     " Windows 95, Windows 98, the application should wait for the si"\
     "gnal Windows message to be delivered. This reason code occurs o"\
     "nly in the following environments: z/OS, Windows 95, Windows 98"\
     ".",
   "Wait for the signal; when it is delivered, check the signal to en"\
     "sure that a message is now available. If it is, reissue the MQG"\
     "ET call.\n- On z/OS, wait on the ECB pointed to by the Signal1 "\
     "field and, when it is posted, check it to ensure that a message"\
     " is now available.\n- On Windows 95, Windows 98, the applicatio"\
     "n (thread) should continue executing its message loop.",
},
{  2071,
   "MQRC_STORAGE_NOT_AVAILABLE",
   "MQCC_FAILED",
   "The call failed because there is insufficient main storage availa"\
     "ble.",
   "Ensure that active applications are behaving correctly, for examp"\
     "le, that they are not looping unexpectedly. If no problems are "\
     "found, make more main storage available.\n- On z/OS, if no appl"\
     "ication problems are found, ask your system programmer to incre"\
     "ase the size of the region in which the queue manager runs.",
},
{  2072,
   "MQRC_SYNCPOINT_NOT_AVAILABLE",
   "MQCC_FAILED",
   "Either MQGMO_SYNCPOINT was specified on an MQGET call or MQPMO_SY"\
     "NCPOINT was specified on an MQPUT or MQPUT1 call, but the local"\
     " queue manager was unable to honor the request. If the queue ma"\
     "nager does not support units of work, the SyncPoint queue-manag"\
     "er attribute will have the value MQSP_NOT_AVAILABLE. This reaso"\
     "n code can also occur on the MQGET, MQPUT, and MQPUT1 calls whe"\
     "n an external unit-of-work coordinator is being used. If that c"\
     "oordinator requires an explicit call to start the unit of work,"\
     " but the application has not issued that call prior to the MQGE"\
     "T, MQPUT, or MQPUT1 call, reason code MQRC_SYNCPOINT_NOT_AVAILA"\
     "BLE is returned.\n- On i5/OS, this reason codes means that i5/O"\
     "S Commitment Control is not started, or is unavailable for use "\
     "by the queue manager.\n- On z/OS, this reason code does not occ"\
     "ur.",
   "Remove the specification of MQGMO_SYNCPOINT or MQPMO_SYNCPOINT, a"\
     "s appropriate.\n- On i5/OS, ensure that Commitment Control has "\
     "been started. If this reason code occurs after Commitment Contr"\
     "ol has been started, contact your system programmer.",
},
{  2075,
   "MQRC_TRIGGER_CONTROL_ERROR",
   "MQCC_FAILED",
   "On an MQSET call, the value specified for the MQIA_TRIGGER_CONTRO"\
     "L attribute selector is not valid.",
   "Specify a valid value.",
},
{  2076,
   "MQRC_TRIGGER_DEPTH_ERROR",
   "MQCC_FAILED",
   "On an MQSET call, the value specified for the MQIA_TRIGGER_DEPTH "\
     "attribute selector is not valid.",
   "Specify a value that is greater than zero.",
},
{  2077,
   "MQRC_TRIGGER_MSG_PRIORITY_ERR",
   "MQCC_FAILED",
   "On an MQSET call, the value specified for the MQIA_TRIGGER_MSG_PR"\
     "IORITY attribute selector is not valid.",
   "Specify a value in the range zero through the value of MaxPriorit"\
     "y queue-manager attribute.",
},
{  2078,
   "MQRC_TRIGGER_TYPE_ERROR",
   "MQCC_FAILED",
   "On an MQSET call, the value specified for the MQIA_TRIGGER_TYPE a"\
     "ttribute selector is not valid.",
   "Specify a valid value.",
},
{  2079,
   "MQRC_TRUNCATED_MSG_ACCEPTED",
   "MQCC_WARNING",
   "On an MQGET call, the message length was too large to fit into th"\
     "e supplied buffer. The MQGMO_ACCEPT_TRUNCATED_MSG option was sp"\
     "ecified, so the call completes. The message is removed from the"\
     " queue (subject to unit-of-work considerations), or, if this wa"\
     "s a browse operation, the browse cursor is advanced to this mes"\
     "sage. The DataLength parameter is set to the length of the mess"\
     "age before truncation, the Buffer parameter contains as much of"\
     " the message as fits, and the MQMD structure is filled in.",
   "None, because the application expected this situation.",
},
{  2080,
   "MQRC_TRUNCATED_MSG_FAILED",
   "MQCC_WARNING",
   "On an MQGET call, the message length was too large to fit into th"\
     "e supplied buffer. The MQGMO_ACCEPT_TRUNCATED_MSG option was no"\
     "t specified, so the message has not been removed from the queue"\
     ". If this was a browse operation, the browse cursor remains whe"\
     "re it was before this call, but if MQGMO_BROWSE_FIRST was speci"\
     "fied, the browse cursor is positioned logically before the high"\
     "est-priority message on the queue. The DataLength field is set "\
     "to the length of the message before truncation, the Buffer para"\
     "meter contains as much of the message as fits, and the MQMD str"\
     "ucture is filled in.",
   "Supply a buffer that is at least as large as DataLength, or speci"\
     "fy MQGMO_ACCEPT_TRUNCATED_MSG if not all of the message data is"\
     " required.",
},
{  2082,
   "MQRC_UNKNOWN_ALIAS_BASE_Q",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued specifying an alias queue as "\
     "the target, but the BaseQName in the alias queue attributes is "\
     "not recognized as a queue name. This reason code can also occur"\
     " when BaseQName is the name of a cluster queue that cannot be r"\
     "esolved successfully.",
   "Correct the queue definitions.",
},
{  2085,
   "MQRC_UNKNOWN_OBJECT_NAME",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued, but the object identified by"\
     " the ObjectName and ObjectQMgrName fields in the object descrip"\
     "tor MQOD cannot be found. One of the following applies:\n- The "\
     "ObjectQMgrName field is one of the following:\n  * Blank\n  * T"\
     "he name of the local queue manager\n  * The name of a local def"\
     "inition of a remote queue (a queue-manager alias) in which the "\
     "RemoteQMgrName attribute is the name of the local queue manager"\
     " but no object with the specified ObjectName and ObjectType exi"\
     "sts on the local queue manager.\n- The object being opened is a"\
     " cluster queue that is hosted on a remote queue manager, but th"\
     "e local queue manager does not have a defined route to the remo"\
     "te queue manager.\n- The object being opened is a queue definit"\
     "ion that has QSGDISP(GROUP). Such definitions cannot be used wi"\
     "th the MQOPEN and MQPUT1 calls. This can also occur in response"\
     " to a command that specifies the name of an object or other ite"\
     "m that does not exist.",
   "Specify a valid object name. Ensure that the name is padded to th"\
     "e right with blanks if necessary. If this is correct, check the"\
     " object definitions.",
},
{  2086,
   "MQRC_UNKNOWN_OBJECT_Q_MGR",
   "MQCC_FAILED",
   "On an MQOPEN or MQPUT1 call, the ObjectQMgrName field in the obje"\
     "ct descriptor MQOD does not satisfy the naming rules for object"\
     "s. For more information, see the WebSphere MQ Application Progr"\
     "amming Guide. This reason also occurs if the ObjectType field i"\
     "n the object descriptor has the value MQOT_Q_MGR, and the Objec"\
     "tQMgrName field is not blank, but the name specified is not the"\
     " name of the local queue manager.",
   "Specify a valid queue manager name. To refer to the local queue m"\
     "anager, a name consisting entirely of blanks or beginning with "\
     "a null character can be used. Ensure that the name is padded to"\
     " the right with blanks or terminated with a null character if n"\
     "ecessary.",
},
{  2087,
   "MQRC_UNKNOWN_REMOTE_Q_MGR",
   "MQCC_FAILED",
   "On an MQOPEN or MQPUT1 call, an error occurred with the queue-nam"\
     "e resolution, for one of the following reasons:\n- ObjectQMgrNa"\
     "me is blank or the name of the local queue manager, ObjectName "\
     "is the name of a local definition of a remote queue (or an alia"\
     "s to one), and one of the following is true:\n  * RemoteQMgrNam"\
     "e is blank or the name of the local queue manager. Note that th"\
     "is error occurs even if XmitQName is not blank.\n  * XmitQName "\
     "is blank, but there is no transmission queue defined with the n"\
     "ame of RemoteQMgrName, and the DefXmitQName queue-manager attri"\
     "bute is blank.\n  * RemoteQMgrName and RemoteQName specify a cl"\
     "uster queue that cannot be resolved successfully, and the DefXm"\
     "itQName queue-manager attribute is blank.\n  * On z/OS only, th"\
     "e RemoteQMgrName is the name of a queue manager in the Queue Sh"\
     "aring group but intra-group queuing is disabled.\n- ObjectQMgrN"\
     "ame is the name of a local definition of a remote queue (contai"\
     "ning a queue-manager alias definition), and one of the followin"\
     "g is true:\n  * RemoteQName is not blank.\n  * XmitQName is bla"\
     "nk, but there is no transmission queue defined with the name of"\
     " RemoteQMgrName, and the DefXmitQName queue-manager attribute i"\
     "s blank.\n- ObjectQMgrName is not:\n  * Blank\n  * The name of "\
     "the local queue manager\n  * The name of a transmission queue\n"\
     "  * The name of a queue-manager alias definition (that is, a lo"\
     "cal definition of a remote queue with a blank RemoteQName) but "\
     "the DefXmitQName queue-manager attribute is blank and the queue"\
     " manager is not part of a queue-sharing group with intra-group "\
     "queuing enabled.\n- ObjectQMgrName is the name of a model queue"\
     ".\n- The queue name is resolved through a cell directory. Howev"\
     "er, there is no queue defined with the same name as the remote "\
     "queue manager name obtained from the cell directory, and the De"\
     "fXmitQName queue-manager attribute is blank.",
   "Check the values specified for ObjectQMgrName and ObjectName. If "\
     "these are correct, check the queue definitions.",
},
{  2090,
   "MQRC_WAIT_INTERVAL_ERROR",
   "MQCC_FAILED",
   "On the MQGET call, the value specified for the WaitInterval field"\
     " in the GetMsgOpts parameter is not valid.",
   "Specify a value greater than or equal to zero, or the special val"\
     "ue MQWI_UNLIMITED if an indefinite wait is required.",
},
{  2091,
   "MQRC_XMIT_Q_TYPE_ERROR",
   "MQCC_FAILED",
   "On an MQOPEN or MQPUT1 call, a message is to be sent to a remote "\
     "queue manager. The ObjectName or ObjectQMgrName field in the ob"\
     "ject descriptor specifies the name of a local definition of a r"\
     "emote queue but one of the following applies to the XmitQName a"\
     "ttribute of the definition:\n- XmitQName is not blank, but spec"\
     "ifies a queue that is not a local queue\n- XmitQName is blank, "\
     "but RemoteQMgrName specifies a queue that is not a local queue "\
     "This reason also occurs if the queue name is resolved through a"\
     " cell directory, and the remote queue manager name obtained fro"\
     "m the cell directory is the name of a queue, but this is not a "\
     "local queue.",
   "Check the values specified for ObjectName and ObjectQMgrName. If "\
     "these are correct, check the queue definitions. For more inform"\
     "ation on transmission queues, see the WebSphere MQ Application "\
     "Programming Guide.",
},
{  2092,
   "MQRC_XMIT_Q_USAGE_ERROR",
   "MQCC_FAILED",
   "On an MQOPEN or MQPUT1 call, a message is to be sent to a remote "\
     "queue manager, but one of the following occurred:\n- ObjectQMgr"\
     "Name specifies the name of a local queue, but it does not have "\
     "a Usage attribute of MQUS_TRANSMISSION.\n- The ObjectName or Ob"\
     "jectQMgrName field in the object descriptor specifies the name "\
     "of a local definition of a remote queue but one of the followin"\
     "g applies to the XmitQName attribute of the definition:\n  * Xm"\
     "itQName is not blank, but specifies a queue that does not have "\
     "a Usage attribute of MQUS_TRANSMISSION\n  * XmitQName is blank,"\
     " but RemoteQMgrName specifies a queue that does not have a Usag"\
     "e attribute of MQUS_TRANSMISSION\n  * XmitQName specifies the q"\
     "ueue SYSTEM.QSG.TRANSMIT.QUEUE the IGQ queue manager attribute "\
     "indicates that IGQ is DISABLED.\n- The queue name is resolved t"\
     "hrough a cell directory, and the remote queue manager name obta"\
     "ined from the cell directory is the name of a local queue, but "\
     "it does not have a Usage attribute of MQUS_TRANSMISSION.",
   "Check the values specified for ObjectName and ObjectQMgrName. If "\
     "these are correct, check the queue definitions. For more inform"\
     "ation on transmission queues, see the WebSphere MQ Application "\
     "Programming Guide.",
},
{  2093,
   "MQRC_NOT_OPEN_FOR_PASS_ALL",
   "MQCC_FAILED",
   "An MQPUT call was issued with the MQPMO_PASS_ALL_CONTEXT option s"\
     "pecified in the PutMsgOpts parameter, but the queue had not bee"\
     "n opened with the MQOO_PASS_ALL_CONTEXT option.",
   "Specify MQOO_PASS_ALL_CONTEXT (or another option that implies it)"\
     " when the queue is opened.",
},
{  2094,
   "MQRC_NOT_OPEN_FOR_PASS_IDENT",
   "MQCC_FAILED",
   "An MQPUT call was issued with the MQPMO_PASS_IDENTITY_CONTEXT opt"\
     "ion specified in the PutMsgOpts parameter, but the queue had no"\
     "t been opened with the MQOO_PASS_IDENTITY_CONTEXT option.",
   "Specify MQOO_PASS_IDENTITY_CONTEXT (or another option that implie"\
     "s it) when the queue is opened.",
},
{  2095,
   "MQRC_NOT_OPEN_FOR_SET_ALL",
   "MQCC_FAILED",
   "An MQPUT call was issued with the MQPMO_SET_ALL_CONTEXT option sp"\
     "ecified in the PutMsgOpts parameter, but the queue had not been"\
     " opened with the MQOO_SET_ALL_CONTEXT option.",
   "Specify MQOO_SET_ALL_CONTEXT when the queue is opened.",
},
{  2096,
   "MQRC_NOT_OPEN_FOR_SET_IDENT",
   "MQCC_FAILED",
   "An MQPUT call was issued with the MQPMO_SET_IDENTITY_CONTEXT opti"\
     "on specified in the PutMsgOpts parameter, but the queue had not"\
     " been opened with the MQOO_SET_IDENTITY_CONTEXT option.",
   "Specify MQOO_SET_IDENTITY_CONTEXT (or another option that implies"\
     " it) when the queue is opened.",
},
{  2097,
   "MQRC_CONTEXT_HANDLE_ERROR",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, MQPMO_PASS_IDENTITY_CONTEXT or MQPMO_"\
     "PASS_ALL_CONTEXT was specified, but the handle specified in the"\
     " Context field of the PutMsgOpts parameter is either not a vali"\
     "d queue handle, or it is a valid queue handle but the queue was"\
     " not opened with MQOO_SAVE_ALL_CONTEXT.",
   "Specify MQOO_SAVE_ALL_CONTEXT when the queue referred to is opene"\
     "d.",
},
{  2098,
   "MQRC_CONTEXT_NOT_AVAILABLE",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, MQPMO_PASS_IDENTITY_CONTEXT or MQPMO_"\
     "PASS_ALL_CONTEXT was specified, but the queue handle specified "\
     "in the Context field of the PutMsgOpts parameter has no context"\
     " associated with it. This arises if no message has yet been suc"\
     "cessfully retrieved with the queue handle referred to, or if th"\
     "e last successful MQGET call was a browse. This condition does "\
     "not arise if the message that was last retrieved had no context"\
     " associated with it.\n- On z/OS, if a message is received by a "\
     "message channel agent that is putting messages with the authori"\
     "ty of the user identifier in the message, this code is returned"\
     " in the Feedback field of an exception report if the message ha"\
     "s no context associated with it.",
   "Ensure that a successful nonbrowse get call has been issued with "\
     "the queue handle referred to.",
},
{  2099,
   "MQRC_SIGNAL1_ERROR",
   "MQCC_FAILED",
   "An MQGET call was issued, specifying MQGMO_SET_SIGNAL in the GetM"\
     "sgOpts parameter, but the Signal1 field is not valid.\n- On z/O"\
     "S, the address contained in the Signal1 field is not valid, or "\
     "points to read-only storage. (It is not always possible to dete"\
     "ct parameter pointers that are not valid; if not detected, unpr"\
     "edictable results occur.)\n- On Windows 95, Windows 98, the win"\
     "dow handle in the Signal1 field is not valid. This reason code "\
     "occurs only in the following environments: z/OS, Windows 95, Wi"\
     "ndows 98.",
   "Correct the setting of the Signal1 field.",
},
{  2100,
   "MQRC_OBJECT_ALREADY_EXISTS",
   "MQCC_FAILED",
   "An MQOPEN call was issued to create a dynamic queue, but a queue "\
     "with the same name as the dynamic queue already exists.\n- On z"\
     "/OS, a rare race condition can also give rise to this reason "\
     "code; see the description of reason code MQRC_NAME_IN_USE for m"\
     "ore details.",
   "If supplying a dynamic queue name in full, ensure that it obeys t"\
     "he naming conventions for dynamic queues; if it does, either su"\
     "pply a different name, or delete the existing queue if it is no"\
     " longer required. Alternatively, allow the queue manager to gen"\
     "erate the name. If the queue manager is generating the name (ei"\
     "ther in part or in full), reissue the MQOPEN call.",
},
{  2101,
   "MQRC_OBJECT_DAMAGED",
   "MQCC_FAILED",
   "The object accessed by the call is damaged and cannot be used. Fo"\
     "r example, this may be because the definition of the object in "\
     "main storage is not consistent, or because it differs from the "\
     "definition of the object on disk, or because the definition on "\
     "disk cannot be read. The object can be deleted, although it may"\
     " not be possible to delete the associated user space.\n- On z/O"\
     "S, this reason occurs when the DB2 list header or structure num"\
     "ber associated with a shared queue is zero. This situation aris"\
     "es as a result of using the MQSC command DELETE CFSTRUCT to del"\
     "ete the DB2 structure definition. The command resets the list h"\
     "eader and structure number to zero for each of the shared queue"\
     "s that references the deleted CF strcture.",
   "It may be necessary to stop and restart the queue manager, or to "\
     "restore the queue-manager data from back-up storage.\n- On HP O"\
     "penVMS, OS/2, i5/OS, Compaq NonStop Kernel, and UNIX systems, c"\
     "onsult the FFST record to obtain more detail about the problem"\
     ".\n- On z/OS, delete the shared queue and redefine it using the"\
     " MQSC command DEFINE QLOCAL. This will automatically define a C"\
     "F structure and allocate list headers for it.",
},
{  2102,
   "MQRC_RESOURCE_PROBLEM",
   "MQCC_FAILED",
   "There are insufficient system resources to complete the call succ"\
     "essfully. On z/OS this can indicate DB2 errors occurred when us"\
     "ing shared queues.",
   "Run the application when the machine is less heavily loaded.\n- O"\
     "n z/OS, check the operator console for messages that may provid"\
     "e additional information.\n- On HP OpenVMS, OS/2, i5/OS, Compaq"\
     " NonStop Kernel, and UNIX systems, consult the FFST record to o"\
     "btain more detail about the problem.",
},
{  2103,
   "MQRC_ANOTHER_Q_MGR_CONNECTED",
   "MQCC_FAILED",
   "An MQCONN or MQCONNX call was issued, but the thread or process i"\
     "s already connected to a different queue manager. The thread or"\
     " process can connect to only one queue manager at a time.\n- On"\
     " z/OS, this reason code does not occur.\n- On Windows, MTS obje"\
     "cts do not receive this reason code, as connections to other qu"\
     "eue managers are allowed.",
   "Use the MQDISC call to disconnect from the queue manager that is "\
     "already connected, and then issue the MQCONN or MQCONNX call to"\
     " connect to the new queue manager. Disconnecting from the exist"\
     "ing queue manager will close any queues that are currently open"\
     "; it is recommended that any uncommitted units of work should b"\
     "e committed or backed out before the MQDISC call is issued.",
},
{  2104,
   "MQRC_UNKNOWN_REPORT_OPTION",
   "MQCC_WARNING",
   "An MQPUT or MQPUT1 call was issued, but the Report field in the m"\
     "essage descriptor MQMD contains one or more options that are no"\
     "t recognized by the local queue manager. The options are accept"\
     "ed. The options that cause this reason code to be returned depe"\
     "nd on the destination of the message; see the description of RE"\
     "PORT in the WebSphere MQ Application Programming Reference for "\
     "more details.",
   "If this reason code is expected, no corrective action is required"\
     ". If this reason code is not expected, do the following:\n- Ens"\
     "ure that the Report field in the message descriptor is initiali"\
     "zed with a value when the message descriptor is declared, or is"\
     " assigned a value prior to the MQPUT or MQPUT1 call.\n- Ensure "\
     "that the report options specified are valid; see the Report fie"\
     "ld described in the description of MQMD in the WebSphere MQ App"\
     "lication Programming Reference for valid report options.\n- If "\
     "multiple report options are being set by adding the individual "\
     "report options together, ensure that the same report option is "\
     "not added twice.\n- Check that conflicting report options are n"\
     "ot specified. For example, do not add both MQRO_EXCEPTION and M"\
     "QRO_EXCEPTION_WITH_DATA to the Report field; only one of these "\
     "can be specified.",
},
{  2105,
   "MQRC_STORAGE_CLASS_ERROR",
   "MQCC_FAILED",
   "The MQPUT or MQPUT1 call was issued, but the storage-class object"\
     " defined for the queue does not exist. This reason code occurs "\
     "only on z/OS.",
   "Create the storage-class object required by the queue, or modify "\
     "the queue definition to use an existing storage class. The name"\
     " of the storage-class object used by the queue is given by the "\
     "StorageClass queue attribute.",
},
{  2106,
   "MQRC_COD_NOT_VALID_FOR_XCF_Q",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the Report field in the m"\
     "essage descriptor MQMD specifies one of the MQRO_COD_* options "\
     "and the target queue is an XCF queue. MQRO_COD_* options cannot"\
     " be specified for XCF queues. This reason code occurs only on z"\
     "/OS.",
   "Remove the relevant MQRO_COD_* option.",
},
{  2107,
   "MQRC_XWAIT_CANCELED",
   "MQCC_FAILED",
   "An MQXWAIT call was issued, but the call has been canceled becaus"\
     "e a STOP CHINIT command has been issued (or the queue manager h"\
     "as been stopped, which causes the same effect). Refer to the We"\
     "bSphere MQ Intercommunication book for details of the MQXWAIT c"\
     "all. This reason code occurs only on z/OS.",
   "Tidy up and terminate.",
},
{  2108,
   "MQRC_XWAIT_ERROR",
   "MQCC_FAILED",
   "An MQXWAIT call was issued, but the invocation was not valid for "\
     "one of the following reasons:\n- The wait descriptor MQXWD cont"\
     "ains data that is not valid.\n- The linkage stack level is not "\
     "valid.\n- The addressing mode is not valid.\n- There are too ma"\
     "ny wait events outstanding. This reason code occurs only on z/O"\
     "S.",
   "Obey the rules for using the MQXWAIT call. Refer to the WebSphere"\
     " MQ Intercommunication book for details of this call.",
},
{  2109,
   "MQRC_SUPPRESSED_BY_EXIT",
   "MQCC_FAILED",
   "On any call other than MQCONN or MQDISC, the API crossing exit su"\
     "ppressed the call. This reason code occurs only on z/OS.",
   "Obey the rules for MQI calls that the exit enforces. To find out "\
     "the rules, see the writer of the exit.",
},
{  2110,
   "MQRC_FORMAT_ERROR",
   "MQCC_WARNING",
   "An MQGET call was issued with the MQGMO_CONVERT option specified "\
     "in the GetMsgOpts parameter, but the message cannot be converte"\
     "d successfully due to an error associated with the message form"\
     "at. Possible errors include:\n- The format name in the message "\
     "is MQFMT_NONE.\n- A user-written exit with the name specified b"\
     "y the Format field in the message cannot be found.\n- The messa"\
     "ge contains data that is not consistent with the format definit"\
     "ion. The message is returned unconverted to the application iss"\
     "uing the MQGET call, the values of the CodedCharSetId and Encod"\
     "ing fields in the MsgDesc parameter are set to those of the mes"\
     "sage returned, and the call completes with MQCC_WARNING. If the"\
     " message consists of several parts, each of which is described "\
     "by its own CodedCharSetId and Encoding fields (for example, a m"\
     "essage with format name MQFMT_DEAD_LETTER_HEADER), some parts m"\
     "ay be converted and other parts not converted. However, the val"\
     "ues returned in the various CodedCharSetId and Encoding fields "\
     "always correctly describe the relevant message data.",
   "Check the format name that was specified when the message was put"\
     ". If this is not one of the built-in formats, check that a suit"\
     "able exit with the same name as the format is available for the"\
     " queue manager to load. Verify that the data in the message cor"\
     "responds to the format expected by the exit.",
},
{  2111,
   "MQRC_SOURCE_CCSID_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "The coded character-set identifier from which character data is t"\
     "o be converted is not valid or not supported. This can occur on"\
     " the MQGET call when the MQGMO_CONVERT option is included in th"\
     "e GetMsgOpts parameter; the coded character-set identifier in e"\
     "rror is the CodedCharSetId field in the message being retrieved"\
     ". In this case, the message data is returned unconverted, the v"\
     "alues of the CodedCharSetId and Encoding fields in the MsgDesc "\
     "parameter are set to those of the message returned, and the cal"\
     "l completes with MQCC_WARNING. This reason can also occur on th"\
     "e MQGET call when the message contains one or more MQ header st"\
     "ructures (MQCIH, MQDLH, MQIIH, MQRMH), and the CodedCharSetId f"\
     "ield in the message specifies a character set that does not hav"\
     "e SBCS characters for the characters that are valid in queue na"\
     "mes. MQ header structures containing such characters are not va"\
     "lid, and so the message is returned unconverted. The Unicode ch"\
     "aracter set UCS-2 is an example of such a character set. If the"\
     " message consists of several parts, each of which is described "\
     "by its own CodedCharSetId and Encoding fields (for example, a m"\
     "essage with format name MQFMT_DEAD_LETTER_HEADER), some parts m"\
     "ay be converted and other parts not converted. However, the val"\
     "ues returned in the various CodedCharSetId and Encoding fields "\
     "always correctly describe the relevant message data. This reaso"\
     "n can also occur on the MQXCNVC call; the coded character-set i"\
     "dentifier in error is the SourceCCSID parameter. Either the Sou"\
     "rceCCSID parameter specifies a value that is not valid or not s"\
     "upported, or the SourceCCSID parameter pointer is not valid. (I"\
     "t is not always possible to detect parameter pointers that are "\
     "not valid; if not detected, unpredictable results occur.)",
   "Check the character-set identifier that was specified when the me"\
     "ssage was put, or that was specified for the SourceCCSID parame"\
     "ter on the MQXCNVC call. If this is correct, check that it is o"\
     "ne for which queue-manager conversion is supported. If queue-ma"\
     "nager conversion is not supported for the specified character s"\
     "et, conversion must be carried out by the application.",
},
{  2112,
   "MQRC_SOURCE_INTEGER_ENC_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "On an MQGET call, with the MQGMO_CONVERT option included in the G"\
     "etMsgOpts parameter, the Encoding value in the message being re"\
     "trieved specifies an integer encoding that is not recognized. T"\
     "he message data is returned unconverted, the values of the Code"\
     "dCharSetId and Encoding fields in the MsgDesc parameter are set"\
     " to those of the message returned, and the call completes with "\
     "MQCC_WARNING. If the message consists of several parts, each of"\
     " which is described by its own CodedCharSetId and Encoding fiel"\
     "ds (for example, a message with format name MQFMT_DEAD_LETTER_H"\
     "EADER), some parts may be converted and other parts not convert"\
     "ed. However, the values returned in the various CodedCharSetId "\
     "and Encoding fields always correctly describe the relevant mess"\
     "age data. This reason code can also occur on the MQXCNVC call, "\
     "when the Options parameter contains an unsupported MQDCC_SOURCE"\
     "_* value, or when MQDCC_SOURCE_ENC_UNDEFINED is specified for a"\
     " UCS-2 code page.",
   "Check the integer encoding that was specified when the message wa"\
     "s put. If this is correct, check that it is one for which queue"\
     "-manager conversion is supported. If queue-manager conversion i"\
     "s not supported for the required integer encoding, conversion m"\
     "ust be carried out by the application.",
},
{  2113,
   "MQRC_SOURCE_DECIMAL_ENC_ERROR",
   "MQCC_WARNING",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, the Encoding value in the message being ret"\
     "rieved specifies a decimal encoding that is not recognized. The"\
     " message data is returned unconverted, the values of the CodedC"\
     "harSetId and Encoding fields in the MsgDesc parameter are set t"\
     "o those of the message returned, and the call completes with MQ"\
     "CC_WARNING. If the message consists of several parts, each of w"\
     "hich is described by its own CodedCharSetId and Encoding fields"\
     " (for example, a message with format name MQFMT_DEAD_LETTER_HEA"\
     "DER), some parts may be converted and other parts not converted"\
     ". However, the values returned in the various CodedCharSetId an"\
     "d Encoding fields always correctly describe the relevant messag"\
     "e data.",
   "Check the decimal encoding that was specified when the message wa"\
     "s put. If this is correct, check that it is one for which queue"\
     "-manager conversion is supported. If queue-manager conversion i"\
     "s not supported for the required decimal encoding, conversion m"\
     "ust be carried out by the application.",
},
{  2114,
   "MQRC_SOURCE_FLOAT_ENC_ERROR",
   "MQCC_WARNING",
   "On an MQGET call, with the MQGMO_CONVERT option included in the G"\
     "etMsgOpts parameter, the Encoding value in the message being re"\
     "trieved specifies a floating-point encoding that is not recogni"\
     "zed. The message data is returned unconverted, the values of th"\
     "e CodedCharSetId and Encoding fields in the MsgDesc parameter a"\
     "re set to those of the message returned, and the call completes"\
     " with MQCC_WARNING. If the message consists of several parts, e"\
     "ach of which is described by its own CodedCharSetId and Encodin"\
     "g fields (for example, a message with format name MQFMT_DEAD_LE"\
     "TTER_HEADER), some parts may be converted and other parts not c"\
     "onverted. However, the values returned in the various CodedChar"\
     "SetId and Encoding fields always correctly describe the relevan"\
     "t message data.",
   "Check the floating-point encoding that was specified when the mes"\
     "sage was put. If this is correct, check that it is one for whic"\
     "h queue-manager conversion is supported. If queue-manager conve"\
     "rsion is not supported for the required floating-point encoding"\
     ", conversion must be carried out by the application.",
},
{  2115,
   "MQRC_TARGET_CCSID_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "The coded character-set identifier to which character data is to "\
     "be converted is not valid or not supported. This can occur on t"\
     "he MQGET call when the MQGMO_CONVERT option is included in the "\
     "GetMsgOpts parameter; the coded character-set identifier in err"\
     "or is the CodedCharSetId field in the MsgDesc parameter. In thi"\
     "s case, the message data is returned unconverted, the values of"\
     " the CodedCharSetId and Encoding fields in the MsgDesc paramete"\
     "r are set to those of the message returned, and the call comple"\
     "tes with MQCC_WARNING. This reason can also occur on the MQGET "\
     "call when the message contains one or more MQ header structures"\
     " (MQCIH, MQDLH, MQIIH, MQRMH), and the CodedCharSetId field in "\
     "the MsgDesc parameter specifies a character set that does not h"\
     "ave SBCS characters for the characters that are valid in queue "\
     "names. The Unicode character set UCS-2 is an example of such a "\
     "character set. This reason can also occur on the MQXCNVC call; "\
     "the coded character-set identifier in error is the TargetCCSID "\
     "parameter. Either the TargetCCSID parameter specifies a value t"\
     "hat is not valid or not supported, or the TargetCCSID parameter"\
     " pointer is not valid. (It is not always possible to detect par"\
     "ameter pointers that are not valid; if not detected, unpredicta"\
     "ble results occur.)",
   "Check the character-set identifier that was specified for the Cod"\
     "edCharSetId field in the MsgDesc parameter on the MQGET call, o"\
     "r that was specified for the SourceCCSID parameter on the MQXCN"\
     "VC call. If this is correct, check that it is one for which que"\
     "ue-manager conversion is supported. If queue-manager conversion"\
     " is not supported for the specified character set, conversion m"\
     "ust be carried out by the application.",
},
{  2116,
   "MQRC_TARGET_INTEGER_ENC_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, the Encoding value in the MsgDesc parameter"\
     " specifies an integer encoding that is not recognized. The mess"\
     "age data is returned unconverted, the values of the CodedCharSe"\
     "tId and Encoding fields in the MsgDesc parameter are set to tho"\
     "se of the message being retrieved, and the call completes with "\
     "MQCC_WARNING. This reason code can also occur on the MQXCNVC ca"\
     "ll, when the Options parameter contains an unsupported MQDCC_TA"\
     "RGET_* value, or when MQDCC_TARGET_ENC_UNDEFINED is specified f"\
     "or a UCS-2 code page.",
   "Check the integer encoding that was specified. If this is correct"\
     ", check that it is one for which queue-manager conversion is su"\
     "pported. If queue-manager conversion is not supported for the r"\
     "equired integer encoding, conversion must be carried out by the"\
     " application.",
},
{  2117,
   "MQRC_TARGET_DECIMAL_ENC_ERROR",
   "MQCC_WARNING",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, the Encoding value in the MsgDesc parameter"\
     " specifies a decimal encoding that is not recognized. The messa"\
     "ge data is returned unconverted, the values of the CodedCharSet"\
     "Id and Encoding fields in the MsgDesc parameter are set to thos"\
     "e of the message returned, and the call completes with MQCC_WAR"\
     "NING.",
   "Check the decimal encoding that was specified. If this is correct"\
     ", check that it is one for which queue-manager conversion is su"\
     "pported. If queue-manager conversion is not supported for the r"\
     "equired decimal encoding, conversion must be carried out by the"\
     " application.",
},
{  2118,
   "MQRC_TARGET_FLOAT_ENC_ERROR",
   "MQCC_WARNING",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, the Encoding value in the MsgDesc parameter"\
     " specifies a floating-point encoding that is not recognized. Th"\
     "e message data is returned unconverted, the values of the Coded"\
     "CharSetId and Encoding fields in the MsgDesc parameter are set "\
     "to those of the message returned, and the call completes with M"\
     "QCC_WARNING.",
   "Check the floating-point encoding that was specified. If this is "\
     "correct, check that it is one for which queue-manager conversio"\
     "n is supported. If queue-manager conversion is not supported fo"\
     "r the required floating-point encoding, conversion must be carr"\
     "ied out by the application.",
},
{  2119,
   "MQRC_NOT_CONVERTED",
   "MQCC_WARNING",
   "An MQGET call was issued with the MQGMO_CONVERT option specified "\
     "in the GetMsgOpts parameter, but an error occurred during conve"\
     "rsion of the data in the message. The message data is returned "\
     "unconverted, the values of the CodedCharSetId and Encoding fiel"\
     "ds in the MsgDesc parameter are set to those of the message ret"\
     "urned, and the call completes with MQCC_WARNING. If the message"\
     " consists of several parts, each of which is described by its o"\
     "wn CodedCharSetId and Encoding fields (for example, a message w"\
     "ith format name MQFMT_DEAD_LETTER_HEADER), some parts may be co"\
     "nverted and other parts not converted. However, the values retu"\
     "rned in the various CodedCharSetId and Encoding fields always c"\
     "orrectly describe the relevant message data. This error may als"\
     "o indicate that a parameter to the data-conversion service is n"\
     "ot supported.",
   "Check that the message data is correctly described by the Format,"\
     " CodedCharSetId and Encoding parameters that were specified whe"\
     "n the message was put. Also check that these values, and the Co"\
     "dedCharSetId and Encoding specified in the MsgDesc parameter on"\
     " the MQGET call, are supported for queue-manager conversion. If"\
     " the required conversion is not supported, conversion must be c"\
     "arried out by the application.",
},
{  2120,
   "MQRC_CONVERTED_MSG_TOO_BIG",
   "MQCC_WARNING",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, the message data expanded during data conve"\
     "rsion and exceeded the size of the buffer provided by the appli"\
     "cation. However, the message had already been removed from the "\
     "queue because prior to conversion the message data could be acc"\
     "ommodated in the application buffer without truncation. The mes"\
     "sage is returned unconverted, with the CompCode parameter of th"\
     "e MQGET call set to MQCC_WARNING. If the message consists of se"\
     "veral parts, each of which is described by its own character-se"\
     "t and encoding fields (for example, a message with format name "\
     "MQFMT_DEAD_LETTER_HEADER), some parts may be converted and othe"\
     "r parts not converted. However, the values returned in the vari"\
     "ous character-set and encoding fields always correctly describe"\
     " the relevant message data. This reason can also occur on the M"\
     "QXCNVC call, when the TargetBuffer parameter is too small too a"\
     "ccommodate the converted string, and the string has been trunca"\
     "ted to fit in the buffer. The length of valid data returned is "\
     "given by the DataLength parameter; in the case of a DBCS string"\
     " or mixed SBCS/DBCS string, this length may be less than the le"\
     "ngth of TargetBuffer.",
   "For the MQGET call, check that the exit is converting the message"\
     " data correctly and setting the output length DataLength to the"\
     " appropriate value. If it is, the application issuing the MQGET"\
     " call must provide a larger buffer for the Buffer parameter. Fo"\
     "r the MQXCNVC call, if the string must be converted without tru"\
     "ncation, provide a larger output buffer.",
},
{  2121,
   "MQRC_NO_EXTERNAL_PARTICIPANTS",
   "MQCC_WARNING",
   "An MQBEGIN call was issued to start a unit of work coordinated by"\
     " the queue manager, but no participating resource managers have"\
     " been registered with the queue manager. As a result, only chan"\
     "ges to MQ resources can be coordinated by the queue manager in "\
     "the unit of work. This reason code occurs in the following envi"\
     "ronments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows.",
   "If the application does not require non-MQ resources to participa"\
     "te in the unit of work, this reason code can be ignored or the "\
     "MQBEGIN call removed. Otherwise consult your system programmer "\
     "to determine why the required resource managers have not been r"\
     "egistered with the queue manager; the queue managers configura"\
     "tion file may be in error.",
},
{  2122,
   "MQRC_PARTICIPANT_NOT_AVAILABLE",
   "MQCC_WARNING",
   "An MQBEGIN call was issued to start a unit of work coordinated by"\
     " the queue manager, but one or more of the participating resour"\
     "ce managers that had been registered with the queue manager is "\
     "not available. As a result, changes to those resources cannot b"\
     "e coordinated by the queue manager in the unit of work. This re"\
     "ason code occurs in the following environments: AIX, HP-UX, OS/"\
     "2, i5/OS, Solaris, Windows.",
   "If the application does not require non-MQ resources to participa"\
     "te in the unit of work, this reason code can be ignored. Otherw"\
     "ise consult your system programmer to determine why the require"\
     "d resource managers are not available. The resource manager may"\
     " have been halted temporarily, or there may be an error in the "\
     "queue managers configuration file.",
},
{  2123,
   "MQRC_OUTCOME_MIXED",
   "MQCC_FAILED",
   "The queue manager is acting as the unit-of-work coordinator for a"\
     " unit of work that involves other resource managers, but one of"\
     " the following occurred:\n- An MQCMIT or MQDISC call was issued"\
     " to commit the unit of work, but one or more of the participati"\
     "ng resource managers backed-out the unit of work instead of com"\
     "mitting it. As a result, the outcome of the unit of work is mix"\
     "ed.\n- An MQBACK call was issued to back out a unit of work, bu"\
     "t one or more of the participating resource managers had alread"\
     "y committed the unit of work. This reason code occurs in the fo"\
     "llowing environments: AIX, HP-UX, OS/2, Solaris, Windows.",
   "Examine the queue-manager error logs for messages relating to the"\
     " mixed outcome; these messages identify the resource managers t"\
     "hat are affected. Use procedures local to the affected resource"\
     " managers to resynchronize the resources. This reason code does"\
     " not prevent the application initiating further units of work.",
},
{  2124,
   "MQRC_OUTCOME_PENDING",
   "MQCC_WARNING",
   "The queue manager is acting as the unit-of-work coordinator for a"\
     " unit of work that involves other resource managers, and an MQC"\
     "MIT or MQDISC call was issued to commit the unit of work, but o"\
     "ne or more of the participating resource managers has not confi"\
     "rmed that the unit of work was committed successfully. The comp"\
     "letion of the commit operation will happen at some point in the"\
     " future, but there remains the possibility that the outcome wil"\
     "l be mixed. This reason code occurs in the following environmen"\
     "ts: AIX, HP-UX, OS/2, Solaris, Windows.",
   "Use the normal error-reporting mechanisms to determine whether th"\
     "e outcome was mixed. If it was, take appropriate action to resy"\
     "nchronize the resources. This reason code does not prevent the "\
     "application initiating further units of work.",
},
{  2125,
   "MQRC_BRIDGE_STARTED",
   "MQCC_WARNING",
   "The IMS bridge has been started.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2126,
   "MQRC_BRIDGE_STOPPED",
   "MQCC_WARNING",
   "The IMS bridge has been stopped.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2127,
   "MQRC_ADAPTER_STORAGE_SHORTAGE",
   "MQCC_FAILED",
   "On an MQCONN call, the adapter was unable to acquire storage. Thi"\
     "s reason code occurs only on z/OS.",
   "Notify the system programmer. The system programmer should determ"\
     "ine why the system is short on storage, and take appropriate ac"\
     "tion, for example, increase the region size on the step or job "\
     "card.",
},
{  2128,
   "MQRC_UOW_IN_PROGRESS",
   "MQCC_FAILED",
   "An MQBEGIN call was issued to start a unit of work coordinated by"\
     " the queue manager, but a unit of work is already in existence "\
     "for the connection handle specified. This may be a global unit "\
     "of work started by a previous MQBEGIN call, or a unit of work t"\
     "hat is local to the queue manager or one of the cooperating res"\
     "ource managers. No more than one unit of work can exist concurr"\
     "ently for a connection handle. This reason code occurs in the f"\
     "ollowing environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Window"\
     "s.",
   "Review the application logic to determine why there is a unit of "\
     "work already in existence. Move the MQBEGIN call to the appropr"\
     "iate place in the application.",
},
{  2129,
   "MQRC_ADAPTER_CONN_LOAD_ERROR",
   "MQCC_FAILED",
   "On an MQCONN call, the connection handling module (CSQBCON for ba"\
     "tch and CSQQCONN for IMS) could not be loaded, so the adapter c"\
     "ould not link to it. This reason code occurs only on z/OS.",
   "Ensure that the correct library concatenation has been specified "\
     "in the batch application program execution JCL, and in the queu"\
     "e-manager startup JCL.",
},
{  2130,
   "MQRC_ADAPTER_SERV_LOAD_ERROR",
   "MQCC_FAILED",
   "On an MQI call, the batch adapter could not load the API service "\
     "module CSQBSRV, and so could not link to it. This reason code o"\
     "ccurs only on z/OS.",
   "Ensure that the correct library concatenation has been specified "\
     "in the batch application program execution JCL, and in the queu"\
     "e-manager startup JCL.",
},
{  2131,
   "MQRC_ADAPTER_DEFS_ERROR",
   "MQCC_FAILED",
   "On an MQCONN call, the subsystem definition module (CSQBDEFV for "\
     "batch and CSQQDEFV for IMS) does not contain the required contr"\
     "ol block identifier. This reason code occurs only on z/OS.",
   "Check your library concatenation. If this is correct, check that "\
     "the CSQBDEFV or CSQQDEFV module contains the required subsystem"\
     " ID.",
},
{  2132,
   "MQRC_ADAPTER_DEFS_LOAD_ERROR",
   "MQCC_FAILED",
   "On an MQCONN call, the subsystem definition module (CSQBDEFV for "\
     "batch and CSQQDEFV for IMS) could not be loaded. This reason co"\
     "de occurs only on z/OS.",
   "Ensure that the correct library concatenation has been specified "\
     "in the application program execution JCL, and in the queue-mana"\
     "ger startup JCL.",
},
{  2133,
   "MQRC_ADAPTER_CONV_LOAD_ERROR",
   "MQCC_FAILED",
   "On an MQGET call, the adapter (batch or IMS) could not load the d"\
     "ata conversion services modules. This reason code occurs only o"\
     "n z/OS.",
   "Ensure that the correct library concatenation has been specified "\
     "in the batch application program execution JCL, and in the queu"\
     "e-manager startup JCL.",
},
{  2134,
   "MQRC_BO_ERROR",
   "MQCC_FAILED",
   "On an MQBEGIN call, the begin-options structure MQBO is not valid"\
     ", for one of the following reasons:\n- The StrucId field is not"\
     " MQBO_STRUC_ID.\n- The Version field is not MQBO_VERSION_1.\n- "\
     "The parameter pointer is not valid. (It is not always possible "\
     "to detect parameter pointers that are not valid; if not detecte"\
     "d, unpredictable results occur.)\n- The queue manager cannot co"\
     "py the changed structure to application storage, even though th"\
     "e call is successful. This can occur, for example, if the point"\
     "er points to read-only storage. This reason code occurs in the "\
     "following environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windo"\
     "ws, plus WebSphere MQ clients connected to these systems.",
   "Ensure that input fields in the MQBO structure are set correctly.",
},
{  2135,
   "MQRC_DH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQDH structure that is not valid. Possible errors include t"\
     "he following:\n- The StrucId field is not MQDH_STRUC_ID.\n- The"\
     " Version field is not MQDH_VERSION_1.\n- The StrucLength field "\
     "specifies a value that is too small to include the structure pl"\
     "us the arrays of MQOR and MQPMR records.\n- The CodedCharSetId "\
     "field is zero, or a negative value that is not valid.\n- The Bu"\
     "fferLength parameter of the call has a value that is too small "\
     "to accommodate the structure (the structure extends beyond the "\
     "end of the message). This reason code occurs in the following e"\
     "nvironments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus We"\
     "bSphere MQ clients connected to these systems.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).",
},
{  2136,
   "MQRC_MULTIPLE_REASONS",
   "MQCC_WARNING or MQCC_FAILED",
   "An MQOPEN, MQPUT or MQPUT1 call was issued to open a distribution"\
     " list or put a message to a distribution list, but the result o"\
     "f the call was not the same for all of the destinations in the "\
     "list. One of the following applies:\n- The call succeeded for s"\
     "ome of the destinations but not others. The completion code is "\
     "MQCC_WARNING in this case.\n- The call failed for all of the de"\
     "stinations, but for differing reasons. The completion code is M"\
     "QCC_FAILED in this case. This reason code occurs in the followi"\
     "ng environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plu"\
     "s WebSphere MQ clients connected to these systems.",
   "Examine the MQRR response records to identify the destinations fo"\
     "r which the call failed, and the reason for the failure. Ensure"\
     " that sufficient response records are provided by the applicati"\
     "on on the call to enable the error(s) to be determined. For the"\
     " MQPUT1 call, the response records must be specified using the "\
     "MQOD structure, and not the MQPMO structure.",
},
{  2137,
   "MQRC_OPEN_FAILED",
   "MQCC_FAILED",
   "A queue or other MQ object could not be opened successfully, for "\
     "one of the following reasons:\n- An MQCONN or MQCONNX call was "\
     "issued, but the queue manager was unable to open an object that"\
     " is used internally by the queue manager. As a result, processi"\
     "ng cannot continue. The error log will contain the name of the "\
     "object that could not be opened.\n- An MQPUT call was issued to"\
     " put a message to a distribution list, but the message could no"\
     "t be sent to the destination to which this reason code applies "\
     "because that destination was not opened successfully by the MQO"\
     "PEN call. This reason occurs only in the Reason field of the MQ"\
     "RR response record. This reason code occurs in the following en"\
     "vironments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus Web"\
     "Sphere MQ clients connected to these systems.",
   "Do one of the following:\n- If the error occurred on the MQCONN o"\
     "r MQCONNX call, ensure that the required objects exist by runni"\
     "ng the following command and then retrying the application: STR"\
     "MQM -c qmgr where qmgr should be replaced by the name of the qu"\
     "eue manager.\n- If the error occurred on the MQPUT call, examin"\
     "e the MQRR response records specified on the MQOPEN call to det"\
     "ermine the reason that the queue failed to open. Ensure that su"\
     "fficient response records are provided by the application on th"\
     "e call to enable the error(s) to be determined.",
},
{  2138,
   "MQRC_ADAPTER_DISC_LOAD_ERROR",
   "MQCC_FAILED",
   "On an MQDISC call, the disconnect handling module (CSQBDSC for ba"\
     "tch and CSQQDISC for IMS) could not be loaded, so the adapter c"\
     "ould not link to it. This reason code occurs only on z/OS.",
   "Ensure that the correct library concatenation has been specified "\
     "in the application program execution JCL, and in the queue-mana"\
     "ger startup JCL. Any uncommitted changes in a unit of work shou"\
     "ld be backed out. A unit of work that is coordinated by the que"\
     "ue manager is backed out automatically.",
},
{  2139,
   "MQRC_CNO_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the connect-options structure MQCNO is not va"\
     "lid, for one of the following reasons:\n- The StrucId field is "\
     "not MQCNO_STRUC_ID.\n- The Version field specifies a value that"\
     " is not valid or not supported.\n- The parameter pointer is not"\
     " valid. (It is not always possible to detect parameter pointers"\
     " that are not valid; if not detected, unpredictable results occ"\
     "ur.)\n- The queue manager cannot copy the changed structure to "\
     "application storage, even though the call is successful. This c"\
     "an occur, for example, if the parameter pointer points to read-"\
     "only storage. This reason code occurs in the following environm"\
     "ents: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus Web"\
     "Sphere MQ clients connected to these systems.",
   "Ensure that input fields in the MQCNO structure are set correctly"\
     ".",
},
{  2140,
   "MQRC_CICS_WAIT_FAILED",
   "MQCC_FAILED",
   "On any MQI call, the CICS adapter issued an EXEC CICS WAIT reques"\
     "t, but the request was rejected by CICS. This reason code occur"\
     "s only on z/OS.",
   "Examine the CICS trace data for actual response codes. The most l"\
     "ikely cause is that the task has been canceled by the operator "\
     "or by the system.",
},
{  2141,
   "MQRC_DLH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQDLH structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQDLH_STRUC_ID.\n- T"\
     "he Version field is not MQDLH_VERSION_1.\n- The CodedCharSetId "\
     "field is zero, or a negative value that is not valid.\n- The Bu"\
     "fferLength parameter of the call has a value that is too small "\
     "to accommodate the structure (the structure extends beyond the "\
     "end of the message). This reason code occurs in the following e"\
     "nvironments: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, p"\
     "lus WebSphere MQ clients connected to these systems.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).",
},
{  2142,
   "MQRC_HEADER_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQ header structure that is not valid. Possible errors incl"\
     "ude the following:\n- The StrucId field is not valid.\n- The Ve"\
     "rsion field is not valid.\n- The StrucLength field specifies a "\
     "value that is too small.\n- The CodedCharSetId field is zero, o"\
     "r a negative value that is not valid.\n- The BufferLength param"\
     "eter of the call has a value that is too small to accommodate t"\
     "he structure (the structure extends beyond the end of the messa"\
     "ge). This reason code occurs in the following environments: AIX"\
     ", HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ"\
     " clients connected to these systems.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).",
},
{  2143,
   "MQRC_SOURCE_LENGTH_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "On the MQXCNVC call, the SourceLength parameter specifies a lengt"\
     "h that is less than zero or not consistent with the strings ch"\
     "aracter set or content (for example, the character set is a dou"\
     "ble-byte character set, but the length is not a multiple of two"\
     "). This reason also occurs if the SourceLength parameter pointe"\
     "r is not valid. (It is not always possible to detect parameter "\
     "pointers that are not valid; if not detected, unpredictable res"\
     "ults occur.) This reason code can also occur on the MQGET call "\
     "when the MQGMO_CONVERT option is specified. In this case it ind"\
     "icates that the MQRC_SOURCE_LENGTH_ERROR reason was returned by"\
     " an MQXCNVC call issued by the data conversion exit.",
   "Specify a length that is zero or greater. If the reason code occu"\
     "rs on the MQGET call, check that the logic in the data-conversi"\
     "on exit is correct.",
},
{  2144,
   "MQRC_TARGET_LENGTH_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "On the MQXCNVC call, the TargetLength parameter is not valid for "\
     "one of the following reasons:\n- TargetLength is less than zero"\
     ".\n- The TargetLength parameter pointer is not valid. (It is no"\
     "t always possible to detect parameter pointers that are not val"\
     "id; if not detected, unpredictable results occur.)\n- The MQDCC"\
     "_FILL_TARGET_BUFFER option is specified, but the value of Targe"\
     "tLength is such that the target buffer cannot be filled complet"\
     "ely with valid characters. This can occur when TargetCCSID is a"\
     " pure DBCS character set (such as UCS-2), but TargetLength spec"\
     "ifies a length that is an odd number of bytes. This reason code"\
     " can also occur on the MQGET call when the MQGMO_CONVERT option"\
     " is specified. In this case it indicates that the MQRC_TARGET_L"\
     "ENGTH_ERROR reason was returned by an MQXCNVC call issued by th"\
     "e data conversion exit.",
   "Specify a length that is zero or greater. If the MQDCC_FILL_TARGE"\
     "T_BUFFER option is specified, and TargetCCSID is a pure DBCS ch"\
     "aracter set, ensure that TargetLength specifies a length that i"\
     "s a multiple of two. If the reason code occurs on the MQGET cal"\
     "l, check that the logic in the data-conversion exit is correct.",
},
{  2145,
   "MQRC_SOURCE_BUFFER_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "On the MQXCNVC call, the SourceBuffer parameter pointer is not va"\
     "lid, or points to storage that cannot be accessed for the entir"\
     "e length specified by SourceLength. (It is not always possible "\
     "to detect parameter pointers that are not valid; if not detecte"\
     "d, unpredictable results occur.) This reason code can also occu"\
     "r on the MQGET call when the MQGMO_CONVERT option is specified."\
     " In this case it indicates that the MQRC_SOURCE_BUFFER_ERROR re"\
     "ason was returned by an MQXCNVC call issued by the data convers"\
     "ion exit.",
   "Specify a valid buffer. If the reason code occurs on the MQGET ca"\
     "ll, check that the logic in the data-conversion exit is correct"\
     ".",
},
{  2146,
   "MQRC_TARGET_BUFFER_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "On the MQXCNVC call, the TargetBuffer parameter pointer is not va"\
     "lid, or points to read-only storage, or to storage that cannot "\
     "be accessed for the entire length specified by TargetLength. (I"\
     "t is not always possible to detect parameter pointers that are "\
     "not valid; if not detected, unpredictable results occur.) This "\
     "reason code can also occur on the MQGET call when the MQGMO_CON"\
     "VERT option is specified. In this case it indicates that the MQ"\
     "RC_TARGET_BUFFER_ERROR reason was returned by an MQXCNVC call i"\
     "ssued by the data conversion exit.",
   "Specify a valid buffer. If the reason code occurs on the MQGET ca"\
     "ll, check that the logic in the data-conversion exit is correct"\
     ".",
},
{  2148,
   "MQRC_IIH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQIIH structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQIIH_STRUC_ID.\n- T"\
     "he Version field is not MQIIH_VERSION_1.\n- The StrucLength fie"\
     "ld is not MQIIH_LENGTH_1.\n- The BufferLength parameter of the "\
     "call has a value that is too small to accommodate the structure"\
     " (the structure extends beyond the end of the message). This re"\
     "ason code occurs in the following environments: AIX, HP-UX, z/O"\
     "S, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients con"\
     "nected to these systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2149,
   "MQRC_PCF_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message containing PC"\
     "F data, but the length of the message does not equal the sum of"\
     " the lengths of the PCF structures present in the message. This"\
     " can occur for messages with the following format names:\n- MQF"\
     "MT_ADMIN\n- MQFMT_EVENT\n- MQFMT_PCF This reason code occurs in"\
     " the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, Sol"\
     "aris, Windows, plus WebSphere MQ clients connected to these sys"\
     "tems.",
   "Ensure that the length of the message specified on the MQPUT or M"\
     "QPUT1 call equals the sum of the lengths of the PCF structures "\
     "contained within the message data.",
},
{  2150,
   "MQRC_DBCS_ERROR",
   "MQCC_WARNING or MQCC_FAILED",
   "An error was encountered attempting to convert a double-byte char"\
     "acter set (DBCS) string. This can occur in the following cases:"\
     "\n- On the MQXCNVC call, when the SourceCCSID parameter specifi"\
     "es the coded character-set identifier of a double-byte characte"\
     "r set, but the SourceBuffer parameter does not contain a valid "\
     "DBCS string. This may be because the string contains characters"\
     " that are not valid DBCS characters, or because the string is a"\
     " mixed SBCS/DBCS string and the shift-out/shift-in characters a"\
     "re not correctly paired. The completion code is MQCC_FAILED in "\
     "this case.\n- On the MQGET call, when the MQGMO_CONVERT option "\
     "is specified. In this case it indicates that the MQRC_DBCS_ERRO"\
     "R reason code was returned by an MQXCNVC call issued by the dat"\
     "a conversion exit. The completion code is MQCC_WARNING in this "\
     "case.",
   "Specify a valid string. If the reason code occurs on the MQGET ca"\
     "ll, check that the data in the message is valid, and that the l"\
     "ogic in the data-conversion exit is correct.",
},
{  2152,
   "MQRC_OBJECT_NAME_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to open a distribution list ("\
     "that is, the RecsPresent field in MQOD is greater than zero), b"\
     "ut the ObjectName field is neither blank nor the null string. T"\
     "his reason code occurs in the following environments: AIX, HP-U"\
     "X, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients con"\
     "nected to these systems.",
   "If it is intended to open a distribution list, set the ObjectName"\
     " field to blanks or the null string. If it is not intended to o"\
     "pen a distribution list, set the RecsPresent field to zero.",
},
{  2153,
   "MQRC_OBJECT_Q_MGR_NAME_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to open a distribution list ("\
     "that is, the RecsPresent field in MQOD is greater than zero), b"\
     "ut the ObjectQMgrName field is neither blank nor the null strin"\
     "g. This reason code occurs in the following environments: AIX, "\
     "HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients"\
     " connected to these systems.",
   "If it is intended to open a distribution list, set the ObjectQMgr"\
     "Name field to blanks or the null string. If it is not intended "\
     "to open a distribution list, set the RecsPresent field to zero.",
},
{  2154,
   "MQRC_RECS_PRESENT_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued, but the call failed for one "\
     "of the following reasons:\n- RecsPresent in MQOD is less than z"\
     "ero.\n- ObjectType in MQOD is not MQOT_Q, and RecsPresent is no"\
     "t zero. RecsPresent must be zero if the object being opened is "\
     "not a queue. This reason code occurs in the following environme"\
     "nts: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebSphere "\
     "MQ clients connected to these systems.",
   "If it is intended to open a distribution list, set the ObjectType"\
     " field to MQOT_Q and RecsPresent to the number of destinations "\
     "in the list. If it is not intended to open a distribution list,"\
     " set the RecsPresent field to zero.",
},
{  2155,
   "MQRC_OBJECT_RECORDS_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to open a distribution list ("\
     "that is, the RecsPresent field in MQOD is greater than zero), b"\
     "ut the MQOR object records are not specified correctly. One of "\
     "the following applies:\n- ObjectRecOffset is zero and ObjectRec"\
     "Ptr is zero or the null pointer.\n- ObjectRecOffset is not zero"\
     " and ObjectRecPtr is not zero and not the null pointer.\n- Obje"\
     "ctRecPtr is not a valid pointer.\n- ObjectRecPtr or ObjectRecOf"\
     "fset points to storage that is not accessible. This reason code"\
     " occurs in the following environments: AIX, HP-UX, OS/2, i5/OS,"\
     " Solaris, Windows, plus WebSphere MQ clients connected to these"\
     " systems.",
   "Ensure that one of ObjectRecOffset and ObjectRecPtr is zero and t"\
     "he other nonzero. Ensure that the field used points to accessib"\
     "le storage.",
},
{  2156,
   "MQRC_RESPONSE_RECORDS_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to open a distribution list ("\
     "that is, the RecsPresent field in MQOD is greater than zero), b"\
     "ut the MQRR response records are not specified correctly. One o"\
     "f the following applies:\n- ResponseRecOffset is not zero and R"\
     "esponseRecPtr is not zero and not the null pointer.\n- Response"\
     "RecPtr is not a valid pointer.\n- ResponseRecPtr or ResponseRec"\
     "Offset points to storage that is not accessible. This reason co"\
     "de occurs in the following environments: AIX, HP-UX, OS/2, i5/O"\
     "S, Solaris, Windows, plus WebSphere MQ clients connected to the"\
     "se systems.",
   "Ensure that at least one of ResponseRecOffset and ResponseRecPtr "\
     "is zero. Ensure that the field used points to accessible storag"\
     "e.",
},
{  2157,
   "MQRC_ASID_MISMATCH",
   "MQCC_FAILED",
   "On any MQI call, the callers primary ASID was found to be differ"\
     "ent from the home ASID. This reason code occurs only on z/OS.",
   "Correct the application (MQI calls cannot be issued in cross-memo"\
     "ry mode). Any uncommitted changes in a unit of work should be b"\
     "acked out. A unit of work that is coordinated by the queue mana"\
     "ger is backed out automatically.",
},
{  2158,
   "MQRC_PMO_RECORD_FLAGS_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message, but the PutM"\
     "sgRecFields field in the MQPMO structure is not valid, for one "\
     "of the following reasons:\n- The field contains flags that are "\
     "not valid.\n- The message is being put to a distribution list, "\
     "and put message records have been provided (that is, RecsPresen"\
     "t is greater than zero, and one of PutMsgRecOffset or PutMsgRec"\
     "Ptr is nonzero), but PutMsgRecFields has the value MQPMRF_NONE."\
     "\n- MQPMRF_ACCOUNTING_TOKEN is specified without either MQPMO_S"\
     "ET_IDENTITY_CONTEXT or MQPMO_SET_ALL_CONTEXT. This reason code "\
     "occurs in the following environments: AIX, HP-UX, OS/2, i5/OS, "\
     "Solaris, Windows, plus WebSphere MQ clients connected to these "\
     "systems.",
   "Ensure that PutMsgRecFields is set with the appropriate MQPMRF_* "\
     "flags to indicate which fields are present in the put message r"\
     "ecords. If MQPMRF_ACCOUNTING_TOKEN is specified, ensure that ei"\
     "ther MQPMO_SET_IDENTITY_CONTEXT or MQPMO_SET_ALL_CONTEXT is als"\
     "o specified. Alternatively, set both PutMsgRecOffset and PutMsg"\
     "RecPtr to zero.",
},
{  2159,
   "MQRC_PUT_MSG_RECORDS_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message to a distribu"\
     "tion list, but the MQPMR put message records are not specified "\
     "correctly. One of the following applies:\n- PutMsgRecOffset is "\
     "not zero and PutMsgRecPtr is not zero and not the null pointer."\
     "\n- PutMsgRecPtr is not a valid pointer.\n- PutMsgRecPtr or Put"\
     "MsgRecOffset points to storage that is not accessible. This rea"\
     "son code occurs in the following environments: AIX, HP-UX, OS/2"\
     ", i5/OS, Solaris, Windows, plus WebSphere MQ clients connected "\
     "to these systems.",
   "Ensure that at least one of PutMsgRecOffset and PutMsgRecPtr is z"\
     "ero. Ensure that the field used points to accessible storage.",
},
{  2160,
   "MQRC_CONN_ID_IN_USE",
   "MQCC_FAILED",
   "On an MQCONN call, the connection identifier assigned by the queu"\
     "e manager to the connection between a CICS or IMS allied addres"\
     "s space and the queue manager conflicts with the connection ide"\
     "ntifier of another connected CICS or IMS system. The connection"\
     " identifier assigned is as follows:\n- For CICS, the applid\n- "\
     "For IMS, the IMSID parameter on the IMSCTRL (sysgen) macro, or "\
     "the IMSID parameter on the execution parameter (EXEC card in IM"\
     "S control region JCL)\n- For batch, the job name\n- For TSO, th"\
     "e user ID A conflict arises only if there are two CICS systems,"\
     " two IMS systems, or one each of CICS and IMS, having the same "\
     "connection identifiers. Batch and TSO connections need not have"\
     " unique identifiers. This reason code occurs only on z/OS.",
   "Ensure that the naming conventions used in different systems that"\
     " might connect to the queue manager do not conflict.",
},
{  2161,
   "MQRC_Q_MGR_QUIESCING",
   "MQCC_FAILED",
   "An MQI call was issued, but the call failed because the queue man"\
     "ager is quiescing (preparing to shut down). When the queue mana"\
     "ger is quiescing, the MQOPEN, MQPUT, MQPUT1, and MQGET calls ca"\
     "n still complete successfully, but the application can request "\
     "that they fail by specifying the appropriate option on the call"\
     ":\n- MQOO_FAIL_IF_QUIESCING on MQOPEN\n- MQPMO_FAIL_IF_QUIESCIN"\
     "G on MQPUT or MQPUT1\n- MQGMO_FAIL_IF_QUIESCING on MQGET Specif"\
     "ying these options enables the application to become aware that"\
     " the queue manager is preparing to shut down.\n- On z/OS:\n  * "\
     "For batch applications, this reason can be returned to applicat"\
     "ions running in LPARs that do not have a queue manager installe"\
     "d.\n  * For CICS applications, this reason can be returned when"\
     " no connection was established.\n- On i5/OS for applications ru"\
     "nning in compatibility mode, this reason can be returned when n"\
     "o connection was established.",
   "The application should tidy up and end. If the application specif"\
     "ied the MQOO_FAIL_IF_QUIESCING, MQPMO_FAIL_IF_QUIESCING, or MQG"\
     "MO_FAIL_IF_QUIESCING option on the failing call, the relevant o"\
     "ption can be removed and the call reissued. By omitting these o"\
     "ptions, the application can continue working in order to comple"\
     "te and commit the current unit of work, but the application sho"\
     "uld not start a new unit of work.",
},
{  2162,
   "MQRC_Q_MGR_STOPPING",
   "MQCC_FAILED",
   "An MQI call was issued, but the call failed because the queue man"\
     "ager is shutting down. If the call was an MQGET call with the M"\
     "QGMO_WAIT option, the wait has been canceled. No more MQI calls"\
     " can be issued. For MQ client applications, it is possible that"\
     " the call did complete successfully, even though this reason co"\
     "de is returned with a CompCode of MQCC_FAILED.\n- On z/OS, the "\
     "MQRC_CONNECTION_BROKEN reason may be returned instead if, as a "\
     "result of system scheduling factors, the queue manager shuts do"\
     "wn before the call completes.",
   "The application should tidy up and end. If the application is in "\
     "the middle of a unit of work coordinated by an external unit-of"\
     "-work coordinator, the application should issue the appropriate"\
     " call to back out the unit of work. Any unit of work that is co"\
     "ordinated by the queue manager is backed out automatically.",
},
{  2163,
   "MQRC_DUPLICATE_RECOV_COORD",
   "MQCC_FAILED",
   "On an MQCONN or MQCONNX call, a recovery coordinator already exis"\
     "ts for the connection name specified on the connection call iss"\
     "ued by the adapter. A conflict arises only if there are two CIC"\
     "S systems, two IMS systems, or one each of CICS and IMS, having"\
     " the same connection identifiers. Batch and TSO connections nee"\
     "d not have unique identifiers. This reason code occurs only on "\
     "z/OS.",
   "Ensure that the naming conventions used in different systems that"\
     " might connect to the queue manager do not conflict.",
},
{  2173,
   "MQRC_PMO_ERROR",
   "MQCC_FAILED",
   "On an MQPUT or MQPUT1 call, the MQPMO structure is not valid, for"\
     " one of the following reasons:\n- The StrucId field is not MQPM"\
     "O_STRUC_ID.\n- The Version field specifies a value that is not "\
     "valid or not supported.\n- The parameter pointer is not valid. "\
     "(It is not always possible to detect parameter pointers that ar"\
     "e not valid; if not detected, unpredictable results occur.)\n- "\
     "The queue manager cannot copy the changed structure to applicat"\
     "ion storage, even though the call is successful. This can occur"\
     ", for example, if the pointer points to read-only storage.",
   "Ensure that input fields in the MQPMO structure are set correctly"\
     ".",
},
{  2183,
   "MQRC_API_EXIT_LOAD_ERROR",
   "MQCC_FAILED",
   "The API crossing exit module could not be linked. If this reason "\
     "is returned when the API crossing exit is invoked after the cal"\
     "l has been executed, the call itself may have executed correctl"\
     "y. This reason code occurs only on z/OS.",
   "Ensure that the correct library concatenation has been specified,"\
     " and that the API crossing exit module is executable and correc"\
     "tly named. Any uncommitted changes in a unit of work should be "\
     "backed out. A unit of work that is coordinated by the queue man"\
     "ager is backed out automatically.",
},
{  2184,
   "MQRC_REMOTE_Q_NAME_ERROR",
   "MQCC_FAILED",
   "On an MQOPEN or MQPUT1 call, one of the following occurred:\n- A "\
     "local definition of a remote queue (or an alias to one) was spe"\
     "cified, but the RemoteQName attribute in the remote queue defin"\
     "ition is entirely blank. Note that this error occurs even if th"\
     "e XmitQName in the definition is not blank.\n- The ObjectQMgrNa"\
     "me field in the object descriptor is not blank and not the name"\
     " of the local queue manager, but the ObjectName field is blank.",
   "Alter the local definition of the remote queue and supply a valid"\
     " remote queue name, or supply a nonblank ObjectName in the obje"\
     "ct descriptor, as appropriate.",
},
{  2185,
   "MQRC_INCONSISTENT_PERSISTENCE",
   "MQCC_WARNING or MQCC_FAILED",
   "An MQPUT call was issued to put a message in a group or a segment"\
     " of a logical message, but the value specified or defaulted for"\
     " the Persistence field in MQMD is not consistent with the curre"\
     "nt group and segment information retained by the queue manager "\
     "for the queue handle. All messages in a group and all segments "\
     "in a logical message must have the same value for persistence, "\
     "that is, all must be persistent, or all must be nonpersistent. "\
     "If the current call specifies MQPMO_LOGICAL_ORDER, the call fai"\
     "ls. If the current call does not specify MQPMO_LOGICAL_ORDER, b"\
     "ut the previous MQPUT call for the queue handle did, the call s"\
     "ucceeds with completion code MQCC_WARNING. This reason code occ"\
     "urs in the following environments: AIX, HP-UX, z/OS, OS/2, i5/O"\
     "S, Solaris, Windows, plus WebSphere MQ clients connected to the"\
     "se systems.",
   "Modify the application to ensure that the same value of persisten"\
     "ce is used for all messages in the group, or all segments of th"\
     "e logical message.",
},
{  2186,
   "MQRC_GMO_ERROR",
   "MQCC_FAILED",
   "On an MQGET call, the MQGMO structure is not valid, for one of th"\
     "e following reasons:\n- The StrucId field is not MQGMO_STRUC_ID"\
     ".\n- The Version field specifies a value that is not valid or n"\
     "ot supported.\n- The parameter pointer is not valid. (It is not"\
     " always possible to detect parameter pointers that are not vali"\
     "d; if not detected, unpredictable results occur.)\n- The queue "\
     "manager cannot copy the changed structure to application storag"\
     "e, even though the call is successful. This can occur, for exam"\
     "ple, if the pointer points to read-only storage.",
   "Ensure that input fields in the MQGMO structure are set correctly"\
     ".",
},
{  2187,
   "MQRC_CICS_BRIDGE_RESTRICTION",
   "MQCC_FAILED",
   "It is not permitted to issue MQI calls from user transactions tha"\
     "t are run in an MQ/CICS-bridge environment where the bridge exi"\
     "t also issues MQI calls. The MQI call fails. If this occurs in "\
     "the bridge exit, it will result in a transaction abend. If it o"\
     "ccurs in the user transaction, this may result in a transaction"\
     " abend. This reason code occurs only on z/OS.",
   "The transaction cannot be run using the MQ/CICS bridge. Refer to "\
     "the appropriate CICS manual for information about restrictions "\
     "in the MQ/CICS bridge environment.",
},
{  2188,
   "MQRC_STOPPED_BY_CLUSTER_EXIT",
   "MQCC_FAILED",
   "An MQOPEN, MQPUT, or MQPUT1 call was issued to open or put a mess"\
     "age on a cluster queue, but the cluster workload exit rejected "\
     "the call. This reason code occurs in the following environments"\
     ": AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphe"\
     "re MQ clients connected to these systems.",
   "Check the cluster workload exit to ensure that it has been writte"\
     "n correctly. Determine why it rejected the call and correct the"\
     " problem.",
},
{  2189,
   "MQRC_CLUSTER_RESOLUTION_ERROR",
   "MQCC_FAILED",
   "An MQOPEN, MQPUT, or MQPUT1 call was issued to open or put a mess"\
     "age on a cluster queue, but the queue definition could not be r"\
     "esolved correctly because a response was required from the repo"\
     "sitory manager but none was available. This reason code occurs "\
     "in the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, S"\
     "olaris, Windows, plus WebSphere MQ clients connected to these s"\
     "ystems.",
   "Check that the repository manager is operating and that the queue"\
     " and channel definitions are correct.",
},
{  2190,
   "MQRC_CONVERTED_STRING_TOO_BIG",
   "MQCC_WARNING",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, a string in a fixed-length field in the mes"\
     "sage expanded during data conversion and exceeded the size of t"\
     "he field. When this happens, the queue manager tries discarding"\
     " trailing blank characters and characters following the first n"\
     "ull character in order to make the string fit, but in this case"\
     " there were insufficient characters that could be discarded. Th"\
     "is reason code can also occur for messages with a format name o"\
     "f MQFMT_IMS_VAR_STRING. When this happens, it indicates that th"\
     "e IMS variable string expanded such that its length exceeded th"\
     "e capacity of the 2-byte binary length field contained within t"\
     "he structure of the IMS variable string. (The queue manager nev"\
     "er discards trailing blanks in an IMS variable string.) The mes"\
     "sage is returned unconverted, with the CompCode parameter of th"\
     "e MQGET call set to MQCC_WARNING. If the message consists of se"\
     "veral parts, each of which is described by its own character-se"\
     "t and encoding fields (for example, a message with format name "\
     "MQFMT_DEAD_LETTER_HEADER), some parts may be converted and othe"\
     "r parts not converted. However, the values returned in the vari"\
     "ous character-set and encoding fields always correctly describe"\
     " the relevant message data. This reason code does not occur if "\
     "the string could be made to fit by discarding trailing blank ch"\
     "aracters.",
   "Check that the fields in the message contain the correct values, "\
     "and that the character-set identifiers specified by the sender "\
     "and receiver of the message are correct. If they are, the layou"\
     "t of the data in the message must be modified to increase the l"\
     "engths of the field(s) so that there is sufficient space to all"\
     "ow the string(s) to expand when converted.",
},
{  2191,
   "MQRC_TMC_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQTMC2 structure that is not valid. Possible errors include"\
     " the following:\n- The StrucId field is not MQTMC_STRUC_ID.\n- "\
     "The Version field is not MQTMC_VERSION_2.\n- The BufferLength p"\
     "arameter of the call has a value that is too small to accommoda"\
     "te the structure (the structure extends beyond the end of the m"\
     "essage). This reason code occurs in the following environments:"\
     " AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ c"\
     "lients connected to these systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2192,
   "MQRC_PAGESET_FULL",
   "",
   "Former name for MQRC_STORAGE_MEDIUM_FULL.",
   "",
},
{  2192,
   "MQRC_STORAGE_MEDIUM_FULL",
   "MQCC_FAILED",
   "An MQI call or command was issued to operate on an object, but th"\
     "e call failed because the external storage medium is full. One "\
     "of the following applies:\n- A page-set data set is full (nonsh"\
     "ared queues only).\n- A coupling-facility structure is full (sh"\
     "ared queues only). This reason code occurs only on z/OS.",
   "Check which queues contain messages and look for applications tha"\
     "t might be filling the queues unintentionally. Be aware that th"\
     "e queue that has caused the page set or coupling-facility struc"\
     "ture to become full is not necessarily the queue referenced by "\
     "the MQI call that returned MQRC_STORAGE_MEDIUM_FULL. Check that"\
     " all of the usual server applications are operating correctly a"\
     "nd processing the messages on the queues. If the applications a"\
     "nd servers are operating correctly, increase the number of serv"\
     "er applications to cope with the message load, or request the s"\
     "ystem programmer to increase the size of the page-set data sets"\
     ".",
},
{  2193,
   "MQRC_PAGESET_ERROR",
   "MQCC_FAILED",
   "An error was encountered with the page set while attempting to ac"\
     "cess it for a locally defined queue. This could be because the "\
     "queue is on a page set that does not exist. A console message i"\
     "s issued that tells you the number of the page set in error. Fo"\
     "r example if the error occurred in the TEST job, and your user "\
     "identifier is ABCDEFG, the message is: CSQI041I CSQIALLC JOB TE"\
     "ST USER ABCDEFG HAD ERROR ACCESSING PAGE SET 27 If this reason "\
     "code occurs while attempting to delete a dynamic queue with MQC"\
     "LOSE, the dynamic queue has not been deleted. This reason code "\
     "occurs only on z/OS.",
   "Check that the storage class for the queue maps to a valid page s"\
     "et using the DISPLAY Q(xx) STGCLASS, DISPLAY STGCLASS(xx), and "\
     "DISPLAY USAGE PSID commands. If you are unable to resolve the p"\
     "roblem, notify the system programmer who should:\n- Collect the"\
     " following diagnostic information:\n  * A description of the ac"\
     "tions that led to the error\n  * A listing of the application p"\
     "rogram being run at the time of the error\n  * Details of the p"\
     "age sets defined for use by the queue manager\n- Attempt to re-"\
     "create the problem, and take a system dump immediately after th"\
     "e error occurs\n- Contact your IBM Support Center",
},
{  2194,
   "MQRC_NAME_NOT_VALID_FOR_TYPE",
   "MQCC_FAILED",
   "An MQOPEN call was issued to open the queue manager definition, b"\
     "ut the ObjectName field in the ObjDesc parameter is not blank.",
   "Ensure that the ObjectName field is set to blanks.",
},
{  2195,
   "MQRC_UNEXPECTED_ERROR",
   "MQCC_FAILED",
   "The call was rejected because an unexpected error occurred.",
   "Check the applications parameter list to ensure, for example, th"\
     "at the correct number of parameters was passed, and that data p"\
     "ointers and storage keys are valid. If the problem cannot be re"\
     "solved, contact your system programmer.\n- On z/OS, check wheth"\
     "er any information has been displayed on the console. If this e"\
     "rror occurs on an MQCONN or MQCONNX call, check that the subsys"\
     "tem named is an active MQ subsystem. In particular, check that "\
     "it is not a DB2 subsystem. If the problem cannot be resolved, "\
     "rerun the application with a CSQSNAP DD card (if you have not a"\
     "lready got a dump) and send the resulting dump to IBM.\n- On OS"\
     "/2 and i5/OS, consult the FFST record to obtain more detail abo"\
     "ut the problem.\n- On HP OpenVMS, Compaq NonStop Kernel, and UN"\
     "IX systems, consult the FDC file to obtain more detail about th"\
     "e problem.",
},
{  2196,
   "MQRC_UNKNOWN_XMIT_Q",
   "MQCC_FAILED",
   "On an MQOPEN or MQPUT1 call, a message is to be sent to a remote "\
     "queue manager. The ObjectName or the ObjectQMgrName in the obje"\
     "ct descriptor specifies the name of a local definition of a rem"\
     "ote queue (in the latter case queue-manager aliasing is being u"\
     "sed), but the XmitQName attribute of the definition is not blan"\
     "k and not the name of a locally-defined queue.",
   "Check the values specified for ObjectName and ObjectQMgrName. If "\
     "these are correct, check the queue definitions. For more inform"\
     "ation on transmission queues, see the WebSphere MQ Application "\
     "Programming Guide.",
},
{  2197,
   "MQRC_UNKNOWN_DEF_XMIT_Q",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued specifying a remote queue as "\
     "the destination. If a local definition of the remote queue was "\
     "specified, or if a queue-manager alias is being resolved, the X"\
     "mitQName attribute in the local definition is blank. Because th"\
     "ere is no queue defined with the same name as the destination q"\
     "ueue manager, the queue manager has attempted to use the defaul"\
     "t transmission queue. However, the name defined by the DefXmitQ"\
     "Name queue-manager attribute is not the name of a locally-defin"\
     "ed queue.",
   "Correct the queue definitions, or the queue-manager attribute. Se"\
     "e the WebSphere MQ Application Programming Guide for more infor"\
     "mation.",
},
{  2198,
   "MQRC_DEF_XMIT_Q_TYPE_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued specifying a remote queue as "\
     "the destination. Either a local definition of the remote queue "\
     "was specified, or a queue-manager alias was being resolved, but"\
     " in either case the XmitQName attribute in the local definition"\
     " is blank. Because there is no transmission queue defined with "\
     "the same name as the destination queue manager, the local queue"\
     " manager has attempted to use the default transmission queue. H"\
     "owever, although there is a queue defined by the DefXmitQName q"\
     "ueue-manager attribute, it is not a local queue.",
   "Do one of the following:\n- Specify a local transmission queue as"\
     " the value of the XmitQName attribute in the local definition o"\
     "f the remote queue.\n- Define a local transmission queue with a"\
     " name that is the same as that of the remote queue manager.\n- "\
     "Specify a local transmission queue as the value of the DefXmitQ"\
     "Name queue-manager attribute. See the WebSphere MQ Application "\
     "Programming Guide for more information.",
},
{  2199,
   "MQRC_DEF_XMIT_Q_USAGE_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued specifying a remote queue as "\
     "the destination. Either a local definition of the remote queue "\
     "was specified, or a queue-manager alias was being resolved, but"\
     " in either case the XmitQName attribute in the local definition"\
     " is blank. Because there is no transmission queue defined with "\
     "the same name as the destination queue manager, the local queue"\
     " manager has attempted to use the default transmission queue. H"\
     "owever, the queue defined by the DefXmitQName queue-manager att"\
     "ribute does not have a Usage attribute of MQUS_TRANSMISSION.",
   "Do one of the following:\n- Specify a local transmission queue as"\
     " the value of the XmitQName attribute in the local definition o"\
     "f the remote queue.\n- Define a local transmission queue with a"\
     " name that is the same as that of the remote queue manager.\n- "\
     "Specify a different local transmission queue as the value of th"\
     "e DefXmitQName queue-manager attribute.\n- Change the Usage att"\
     "ribute of the DefXmitQName queue to MQUS_TRANSMISSION. See the "\
     "WebSphere MQ Application Programming Guide for more information"\
     ".",
},
{  2201,
   "MQRC_NAME_IN_USE",
   "MQCC_FAILED",
   "An MQOPEN call was issued to create a dynamic queue, but a queue "\
     "with the same name as the dynamic queue already exists. The exi"\
     "sting queue is one that is logically deleted, but for which the"\
     "re are still one or more open handles. For more information, se"\
     "e the description of MQCLOSE in the WebSphere MQ Application Pr"\
     "ogramming Reference. This reason code occurs only on z/OS.",
   "Either ensure that all handles for the previous dynamic queue are"\
     " closed, or ensure that the name of the new queue is unique; se"\
     "e the description for reason code MQRC_OBJECT_ALREADY_EXISTS.",
},
{  2202,
   "MQRC_CONNECTION_QUIESCING",
   "MQCC_FAILED",
   "This reason code is issued when the connection to the queue manag"\
     "er is in quiescing state, and an application issues one of the "\
     "following calls:\n- MQCONN or MQCONNX\n- MQOPEN, with no connec"\
     "tion established, or with MQOO_FAIL_IF_QUIESCING included in th"\
     "e Options parameter\n- MQGET, with MQGMO_FAIL_IF_QUIESCING incl"\
     "uded in the Options field of the GetMsgOpts parameter\n- MQPUT "\
     "or MQPUT1, with MQPMO_FAIL_IF_QUIESCING included in the Options"\
     " field of the PutMsgOpts parameter MQRC_CONNECTION_QUIESCING is"\
     " also issued by the message channel agent (MCA) when the queue "\
     "manager is in quiescing state.",
   "The application should tidy up and terminate. Any uncommitted cha"\
     "nges in a unit of work should be backed out.",
},
{  2203,
   "MQRC_CONNECTION_STOPPING",
   "MQCC_FAILED",
   "This reason code is issued when the connection to the queue manag"\
     "er is shutting down, and the application issues an MQI call. No"\
     " more message-queuing calls can be issued. For the MQGET call, "\
     "if the MQGMO_WAIT option was specified, the wait is canceled. N"\
     "ote that the MQRC_CONNECTION_BROKEN reason may be returned inst"\
     "ead if, as a result of system scheduling factors, the queue man"\
     "ager shuts down before the call completes. MQRC_CONNECTION_STOP"\
     "PING is also issued by the message channel agent (MCA) when the"\
     " queue manager is shutting down. For MQ client applications, it"\
     " is possible that the call did complete successfully, even thou"\
     "gh this reason code is returned with a CompCode of MQCC_FAILED.",
   "The application should tidy up and terminate. Any uncommitted cha"\
     "nges in a unit of work should be backed out. A unit of work tha"\
     "t is coordinated by the queue manager is backed out automatical"\
     "ly.",
},
{  2204,
   "MQRC_ADAPTER_NOT_AVAILABLE",
   "MQCC_FAILED",
   "This is issued only for CICS applications, if any call is issued "\
     "and the CICS adapter (a Task Related User Exit) has been disabl"\
     "ed, or has not been enabled. This reason code occurs only on z/"\
     "OS.",
   "The application should tidy up and terminate. Any uncommitted cha"\
     "nges in a unit of work should be backed out. A unit of work tha"\
     "t is coordinated by the queue manager is backed out automatical"\
     "ly.",
},
{  2206,
   "MQRC_MSG_ID_ERROR",
   "MQCC_FAILED",
   "An MQGET call was issued to retrieve a message using the message "\
     "identifier as a selection criterion, but the call failed becaus"\
     "e selection by message identifier is not supported on this queu"\
     "e.\n- On z/OS, the queue is a shared queue, but the IndexType q"\
     "ueue attribute does not have an appropriate value:\n  * If sele"\
     "ction is by message identifier alone, IndexType must have the v"\
     "alue MQIT_MSG_ID.\n  * If selection is by message identifier an"\
     "d correlation identifier combined, IndexType must have the valu"\
     "e MQIT_MSG_ID or MQIT_CORREL_ID.\n- On Compaq NonStop Kernel, a"\
     " key file is required but has not been defined.",
   "Do one of the following:\n- Modify the application so that it doe"\
     "s not use selection by message identifier: set the MsgId field "\
     "to MQMI_NONE and do not specify MQMO_MATCH_MSG_ID in MQGMO.\n- "\
     "On z/OS, change the IndexType queue attribute to MQIT_MSG_ID.\n"\
     "- On Compaq NonStop Kernel, define a key file.",
},
{  2207,
   "MQRC_CORREL_ID_ERROR",
   "MQCC_FAILED",
   "An MQGET call was issued to retrieve a message using the correlat"\
     "ion identifier as a selection criterion, but the call failed be"\
     "cause selection by correlation identifier is not supported on t"\
     "his queue.\n- On z/OS, the queue is a shared queue, but the Ind"\
     "exType queue attribute does not have an appropriate value:\n  *"\
     " If selection is by correlation identifier alone, IndexType mus"\
     "t have the value MQIT_CORREL_ID.\n  * If selection is by correl"\
     "ation identifier and message identifier combined, IndexType mus"\
     "t have the value MQIT_CORREL_ID or MQIT_MSG_ID.\n- On Compaq No"\
     "nStop Kernel, a key file is required but has not been defined.",
   "Do one of the following:\n- On z/OS, change the IndexType queue a"\
     "ttribute to MQIT_CORREL_ID.\n- On Compaq NonStop Kernel, define"\
     " a key file.\n- Modify the application so that it does not use "\
     "selection by correlation identifier: set the CorrelId field to "\
     "MQCI_NONE and do not specify MQMO_MATCH_CORREL_ID in MQGMO.",
},
{  2208,
   "MQRC_FILE_SYSTEM_ERROR",
   "MQCC_FAILED",
   "An unexpected return code was received from the file system, in a"\
     "ttempting to perform an operation on a queue. This reason code "\
     "occurs only on VSE/ESA.",
   "Check the file system definition for the queue that was being acc"\
     "essed. For a VSAM file, check that the control interval is larg"\
     "e enough for the maximum message length allowed for the queue.",
},
{  2209,
   "MQRC_NO_MSG_LOCKED",
   "MQCC_WARNING",
   "An MQGET call was issued with the MQGMO_UNLOCK option, but no mes"\
     "sage was currently locked.",
   "Check that a message was locked by an earlier MQGET call with the"\
     " MQGMO_LOCK option for the same handle, and that no intervening"\
     " call has caused the message to become unlocked.",
},
{  2210,
   "MQRC_SOAP_DOTNET_ERROR",
   "MQCC_FAILED",
   "An exception from the .NET environment (as opposed to WebSphere M"\
     "Q .NET) has been received and is included as an inner exception"\
     ".",
   "Refer to the .NET documentation for details about the inner excep"\
     "tion. Follow the corrective action recommended there.",
},
{  2211,
   "MQRC_SOAP_AXIS_ERROR",
   "MQCC_FAILED",
   "An exception from the Axis environment has been received and is i"\
     "ncluded as a chained exception.",
   "Refer to the Axis documentation for details about the chained exc"\
     "eption. Follow the corrective action recommended there.",
},
{  2212,
   "MQRC_SOAP_URL_ERROR",
   "MQCC_FAILED",
   "The SOAP URL has been specified incorrectly.",
   "Correct the SOAP URL and rerun.",
},
{  2217,
   "MQRC_CONNECTION_NOT_AUTHORIZED",
   "MQCC_FAILED",
   "This reason code arises only for CICS applications. For these, co"\
     "nnection to the queue manager is done by the adapter. If that c"\
     "onnection fails because the CICS subsystem is not authorized to"\
     " connect to the queue manager, this reason code is issued whene"\
     "ver an application running under that subsystem subsequently is"\
     "sues an MQI call. This reason code occurs only on z/OS.",
   "Ensure that the subsystem is authorized to connect to the queue m"\
     "anager.",
},
{  2218,
   "MQRC_MSG_TOO_BIG_FOR_CHANNEL",
   "MQCC_FAILED",
   "A message was put to a remote queue, but the message is larger th"\
     "an the maximum message length allowed by the channel. This reas"\
     "on code is returned in the Feedback field in the message descri"\
     "ptor of a report message.\n- On z/OS, this return code is issue"\
     "d only if you are not using CICS for distributed queuing. Other"\
     "wise, MQRC_MSG_TOO_BIG_FOR_Q_MGR is issued.",
   "Check the channel definitions. Increase the maximum message lengt"\
     "h that the channel can accept, or break the message into severa"\
     "l smaller messages.",
},
{  2219,
   "MQRC_CALL_IN_PROGRESS",
   "MQCC_FAILED",
   "The application issued an MQI call whilst another MQI call was al"\
     "ready being processed for that connection. Only one call per ap"\
     "plication connection can be processed at a time. Concurrent cal"\
     "ls can arise when an application uses multiple threads, or when"\
     " an exit is invoked as part of the processing of an MQI call. F"\
     "or example, a data-conversion exit invoked as part of the proce"\
     "ssing of the MQGET call may try to issue an MQI call.\n- On z/O"\
     "S, concurrent calls can arise only with batch or IMS applicatio"\
     "ns; an example is when a subtask ends while an MQI call is in p"\
     "rogress (for example, an MQGET that is waiting), and there is a"\
     "n end-of-task exit routine that issues another MQI call.\n- On "\
     "OS/2 and Windows, concurrent calls can also arise if an MQI cal"\
     "l is issued in response to a user message while another MQI cal"\
     "l is in progress.\n- If the application is using multiple threa"\
     "ds with shared handles, MQRC_CALL_IN_PROGRESS occurs when the h"\
     "andle specified on the call is already in use by another thread"\
     " and MQCNO_HANDLE_SHARE_NO_BLOCK was specified on the MQCONNX c"\
     "all.",
   "Ensure that an MQI call cannot be issued while another one is act"\
     "ive. Do not issue MQI calls from within a data-conversion exit."\
     "\n- On z/OS, if you want to provide a subtask to allow an appli"\
     "cation that is waiting for a message to arrive to be canceled, "\
     "wait for the message by using MQGET with MQGMO_SET_SIGNAL, rath"\
     "er than MQGMO_WAIT.",
},
{  2220,
   "MQRC_RMH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQRMH structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQRMH_STRUC_ID.\n- T"\
     "he Version field is not MQRMH_VERSION_1.\n- The StrucLength fie"\
     "ld specifies a value that is too small to include the structure"\
     " plus the variable-length data at the end of the structure.\n- "\
     "The CodedCharSetId field is zero, or a negative value that is n"\
     "ot valid.\n- The BufferLength parameter of the call has a value"\
     " that is too small to accommodate the structure (the structure "\
     "extends beyond the end of the message). This reason code occurs"\
     " in the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, "\
     "Solaris, Windows, plus WebSphere MQ clients connected to these "\
     "systems.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).",
},
{  2222,
   "MQRC_Q_MGR_ACTIVE",
   "MQCC_WARNING",
   "This condition is detected when a queue manager becomes active.\n"\
     "- On z/OS, this event is not generated for the first start of a"\
     " queue manager, only on subsequent restarts.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2223,
   "MQRC_Q_MGR_NOT_ACTIVE",
   "MQCC_WARNING",
   "This condition is detected when a queue manager is requested to s"\
     "top or quiesce.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2224,
   "MQRC_Q_DEPTH_HIGH",
   "MQCC_WARNING",
   "An MQPUT or MQPUT1 call has caused the queue depth to be incremen"\
     "ted to or above the limit specified in the QDepthHighLimit attr"\
     "ibute.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2225,
   "MQRC_Q_DEPTH_LOW",
   "MQCC_WARNING",
   "An MQGET call has caused the queue depth to be decremented to or "\
     "below the limit specified in the QDepthLowLimit attribute.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2226,
   "MQRC_Q_SERVICE_INTERVAL_HIGH",
   "MQCC_WARNING",
   "No successful gets or puts have been detected within an interval "\
     "that is greater than the limit specified in the QServiceInterva"\
     "l attribute.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2227,
   "MQRC_Q_SERVICE_INTERVAL_OK",
   "MQCC_WARNING",
   "A successful get has been detected within an interval that is les"\
     "s than or equal to the limit specified in the QServiceInterval "\
     "attribute.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2228,
   "MQRC_RFH_HEADER_FIELD_ERROR",
   "MQCC_FAILED",
   "An expected RFH header field was not found or had an invalid valu"\
     "e. If this error occurs in a WebSphere MQ SOAP listener, the mi"\
     "ssing or erroneous field is either the contentType field or the"\
     " transportVersion field or both.",
   "If this error occurs in a WebSphere MQ SOAP listener, and you are"\
     " using the IBM-supplied sender, contact your IBM Support Center"\
     ". If you are using a bespoke sender, check the associated error"\
     " message, and that the RFH2 section of the SOAP/MQ request mess"\
     "age contains all the mandatory fields, and that these fields ha"\
     "ve valid values.",
},
{  2229,
   "MQRC_RAS_PROPERTY_ERROR",
   "MQCC_FAILED",
   "There is an error related to the RAS property file. The file may "\
     "be missing, it may be not accessible, or the commands in the fi"\
     "le may be incorrect.",
   "Look at the associated error message, which will explain the erro"\
     "r in detail. Correct the error and retry.",
},
{  2232,
   "MQRC_UNIT_OF_WORK_NOT_STARTED",
   "MQCC_FAILED",
   "An MQGET, MQPUT or MQPUT1 call was issued to get or put a message"\
     " within a unit of work, but no TM/MP transaction had been start"\
     "ed. If MQGMO_NO_SYNCPOINT is not specified on MQGET, or MQPMO_N"\
     "O_SYNCPOINT is not specified on MQPUT or MQPUT1 (the default), "\
     "the call requires a unit of work.",
   "Ensure a TM/MP transaction is available, or issue the MQGET call "\
     "with the MQGMO_NO_SYNCPOINT option, or the MQPUT or MQPUT1 call"\
     " with the MQPMO_NO_SYNCPOINT option, which will cause a transac"\
     "tion to be started automatically.",
},
{  2233,
   "MQRC_CHANNEL_AUTO_DEF_OK",
   "MQCC_WARNING",
   "This condition is detected when the automatic definition of a cha"\
     "nnel is successful. The channel is defined by the MCA. This rea"\
     "son code occurs in the following environments: AIX, HP-UX, OS/2"\
     ", i5/OS, Solaris, Windows, plus WebSphere MQ clients connected "\
     "to these systems.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2234,
   "MQRC_CHANNEL_AUTO_DEF_ERROR",
   "MQCC_WARNING",
   "This condition is detected when the automatic definition of a cha"\
     "nnel fails; this may be because an error occurred during the de"\
     "finition process, or because the channel automatic-definition e"\
     "xit inhibited the definition. Additional information is returne"\
     "d in the event message indicating the reason for the failure. T"\
     "his reason code occurs in the following environments: AIX, HP-U"\
     "X, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients con"\
     "nected to these systems.",
   "Examine the additional information returned in the event message "\
     "to determine the reason for the failure.",
},
{  2235,
   "MQRC_CFH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFH structure that is not valid. This reason code occurs "\
     "in the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, S"\
     "olaris, Windows, plus WebSphere MQ clients connected to these s"\
     "ystems.",
   "Check that the fields in the structure are set correctly.",
},
{  2236,
   "MQRC_CFIL_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFIL or MQRCFIL64 structure that is not valid. This reaso"\
     "n code occurs in the following environments: AIX, HP-UX, OS/2, "\
     "i5/OS, Solaris, Windows, plus WebSphere MQ clients connected to"\
     " these systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2237,
   "MQRC_CFIN_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFIN or MQCFIN64 structure that is not valid. This reason"\
     " code occurs in the following environments: AIX, HP-UX, z/OS, O"\
     "S/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients connect"\
     "ed to these systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2238,
   "MQRC_CFSL_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFSL structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, OS/2, i5/OS, Solari"\
     "s, Windows, plus WebSphere MQ clients connected to these system"\
     "s.",
   "Check that the fields in the structure are set correctly.",
},
{  2239,
   "MQRC_CFST_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFST structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, OS/2, i5/OS, Solari"\
     "s, Windows, plus WebSphere MQ clients connected to these system"\
     "s.",
   "Check that the fields in the structure are set correctly.",
},
{  2241,
   "MQRC_INCOMPLETE_GROUP",
   "MQCC_WARNING or MQCC_FAILED",
   "An operation was attempted on a queue using a queue handle that h"\
     "ad an incomplete message group. This reason code can arise in t"\
     "he following situations:\n- On the MQPUT call, when the applica"\
     "tion specifies MQPMO_LOGICAL_ORDER and attempts to put a messag"\
     "e that is not in a group. The completion code is MQCC_FAILED in"\
     " this case.\n- On the MQPUT call, when the application does not"\
     " specify MQPMO_LOGICAL_ORDER, but the previous MQPUT call for t"\
     "he queue handle did specify MQPMO_LOGICAL_ORDER. The completion"\
     " code is MQCC_WARNING in this case.\n- On the MQGET call, when "\
     "the application does not specify MQGMO_LOGICAL_ORDER, but the p"\
     "revious MQGET call for the queue handle did specify MQGMO_LOGIC"\
     "AL_ORDER. The completion code is MQCC_WARNING in this case.\n- "\
     "On the MQCLOSE call, when the application attempts to close the"\
     " queue that has the incomplete message group. The completion co"\
     "de is MQCC_WARNING in this case. If there is an incomplete logi"\
     "cal message as well as an incomplete message group, reason code"\
     " MQRC_INCOMPLETE_MSG is returned in preference to MQRC_INCOMPLE"\
     "TE_GROUP. This reason code occurs in the following environments"\
     ": AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphe"\
     "re MQ clients connected to these systems.",
   "If this reason code is expected, no corrective action is required"\
     ". Otherwise, ensure that the MQPUT call for the last message in"\
     " the group specifies MQMF_LAST_MSG_IN_GROUP.",
},
{  2242,
   "MQRC_INCOMPLETE_MSG",
   "MQCC_WARNING or MQCC_FAILED",
   "An operation was attempted on a queue using a queue handle that h"\
     "ad an incomplete logical message. This reason code can arise in"\
     " the following situations:\n- On the MQPUT call, when the appli"\
     "cation specifies MQPMO_LOGICAL_ORDER and attempts to put a mess"\
     "age that is not a segment, or that has a setting for the MQMF_L"\
     "AST_MSG_IN_GROUP flag that is different from the previous messa"\
     "ge. The completion code is MQCC_FAILED in this case.\n- On the "\
     "MQPUT call, when the application does not specify MQPMO_LOGICAL"\
     "_ORDER, but the previous MQPUT call for the queue handle did sp"\
     "ecify MQPMO_LOGICAL_ORDER. The completion code is MQCC_WARNING "\
     "in this case.\n- On the MQGET call, when the application does n"\
     "ot specify MQGMO_LOGICAL_ORDER, but the previous MQGET call for"\
     " the queue handle did specify MQGMO_LOGICAL_ORDER. The completi"\
     "on code is MQCC_WARNING in this case.\n- On the MQCLOSE call, w"\
     "hen the application attempts to close the queue that has the in"\
     "complete logical message. The completion code is MQCC_WARNING i"\
     "n this case. This reason code occurs in the following environme"\
     "nts: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebS"\
     "phere MQ clients connected to these systems.",
   "If this reason code is expected, no corrective action is required"\
     ". Otherwise, ensure that the MQPUT call for the last segment sp"\
     "ecifies MQMF_LAST_SEGMENT.",
},
{  2243,
   "MQRC_INCONSISTENT_CCSIDS",
   "MQCC_WARNING",
   "An MQGET call was issued specifying the MQGMO_COMPLETE_MSG option"\
     ", but the message to be retrieved consists of two or more segme"\
     "nts that have differing values for the CodedCharSetId field in "\
     "MQMD. This can arise when the segments take different paths thr"\
     "ough the network, and some of those paths have MCA sender conve"\
     "rsion enabled. The call succeeds with a completion code of MQCC"\
     "_WARNING, but only the first few segments that have identical c"\
     "haracter-set identifiers are returned. This reason code occurs "\
     "in the following environments: AIX, HP-UX, OS/2, i5/OS, Solaris"\
     ", Windows, plus WebSphere MQ clients connected to these systems"\
     ".",
   "Remove the MQGMO_COMPLETE_MSG option from the MQGET call and retr"\
     "ieve the remaining message segments one by one.",
},
{  2244,
   "MQRC_INCONSISTENT_ENCODINGS",
   "MQCC_WARNING",
   "An MQGET call was issued specifying the MQGMO_COMPLETE_MSG option"\
     ", but the message to be retrieved consists of two or more segme"\
     "nts that have differing values for the Encoding field in MQMD. "\
     "This can arise when the segments take different paths through t"\
     "he network, and some of those paths have MCA sender conversion "\
     "enabled. The call succeeds with a completion code of MQCC_WARNI"\
     "NG, but only the first few segments that have identical encodin"\
     "gs are returned. This reason code occurs in the following envir"\
     "onments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebSph"\
     "ere MQ clients connected to these systems.",
   "Remove the MQGMO_COMPLETE_MSG option from the MQGET call and retr"\
     "ieve the remaining message segments one by one.",
},
{  2245,
   "MQRC_INCONSISTENT_UOW",
   "MQCC_WARNING or MQCC_FAILED",
   "One of the following applies:\n- An MQPUT call was issued to put "\
     "a message in a group or a segment of a logical message, but the"\
     " value specified or defaulted for the MQPMO_SYNCPOINT option is"\
     " not consistent with the current group and segment information "\
     "retained by the queue manager for the queue handle. If the curr"\
     "ent call specifies MQPMO_LOGICAL_ORDER, the call fails. If the "\
     "current call does not specify MQPMO_LOGICAL_ORDER, but the prev"\
     "ious MQPUT call for the queue handle did, the call succeeds wit"\
     "h completion code MQCC_WARNING.\n- An MQGET call was issued to "\
     "remove from the queue a message in a group or a segment of a lo"\
     "gical message, but the value specified or defaulted for the MQG"\
     "MO_SYNCPOINT option is not consistent with the current group an"\
     "d segment information retained by the queue manager for the que"\
     "ue handle. If the current call specifies MQGMO_LOGICAL_ORDER, t"\
     "he call fails. If the current call does not specify MQGMO_LOGIC"\
     "AL_ORDER, but the previous MQGET call for the queue handle did,"\
     " the call succeeds with completion code MQCC_WARNING. This reas"\
     "on code occurs in the following environments: AIX, HP-UX, z/OS,"\
     " OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients conne"\
     "cted to these systems.",
   "Modify the application to ensure that the same unit-of-work speci"\
     "fication is used for all messages in the group, or all segments"\
     " of the logical message.",
},
{  2246,
   "MQRC_INVALID_MSG_UNDER_CURSOR",
   "MQCC_FAILED",
   "An MQGET call was issued specifying the MQGMO_COMPLETE_MSG option"\
     " with either MQGMO_MSG_UNDER_CURSOR or MQGMO_BROWSE_MSG_UNDER_C"\
     "URSOR, but the message that is under the cursor has an MQMD wit"\
     "h an Offset field that is greater than zero. Because MQGMO_COMP"\
     "LETE_MSG was specified, the message is not valid for retrieval."\
     " This reason code occurs in the following environments: AIX, HP"\
     "-UX, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients c"\
     "onnected to these systems.",
   "Reposition the browse cursor so that it is located on a message w"\
     "hose Offset field in MQMD is zero. Alternatively, remove the MQ"\
     "GMO_COMPLETE_MSG option.",
},
{  2247,
   "MQRC_MATCH_OPTIONS_ERROR",
   "MQCC_FAILED",
   "An MQGET call was issued, but the value of the MatchOptions field"\
     " in the GetMsgOpts parameter is not valid, for one of the follo"\
     "wing reasons:\n- An undefined option is specified.\n- All of th"\
     "e following are true:\n  * MQGMO_LOGICAL_ORDER is specified.\n "\
     " * There is a current message group or logical message for the "\
     "queue handle.\n  * Neither MQGMO_BROWSE_MSG_UNDER_CURSOR nor MQ"\
     "GMO_MSG_UNDER_CURSOR is specified.\n  * One or more of the MQMO"\
     "_* options is specified.\n  * The values of the fields in the M"\
     "sgDesc parameter corresponding to the MQMO_* options specified,"\
     " differ from the values of those fields in the MQMD for the mes"\
     "sage to be returned next.\n- On z/OS, one or more of the option"\
     "s specified is not valid for the index type of the queue. This "\
     "reason code occurs in the following environments: AIX, HP-UX, z"\
     "/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients c"\
     "onnected to these systems.",
   "Ensure that only valid options are specified for the field.",
},
{  2248,
   "MQRC_MDE_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQMDE structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQMDE_STRUC_ID.\n- T"\
     "he Version field is not MQMDE_VERSION_2.\n- The StrucLength fie"\
     "ld is not MQMDE_LENGTH_2.\n- The CodedCharSetId field is zero, "\
     "or a negative value that is not valid.\n- The BufferLength para"\
     "meter of the call has a value that is too small to accommodate "\
     "the structure (the structure extends beyond the end of the mess"\
     "age). This reason code occurs in the following environments: AI"\
     "X, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere M"\
     "Q clients connected to these systems.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).",
},
{  2249,
   "MQRC_MSG_FLAGS_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the MsgFlags field in the"\
     " message descriptor MQMD contains one or more message flags tha"\
     "t are not recognized by the local queue manager. The message fl"\
     "ags that cause this reason code to be returned depend on the de"\
     "stination of the message; see the description of REPORT in the "\
     "WebSphere MQ Application Programming Reference for more details"\
     ". This reason code can also occur in the Feedback field in the "\
     "MQMD of a report message, or in the Reason field in the MQDLH s"\
     "tructure of a message on the dead-letter queue; in both cases i"\
     "t indicates that the destination queue manager does not support"\
     " one or more of the message flags specified by the sender of th"\
     "e message. This reason code occurs in the following environment"\
     "s: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSph"\
     "ere MQ clients connected to these systems.",
   "Do the following:\n- Ensure that the MsgFlags field in the messag"\
     "e descriptor is initialized with a value when the message descr"\
     "iptor is declared, or is assigned a value prior to the MQPUT or"\
     " MQPUT1 call. Specify MQMF_NONE if no message flags are needed."\
     "\n- Ensure that the message flags specified are valid; see the "\
     "MsgFlags field described in the description of MQMD in the WebS"\
     "phere MQ Application Programming Reference for valid message fl"\
     "ags.\n- If multiple message flags are being set by adding the i"\
     "ndividual message flags together, ensure that the same message "\
     "flag is not added twice.\n- On z/OS, ensure that the message fl"\
     "ags specified are valid for the index type of the queue; see th"\
     "e description of the MsgFlags field in MQMD for further details"\
     ".",
},
{  2250,
   "MQRC_MSG_SEQ_NUMBER_ERROR",
   "MQCC_FAILED",
   "An MQGET, MQPUT, or MQPUT1 call was issued, but the value of the "\
     "MsgSeqNumber field in the MQMD or MQMDE structure is less than "\
     "one or greater than 999 999 999. This error can also occur on t"\
     "he MQPUT call if the MsgSeqNumber field would have become great"\
     "er than 999 999 999 as a result of the call. This reason code o"\
     "ccurs in the following environments: AIX, HP-UX, z/OS, OS/2, i5"\
     "/OS, Solaris, Windows, plus WebSphere MQ clients connected to t"\
     "hese systems.",
   "Specify a value in the range 1 through 999 999 999. Do not attemp"\
     "t to create a message group containing more than 999 999 999 me"\
     "ssages.",
},
{  2251,
   "MQRC_OFFSET_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the value of the Offset f"\
     "ield in the MQMD or MQMDE structure is less than zero or greate"\
     "r than 999 999 999. This error can also occur on the MQPUT call"\
     " if the Offset field would have become greater than 999 999 999"\
     " as a result of the call. This reason code occurs in the follow"\
     "ing environments: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windo"\
     "ws, plus WebSphere MQ clients connected to these systems.",
   "Specify a value in the range 0 through 999 999 999. Do not attemp"\
     "t to create a message segment that would extend beyond an offse"\
     "t of 999 999 999.",
},
{  2252,
   "MQRC_ORIGINAL_LENGTH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a report message that i"\
     "s a segment, but the OriginalLength field in the MQMD or MQMDE "\
     "structure is either:\n- Less than the length of data in the mes"\
     "sage, or\n- Less than one (for a segment that is not the last s"\
     "egment), or\n- Less than zero (for a segment that is the last s"\
     "egment) This reason code occurs in the following environments: "\
     "AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere"\
     " MQ clients connected to these systems.",
   "Specify a value that is greater than zero. Zero is valid only for"\
     " the last segment.",
},
{  2253,
   "MQRC_SEGMENT_LENGTH_ZERO",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put the first or an interme"\
     "diate segment of a logical message, but the length of the appli"\
     "cation message data in the segment (excluding any MQ headers th"\
     "at may be present) is zero. The length must be at least one for"\
     " the first or intermediate segment. This reason code occurs in "\
     "the following environments: AIX, HP-UX, OS/2, i5/OS, Solaris, W"\
     "indows, plus WebSphere MQ clients connected to these systems.",
   "Check the application logic to ensure that segments are put with "\
     "a length of one or greater. Only the last segment of a logical "\
     "message is permitted to have a length of zero.",
},
{  2255,
   "MQRC_UOW_NOT_AVAILABLE",
   "MQCC_FAILED",
   "An MQGET, MQPUT, or MQPUT1 call was issued to get or put a messag"\
     "e outside a unit of work, but the options specified on the call"\
     " required the queue manager to process the call within a unit o"\
     "f work. Because there is already a user-defined unit of work in"\
     " existence, the queue manager was unable to create a temporary "\
     "unit of work for the duration of the call. This reason occurs i"\
     "n the following circumstances:\n- On an MQGET call, when the MQ"\
     "GMO_COMPLETE_MSG option is specified in MQGMO and the logical m"\
     "essage to be retrieved is persistent and consists of two or mor"\
     "e segments.\n- On an MQPUT or MQPUT1 call, when the MQMF_SEGMEN"\
     "TATION_ALLOWED flag is specified in MQMD and the message requir"\
     "es segmentation. This reason code occurs in the following envir"\
     "onments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebSph"\
     "ere MQ clients connected to these systems.",
   "Issue the MQGET, MQPUT, or MQPUT1 call inside the user-defined un"\
     "it of work. Alternatively, for the MQPUT or MQPUT1 call, reduce"\
     " the size of the message so that it does not require segmentati"\
     "on by the queue manager.",
},
{  2256,
   "MQRC_WRONG_GMO_VERSION",
   "MQCC_FAILED",
   "An MQGET call was issued specifying options that required an MQGM"\
     "O with a version number not less than MQGMO_VERSION_2, but the "\
     "MQGMO supplied did not satisfy this condition. This reason code"\
     " occurs in the following environments: AIX, HP-UX, z/OS, OS/2, "\
     "i5/OS, Solaris, Windows, plus WebSphere MQ clients connected to"\
     " these systems.",
   "Modify the application to pass a version-2 MQGMO. Check the appli"\
     "cation logic to ensure that the Version field in MQGMO has been"\
     " set to MQGMO_VERSION_2. Alternatively, remove the option that "\
     "requires the version-2 MQGMO.",
},
{  2257,
   "MQRC_WRONG_MD_VERSION",
   "MQCC_FAILED",
   "An MQGET, MQPUT, or MQPUT1 call was issued specifying options tha"\
     "t required an MQMD with a version number not less than MQMD_VER"\
     "SION_2, but the MQMD supplied did not satisfy this condition. T"\
     "his reason code occurs in the following environments: AIX, HP-U"\
     "X, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clien"\
     "ts connected to these systems.",
   "Modify the application to pass a version-2 MQMD. Check the applic"\
     "ation logic to ensure that the Version field in MQMD has been s"\
     "et to MQMD_VERSION_2. Alternatively, remove the option that req"\
     "uires the version-2 MQMD.",
},
{  2258,
   "MQRC_GROUP_ID_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a distribution-list mes"\
     "sage that is also a message in a group, a message segment, or h"\
     "as segmentation allowed, but an invalid combination of options "\
     "and values was specified. All of the following are true:\n- MQP"\
     "MO_LOGICAL_ORDER is not specified in the Options field in MQPMO"\
     ".\n- Either there are too few MQPMR records provided by MQPMO, "\
     "or the GroupId field is not present in the MQPMR records.\n- On"\
     "e or more of the following flags is specified in the MsgFlags f"\
     "ield in MQMD or MQMDE:\n  * MQMF_SEGMENTATION_ALLOWED\n  * MQMF"\
     "_*_MSG_IN_GROUP\n  * MQMF_*_SEGMENT\n- The GroupId field in MQM"\
     "D or MQMDE is not MQGI_NONE. This combination of options and va"\
     "lues would result in the same group identifier being used for a"\
     "ll of the destinations in the distribution list; this is not pe"\
     "rmitted by the queue manager. This reason code occurs in the fo"\
     "llowing environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows"\
     ", plus WebSphere MQ clients connected to these systems.",
   "Specify MQGI_NONE for the GroupId field in MQMD or MQMDE. Alterna"\
     "tively, if the call is MQPUT specify MQPMO_LOGICAL_ORDER in the"\
     " Options field in MQPMO.",
},
{  2259,
   "MQRC_INCONSISTENT_BROWSE",
   "MQCC_FAILED",
   "An MQGET call was issued with the MQGMO_BROWSE_NEXT option specif"\
     "ied, but the specification of the MQGMO_LOGICAL_ORDER option fo"\
     "r the call is different from the specification of that option f"\
     "or the previous call for the queue handle. Either both calls mu"\
     "st specify MQGMO_LOGICAL_ORDER, or neither call must specify MQ"\
     "GMO_LOGICAL_ORDER. This reason code occurs in the following env"\
     "ironments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebS"\
     "phere MQ clients connected to these systems.",
   "Add or remove the MQGMO_LOGICAL_ORDER option as appropriate. Alte"\
     "rnatively, to switch between logical order and physical order, "\
     "specify the MQGMO_BROWSE_FIRST option to restart the scan from "\
     "the beginning of the queue, omitting or specifying MQGMO_LOGICA"\
     "L_ORDER as required.",
},
{  2260,
   "MQRC_XQH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQXQH structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQXQH_STRUC_ID.\n- T"\
     "he Version field is not MQXQH_VERSION_1.\n- The BufferLength pa"\
     "rameter of the call has a value that is too small to accommodat"\
     "e the structure (the structure extends beyond the end of the me"\
     "ssage). This reason code occurs in the following environments: "\
     "AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere"\
     " MQ clients connected to these systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2261,
   "MQRC_SRC_ENV_ERROR",
   "MQCC_FAILED",
   "This reason occurs when a channel exit that processes reference m"\
     "essages detects an error in the source environment data of a re"\
     "ference message header (MQRMH). One of the following is true:\n"\
     "- SrcEnvLength is less than zero.\n- SrcEnvLength is greater th"\
     "an zero, but there is no source environment data.\n- SrcEnvLeng"\
     "th is greater than zero, but SrcEnvOffset is negative, zero, or"\
     " less than the length of the fixed part of MQRMH.\n- SrcEnvLeng"\
     "th is greater than zero, but SrcEnvOffset plus SrcEnvLength is "\
     "greater than StrucLength. The exit returns this reason in the F"\
     "eedback field of the MQCXP structure. If an exception report is"\
     " requested, it is copied to the Feedback field of the MQMD asso"\
     "ciated with the report. This reason code occurs in the followin"\
     "g environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus"\
     " WebSphere MQ clients connected to these systems.",
   "Specify the source environment data correctly.",
},
{  2262,
   "MQRC_SRC_NAME_ERROR",
   "MQCC_FAILED",
   "This reason occurs when a channel exit that processes reference m"\
     "essages detects an error in the source name data of a reference"\
     " message header (MQRMH). One of the following is true:\n- SrcNa"\
     "meLength is less than zero.\n- SrcNameLength is greater than ze"\
     "ro, but there is no source name data.\n- SrcNameLength is great"\
     "er than zero, but SrcNameOffset is negative, zero, or less than"\
     " the length of the fixed part of MQRMH.\n- SrcNameLength is gre"\
     "ater than zero, but SrcNameOffset plus SrcNameLength is greater"\
     " than StrucLength. The exit returns this reason in the Feedback"\
     " field of the MQCXP structure. If an exception report is reques"\
     "ted, it is copied to the Feedback field of the MQMD associated "\
     "with the report. This reason code occurs in the following envir"\
     "onments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebSph"\
     "ere MQ clients connected to these systems.",
   "Specify the source name data correctly.",
},
{  2263,
   "MQRC_DEST_ENV_ERROR",
   "MQCC_FAILED",
   "This reason occurs when a channel exit that processes reference m"\
     "essages detects an error in the destination environment data of"\
     " a reference message header (MQRMH). One of the following is tr"\
     "ue:\n- DestEnvLength is less than zero.\n- DestEnvLength is gre"\
     "ater than zero, but there is no destination environment data.\n"\
     "- DestEnvLength is greater than zero, but DestEnvOffset is nega"\
     "tive, zero, or less than the length of the fixed part of MQRMH."\
     "\n- DestEnvLength is greater than zero, but DestEnvOffset plus "\
     "DestEnvLength is greater than StrucLength. The exit returns thi"\
     "s reason in the Feedback field of the MQCXP structure. If an ex"\
     "ception report is requested, it is copied to the Feedback field"\
     " of the MQMD associated with the report. This reason code occur"\
     "s in the following environments: AIX, HP-UX, OS/2, i5/OS, Solar"\
     "is, Windows, plus WebSphere MQ clients connected to these syste"\
     "ms.",
   "Specify the destination environment data correctly.",
},
{  2264,
   "MQRC_DEST_NAME_ERROR",
   "MQCC_FAILED",
   "This reason occurs when a channel exit that processes reference m"\
     "essages detects an error in the destination name data of a refe"\
     "rence message header (MQRMH). One of the following is true:\n- "\
     "DestNameLength is less than zero.\n- DestNameLength is greater "\
     "than zero, but there is no destination name data.\n- DestNameLe"\
     "ngth is greater than zero, but DestNameOffset is negative, zero"\
     ", or less than the length of the fixed part of MQRMH.\n- DestNa"\
     "meLength is greater than zero, but DestNameOffset plus DestName"\
     "Length is greater than StrucLength. The exit returns this reaso"\
     "n in the Feedback field of the MQCXP structure. If an exception"\
     " report is requested, it is copied to the Feedback field of the"\
     " MQMD associated with the report. This reason code occurs in th"\
     "e following environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Win"\
     "dows, plus WebSphere MQ clients connected to these systems.",
   "Specify the destination name data correctly.",
},
{  2265,
   "MQRC_TM_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQTM structure that is not valid. Possible errors include t"\
     "he following:\n- The StrucId field is not MQTM_STRUC_ID.\n- The"\
     " Version field is not MQTM_VERSION_1.\n- The BufferLength param"\
     "eter of the call has a value that is too small to accommodate t"\
     "he structure (the structure extends beyond the end of the messa"\
     "ge). This reason code occurs in the following environments: AIX"\
     ", HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ"\
     " clients connected to these systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2266,
   "MQRC_CLUSTER_EXIT_ERROR",
   "MQCC_FAILED",
   "An MQOPEN, MQPUT, or MQPUT1 call was issued to open or put a mess"\
     "age on a cluster queue, but the cluster workload exit defined b"\
     "y the queue-managers ClusterWorkloadExit attribute failed unex"\
     "pectedly or did not respond in time. Subsequent MQOPEN, MQPUT, "\
     "and MQPUT1 calls for this queue handle are processed as though "\
     "the ClusterWorkloadExit attribute were blank.\n- On z/OS, a mes"\
     "sage giving more information about the error is written to the "\
     "system log, for example message CSQV455E or CSQV456E. This reas"\
     "on code occurs in the following environments: AIX, HP-UX, z/OS,"\
     " OS/2, i5/OS, Solaris, Windows, plus WebSphere MQ clients conne"\
     "cted to these systems.",
   "Check the cluster workload exit to ensure that it has been writte"\
     "n correctly.",
},
{  2267,
   "MQRC_CLUSTER_EXIT_LOAD_ERROR",
   "MQCC_WARNING",
   "An MQCONN or MQCONNX call was issued to connect to a queue manage"\
     "r, but the queue manager was unable to load the cluster workloa"\
     "d exit. Execution continues without the cluster workload exit"\
     ".\n- On z/OS, if the cluster workload exit cannot be loaded, a "\
     "message is written to the system log, for example message CSQV4"\
     "53I. Processing continues as though the ClusterWorkloadExit att"\
     "ribute had been blank. This reason code occurs in the following"\
     " environments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus "\
     "WebSphere MQ clients connected to these systems.",
   "Ensure that the queue-managers ClusterWorkloadExit attribute has"\
     " the correct value, and that the exit has been installed into t"\
     "he correct location.",
},
{  2268,
   "MQRC_CLUSTER_PUT_INHIBITED",
   "MQCC_FAILED",
   "An MQOPEN call with the MQOO_OUTPUT and MQOO_BIND_ON_OPEN options"\
     " in effect was issued for a cluster queue, but the call failed "\
     "because all of the following are true:\n- All instances of the "\
     "cluster queue are currently put-inhibited (that is, all of the "\
     "queue instances have the InhibitPut attribute set to MQQA_PUT_I"\
     "NHIBITED).\n- There is no local instance of the queue. (If ther"\
     "e is a local instance, the MQOPEN call succeeds, even if the lo"\
     "cal instance is put-inhibited.)\n- There is no cluster workload"\
     " exit for the queue, or there is a cluster workload exit but it"\
     " did not choose a queue instance. (If the cluster workload exit"\
     " does choose a queue instance, the MQOPEN call succeeds, even i"\
     "f that instance is put-inhibited.) If the MQOO_BIND_NOT_FIXED o"\
     "ption is specified on the MQOPEN call, the call can succeed eve"\
     "n if all of the queues in the cluster are put-inhibited. Howeve"\
     "r, a subsequent MQPUT call may fail if all of the queues are st"\
     "ill put-inhibited at the time of the MQPUT call. This reason co"\
     "de occurs in the following environments: AIX, HP-UX, z/OS, OS/2"\
     ", i5/OS, Solaris, Windows, plus WebSphere MQ clients connected "\
     "to these systems.",
   "If the system design allows put requests to be inhibited for shor"\
     "t periods, retry the operation later. If the problem persists, "\
     "determine why all of the queues in the cluster are put-inhibite"\
     "d.",
},
{  2269,
   "MQRC_CLUSTER_RESOURCE_ERROR",
   "MQCC_FAILED",
   "An MQOPEN, MQPUT, or MQPUT1 call was issued for a cluster queue, "\
     "but an error occurred whilst trying to use a resource required "\
     "for clustering. This reason code occurs in the following enviro"\
     "nments: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, Windows, plus W"\
     "ebSphere MQ clients connected to these systems.",
   "Do the following:\n- Check that the SYSTEM.CLUSTER.* queues are n"\
     "ot put inhibited or full.\n- Check the event queues for any eve"\
     "nts relating to the SYSTEM.CLUSTER.* queues, as these may give "\
     "guidance as to the nature of the failure.\n- Check that the rep"\
     "ository queue manager is available.\n- On z/OS, check the conso"\
     "le for signs of the failure, such as full page sets.",
},
{  2270,
   "MQRC_NO_DESTINATIONS_AVAILABLE",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message on a cluster "\
     "queue, but at the time of the call there were no longer any ins"\
     "tances of the queue in the cluster. The message therefore could"\
     " not be sent. This situation can occur when MQOO_BIND_NOT_FIXED"\
     " is specified on the MQOPEN call that opens the queue, or MQPUT"\
     "1 is used to put the message. This reason code occurs in the fo"\
     "llowing environments: AIX, HP-UX, z/OS, OS/2, i5/OS, Solaris, W"\
     "indows, plus WebSphere MQ clients connected to these systems.",
   "Check the queue definition and queue status to determine why all "\
     "instances of the queue were removed from the cluster. Correct t"\
     "he problem and rerun the application.",
},
{  2271,
   "MQRC_CONN_TAG_IN_USE",
   "MQCC_FAILED",
   "An MQCONNX call was issued specifying one of the MQCNO_*_CONN_TAG"\
     "_* options, but the call failed because the connection tag spec"\
     "ified by ConnTag in MQCNO is in use by an active process or thr"\
     "ead, or there is an unresolved unit of work that references thi"\
     "s connection tag. This reason code occurs only on z/OS.",
   "The problem is likely to be transitory. The application should wa"\
     "it a short while and then retry the operation.",
},
{  2272,
   "MQRC_PARTIALLY_CONVERTED",
   "MQCC_FAILED",
   "On an MQGET call with the MQGMO_CONVERT option included in the Ge"\
     "tMsgOpts parameter, one or more MQ header structures in the mes"\
     "sage data could not be converted to the specified target charac"\
     "ter set or encoding. In this situation, the MQ header structure"\
     "s are converted to the queue-managers character set and encodi"\
     "ng, and the application data in the message is converted to the"\
     " target character set and encoding. On return from the call, th"\
     "e values returned in the various CodedCharSetId and Encoding fi"\
     "elds in the MsgDesc parameter and MQ header structures indicate"\
     " the character set and encoding that apply to each part of the "\
     "message. The call completes with MQCC_WARNING. This reason code"\
     " usually occurs when the specified target character set is one "\
     "that causes the character strings in the MQ header structures t"\
     "o expand beyond the lengths of their fields. Unicode character "\
     "set UCS-2 is an example of a character set that causes this to "\
     "happen.",
   "If this is an expected situation, no corrective action is require"\
     "d. If this is an unexpected situation, check that the MQ header"\
     " structures contain valid data. If they do, specify as the targ"\
     "et character set a character set that does not cause the string"\
     "s to expand.",
},
{  2273,
   "MQRC_CONNECTION_ERROR",
   "MQCC_FAILED",
   "An MQCONN or MQCONNX call failed for one of the following reasons"\
     ":\n- The installation and customization options chosen for WebS"\
     "phere MQ do not allow connection by the type of application bei"\
     "ng used.\n- The system parameter module is not at the same rele"\
     "ase level as the queue manager.\n- The channel initiator is not"\
     " at the same release level as the queue manager.\n- An internal"\
     " error was detected by the queue manager. This reason code occu"\
     "rs only on z/OS.",
   "None, if the installation and customization options chosen for We"\
     "bSphere MQ do not allow all functions to be used. Otherwise, if"\
     " this occurs while starting the channel initiator, ensure that "\
     "the queue manager and the channel initiator are both at the sam"\
     "e release level and that their started task JCL procedures both"\
     " specify the same level of WebSphere MQ program libraries; if t"\
     "his occurs while starting the queue manager, relinkedit the sys"\
     "tem parameter module (CSQZPARM) to ensure that it is at the cor"\
     "rect level. If the problem persists, contact your IBM support c"\
     "enter.",
},
{  2274,
   "MQRC_OPTION_ENVIRONMENT_ERROR",
   "MQCC_FAILED",
   "An MQGET call with the MQGMO_MARK_SKIP_BACKOUT option specified w"\
     "as issued from a DB2 Stored Procedure. The call failed because "\
     "the MQGMO_MARK_SKIP_BACKOUT option cannot be used from a DB2 St"\
     "ored Procedure. This reason code occurs only on z/OS.",
   "Remove the MQGMO_MARK_SKIP_BACKOUT option from the MQGET call.",
},
{  2277,
   "MQRC_CD_ERROR",
   "MQCC_FAILED",
   "An MQCONNX call was issued to connect to a queue manager, but the"\
     " MQCD channel definition structure addressed by the ClientConnO"\
     "ffset or ClientConnPtr field in MQCNO contains data that is not"\
     " valid. Consult the error log for more information about the na"\
     "ture of the error. This reason code occurs in the following env"\
     "ironments: AIX, HP-UX, OS/2, i5/OS, Solaris, Windows, plus WebS"\
     "phere MQ clients connected to these systems.",
   "Ensure that input fields in the MQCD structure are set correctly.",
},
{  2278,
   "MQRC_CLIENT_CONN_ERROR",
   "MQCC_FAILED",
   "An MQCONNX call was issued to connect to a queue manager, but the"\
     " MQCD channel definition structure is not specified correctly. "\
     "One of the following applies:\n- ClientConnOffset is not zero a"\
     "nd ClientConnPtr is not zero and not the null pointer.\n- Clien"\
     "tConnPtr is not a valid pointer.\n- ClientConnPtr or ClientConn"\
     "Offset points to storage that is not accessible. This reason co"\
     "de occurs in the following environments: AIX, HP-UX, OS/2, i5/O"\
     "S, Solaris, Windows, plus WebSphere MQ clients connected to the"\
     "se systems. It also occurs in Java applications when a client c"\
     "hannel definition table is specified to determine the name of t"\
     "he channel, but the table itself cannot be found.",
   "Ensure that at least one of ClientConnOffset and ClientConnPtr is"\
     " zero. Ensure that the field used points to accessible storage."\
     " Ensure that the URL of the client channel definition table is "\
     "correct.",
},
{  2279,
   "MQRC_CHANNEL_STOPPED_BY_USER",
   "MQCC_WARNING",
   "This condition is detected when the channel has been stopped by a"\
     "n operator. The reason qualifier identifies the reasons for sto"\
     "pping.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2280,
   "MQRC_HCONFIG_ERROR",
   "MQCC_FAILED",
   "The configuration handle Hconfig specified on the MQXEP call or M"\
     "QZEP call is not valid. The MQXEP call is issued by an API exit"\
     " function; the MQZEP call is issued by an installable service"\
     ".\n- On z/OS, this reason code does not occur.",
   "Specify the configuration handle that was provided by the queue m"\
     "anager:\n- On the MQXEP call, use the handle passed in the Hcon"\
     "fig field of the MQAXP structure.\n- On the MQZEP call, use the"\
     " handle passed to the installable services configuration funct"\
     "ion on the component initialization call. See the WebSphere MQ "\
     "System Administration Guide book for information about installa"\
     "ble services.",
},
{  2281,
   "MQRC_FUNCTION_ERROR",
   "MQCC_FAILED",
   "An MQXEP or MQZEP call was issued, but the function identifier Fu"\
     "nction specified on the call is not valid, or not supported by "\
     "the installable service being configured.\n- On z/OS, this reas"\
     "on code does not occur.",
   "Do the following:\n- For the MQXEP call, specify one of the MQXF_"\
     "* values.\n- For the MQZEP call, specify an MQZID_* value that "\
     "is valid for the installable service being configured. Refer to"\
     " the description of the MQZEP call in the WebSphere MQ System A"\
     "dministration Guide book to determine which values are valid.",
},
{  2282,
   "MQRC_CHANNEL_STARTED",
   "MQCC_WARNING",
   "One of the following has occurred:\n- An operator has issued a St"\
     "art Channel command.\n- An instance of a channel has been succe"\
     "ssfully established. This condition is detected when Initial Da"\
     "ta negotiation is complete and resynchronization has been perfo"\
     "rmed where necessary such that message transfer can proceed.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2283,
   "MQRC_CHANNEL_STOPPED",
   "MQCC_WARNING",
   "This condition is detected when the channel has been stopped. The"\
     " reason qualifier identifies the reasons for stopping.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2284,
   "MQRC_CHANNEL_CONV_ERROR",
   "MQCC_WARNING",
   "This condition is detected when a channel is unable to do data co"\
     "nversion and the MQGET call to get a message from the transmiss"\
     "ion queue resulted in a data conversion error. The conversion r"\
     "eason code identifies the reason for the failure.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2285,
   "MQRC_SERVICE_NOT_AVAILABLE",
   "MQCC_FAILED",
   "This reason should be returned by an installable service componen"\
     "t when the requested action cannot be performed because the req"\
     "uired underlying service is not available.\n- On z/OS, this rea"\
     "son code does not occur.",
   "Make the underlying service available.",
},
{  2286,
   "MQRC_INITIALIZATION_FAILED",
   "MQCC_FAILED",
   "This reason should be returned by an installable service componen"\
     "t when the component is unable to complete initialization succe"\
     "ssfully.\n- On z/OS, this reason code does not occur.",
   "Correct the error and retry the operation.",
},
{  2287,
   "MQRC_TERMINATION_FAILED",
   "MQCC_FAILED",
   "This reason should be returned by an installable service componen"\
     "t when the component is unable to complete termination successf"\
     "ully.\n- On z/OS, this reason code does not occur.",
   "Correct the error and retry the operation.",
},
{  2288,
   "MQRC_UNKNOWN_Q_NAME",
   "MQCC_FAILED",
   "This reason should be returned by the MQZ_LOOKUP_NAME installable"\
     " service component when the name specified for the QName parame"\
     "ter is not recognized.\n- On z/OS, this reason code does not oc"\
     "cur.",
   "None. See the WebSphere MQ System Administration Guide book for i"\
     "nformation about installable services.",
},
{  2289,
   "MQRC_SERVICE_ERROR",
   "MQCC_FAILED",
   "This reason should be returned by an installable service componen"\
     "t when the component encounters an unexpected error.\n- On z/OS"\
     ", this reason code does not occur.",
   "Correct the error and retry the operation.",
},
{  2290,
   "MQRC_Q_ALREADY_EXISTS",
   "MQCC_FAILED",
   "This reason should be returned by the MQZ_INSERT_NAME installable"\
     " service component when the queue specified by the QName parame"\
     "ter is already defined to the name service.\n- On z/OS, this re"\
     "ason code does not occur.",
   "None. See the WebSphere MQ System Administration Guide book for i"\
     "nformation about installable service.",
},
{  2291,
   "MQRC_USER_ID_NOT_AVAILABLE",
   "MQCC_FAILED",
   "This reason should be returned by the MQZ_FIND_USERID installable"\
     " service component when the user ID cannot be determined.\n- On"\
     " z/OS, this reason code does not occur.",
   "None. See the WebSphere MQ System Administration Guide book for i"\
     "nformation about installable services.",
},
{  2292,
   "MQRC_UNKNOWN_ENTITY",
   "MQCC_FAILED",
   "This reason should be returned by the authority installable servi"\
     "ce component when the name specified by the EntityName paramete"\
     "r is not recognized.\n- On z/OS, this reason code does not occu"\
     "r.",
   "Ensure that the entity is defined.",
},
{  2294,
   "MQRC_UNKNOWN_REF_OBJECT",
   "MQCC_FAILED",
   "This reason should be returned by the MQZ_COPY_ALL_AUTHORITY inst"\
     "allable service component when the name specified by the RefObj"\
     "ectName parameter is not recognized.\n- On z/OS, this reason co"\
     "de does not occur.",
   "Ensure that the reference object is defined. See the WebSphere MQ"\
     " System Administration Guide book for information about install"\
     "able services.",
},
{  2295,
   "MQRC_CHANNEL_ACTIVATED",
   "MQCC_WARNING",
   "This condition is detected when a channel that has been waiting t"\
     "o become active, and for which a Channel Not Activated event ha"\
     "s been generated, is now able to become active because an activ"\
     "e slot has been released by another channel. This event is not "\
     "generated for a channel that is able to become active without w"\
     "aiting for an active slot to be released.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2296,
   "MQRC_CHANNEL_NOT_ACTIVATED",
   "MQCC_WARNING",
   "This condition is detected when a channel is required to become a"\
     "ctive, either because it is starting or because it is about to "\
     "make another attempt to establish connection with its partner. "\
     "However, it is unable to do so because the limit on the number "\
     "of active channels has been reached.\n- On z/OS, the maximum nu"\
     "mber of active channels is given by the ACTCHL queue manager at"\
     "tribute.\n- In other environments, the maximum number of active"\
     " channels is given by the MaxActiveChannels parameter in the qm"\
     ".ini file. The channel waits until it is able to take over an a"\
     "ctive slot released when another channel ceases to be active. A"\
     "t that time a Channel Activated event is generated.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2297,
   "MQRC_UOW_CANCELED",
   "MQCC_FAILED",
   "An MQI call was issued, but the unit of work (TM/MP transaction) "\
     "being used for the MQ operation had been canceled. This may hav"\
     "e been done by TM/MP itself (for example, due to the transactio"\
     "n running for too long, or exceeding audit trail sizes), or by "\
     "the application program issuing an ABORT_TRANSACTION. All updat"\
     "es performed to resources owned by the queue manager are backed"\
     " out.",
   "Refer to the operating systems Transaction Management Operations"\
     " Guide to determine how the Transaction Manager can be tuned to"\
     " avoid the problem of system limits being exceeded.",
},
{  2298,
   "MQRC_FUNCTION_NOT_SUPPORTED",
   "MQCC_FAILED",
   "The function requested is not available in the current environmen"\
     "t.",
   "Remove the call from the application.",
},
{  2299,
   "MQRC_SELECTOR_TYPE_ERROR",
   "MQCC_FAILED",
   "The Selector parameter has the wrong data type; it must be of typ"\
     "e Long.",
   "Declare the Selector parameter as Long.",
},
{  2300,
   "MQRC_COMMAND_TYPE_ERROR",
   "MQCC_FAILED",
   "The mqExecute call was issued, but the value of the MQIASY_TYPE d"\
     "ata item in the administration bag is not MQCFT_COMMAND.",
   "Ensure that the MQIASY_TYPE data item in the administration bag h"\
     "as the value MQCFT_COMMAND.",
},
{  2301,
   "MQRC_MULTIPLE_INSTANCE_ERROR",
   "MQCC_FAILED",
   "The Selector parameter specifies a system selector (one of the MQ"\
     "IASY_* values), but the value of the ItemIndex parameter is not"\
     " MQIND_NONE. Only one instance of each system selector can exis"\
     "t in the bag.",
   "Specify MQIND_NONE for the ItemIndex parameter.",
},
{  2302,
   "MQRC_SYSTEM_ITEM_NOT_ALTERABLE",
   "MQCC_FAILED",
   "A call was issued to modify the value of a system data item in a "\
     "bag (a data item with one of the MQIASY_* selectors), but the c"\
     "all failed because the data item is one that cannot be altered "\
     "by the application.",
   "Specify the selector of a user-defined data item, or remove the c"\
     "all.",
},
{  2303,
   "MQRC_BAG_CONVERSION_ERROR",
   "MQCC_FAILED",
   "The mqBufferToBag or mqGetBag call was issued, but the data in th"\
     "e buffer or message could not be converted into a bag. This occ"\
     "urs when the data to be converted is not valid PCF.",
   "Check the logic of the application that created the buffer or mes"\
     "sage to ensure that the buffer or message contains valid PCF. I"\
     "f the message contains PCF that is not valid, the message canno"\
     "t be retrieved using the mqGetBag call:\n- If one of the MQGMO_"\
     "BROWSE_* options was specified, the message remains on the queu"\
     "e and can be retrieved using the MQGET call.\n- In other cases,"\
     " the message has already been removed from the queue and discar"\
     "ded. If the message was retrieved within a unit of work, the un"\
     "it of work can be backed out and the message retrieved using th"\
     "e MQGET call.",
},
{  2304,
   "MQRC_SELECTOR_OUT_OF_RANGE",
   "MQCC_FAILED",
   "The Selector parameter has a value that is outside the valid rang"\
     "e for the call. If the bag was created with the MQCBO_CHECK_SEL"\
     "ECTORS option:\n- For the mqAddInteger call, the value must be "\
     "within the range MQIA_FIRST through MQIA_LAST.\n- For the mqAdd"\
     "String call, the value must be within the range MQCA_FIRST thro"\
     "ugh MQCA_LAST. If the bag was not created with the MQCBO_CHECK_"\
     "SELECTORS option:\n- The value must be zero or greater.",
   "Specify a valid value.",
},
{  2305,
   "MQRC_SELECTOR_NOT_UNIQUE",
   "MQCC_FAILED",
   "The ItemIndex parameter has the value MQIND_NONE, but the bag con"\
     "tains more than one data item with the selector value specified"\
     " by the Selector parameter. MQIND_NONE requires that the bag co"\
     "ntain only one occurrence of the specified selector. This reaso"\
     "n code also occurs on the mqExecute call when the administratio"\
     "n bag contains two or more occurrences of a selector for a requ"\
     "ired parameter that permits only one occurrence.",
   "Check the logic of the application that created the bag. If corre"\
     "ct, specify for ItemIndex a value that is zero or greater, and "\
     "add application logic to process all of the occurrences of the "\
     "selector in the bag. Review the description of the administrati"\
     "on command being issued, and ensure that all required parameter"\
     "s are defined correctly in the bag.",
},
{  2306,
   "MQRC_INDEX_NOT_PRESENT",
   "MQCC_FAILED",
   "The specified index is not present:\n- For a bag, this means that"\
     " the bag contains one or more data items that have the selector"\
     " value specified by the Selector parameter, but none of them ha"\
     "s the index value specified by the ItemIndex parameter. The dat"\
     "a item identified by the Selector and ItemIndex parameters must"\
     " exist in the bag.\n- For a namelist, this means that the index"\
     " parameter value is too large, and outside the range of valid v"\
     "alues.",
   "Specify the index of a data item that does exist in the bag or na"\
     "melist. Use the mqCountItems call to determine the number of da"\
     "ta items with the specified selector that exist in the bag, or "\
     "the nameCount method to determine the number of names in the na"\
     "melist.",
},
{  2307,
   "MQRC_STRING_ERROR",
   "MQCC_FAILED",
   "The String parameter is not valid. Either the parameter pointer i"\
     "s not valid, or it points to read-only storage. (It is not alwa"\
     "ys possible to detect parameter pointers that are not valid; if"\
     " not detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2308,
   "MQRC_ENCODING_NOT_SUPPORTED",
   "MQCC_FAILED",
   "The Encoding field in the message descriptor MQMD contains a valu"\
     "e that is not supported:\n- For the mqPutBag call, the field in"\
     " error resides in the MsgDesc parameter of the call.\n- For the"\
     " mqGetBag call, the field in error resides in:\n  * The MsgDesc"\
     " parameter of the call if the MQGMO_CONVERT option was specifie"\
     "d.\n  * The message descriptor of the message about to be retri"\
     "eved if MQGMO_CONVERT was not specified.",
   "The value must be MQENC_NATIVE. If the value of the Encoding fiel"\
     "d in the message is not valid, the message cannot be retrieved "\
     "using the mqGetBag call:\n- If one of the MQGMO_BROWSE_* option"\
     "s was specified, the message remains on the queue and can be re"\
     "trieved using the MQGET call.\n- In other cases, the message ha"\
     "s already been removed from the queue and discarded. If the mes"\
     "sage was retrieved within a unit of work, the unit of work can "\
     "be backed out and the message retrieved using the MQGET call.",
},
{  2309,
   "MQRC_SELECTOR_NOT_PRESENT",
   "MQCC_FAILED",
   "The Selector parameter specifies a selector that does not exist i"\
     "n the bag.",
   "Specify a selector that does exist in the bag.",
},
{  2310,
   "MQRC_OUT_SELECTOR_ERROR",
   "MQCC_FAILED",
   "The OutSelector parameter is not valid. Either the parameter poin"\
     "ter is not valid, or it points to read-only storage. (It is not"\
     " always possible to detect parameter pointers that are not vali"\
     "d; if not detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2311,
   "MQRC_STRING_TRUNCATED",
   "MQCC_FAILED",
   "The string returned by the call is too long to fit in the buffer "\
     "provided. The string has been truncated to fit in the buffer.",
   "If the entire string is required, provide a larger buffer. On the"\
     " mqInquireString call, the StringLength parameter is set by the"\
     " call to indicate the size of the buffer required to accommodat"\
     "e the string without truncation.",
},
{  2312,
   "MQRC_SELECTOR_WRONG_TYPE",
   "MQCC_FAILED",
   "A data item with the specified selector exists in the bag, but ha"\
     "s a data type that conflicts with the data type implied by the "\
     "call being used. For example, the data item might have an integ"\
     "er data type, but the call being used might be mqSetString, whi"\
     "ch implies a character data type. This reason code also occurs "\
     "on the mqBagToBuffer, mqExecute, and mqPutBag calls when mqAddS"\
     "tring or mqSetString was used to add the MQIACF_INQUIRY data it"\
     "em to the bag.",
   "For the mqSetInteger and mqSetString calls, specify MQIND_ALL for"\
     " the ItemIndex parameter to delete from the bag all existing oc"\
     "currences of the specified selector before creating the new occ"\
     "urrence with the required data type. For the mqInquireBag, mqIn"\
     "quireInteger, and mqInquireString calls, use the mqInquireItemI"\
     "nfo call to determine the data type of the item with the specif"\
     "ied selector, and then use the appropriate call to determine th"\
     "e value of the data item. For the mqBagToBuffer, mqExecute, and"\
     " mqPutBag calls, ensure that the MQIACF_INQUIRY data item is ad"\
     "ded to the bag using the mqAddInteger or mqSetInteger calls.",
},
{  2313,
   "MQRC_INCONSISTENT_ITEM_TYPE",
   "MQCC_FAILED",
   "The mqAddInteger or mqAddString call was issued to add another oc"\
     "currence of the specified selector to the bag, but the data typ"\
     "e of this occurrence differed from the data type of the first o"\
     "ccurrence. This reason can also occur on the mqBufferToBag and "\
     "mqGetBag calls, where it indicates that the PCF in the buffer o"\
     "r message contains a selector that occurs more than once but wi"\
     "th inconsistent data types.",
   "For the mqAddInteger and mqAddString calls, use the call appropri"\
     "ate to the data type of the first occurrence of that selector i"\
     "n the bag. For the mqBufferToBag and mqGetBag calls, check the "\
     "logic of the application that created the buffer or sent the me"\
     "ssage to ensure that multiple-occurrence selectors occur with o"\
     "nly one data type. A message that contains a mixture of data ty"\
     "pes for a selector cannot be retrieved using the mqGetBag call:"\
     "\n- If one of the MQGMO_BROWSE_* options was specified, the mes"\
     "sage remains on the queue and can be retrieved using the MQGET "\
     "call.\n- In other cases, the message has already been removed f"\
     "rom the queue and discarded. If the message was retrieved withi"\
     "n a unit of work, the unit of work can be backed out and the me"\
     "ssage retrieved using the MQGET call.",
},
{  2314,
   "MQRC_INDEX_ERROR",
   "MQCC_FAILED",
   "An index parameter to a call or method has a value that is not va"\
     "lid. The value must be zero or greater. For bag calls, certain "\
     "MQIND_* values can also be specified:\n- For the mqDeleteItem, "\
     "mqSetInteger and mqSetString calls, MQIND_ALL and MQIND_NONE ar"\
     "e valid.\n- For the mqInquireBag, mqInquireInteger, mqInquireSt"\
     "ring, and mqInquireItemInfo calls, MQIND_NONE is valid.",
   "Specify a valid value.",
},
{  2315,
   "MQRC_SYSTEM_BAG_NOT_ALTERABLE",
   "MQCC_FAILED",
   "A call was issued to add a data item to a bag, modify the value o"\
     "f an existing data item in a bag, or retrieve a message into a "\
     "bag, but the call failed because the bag is one that had been c"\
     "reated by the system as a result of a previous mqExecute call. "\
     "System bags cannot be modified by the application.",
   "Specify the handle of a bag created by the application, or remove"\
     " the call.",
},
{  2316,
   "MQRC_ITEM_COUNT_ERROR",
   "MQCC_FAILED",
   "The mqTruncateBag call was issued, but the ItemCount parameter sp"\
     "ecifies a value that is not valid. The value is either less tha"\
     "n zero, or greater than the number of user-defined data items i"\
     "n the bag. This reason also occurs on the mqCountItems call if "\
     "the parameter pointer is not valid, or points to read-only stor"\
     "age. (It is not always possible to detect parameter pointers th"\
     "at are not valid; if not detected, unpredictable results occur."\
     ")",
   "Specify a valid value. Use the mqCountItems call to determine the"\
     " number of user-defined data items in the bag.",
},
{  2317,
   "MQRC_FORMAT_NOT_SUPPORTED",
   "MQCC_FAILED",
   "The Format field in the message descriptor MQMD contains a value "\
     "that is not supported:\n- In an administration message, the for"\
     "mat value must be one of the following: MQFMT_ADMIN, MQFMT_EVEN"\
     "T, MQFMT_PCF. For the mqPutBag call, the field in error resides"\
     " in the MsgDesc parameter of the call. For the mqGetBag call, t"\
     "he field in error resides in the message descriptor of the mess"\
     "age about to be retrieved.\n- On z/OS, the message was put to t"\
     "he command input queue with a format value of MQFMT_ADMIN, but "\
     "the version of MQ being used does not support that format for c"\
     "ommands.",
   "If the error occurred when putting a message, correct the format "\
     "value. If the error occurred when getting a message, the messag"\
     "e cannot be retrieved using the mqGetBag call:\n- If one of the"\
     " MQGMO_BROWSE_* options was specified, the message remains on t"\
     "he queue and can be retrieved using the MQGET call.\n- In other"\
     " cases, the message has already been removed from the queue and"\
     " discarded. If the message was retrieved within a unit of work,"\
     " the unit of work can be backed out and the message retrieved u"\
     "sing the MQGET call.",
},
{  2318,
   "MQRC_SELECTOR_NOT_SUPPORTED",
   "MQCC_FAILED",
   "The Selector parameter specifies a value that is a system selecto"\
     "r (a value that is negative), but the system selector is not on"\
     "e that is supported by the call.",
   "Specify a selector value that is supported.",
},
{  2319,
   "MQRC_ITEM_VALUE_ERROR",
   "MQCC_FAILED",
   "The mqInquireBag or mqInquireInteger call was issued, but the Ite"\
     "mValue parameter is not valid. Either the parameter pointer is "\
     "not valid, or it points to read-only storage. (It is not always"\
     " possible to detect parameter pointers that are not valid; if n"\
     "ot detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2320,
   "MQRC_HBAG_ERROR",
   "MQCC_FAILED",
   "A call was issued that has a parameter that is a bag handle, but "\
     "the handle is not valid. For output parameters, this reason als"\
     "o occurs if the parameter pointer is not valid, or points to re"\
     "ad-only storage. (It is not always possible to detect parameter"\
     " pointers that are not valid; if not detected, unpredictable re"\
     "sults occur.)",
   "Correct the parameter.",
},
{  2321,
   "MQRC_PARAMETER_MISSING",
   "MQCC_FAILED",
   "An administration message requires a parameter that is not presen"\
     "t in the administration bag. This reason code occurs only for b"\
     "ags created with the MQCBO_ADMIN_BAG or MQCBO_REORDER_AS_REQUIR"\
     "ED options.",
   "Review the description of the administration command being issued"\
     ", and ensure that all required parameters are present in the ba"\
     "g.",
},
{  2322,
   "MQRC_CMD_SERVER_NOT_AVAILABLE",
   "MQCC_FAILED",
   "The command server that processes administration commands is not "\
     "available.",
   "Start the command server.",
},
{  2323,
   "MQRC_STRING_LENGTH_ERROR",
   "MQCC_FAILED",
   "The StringLength parameter is not valid. Either the parameter poi"\
     "nter is not valid, or it points to read-only storage. (It is no"\
     "t always possible to detect parameter pointers that are not val"\
     "id; if not detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2324,
   "MQRC_INQUIRY_COMMAND_ERROR",
   "MQCC_FAILED",
   "The mqAddInquiry call was used previously to add attribute select"\
     "ors to the bag, but the command code to be used for the mqBagTo"\
     "Buffer, mqExecute, or mqPutBag call is not recognized. As a res"\
     "ult, the correct PCF message cannot be generated.",
   "Remove the mqAddInquiry calls and use instead the mqAddInteger ca"\
     "ll with the appropriate MQIACF_*_ATTRS or MQIACH_*_ATTRS select"\
     "ors.",
},
{  2325,
   "MQRC_NESTED_BAG_NOT_SUPPORTED",
   "MQCC_FAILED",
   "A bag that is input to the call contains nested bags. Nested bags"\
     " are supported only for bags that are output from the call.",
   "Use a different bag as input to the call.",
},
{  2326,
   "MQRC_BAG_WRONG_TYPE",
   "MQCC_FAILED",
   "The Bag parameter specifies the handle of a bag that has the wron"\
     "g type for the call. The bag must be an administration bag, tha"\
     "t is, it must be created with the MQCBO_ADMIN_BAG option specif"\
     "ied on the mqCreateBag call.",
   "Specify the MQCBO_ADMIN_BAG option when the bag is created.",
},
{  2327,
   "MQRC_ITEM_TYPE_ERROR",
   "MQCC_FAILED",
   "The mqInquireItemInfo call was issued, but the ItemType parameter"\
     " is not valid. Either the parameter pointer is not valid, or it"\
     " points to read-only storage. (It is not always possible to det"\
     "ect parameter pointers that are not valid; if not detected, unp"\
     "redictable results occur.)",
   "Correct the parameter.",
},
{  2328,
   "MQRC_SYSTEM_BAG_NOT_DELETABLE",
   "MQCC_FAILED",
   "An mqDeleteBag call was issued to delete a bag, but the call fail"\
     "ed because the bag is one that had been created by the system a"\
     "s a result of a previous mqExecute call. System bags cannot be "\
     "deleted by the application.",
   "Specify the handle of a bag created by the application, or remove"\
     " the call.",
},
{  2329,
   "MQRC_SYSTEM_ITEM_NOT_DELETABLE",
   "MQCC_FAILED",
   "A call was issued to delete a system data item from a bag (a data"\
     " item with one of the MQIASY_* selectors), but the call failed "\
     "because the data item is one that cannot be deleted by the appl"\
     "ication.",
   "Specify the selector of a user-defined data item, or remove the c"\
     "all.",
},
{  2330,
   "MQRC_CODED_CHAR_SET_ID_ERROR",
   "MQCC_FAILED",
   "The CodedCharSetId parameter is not valid. Either the parameter p"\
     "ointer is not valid, or it points to read-only storage. (It is "\
     "not always possible to detect parameter pointers that are not v"\
     "alid; if not detected, unpredictable results occur.)",
   "Correct the parameter.",
},
{  2331,
   "MQRC_MSG_TOKEN_ERROR",
   "MQCC_FAILED",
   "An MQGET call was issued to retrieve a message using the message "\
     "token as a selection criterion, but the options specified are n"\
     "ot valid, because MQMO_MATCH_MSG_TOKEN was specified with eithe"\
     "r MQGMO_WAIT or MQGMO_SET_SIGNAL. This reason code occurs only "\
     "on z/OS.",
   "Remove the MQMO_MATCH_MSG_TOKEN option from the MQGET call.",
},
{  2332,
   "MQRC_MISSING_WIH",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message on a queue wh"\
     "ose IndexType attribute had the value MQIT_MSG_TOKEN, but the F"\
     "ormat field in the MQMD was not MQFMT_WORK_INFO_HEADER. This er"\
     "ror occurs only when the message arrives at the destination que"\
     "ue manager. This reason code occurs only on z/OS.",
   "Modify the application to ensure that it places an MQWIH structur"\
     "e at the start of the message data, and sets the Format field i"\
     "n the MQMD to MQFMT_WORK_INFO_HEADER. Alternatively, change the"\
     " ApplType attribute of the process definition used by the desti"\
     "nation queue to be MQAT_WLM, and specify the required service n"\
     "ame and service step name in its EnvData attribute.",
},
{  2333,
   "MQRC_WIH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQWIH structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQWIH_STRUC_ID.\n- T"\
     "he Version field is not MQWIH_VERSION_1.\n- The StrucLength fie"\
     "ld is not MQWIH_LENGTH_1.\n- The CodedCharSetId field is zero, "\
     "or a negative value that is not valid.\n- The BufferLength para"\
     "meter of the call has a value that is too small to accommodate "\
     "the structure (the structure extends beyond the end of the mess"\
     "age).\n- On z/OS, this error also occurs when the IndexType att"\
     "ribute of the queue is MQIT_MSG_TOKEN, but the message data doe"\
     "s not begin with an MQWIH structure.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).\n- On z/OS, if t"\
     "he queue has an IndexType of MQIT_MSG_TOKEN, ensure that the me"\
     "ssage data begins with an MQWIH structure.",
},
{  2334,
   "MQRC_RFH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQRFH or MQRFH2 structure that is not valid. Possible error"\
     "s include the following:\n- The StrucId field is not MQRFH_STRU"\
     "C_ID.\n- The Version field is not MQRFH_VERSION_1 (MQRFH), or M"\
     "QRFH_VERSION_2 (MQRFH2).\n- The StrucLength field specifies a v"\
     "alue that is too small to include the structure plus the variab"\
     "le-length data at the end of the structure.\n- The CodedCharSet"\
     "Id field is zero, or a negative value that is not valid.\n- The"\
     " BufferLength parameter of the call has a value that is too sma"\
     "ll to accommodate the structure (the structure extends beyond t"\
     "he end of the message).",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue (note: MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, and "\
     "MQCCSI_UNDEFINED are not valid in this field).",
},
{  2335,
   "MQRC_RFH_STRING_ERROR",
   "MQCC_FAILED",
   "The contents of the NameValueString field in the MQRFH structure "\
     "are not valid. NameValueString must adhere to the following rul"\
     "es:\n- The string must consist of zero or more name/value pairs"\
     " separated from each other by one or more blanks; the blanks ar"\
     "e not significant.\n- If a name or value contains blanks that a"\
     "re significant, the name or value must be enclosed in double-qu"\
     "ote characters.\n- If a name or value itself contains one or mo"\
     "re double-quote characters, the name or value must be enclosed "\
     "in double-quote characters, and each embedded double-quote char"\
     "acter must be doubled.\n- A name or value can contain any chara"\
     "cters other than the null, which acts as a delimiter. The null "\
     "and characters following it, up to the defined length of NameVa"\
     "lueString, are ignored. The following is a valid NameValueStrin"\
     "g: Famous_Words \"The program displayed 'Hello World'\"",
   "Modify the application that generated the message to ensure that "\
     "it places in the NameValueString field data that adheres to the"\
     " rules listed above. Check that the StrucLength field is set to"\
     " the correct value.",
},
{  2336,
   "MQRC_RFH_COMMAND_ERROR",
   "MQCC_FAILED",
   "The message contains an MQRFH structure, but the command name con"\
     "tained in the NameValueString field is not valid.",
   "Modify the application that generated the message to ensure that "\
     "it places in the NameValueString field a command name that is v"\
     "alid.",
},
{  2337,
   "MQRC_RFH_PARM_ERROR",
   "MQCC_FAILED",
   "The message contains an MQRFH structure, but a parameter name con"\
     "tained in the NameValueString field is not valid for the comman"\
     "d specified.",
   "Modify the application that generated the message to ensure that "\
     "it places in the NameValueString field only parameters that are"\
     " valid for the specified command.",
},
{  2338,
   "MQRC_RFH_DUPLICATE_PARM",
   "MQCC_FAILED",
   "The message contains an MQRFH structure, but a parameter occurs m"\
     "ore than once in the NameValueString field when only one occurr"\
     "ence is valid for the specified command.",
   "Modify the application that generated the message to ensure that "\
     "it places in the NameValueString field only one occurrence of t"\
     "he parameter.",
},
{  2339,
   "MQRC_RFH_PARM_MISSING",
   "MQCC_FAILED",
   "The message contains an MQRFH structure, but the command specifie"\
     "d in the NameValueString field requires a parameter that is not"\
     " present.",
   "Modify the application that generated the message to ensure that "\
     "it places in the NameValueString field all parameters that are "\
     "required for the specified command.",
},
{  2340,
   "MQRC_CHAR_CONVERSION_ERROR",
   "MQCC_FAILED",
   "This reason code is returned by the Java MQQueueManager construct"\
     "or when a required character-set conversion is not available. T"\
     "he conversion required is between two nonUnicode character sets"\
     ". This reason code occurs in the following environment: MQ Clas"\
     "ses for Java on z/OS.",
   "Ensure that the National Language Resources component of the z/OS"\
     " Language Environment is installed, and that conversion between"\
     " the IBM-1047 and ISO8859-1 character sets is available.",
},
{  2341,
   "MQRC_UCS2_CONVERSION_ERROR",
   "MQCC_FAILED",
   "This reason code is returned by the Java MQQueueManager construct"\
     "or when a required character set conversion is not available. T"\
     "he conversion required is between the UCS-2 Unicode character s"\
     "et and the character set of the queue manager which defaults to"\
     " IBM-500 if no specific value is available.",
   "Ensure that the relevant Unicode conversion tables are available "\
     "for the JVM. For z/OS ensure that the Unicode conversion tables"\
     " are available to the z/OS Language Environment. The conversion"\
     " tables should be installed as part of the z/OS C/C++ optional "\
     "feature. Refer to the z/OS C/C++ Programming Guide for more inf"\
     "ormation about enabling UCS-2 conversions.",
},
{  2342,
   "MQRC_DB2_NOT_AVAILABLE",
   "MQCC_FAILED",
   "An MQOPEN, MQPUT1, or MQSET call, or a command, was issued to acc"\
     "ess a shared queue, but it failed because the queue manager is "\
     "not connected to a DB2 subsystem. As a result, the queue manage"\
     "r is unable to access the object definition relating to the sha"\
     "red queue. This reason code occurs only on z/OS.",
   "Configure the DB2 subsystem so that the queue manager can connect"\
     " to it.",
},
{  2343,
   "MQRC_OBJECT_NOT_UNIQUE",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call, or a command, was issued to access a qu"\
     "eue, but the call failed because the queue specified cannot be "\
     "resolved unambiguously. There exists a shared queue with the sp"\
     "ecified name, and a nonshared queue with the same name. This re"\
     "ason code occurs only on z/OS.",
   "One of the queues must be deleted. If the queue to be deleted con"\
     "tains messages, use the MQSC command MOVE QLOCAL to move the me"\
     "ssages to a different queue, and then use the command DELETE QL"\
     "OCAL to delete the queue.",
},
{  2344,
   "MQRC_CONN_TAG_NOT_RELEASED",
   "MQCC_WARNING",
   "An MQDISC call was issued when there was a unit of work outstandi"\
     "ng for the connection handle. For CICS, IMS, and RRS connection"\
     "s, the MQDISC call does not commit or back out the unit of work"\
     ". As a result, the connection tag associated with the unit of w"\
     "ork is not yet available for reuse. The tag becomes available f"\
     "or reuse only when processing of the unit of work has been comp"\
     "leted. This reason code occurs only on z/OS.",
   "Do not try to reuse the connection tag immediately. If the MQCONN"\
     "X call is issued with the same connection tag, and that tag is "\
     "still in use, the call fails with reason code MQRC_CONN_TAG_IN_"\
     "USE.",
},
{  2345,
   "MQRC_CF_NOT_AVAILABLE",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to access a shared queue, but"\
     " the allocation of the coupling-facility structure specified in"\
     " the queue definition failed because there is no suitable coupl"\
     "ing facility to hold the structure, based on the preference lis"\
     "t in the active CFRM policy. This reason code can also occur wh"\
     "en the API call requires a capability that is not supported by "\
     "the CF level defined in the coupling-facility structure object."\
     " For example, this reason code is returned by an attempt to ope"\
     "n a shared queue that has a index type of MQIT_GROUP_ID, but th"\
     "e coupling-facility structure for the queue has a CF level lowe"\
     "r than three. This reason code occurs only on z/OS.",
   "Make available a coupling facility with one of the names specifie"\
     "d in the CFRM policy, or modify the CFRM policy to specify the "\
     "names of coupling facilities that are available.",
},
{  2346,
   "MQRC_CF_STRUC_IN_USE",
   "MQCC_FAILED",
   "An MQI call or command was issued to operate on a shared queue, b"\
     "ut the call failed because the coupling-facility structure spec"\
     "ified in the queue definition is unavailable. The coupling-faci"\
     "lity structure can be unavailable because a structure dump is i"\
     "n progress, or new connectors to the structure are currently in"\
     "hibited, or an existing connector to the structure failed or di"\
     "sconnected abnormally and clean-up is not yet complete. This re"\
     "ason code occurs only on z/OS.",
   "Typically, this is a temporary problem: wait for a while then ret"\
     "ry the operation. If the problem does not resolve itself, then "\
     "connectivity problems experienced during the recovery of struct"\
     "ures in the coupling facility could have occurred. In this case"\
     ", restart the queue manager which reported the error. Resolve a"\
     "ll the connectivity problems concerning the coupling facility b"\
     "efore restarting the queue manager.",
},
{  2347,
   "MQRC_CF_STRUC_LIST_HDR_IN_USE",
   "MQCC_FAILED",
   "An MQGET, MQOPEN, MQPUT1, or MQSET call was issued to access a sh"\
     "ared queue, but the call failed because the list header associa"\
     "ted with the coupling-facility structure specified in the queue"\
     " definition is temporarily unavailable. The list header is unav"\
     "ailable because it is undergoing recovery processing. This reas"\
     "on code occurs only on z/OS.",
   "The problem is temporary; wait a short while and then retry the o"\
     "peration.",
},
{  2348,
   "MQRC_CF_STRUC_AUTH_FAILED",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to access a shared queue, but"\
     " the call failed because the user is not authorized to access t"\
     "he coupling-facility structure specified in the queue definitio"\
     "n. This reason code occurs only on z/OS.",
   "Modify the security profile for the user identifier used by the a"\
     "pplication so that the application can access the coupling-faci"\
     "lity structure specified in the queue definition.",
},
{  2349,
   "MQRC_CF_STRUC_ERROR",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued to access a shared queue, but"\
     " the call failed because the coupling-facility structure name s"\
     "pecified in the queue definition is not defined in the CFRM dat"\
     "a set, or is not the name of a list structure. This reason code"\
     " occurs only on z/OS.",
   "Modify the queue definition to specify the name of a coupling-fac"\
     "ility list structure that is defined in the CFRM data set.",
},
{  2350,
   "MQRC_CONN_TAG_NOT_USABLE",
   "MQCC_FAILED",
   "An MQCONNX call was issued specifying one of the MQCNO_*_CONN_TAG"\
     "_* options, but the call failed because the connection tag spec"\
     "ified by ConnTag in MQCNO is being used by the queue manager fo"\
     "r recovery processing, and this processing is delayed pending r"\
     "ecovery of the coupling facility. This reason code occurs only "\
     "on z/OS.",
   "The problem is likely to persist. Consult the system programmer t"\
     "o ascertain the cause of the problem.",
},
{  2351,
   "MQRC_GLOBAL_UOW_CONFLICT",
   "MQCC_FAILED",
   "An attempt was made to use inside a global unit of work a connect"\
     "ion handle that is participating in another global unit of work"\
     ". This can occur when an application passes connection handles "\
     "between objects where the objects are involved in different DTC"\
     " transactions. Because transaction completion is asynchronous, "\
     "it is possible for this error to occur after the application ha"\
     "s finalized the first object and committed its transaction. Thi"\
     "s error does not occur for nontransactional MQI calls. This rea"\
     "son code occurs only on Windows and z/OS.",
   "Check that the MTS Transaction Support attribute defined for th"\
     "e objects class is set correctly. If necessary, modify the app"\
     "lication so that the connection handle is not used by objects p"\
     "articipating in different units of work.",
},
{  2352,
   "MQRC_LOCAL_UOW_CONFLICT",
   "MQCC_FAILED",
   "An attempt was made to use inside a global unit of work a connect"\
     "ion handle that is participating in a queue-manager coordinated"\
     " local unit of work. This can occur when an application passes "\
     "connection handles between objects where one object is involved"\
     " in a DTC transaction and the other is not. This error does not"\
     " occur for nontransactional MQI calls. This reason code occurs "\
     "only on Windows and z/OS.",
   "Check that the MTS Transaction Support attribute defined for th"\
     "e objects class is set correctly. If necessary, modify the app"\
     "lication so that the connection handle is not used by objects p"\
     "articipating in different units of work.",
},
{  2353,
   "MQRC_HANDLE_IN_USE_FOR_UOW",
   "MQCC_FAILED",
   "An attempt was made to use outside a unit of work a connection ha"\
     "ndle that is participating in a global unit of work. This error"\
     " can occur when an application passes connection handles betwee"\
     "n objects where one object is involved in a DTC transaction and"\
     " the other is not. Because transaction completion is asynchrono"\
     "us, it is possible for this error to occur after the applicatio"\
     "n has finalized the first object and committed its transaction."\
     " This error can also occur when a single object that was create"\
     "d and associated with the transaction loses that association wh"\
     "ilst the object is running. The association is lost when DTC te"\
     "rminates the transaction independently of MTS. This might be be"\
     "cause the transaction timed out, or because DTC shut down. This"\
     " error does not occur for nontransactional MQI calls. This reas"\
     "on code occurs only on Windows.",
   "Check that the MTS Transaction Support attribute defined for th"\
     "e objects class is set correctly. If necessary, modify the app"\
     "lication so that objects executing within different units of wo"\
     "rk do not try to use the same connection handle.",
},
{  2354,
   "MQRC_UOW_ENLISTMENT_ERROR",
   "MQCC_FAILED",
   "This reason code can occur for a variety of reasons. The most lik"\
     "ely reason is that an object created by a DTC transaction does "\
     "not issue a transactional MQI call until after the DTC transact"\
     "ion has timed out. (If the DTC transaction times out after a tr"\
     "ansactional MQI call has been issued, reason code MQRC_HANDLE_I"\
     "N_USE_FOR_UOW is returned by the failing MQI call.) Another cau"\
     "se of MQRC_UOW_ENLISTMENT_ERROR is incorrect installation; Wind"\
     "ows NT Service pack must be installed after the Windows NT Opt"\
     "ion pack. This reason code occurs only on Windows.",
   "Check the DTC Transaction timeout value. If necessary, verify t"\
     "he NT installation order.",
},
{  2355,
   "MQRC_UOW_MIX_NOT_SUPPORTED",
   "MQCC_FAILED",
   "The mixture of calls used by the application to perform operation"\
     "s within a unit of work is not supported. In particular, it is "\
     "not possible to mix within the same process a local unit of wor"\
     "k coordinated by the queue manager with a global unit of work c"\
     "oordinated by DTC (Distributed Transaction Coordinator). An app"\
     "lication may cause this mixture to arise if some objects in a p"\
     "ackage are coordinated by DTC and others are not. It can also o"\
     "ccur if transactional MQI calls from an MTS client are mixed wi"\
     "th transactional MQI calls from a library package transactional"\
     " MTS object. No problem arises if all transactional MQI calls o"\
     "riginate from transactional MTS objects, or all transactional M"\
     "QI calls originate from nontransactional MTS objects. But when "\
     "a mixture of styles is used, the first style used fixes the sty"\
     "le for the unit of work, and subsequent attempts to use the oth"\
     "er style within the process fail with reason code MQRC_UOW_MIX_"\
     "NOT_SUPPORTED. When an application is run twice, scheduling fac"\
     "tors in the operating system mean that it is possible for the q"\
     "ueue-manager-coordinated transactional calls to fail in one run"\
     ", and for the DTC-coordinated transactional calls to fail in th"\
     "e other run. This reason code occurs only on Windows when runni"\
     "ng a version of the queue manager prior to version 5.2.",
   "Check that the MTS Transaction Support attribute defined for th"\
     "e objects class is set correctly. If necessary, modify the app"\
     "lication so that objects executing within different units of wo"\
     "rk do not try to use the same connection handle.",
},
{  2356,
   "MQRC_WXP_ERROR",
   "MQCC_FAILED",
   "An MQXCLWLN call was issued from a cluster workload exit to obtai"\
     "n the address of the next record in the chain, but the workload"\
     " exit parameter structure ExitParms is not valid, for one of th"\
     "e following reasons:\n- The parameter pointer is not valid. (It"\
     " is not always possible to detect parameter pointers that are n"\
     "ot valid; if not detected, unpredictable results occur.)\n- The"\
     " StrucId field is not MQWXP_STRUC_ID.\n- The Version field is n"\
     "ot MQWXP_VERSION_2.\n- The CacheContext field does not contain "\
     "the value passed to the exit by the queue manager.",
   "Ensure that the parameter specified for ExitParms is the MQWXP st"\
     "ructure that was passed to the exit when the exit was invoked.",
},
{  2357,
   "MQRC_CURRENT_RECORD_ERROR",
   "MQCC_FAILED",
   "An MQXCLWLN call was issued from a cluster workload exit to obtai"\
     "n the address of the next record in the chain, but the address "\
     "specified by the CurrentRecord parameter is not the address of "\
     "a valid record. CurrentRecord must be the address of a destinat"\
     "ion record (MQWDR), queue record (MQWQR), or cluster record (MQ"\
     "WCR) residing within the cluster cache.",
   "Ensure that the cluster workload exit passes the address of a val"\
     "id record residing in the cluster cache.",
},
{  2358,
   "MQRC_NEXT_OFFSET_ERROR",
   "MQCC_FAILED",
   "An MQXCLWLN call was issued from a cluster workload exit to obtai"\
     "n the address of the next record in the chain, but the offset s"\
     "pecified by the NextOffset parameter is not valid. NextOffset m"\
     "ust be the value of one of the following fields:\n- ChannelDefO"\
     "ffset field in MQWDR\n- ClusterRecOffset field in MQWDR\n- Clus"\
     "terRecOffset field in MQWQR\n- ClusterRecOffset field in MQWCR",
   "Ensure that the value specified for the NextOffset parameter is t"\
     "he value of one of the fields listed above.",
},
{  2359,
   "MQRC_NO_RECORD_AVAILABLE",
   "MQCC_FAILED",
   "An MQXCLWLN call was issued from a cluster workload exit to obtai"\
     "n the address of the next record in the chain, but the current "\
     "record is the last record in the chain.",
   "None.",
},
{  2360,
   "MQRC_OBJECT_LEVEL_INCOMPATIBLE",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call, or a command, was issued, but the defin"\
     "ition of the object to be accessed is not compatible with the q"\
     "ueue manager to which the application has connected. The object"\
     " definition was created or modified by a different version of t"\
     "he queue manager. If the object to be accessed is a queue, the "\
     "incompatible object definition could be the object specified, o"\
     "r one of the object definitions used to resolve the specified o"\
     "bject (for example, the base queue to which an alias queue reso"\
     "lves, or the transmission queue to which a remote queue or queu"\
     "e-manager alias resolves). This reason code occurs only on z/OS"\
     ".",
   "The application must be run on a queue manager that is compatible"\
     " with the object definition. Refer to the WebSphere MQ for z/OS"\
     " Concepts and Planning Guide and the WebSphere MQ for z/OS Syst"\
     "em Setup Guide for information about compatibility and migratio"\
     "n between different versions of the queue manager.",
},
{  2361,
   "MQRC_NEXT_RECORD_ERROR",
   "MQCC_FAILED",
   "An MQXCLWLN call was issued from a cluster workload exit to obtai"\
     "n the address of the next record in the chain, but the address "\
     "specified for the NextRecord parameter is either null, not vali"\
     "d, or the address of read-only storage. (It is not always possi"\
     "ble to detect parameter pointers that are not valid; if not det"\
     "ected, unpredictable results occur.)",
   "Specify a valid address for the NextRecord parameter.",
},
{  2362,
   "MQRC_BACKOUT_THRESHOLD_REACHED",
   "None",
   "This reason code occurs only in the Reason field in an MQDLH stru"\
     "cture, or in the Feedback field in the MQMD of a report message"\
     ". A JMS ConnectionConsumer found a message that exceeds the que"\
     "ues backout threshold. The queue does not have a backout reque"\
     "ue queue defined, so the message was processed as specified by "\
     "the disposition options in the Report field in the MQMD of the "\
     "message. On queue managers that do not support the BackoutThres"\
     "hold and BackoutRequeueQName queue attributes, JMS ConnectionCo"\
     "nsumer uses a value of 20 for the backout threshold. When the B"\
     "ackoutCount of a message reaches this threshold, the message is"\
     " processed as specified by the disposition options. If the Repo"\
     "rt field specifies one of the MQRO_EXCEPTION_* options, this re"\
     "ason code appears in the Feedback field of the report message. "\
     "If the Report field specifies MQRO_DEAD_LETTER_Q, or the dispos"\
     "ition report options are left as default, this reason code appe"\
     "ars in the Reason field of the MQDLH.",
   "Investigate the cause of the backout count being greater than the"\
     " threshold. To correct this, define the backout queue for the q"\
     "ueue concerned.",
},
{  2363,
   "MQRC_MSG_NOT_MATCHED",
   "None",
   "This reason code occurs only in the Reason field in an MQDLH stru"\
     "cture, or in the Feedback field in the MQMD of a report message"\
     ". While performing Point-to-Point messaging, JMS encountered a "\
     "message matching none of the selectors of ConnectionConsumers m"\
     "onitoring the queue. To maintain performance, the message was p"\
     "rocessed as specified by the disposition options in the Report "\
     "field in the MQMD of the message. If the Report field specifies"\
     " one of the MQRO_EXCEPTION_* options, this reason code appears "\
     "in the Feedback field of the report message. If the Report fiel"\
     "d specifies MQRO_DEAD_LETTER_Q, or the disposition report optio"\
     "ns are left as default, this reason code appears in the Reason "\
     "field of the MQDLH.",
   "To correct this, ensure that the ConnectionConsumers monitoring t"\
     "he queue provide a complete set of selectors. Alternatively, se"\
     "t the QueueConnectionFactory to retain messages.",
},
{  2364,
   "MQRC_JMS_FORMAT_ERROR",
   "None",
   "This reason code is generated when JMS encounters a message that "\
     "it is unable to parse. If such a message is encountered by a JM"\
     "S ConnectionConsumer, the message is processed as specified by "\
     "the disposition options in the Report field in the MQMD of the "\
     "message. If the Report field specifies one of the MQRO_EXCEPTIO"\
     "N_* options, this reason code appears in the Feedback field of "\
     "the report message. If the Report field specifies MQRO_DEAD_LET"\
     "TER_Q, or the disposition report options are left as default, t"\
     "his reason code appears in the Reason field of the MQDLH.",
   "Investigate the origin of the message.",
},
{  2365,
   "MQRC_SEGMENTS_NOT_SUPPORTED",
   "MQCC_FAILED",
   "An MQPUT call was issued to put a segment of a logical message, b"\
     "ut the queue on which the message is to be placed has an IndexT"\
     "ype of MQIT_GROUP_ID. Message segments cannot be placed on queu"\
     "es with this index type. This reason code occurs only on z/OS.",
   "Modify the application to put messages that are not segments; ens"\
     "ure that the MQMF_SEGMENT and MQMF_LAST_SEGMENT flags in the Ms"\
     "gFlags field in MQMD are not set, and that the Offset is zero. "\
     "Alternatively, change the index type of the queue.",
},
{  2366,
   "MQRC_WRONG_CF_LEVEL",
   "MQCC_FAILED",
   "An MQOPEN or MQPUT1 call was issued specifying a shared queue, bu"\
     "t the queue requires a coupling-facility structure with a diffe"\
     "rent level of capability. This reason code occurs only on z/OS.",
   "Ensure that the coupling-facility structure used for the queue is"\
     " at the level required to support the capabilities that the que"\
     "ue provides. You can use the DISPLAY CFSTRUCT to display the le"\
     "vel, and ALTER CFSTRUCT() CFLEVEL() command to modify the level"\
     ". See The MQSC commands",
},
{  2367,
   "MQRC_CONFIG_CREATE_OBJECT",
   "MQCC_WARNING",
   "This condition is detected when an object is created.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2368,
   "MQRC_CONFIG_CHANGE_OBJECT",
   "MQCC_WARNING",
   "This condition is detected when an object is changed.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2369,
   "MQRC_CONFIG_DELETE_OBJECT",
   "MQCC_WARNING",
   "This condition is detected when an object is deleted.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2370,
   "MQRC_CONFIG_REFRESH_OBJECT",
   "MQCC_WARNING",
   "This condition is detected when an object is refreshed.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2371,
   "MQRC_CHANNEL_SSL_ERROR",
   "MQCC_WARNING",
   "This condition is detected when a connection cannot be establishe"\
     "d due to an SSL key-exchange or authentication failure.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2373,
   "MQRC_CF_STRUC_FAILED",
   "MQCC_FAILED",
   "An MQI call or command was issued to access a shared queue, but t"\
     "he call failed because the coupling-facility structure used for"\
     " the shared queue had failed. This reason code occurs only on z"\
     "/OS.",
   "Report the problem to the operator or administrator, who should u"\
     "se the MQSC command RECOVER CFSTRUCT to initiate recovery of th"\
     "e coupling-facility structure",
},
{  2374,
   "MQRC_API_EXIT_ERROR",
   "MQCC_FAILED",
   "An API exit function returned an invalid response code, or failed"\
     " in some other way. This reason code occurs in the following en"\
     "vironments: AIX, HP-UX, Solaris, Windows.",
   "Check the exit logic to ensure that the exit is returning valid v"\
     "alues in the ExitResponse and ExitResponse2 fields of the MQAXP"\
     " structure. Consult the FFST record to see if it contains more "\
     "detail about the problem.",
},
{  2375,
   "MQRC_API_EXIT_INIT_ERROR",
   "MQCC_FAILED",
   "The queue manager encountered an error while attempting to initia"\
     "lize the execution environment for an API exit function. This r"\
     "eason code occurs in the following environments: AIX, HP-UX, So"\
     "laris, Windows.",
   "Consult the FFST record to obtain more detail about the problem.",
},
{  2376,
   "MQRC_API_EXIT_TERM_ERROR",
   "MQCC_FAILED",
   "The queue manager encountered an error while attempting to termin"\
     "ate the execution environment for an API exit function. This re"\
     "ason code occurs in the following environments: AIX, HP-UX, Sol"\
     "aris, Windows.",
   "Consult the FFST record to obtain more detail about the problem.",
},
{  2377,
   "MQRC_EXIT_REASON_ERROR",
   "MQCC_FAILED",
   "An MQXEP call was issued by an API exit function, but the value s"\
     "pecified for the ExitReason parameter is either not valid, or n"\
     "ot supported for the specified function identifier Function. Th"\
     "is reason code occurs in the following environments: AIX, HP-UX"\
     ", Solaris, Windows.",
   "Modify the exit function to specify a value for ExitReason that i"\
     "s valid for the specified value of Function.",
},
{  2378,
   "MQRC_RESERVED_VALUE_ERROR",
   "MQCC_FAILED",
   "An MQXEP call was issued by an API exit function, but the value s"\
     "pecified for the Reserved parameter is not valid. The value mus"\
     "t be the null pointer. This reason code occurs in the following"\
     " environments: AIX, HP-UX, Solaris, Windows.",
   "Modify the exit to specify the null pointer as the value of the R"\
     "eserved parameter.",
},
{  2379,
   "MQRC_NO_DATA_AVAILABLE",
   "MQCC_FAILED",
   "This reason should be returned by the MQZ_ENUMERATE_AUTHORITY_DAT"\
     "A installable service component when there is no more authority"\
     " data to return to the invoker of the service component.\n- On "\
     "z/OS, this reason code does not occur.",
   "None.",
},
{  2380,
   "MQRC_SCO_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the MQSCO structure is not valid for one of t"\
     "he following reasons:\n- The StrucId field is not MQSCO_STRUC_I"\
     "D.\n- The Version field is not MQSCO_VERSION_1. This reason cod"\
     "e occurs in the following environments: AIX, HP-UX, Solaris, Wi"\
     "ndows.",
   "Correct the definition of the MQSCO structure.",
},
{  2381,
   "MQRC_KEY_REPOSITORY_ERROR",
   "MQCC_FAILED",
   "On an MQCONN or MQCONNX call, the location of the key repository "\
     "is either not specified, not valid, or results in an error when"\
     " used to access the key repository. The location of the key rep"\
     "ository is specified by one of the following:\n- The value of t"\
     "he MQSSLKEYR environment variable (MQCONN or MQCONNX call), o"\
     "r\n- The value of the KeyRepository field in the MQSCO structur"\
     "e (MQCONNX call only). For the MQCONNX call, if both MQSSLKEYR "\
     "and KeyRepository are specified, the latter is used. This reaso"\
     "n code occurs in the following environments: AIX, HP-UX, Solari"\
     "s, Windows.",
   "Specify a valid location for the key repository.",
},
{  2382,
   "MQRC_CRYPTO_HARDWARE_ERROR",
   "MQCC_FAILED",
   "On an MQCONN or MQCONNX call, the configuration string for the cr"\
     "yptographic hardware is not valid, or results in an error when "\
     "used to configure the cryptographic hardware. The configuration"\
     " string is specified by one of the following:\n- The value of t"\
     "he MQSSLCRYP environment variable (MQCONN or MQCONNX call), o"\
     "r\n- The value of the CryptoHardware field in the MQSCO structu"\
     "re (MQCONNX call only). For the MQCONNX call, if both MQSSLCRYP"\
     " and CryptoHardware are specified, the latter is used. This rea"\
     "son code occurs in the following environments: AIX, HP-UX, Sola"\
     "ris, Windows.",
   "Specify a valid configuration string for the cryptographic hardwa"\
     "re.",
},
{  2383,
   "MQRC_AUTH_INFO_REC_COUNT_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the AuthInfoRecCount field in the MQSCO struc"\
     "ture specifies a value that is less than zero. This reason code"\
     " occurs in the following environments: AIX, HP-UX, Solaris, Win"\
     "dows.",
   "Specify a value for AuthInfoRecCount that is zero or greater.",
},
{  2384,
   "MQRC_AUTH_INFO_REC_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the MQSCO structure does not specify the addr"\
     "ess of the MQAIR records correctly. One of the following applie"\
     "s:\n- AuthInfoRecCount is greater than zero, but AuthInfoRecOff"\
     "set is zero and AuthInfoRecPtr is the null pointer.\n- AuthInfo"\
     "RecOffset is not zero and AuthInfoRecPtr is not the null pointe"\
     "r.\n- AuthInfoRecPtr is not a valid pointer.\n- AuthInfoRecOffs"\
     "et or AuthInfoRecPtr points to storage that is not accessible. "\
     "This reason code occurs in the following environments: AIX, HP-"\
     "UX, Solaris, Windows.",
   "Ensure that one of AuthInfoRecOffset or AuthInfoRecPtr is zero an"\
     "d the other nonzero. Ensure that the field used points to acces"\
     "sible storage.",
},
{  2385,
   "MQRC_AIR_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, an MQAIR record is not valid for one of the f"\
     "ollowing reasons:\n- The StrucId field is not MQAIR_STRUC_ID.\n"\
     "- The Version field is not MQAIR_VERSION_1. This reason code oc"\
     "curs in the following environments: AIX, HP-UX, Solaris, Window"\
     "s.",
   "Correct the definition of the MQAIR record.",
},
{  2386,
   "MQRC_AUTH_INFO_TYPE_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the AuthInfoType field in an MQAIR record spe"\
     "cifies a value that is not valid. This reason code occurs in th"\
     "e following environments: AIX, HP-UX, Solaris, Windows.",
   "Specify MQAIT_CRL_LDAP for AuthInfoType.",
},
{  2387,
   "MQRC_AUTH_INFO_CONN_NAME_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the AuthInfoConnName field in an MQAIR record"\
     " specifies a value that is not valid. This reason code occurs i"\
     "n the following environments: AIX, HP-UX, Solaris, Windows.",
   "Specify a valid connection name.",
},
{  2388,
   "MQRC_LDAP_USER_NAME_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, an LDAP user name in an MQAIR record is not s"\
     "pecified correctly. One of the following applies:\n- LDAPUserNa"\
     "meLength is greater than zero, but LDAPUserNameOffset is zero a"\
     "nd LDAPUserNamePtr is the null pointer.\n- LDAPUserNameOffset i"\
     "s nonzero and LDAPUserNamePtr is not the null pointer.\n- LDAPU"\
     "serNamePtr is not a valid pointer.\n- LDAPUserNameOffset or LDA"\
     "PUserNamePtr points to storage that is not accessible. This rea"\
     "son code occurs in the following environments: AIX, HP-UX, Sola"\
     "ris, Windows.",
   "Ensure that one of LDAPUserNameOffset or LDAPUserNamePtr is zero "\
     "and the other nonzero. Ensure that the field used points to acc"\
     "essible storage.",
},
{  2389,
   "MQRC_LDAP_USER_NAME_LENGTH_ERR",
   "MQCC_FAILED",
   "On an MQCONNX call, the LDAPUserNameLength field in an MQAIR reco"\
     "rd specifies a value that is less than zero. This reason code o"\
     "ccurs in the following environments: AIX, HP-UX, Solaris, Windo"\
     "ws.",
   "Specify a value for LDAPUserNameLength that is zero or greater.",
},
{  2390,
   "MQRC_LDAP_PASSWORD_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the LDAPPassword field in an MQAIR record spe"\
     "cifies a value when no value is allowed. This reason code occur"\
     "s in the following environments: AIX, HP-UX, Solaris, Windows.",
   "Specify a value that is blank or null.",
},
{  2391,
   "MQRC_SSL_ALREADY_INITIALIZED",
   "MQCC_WARNING",
   "An MQCONN or MQCONNX call was issued with SSL configuration optio"\
     "ns specified, but the SSL environment had already been initiali"\
     "zed. The connection to the queue manager completed successfully"\
     ", but the SSL configuration options specified on the call were "\
     "ignored; the existing SSL environment was used instead. This re"\
     "ason code occurs in the following environments: AIX, HP-UX, Sol"\
     "aris, Windows.",
   "If the application must be run with the SSL configuration options"\
     " defined on the MQCONN or MQCONNX call, use the MQDISC call to "\
     "sever the connection to the queue manager and then terminate th"\
     "e application. Alternatively run the application later when the"\
     " SSL environment has not been initialized.",
},
{  2392,
   "MQRC_SSL_CONFIG_ERROR",
   "MQCC_FAILED",
   "On an MQCONNX call, the MQCNO structure does not specify the MQSC"\
     "O structure correctly. One of the following applies:\n- SSLConf"\
     "igOffset is nonzero and SSLConfigPtr is not the null pointer.\n"\
     "- SSLConfigPtr is not a valid pointer.\n- SSLConfigOffset or SS"\
     "LConfigPtr points to storage that is not accessible. This reaso"\
     "n code occurs in the following environments: AIX, HP-UX, Solari"\
     "s, Windows.",
   "Ensure that one of SSLConfigOffset or SSLConfigPtr is zero and th"\
     "e other nonzero. Ensure that the field used points to accessibl"\
     "e storage.",
},
{  2393,
   "MQRC_SSL_INITIALIZATION_ERROR",
   "MQCC_FAILED",
   "An MQCONN or MQCONNX call was issued with SSL configuration optio"\
     "ns specified, but an error occurred during the initialization o"\
     "f the SSL environment. This reason code occurs in the following"\
     " environments: AIX, HP-UX, Solaris, Windows.",
   "Check that the SSL installation is correct.",
},
{  2394,
   "MQRC_Q_INDEX_TYPE_ERROR",
   "MQCC_FAILED",
   "An MQGET call was issued specifying one or more of the following "\
     "options:\n- MQGMO_ALL_MSGS_AVAILABLE\n- MQGMO_ALL_SEGMENTS_AVAI"\
     "LABLE\n- MQGMO_COMPLETE_MSG\n- MQGMO_LOGICAL_ORDER but the call"\
     " failed because the queue is not indexed by group identifier. T"\
     "hese options require the queue to have an IndexType of MQIT_GRO"\
     "UP_ID. This reason code occurs only on z/OS.",
   "Redefine the queue to have an IndexType of MQIT_GROUP_ID. Alterna"\
     "tively, modify the application to avoid using the options liste"\
     "d above.",
},
{  2395,
   "MQRC_CFBS_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFBS structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, OS/2, i5/OS, Solari"\
     "s, Windows, plus WebSphere MQ clients connected to these system"\
     "s.",
   "Check that the fields in the structure are set correctly.",
},
{  2396,
   "MQRC_SSL_NOT_ALLOWED",
   "MQCC_FAILED",
   "A connection to a queue manager was requested, specifying SSL enc"\
     "ryption. However, the connection mode requested is one that doe"\
     "s not support SSL (for example, bindings connect).",
   "Modify the application to request client connection mode, or to d"\
     "isable SSL encryption.",
},
{  2397,
   "MQRC_JSSE_ERROR",
   "MQCC_FAILED",
   "JSSE reported an error (for example, while connecting to a queue "\
     "manager using SSL encryption). The MQException object containin"\
     "g this reason code references the Exception thrown by JSSE; thi"\
     "s can be obtained by using the MQException.getCause() method. F"\
     "rom JMS, the MQException is linked to the thrown JMSException. "\
     "This reason code occurs only with Java applications.",
   "Inspect the causal exception to determine the JSSE error.",
},
{  2398,
   "MQRC_SSL_PEER_NAME_MISMATCH",
   "MQCC_FAILED",
   "The application attempted to connect to the queue manager using S"\
     "SL encryption, but the distinguished name presented by the queu"\
     "e manager does not match the specified pattern.",
   "Check the certificates used to identify the queue manager. Also c"\
     "heck the value of the sslPeerName property specified by the app"\
     "lication.",
},
{  2399,
   "MQRC_SSL_PEER_NAME_ERROR",
   "MQCC_FAILED",
   "The application specified a peer name of incorrect format.",
   "Check the value of the sslPeerName property specified by the appl"\
     "ication.",
},
{  2400,
   "MQRC_UNSUPPORTED_CIPHER_SUITE",
   "MQCC_FAILED",
   "A connection to a queue manager was requested, specifying SSL enc"\
     "ryption. However, JSSE reported that it does not support the Ci"\
     "pherSuite specified by the application. This reason code occurs"\
     " only with Java applications.",
   "Check the CipherSuite specified by the application. Note that the"\
     " names of JSSE CipherSuites differ from their equivalent Cipher"\
     "Specs used by the queue manager. Also, check that JSSE is corre"\
     "ctly installed.",
},
{  2401,
   "MQRC_SSL_CERTIFICATE_REVOKED",
   "MQCC_FAILED",
   "A connection to a queue manager was requested, specifying SSL enc"\
     "ryption. However, the certificate presented by the queue manage"\
     "r was found to be revoked by one of the specified CertStores. T"\
     "his reason code occurs only with Java applications.",
   "Check the certificates used to identify the queue manager.",
},
{  2402,
   "MQRC_SSL_CERT_STORE_ERROR",
   "MQCC_FAILED",
   "A connection to a queue manager was requested, specifying SSL enc"\
     "ryption. However, none of the CertStore objects provided by the"\
     " application could be searched for the certificate presented by"\
     " the queue manager. The MQException object containing this reas"\
     "on code references the Exception encountered when searching the"\
     " first CertStore; this can be obtained using the MQException.ge"\
     "tCause() method. From JMS, the MQException is linked to the thr"\
     "own JMSException. This reason code occurs only with Java applic"\
     "ations.",
   "Inspect the causal exception to determine the underlying error. C"\
     "heck the CertStore objects provided by your application. If the"\
     " causal exception is a java.lang.NoSuchElementException, ensure"\
     " that your application is not specifying an empty collection of"\
     " CertStore objects.",
},
{  2406,
   "MQRC_CLIENT_EXIT_LOAD_ERROR",
   "MQCC_FAILED",
   "The external user exit required for a client connection could not"\
     " be loaded because the shared library specified for it cannot b"\
     "e found, or the entry point specified for it cannot be found. T"\
     "his reason code occurs only with Java applications.",
   "Ensure that the correct library has been specified, and that the "\
     "path variable for the machine environment includes the relevant"\
     " directory. Ensure also that the entry point has been named pro"\
     "perly and that the named library does export it.",
},
{  2407,
   "MQRC_CLIENT_EXIT_ERROR",
   "MQCC_FAILED",
   "A failure occured while executing a non-Java user exit for a clie"\
     "nt connection. This reason code occurs only with Java applicati"\
     "ons.",
   "Check that the non-Java user exit can accept the parameters and m"\
     "essage being passed to it and that it can handle error conditio"\
     "ns, and that any information that the exit requires, such as us"\
     "er data, is correct and available.",
},
{  2409,
   "MQRC_SSL_KEY_RESET_ERROR",
   "MQCC_FAILED",
   "On an MQCONN or MQCONNX call, the value of the SSL key reset coun"\
     "t is not in the valid range of 0 through 999 999 999. The value"\
     " of the SSL key reset count is specified by either the value of"\
     " the MQSSLRESET environment variable (MQCONN or MQCONNX call), "\
     "or the value of the KeyResetCount field in the MQSCO structure "\
     "(MQCONNX call only). For the MQCONNX call, if both MQSSLRESET a"\
     "nd KeyResetCount are specified, the latter is used. MQCONN or M"\
     "QCONNX If you specify an SSL/TLS secret key reset count between"\
     " 1 byte and 32Kb, SSL/TLS channels will use a secret key reset "\
     "count of 32Kb. This is to avoid the overhead of excessive key r"\
     "esets which would occur for small SSL/TLS secret key reset valu"\
     "es.",
   "Check that the fields in the structure and the MQSSLRESET environ"\
     "ment variable are set correctly.",
},
{  2411,
   "MQRC_LOGGER_STATUS",
   "MQCC_WARNING",
   "This condition is detected when a logger event occurs.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2412,
   "MQRC_COMMAND_MQSC",
   "MQCC_WARNING",
   "This condition is detected when an MQSC command is executed.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2413,
   "MQRC_COMMAND_PCF",
   "MQCC_WARNING",
   "This condition is detected when a PCF command is executed.",
   "None. This reason code is only used to identify the corresponding"\
     " event message.",
},
{  2414,
   "MQRC_CFIF_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFIF structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, "\
     "Solaris, Windows, plus WebSphere MQ clients connected to these "\
     "systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2415,
   "MQRC_CFSF_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFSF structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, "\
     "Solaris, Windows, plus WebSphere MQ clients connected to these "\
     "systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2416,
   "MQRC_CFGR_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFGR structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, z/OS, OS/2, i5/OS, "\
     "Solaris, Windows, plus WebSphere MQ clients connected to these "\
     "systems.",
   "Check that the fields in the structure are set correctly.",
},
{  2417,
   "MQRC_MSG_NOT_ALLOWED_IN_GROUP",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to put a message in a group bu"\
     "t it is not valid to put such a message in a group. An example "\
     "of an invalid message is a PCF message where the Type is MQCFT_"\
     "TRACE_ROUTE.",
   "Remove the invalid message from the group.",
},
{  2418,
   "MQRC_FILTER_OPERATOR_ERROR",
   "MQCC_FAILED",
   "The Operator parameter supplied is not valid. If it is an input v"\
     "ariable then the value is not one of the MQCFOP_* constant valu"\
     "es. If it is an output variable then the parameter pointer is n"\
     "ot valid, or it points to read-only storage. (It is not always "\
     "possible to detect parameter pointers that are not valid; if no"\
     "t detected, unpredicatable results occur.)",
   "Correct the parameter.",
},
{  2419,
   "MQRC_NESTED_SELECTOR_ERROR",
   "MQCC_FAILED",
   "An mqAddBag call was issued, but the bag to be nested contained a"\
     " data item with an inconsistent selector. This reason only occu"\
     "rs if the bag into which the nested bag was to be added was cre"\
     "ated with the MQCBO_CHECK_SELECTORS option.",
   "Ensure that all data items within the bag to be nested have selec"\
     "tors that are consistent with the data type implied by the item"\
     ".",
},
{  2420,
   "MQRC_EPH_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQEPH structure that is not valid. Possible errors include "\
     "the following:\n- The StrucId field is not MQEPH_STRUC_ID.\n- T"\
     "he Version field is not MQEPH_VERSION_1.\n- The StrucLength fie"\
     "ld specifies a value that is too small to include the structure"\
     " plus the variable-length data at the end of the structure.\n- "\
     "The CodedCharSetId field is zero, or a negative value that is n"\
     "ot valid.\n- The Flags field contains an invalid combination of"\
     " MQEPH_* values.\n- The BufferLength parameter of the call has "\
     "a value that is too small to accommodate the structure, so the "\
     "structure extends beyond the end of the message.",
   "Check that the fields in the structure are set correctly. Ensure "\
     "that the application sets the CodedCharSetId field to a valid v"\
     "alue; note that MQCCSI_DEFAULT, MQCCSI_EMBEDDED, MQCCSI_Q_MGR, "\
     "and MQCCSI_UNDEFINED are not valid in this field.",
},
{  2421,
   "MQRC_RFH_FORMAT_ERROR",
   "MQCC_FAILED",
   "The message contains an MQRFH structure, but its format is incorr"\
     "ect. If you are using WebSphere MQ SOAP, the error is in an inc"\
     "oming SOAP/MQ request message.",
   "If you are using WebSphere MQ SOAP with the IBM-supplied sender, "\
     "contact your IBM support center. If you are using WebSphere MQ "\
     "SOAP with a bespoke sender, check that the RFH2 section of the "\
     "SOAP/MQ request message is in valid RFH2 format.",
},
{  2422,
   "MQRC_CFBF_ERROR",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued, but the message data contains"\
     " an MQCFBF structure that is not valid. This reason code occurs"\
     " in the following environments: AIX, HP-UX, OS/2, i5/OS, Solari"\
     "s, Windows, plus WebSphere MQ clients connected to these system"\
     "s.",
   "Check that the fields in the structure are set correctly.",
},
{  2423,
   "MQRC_CLIENT_CHANNEL_CONFLICT",
   "MQCC_FAILED",
   "A client channel definition table was specified for determining t"\
     "he name of the channel, but the name has already been defined. "\
     "This reason code occurs only with Java applications.",
   "Change the channel name to blank and try again.",
},
{  2424,
   "MQRC_SD_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the MQSD structure are set correctly.",
   "On the MQSUB call, the Subscription Descriptor MQSD is not valid,"\
     " for one of the following reasons:\n- The StrucId field is not "\
     "MQSD_SCTRUC_ID.\n- The Version field specifies a value that is "\
     "not valid or not supported.\n- The parameter pointer is not val"\
     "id (it is not always possible to detect parameter pointers that"\
     " are not valid; if not detected, unpredictable results can occu"\
     "r).\n- The queue manager cannot copy the changes structure to a"\
     "pplication storage, even though the call is successful. This ca"\
     "n occur, for example, if the pointer points to read-only storag"\
     "e.",
},
{  2425,
   "MQRC_TOPIC_STRING_ERROR",
   "MQCC_FAILED",
   "Ensure that there are no invalid "\
     "topic string characters in either ObjectString or ObjectName.",
   "On the MQOPEN or MQPUT1 call in the Object Descriptor MQOD, or on"\
     " the MQSUB call in the Subscription Descriptor MQSD the resulta"\
     "nt full topic string is not valid. One of the following applies"\
     ":\n- ObjectName contains the name of a TOPIC object whose TOPIC"\
     "STR attribute contains an empty topic string.",
},
{  2426,
   "MQRC_STS_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the MQSTS structure are set correctly"\
   ".",
   "On an MQSTAT call, the MQSTS structure is not valid, for one of t"\
     "he following reasons:\n- The StrucId field is not MQSTS_STRUC_I"\
     "D.\n- The Version field specifies a value that is not valid or "\
     "not supported.\n- The parameter pointer is not valid. (It is no"\
     "t always possible to detect parameter pointers that are not val"\
     "id; if not detected, unpredictable results occur.) The queue ma"\
     "nager cannot copy the changed structure to application storage,"\
     " even though the call is successful. This can occur, for exampl"\
     "e, if the pointer points to read-only storage",
},
{  2428,
   "MQRC_NO_SUBSCRIPTION",
   "MQCC_FAILED",
   "Ensure that the subscription exis"\
     "ts and that the full subscription name is correctly specified i"\
     "n your application. The full subscription name is built from th"\
     "e ConnTag field specified at connection time in the MQCNO struc"\
     "ture and the SubName field specified at MQSUB time in the MQSD "\
     "structure.",
   "An MQSUB call using option MQSO_RESUME was made specifying a full"\
     " subscription name that does not match any existing subscriptio"\
     "n.",
},
{  2429,
   "MQRC_SUBSCRIPTION_IN_USE",
   "MQCC_FAILED",
   "Ensure that the subscription name"\
     " is correctly specified in your application. The subscription n"\
     "ame is specified in the SubName field in the MQSD structure.",
   "An MQSUB call using option MQSO_RESUME was made specifying a full"\
     " subscription name that exists and is in use by another applica"\
     "tion.",
},
{  2430,
   "MQRC_STAT_TYPE_ERROR",
   "",
   "The STS parameter contains options that are not valid for the MQS"\
     "TAT call. This reason also occurs if the parameter pointer is n"\
     "ot valid. (It is not always possible to detect parameter pointe"\
     "rs that are not valid; if not detected, unpredictable results o"\
     "ccur.)",
   "Specify a valid MQSTS structure as a parameter on the call to MQS"\
     "TAT.",
},
{  2431,
   "MQRC_SUB_USER_DATA_ERROR",
   "MQCC_FAILED",
   "Ensure that one of SubUserData.VS"\
     "Offset or SubUserData.VSPtr is zero and the other nonzero. Ensu"\
     "re that the field used points to accessible storage. Specify a "\
     "length that does not exceed the maximum length allowed for this"\
     " field.",
   "On the MQSUB call in the Subscription Descriptor MQSD the SubUser"\
     "Data field is not valid. One of the following applies:\n- SubUs"\
     "erData.VSLength is greater than zero, but SubUserData.VSOffset "\
     "is zero and SubUserData.VSPtr is the null pointer.\n- SubUserDa"\
     "ta.VSOffset is nonzero and SubUserData.VSPtr is not the null po"\
     "inter (that is, it appears both fields are being used where onl"\
     "y one is allowed).\n- SubUserData.VSPtr is not a valid pointer."\
     "\n- SubUserData.VSOffset or SubUserData.VSPtr points to storage"\
     " that is not accessible.\n- SubUserData.VSLength exceeds the ma"\
     "ximum length allowed for this field.",
},
{  2432,
   "MQRC_SUB_ALREADY_EXISTS",
   "MQCC_FAILED",
   "Ensure that the SubName and Objec"\
     "tString input fields in the MQSD structure are set correctly, o"\
     "r use the MQSO_RESUME option to get a handle for the subscripti"\
     "on that already exists.",
   "An MQSUB call was issued to create a subscription, using the MQSO"\
     "_CREATE option, but a subscription using the same SubName and O"\
     "bjectString already exists.",
},
{  2434,
   "MQRC_IDENTITY_MISMATCH",
   "MQCC_FAILED",
   "Correct the full subscription nam"\
     "e to one that is unique, or update the existing subscription to"\
     " allow different userids to use it by using the MQSO_ANY_USERID"\
     " option from an application running under the owning userid.",
   "An MQSUB call using either MQSO_RESUME or MQSO_ALTER was made aga"\
     "inst a subscription that has the MQSO_FIXED_USERID option set, "\
     "by a userid other than the one recorded as owning the subscript"\
     "ion.",
},
{  2435,
   "MQRC_ALTER_SUB_ERROR",
   "MQCC_FAILED",
   "Remove the subscription using MQC"\
     "LOSE and recreate it again with MQSUB with the attributes set c"\
     "orrectly.",
   "An MQSUB call using option MQSO_ALTER was made changing a subscri"\
     "ption that was created with the MQSO_IMMUTABLE option.",
},
{  2436,
   "MQRC_DURABILITY_NOT_ALLOWED",
   "MQCC_FAILED",
   "Durable subscriptions are stored "\
     "on the SYSTEM.DURABLE.SUBSCRIBER.QUEUE. Ensure that this queue "\
     "is available for use. Possible reasons for failure include the "\
     "queue being full, the queue being put inhibited, or the queue n"\
     "ot existing. If the topic subscribed to is defined as DURSUB(NO"\
     ") either alter the administrative topic node to use DURSUB(YES)"\
     " or use the MQSO_NON_DURABLE option instead.",
   "An MQSUB call using the MQSO_DURABLE option failed. This can be f"\
     "or one of the following reasons:\n- The topic subscribed to is "\
     "defined as DURSUB(NO).\n- The queue named SYSTEM.DURABLE.SUBSCR"\
     "IBER.QUEUE is not available.\n- On z/OS, a shared queue was use"\
     "d as the destination for publications sent to this subscription"\
     " and the queue named SYSTEM.DURABLE.SHARED.SUBSCRIBER.QUEUE is "\
     "not available.",
},
{  2437,
   "MQRC_NO_RETAINED_MSG",
   "MQCC_FAILED",
   "Ensure that publishers to the top"\
     "ic are marking their publication to be retained and that public"\
     "ations are being made to this topic.",
   "An MQSUBRQ call was made to a topic to request that any retained "\
     "publications for this topic are sent to the subscriber. However"\
     " there are no retained publications currently stored for this t"\
     "opic.",
},
{  2438,
   "MQRC_SRO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QSRO structure are set correctly.",
   "On the MQSUBRQ call, the Subscription Request Options MQSRO is no"\
     "t valid, for one of the following reasons:\n- The StrucId field"\
     " is not MQSRO_STRUC_ID.\n- The Version field specifies a value "\
     "that is not valid or not supported.\n- The parameter pointer is"\
     " not valid. (It is not always possible to detect parameter poin"\
     "ters that are not valid; if not detected, unpredictable results"\
     " occur.)\n- The queue manager cannot copy the changed structure"\
     " to application storage, even though the call is successful. Th"\
     "is can occur, for example, if the pointer points to read-only s"\
     "torage.",
},
{  2440,
   "MQRC_SUB_NAME_ERROR",
   "MQCC_FAILED",
   "Ensure that SubName is specified "\
     "and SubName.VSLength is nonzero. Ensure that one of SubName.VSO"\
     "ffset or SubName.VSPtr is zero and the other nonzero. Ensure th"\
     "at the field used points to accessible storage. Specify a lengt"\
     "h that does not exceed the maximum length allowed for this fiel"\
     "d.",
   "On the MQSUB call in the Subscription Descriptor MQSD the SubName"\
     " field is not valid or has been omitted. This is required if th"\
     "e MQSD option MQSO_DURABLE is specified, but may also be used i"\
     "f MQSO_DURABLE is not specified. One of the following applies"\
     ":\n- SubName.VSLength is greater than zero, but SubName.VSOffse"\
     "t is zero and SubName.VSPtr is the null pointer.\n- SubName.VSO"\
     "ffset is nonzero and SubName.VSPtr is not the null pointer (tha"\
     "t is, it appears both fields are being used where only one is a"\
     "llowed).\n- SubName.VSPtr is not a valid pointer.\n- SubName.VS"\
     "Offset or SubName.VSPtr points to storage that is not accessibl"\
     "e.\n- SubName.VSLength is zero but this field is required.\n- S"\
     "ubName.VSLength exceeds the maximum length allowed for this fie"\
     "ld.",
},
{  2441,
   "MQRC_OBJECT_STRING_ERROR",
   "MQCC_FAILED",
   "Ensure that one of ObjectString.V"\
     "SOffset or ObjectString.VSPtr is zero and the other nonzero. En"\
     "sure that the field used points to accessible storage. Specify "\
     "a length that does not exceed the maximum length allowed for th"\
     "is field.",
   "On the MQOPEN or MQPUT1 call in the Object Descriptor MQOD, or on"\
     " the MQSUB call in the Subscription Descriptor MQSD the ObjectS"\
     "tring field is not valid. One of the following applies:\n- Obje"\
     "ctString.VSLength is greater than zero, but ObjectString.VSOffs"\
     "et is zero and ObjectString.VSPtr is the null pointer.\n- Objec"\
     "tString.VSOffset is nonzero and ObjectString.VSPtr is not the n"\
     "ull pointer (that is, it appears both fields are being used whe"\
     "re only one is allowed).\n- ObjectString.VSPtr is not a valid p"\
     "ointer.\n- ObjectString.VSOffset or ObjectString.VSPtr points t"\
     "o storage that is not accessible.\n- ObjectString.VSLength exce"\
     "eds the maximum length allowed for this field.",
},
{  2442,
   "MQRC_PROPERTY_NAME_ERROR",
   "MQCC_FAILED",
   "Valid property names are describe"\
     "d in the WebSphere MQ documentation. Ensure that all properties"\
     " in the message have valid names before re-issuing the call.",
   "An attempt was made to set a property with an invalid name. This "\
     "is for one of the following reasons:\n- The name contained an i"\
     "nvalid character.\n- The name begins JMS or usr.JMS and the"\
     " JMS property is not recognized.\n- The name begins mq (excep"\
     "t mq_usr), jms, mcd, usr or sib (in any mixture of lo"\
     "wer or uppercase) and contains more than one . character (U+0"\
     "02E). Multiple . characters are not allowed in properties wit"\
     "h those prefixes.\n- The name is NULL, TRUE, FALSE, NOT"\
     ", AND, OR, BETWEEN, LIKE, IN, IS and ESCAPE or is"\
     " one of these keywords prefixed by usr..\n- The name begins w"\
     "ith Body or Root (except for names beginning Root.MQMD.)."\
     "\n- A . character must not be followed immediately by another"\
     " . character.\n- The . character cannot be the last charact"\
     "er in a property name.",
},
{  2443,
   "MQRC_SEGMENTATION_NOT_ALLOWED",
   "MQCC_FAILED",
   "Remove the invalid properties fro"\
     "m the message data or prevent the message from being segmented.",
   "An MQPUT or MQPUT1 call was issued to put a segmented message or "\
     "a message that may be broken up into smaller segments (MQMF_SEG"\
     "MENTATION_ALLOWED). The message was found to contain one or mor"\
     "e MQ-defined properties in the message data; MQ-defined propert"\
     "ies are not valid in the message data of a segmented message.",
},
{  2444,
   "MQRC_CBD_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QCBD structure are set correctly.",
   "a MQCB call the MQCBD structure is not valid for one of the follo"\
     "wing reasons:\n- The StrucId field is not MQCBD_STRUC_ID\n- The"\
     " Version field is specifies a value that is not valid or is not"\
     " supported\n- The parameter pointer is not valid. (It is not al"\
     "ways possible to detect parameter pointers that are not valid; "\
     "if not detected, unpredictable results occur.)",
},
{  2445,
   "MQRC_CTLO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QCTLO structure are set correctly.",
   "On a MQCTL call the MQCTLO structure is not valid for one of the "\
     "following reasons:\n- The StrucId field is not MQCTLO_STRUC_I"\
     "D\n- The Version field is specifies a value that is not valid o"\
     "r is not supported\n- The parameter pointer is not valid. (It i"\
     "s not always possible to detect parameter pointers that are not"\
     " valid; if not detected, unpredictable results occur.)",
},
{  2446,
   "MQRC_NO_CALLBACKS_ACTIVE",
   "MQCC_FAILED",
   "Ensure that there is at least one"\
     " registered, resumed consumer function.",
   "An MQCTL call was made with an Operation of MQOP_START_WAIT and h"\
     "as returned because there are no currently defined callbacks wh"\
     "ich are not suspended.",
},
{  2448,
   "MQRC_CALLBACK_NOT_REGISTERED",
   "MQCC_FAILED",
   "Ensure that a callback has been r"\
     "egistered against the object handle.",
   "An attempt to issue an MQCB call has been made against an object "\
     "handle which does not currently have a registered callback.",
},
{  2452,
   "MQRC_CALLBACK_ERROR",
   "",
   "",
   "",
},
{  2453,
   "MQRC_CALLBACK_STILL_ACTIVE",
   "",
   "",
   "",
},
{  2457,
   "MQRC_OPTIONS_CHANGED",
   "MQCC_FAILED",
   "Keep all required MQGET options t"\
     "he same between invocations of MQGET, or use MQOO_NO_READ_AHEAD"\
     " when opening the queue.",
   "An MQGET call on a queue handle opened using MQOO_READ_AHEAD (or "\
     "resolved to that value through the queues default value) has a"\
     "ltered an option that is required to be consistent between MQGE"\
     "T calls.",
},
{  2458,
   "MQRC_READ_AHEAD_MSGS",
   "MQCC_WARNING Programmer Response Continue to consume messages usi"\
     "ng the queue handle until there are no more available and then "\
     "issue the MQCLOSE again, or choose to discard these messages by"\
     " issuing the MQCLOSE call with the MQCO_IMMEDIATE option instea"\
     "d.",
   "On an MQCLOSE call, the option MQCO_QUIESCE was used and there ar"\
     "e still messages stored in client read ahead buffer that were s"\
     "ent to the client ahead of an application requesting them and h"\
     "ave not yet been consumed by the application.",
},
{  2459,
   "MQRC_SELECTOR_SYNTAX_ERROR",
   "MQCC_FAILED",
   "Consult the document Message Sele"\
     "ctor Syntax in the Application Programming Guide and ensure tha"\
     "t you have correctly followed the rules for specifying selectio"\
     "n strings. Correct any syntax errors and resubmit the MQ API ca"\
     "ll for which the error occurred.",
   "An MQOPEN, MQPUT1 or MQSUB call was issued but a selection string"\
     " was specified which contained a syntax error.",
},
{  2460,
   "MQRC_HMSG_ERROR",
   "MQCC_FAILED",
   "Ensure that a successful MQCRTMH "\
     "call is performed for the connection, and that an MQDLTMH call "\
     "has not already been performed for it. Ensure that the handle i"\
     "s being used within its valid scope (see the description of MQC"\
     "RTMH in the WebSphere MQ documentation).",
   "On an MQCRTMH, MQDLTMH, MQSETMP, MQINQMP or MQDLT call, a message"\
     " handle supplied is not valid, for one of the following reasons"\
     ":\n- The parameter pointer is not valid, or (for the MQCRTMH ca"\
     "ll) points to read-only storage. (It is not always possible to "\
     "detect parameter pointers that are not valid; if not detected, "\
     "unpredictable results occur.)\n- The value specified was not re"\
     "turned by a preceding MQCRTMH call.\n- The value specified has "\
     "been made invalid by a preceding MQDLTMH call.",
},
{  2461,
   "MQRC_CMHO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QCMHO structure are set correctly.",
   "On an MQCRTMH call, the create message handle options structure M"\
     "QCMHO is not valid, for one of the following reasons:\n- The St"\
     "rucId field is not MQCMHO_STRUC_ID.\n- The Version field specif"\
     "ies a value that is not valid or not supported.\n- The paramete"\
     "r pointer is not valid. (It is not always possible to detect pa"\
     "rameter pointers that are not valid; if not detected, unpredict"\
     "able results occur.)",
},
{  2462,
   "MQRC_DMHO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QDMHO structure are set correctly.",
   "On an MQDLTMH call, the delete message handle options structure M"\
     "QDMHO is not valid, for one of the following reasons:\n- The St"\
     "rucId field is not MQCMHO_STRUC_ID.\n- The Version field specif"\
     "ies a value that is not valid or not supported.\n- The paramete"\
     "r pointer is not valid. (It is not always possible to detect pa"\
     "rameter pointers that are not valid; if not detected, unpredict"\
     "able results occur.)",
},
{  2463,
   "MQRC_SMPO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QSMPO structure are set correctly.",
   "On an MQSETMP call, the set message property options structure MQ"\
     "SMPO is not valid, for one of the following reasons:\n- The Str"\
     "ucId field is not MQSMPO_STRUC_ID.\n- The Version field specifi"\
     "es a value that is not valid or not supported.\n- The parameter"\
     " pointer is not valid. (It is not always possible to detect par"\
     "ameter pointers that are not valid; if not detected, unpredicta"\
     "ble results occur.)",
},
{  2464,
   "MQRC_IMPO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QIMPO structure are set correctly.",
   "On an MQINQMP call, the inquire message property options structur"\
     "e MQIMPO is not valid, for one of the following reasons:\n- The"\
     " StrucId field is not MQIMPO_STRUC_ID.\n- The Version field spe"\
     "cifies a value that is not valid or not supported.\n- The param"\
     "eter pointer is not valid. (It is not always possible to detect"\
     " parameter pointers that are not valid; if not detected, unpred"\
     "ictable results occur.)\n- The queue manager cannot copy the ch"\
     "anged structure to application storage, even though the call is"\
     " successful. This can occur, for example, if the pointer points"\
     " to read-only storage.",
},
{  2465,
   "MQRC_PROPERTY_NAME_TOO_BIG",
   "MQCC_FAILED",
   "On an MQINQMP call, WebSphere MQ attempted to copy the name of th"\
     "e inquired property into the location indicated by the Returned"\
     "Name field of the InqPropOpts parameter but the buffer was too "\
     "small to contain the full property name. The call failed but th"\
     "e VSLength field of the ReturnedName of the InqPropOpts paramet"\
     "er indicates how large the ReturnedName buffer needs to be.",
   "The full property name can be retrieved by calling MQINQMP again "\
     "with a larger buffer for the returned name, also specifying the"\
     " MQIMPO_INQ_PROP_UNDER_CURSOR option. This will inquire on the "\
     "same property.",
},
{  2466,
   "MQRC_PROP_VALUE_NOT_CONVERTED",
   "MQCC_FAILED",
   "Check that the property value is "\
     "correctly described by the ValueCCSID and ValueEncoding paramet"\
     "ers that were specified when the property was set. Also check t"\
     "hat these values, and the RequestedCCSID and RequestedEncoding "\
     "specified in the InqPropOpts parameter of the MQINQMP call, are"\
     " supported for MQ conversion. If the required conversion is not"\
     " supported, conversion must be carried out by the application.",
   "An MQINQMP call was issued with the MQIMPO_CONVERT_VALUE option s"\
     "pecified in the InqPropOpts parameter, but an error occurred du"\
     "ring conversion of the value of the property. The property valu"\
     "e is returned unconverted, the values of the ReturnedCCSID and "\
     "ReturnedEncoding fields in the InqPropOpts parameter are set to"\
     " those of the value returned.",
},
{  2467,
   "MQRC_PROP_TYPE_NOT_SUPPORTED",
   "MQCC_WARNING Programmer Response Check whether the property value"\
     " was intended to have a data type indicated by the TypeString f"\
     "ield. If so the application must decide how to interpret the va"\
     "lue. If not modify the application that set the property to giv"\
     "e it a supported data type.",
   "An MQINQMP call was issued and the property inquired has an unsup"\
     "ported data type. A string representation of the value is retur"\
     "ned and the TypeString field of the InqPropOpts parameter can b"\
     "e used to determine the data type of the property.",
},
{  2469,
   "MQRC_PROPERTY_VALUE_TOO_BIG",
   "MQCC_WARNING Programmer Response Supply a buffer that is at least"\
     " as large as DataLength if all of the property value data is re"\
     "quired and call MQINQMP again with the MQIMPO_INQ_PROP_UNDER_CU"\
     "RSOR option specified.",
   "On an MQINQMP call, the property value was too large to fit into "\
     "the supplied buffer. The DataLength field is set to the length "\
     "of the property value before truncation and the Value parameter"\
     " contains as much of the value as fits. On an MQMHBUF call, the"\
     " BufferLength was less than the size of the properties to be pu"\
     "t in the buffer. In this case the call fails. The DataLength fi"\
     "eld is set to the length of the properties before truncation.",
},
{  2470,
   "MQRC_PROP_CONV_NOT_SUPPORTED",
   "MQCC_FAILED",
   "Either call MQINQMP again without"\
     " MQIMPO_CONVERT_TYPE specified, or request a data type for whic"\
     "h conversion is supported.",
   "On an MQINQMP call, the MQIMPO_CONVERT_TYPE option was specified "\
     "to request that the property value be converted to the supplied"\
     " data type before the call returned. Conversion between the act"\
     "ual and requested property data types is not supported. The Typ"\
     "e parameter indicates the data type of the property value.",
},
{  2471,
   "MQRC_PROPERTY_NOT_AVAILABLE",
   "MQCC_FAILED",
   "On an MQINQMP call, no property could be found that matched the s"\
     "pecified name. When iterating through multiple properties, poss"\
     "ibly using a name containing a wildcard character, this indicat"\
     "es that all properties matching the name have now been returned"\
     ".",
   "Ensure that the correct property name was specified. If the name "\
     "contains a wildcard character specify option MQIMPO_INQ_FIRST t"\
     "o begin iterating over the properties again.",
},
{  2472,
   "MQRC_PROP_NUMBER_FORMAT_ERROR",
   "MQCC_FAILED",
   "Ensure that the correct property "\
     "name and data type were specified. Ensure that the application "\
     "setting the property gave it the correct format. See the docume"\
     "ntation for the MQINQMP call for details on the formats require"\
     "d for data conversion of property values.",
   "On an MQINQMP call, conversion of the property value was requeste"\
     "d. The format of the property is invalid for conversion to the "\
     "requested data type.",
},
{  2473,
   "MQRC_PROPERTY_TYPE_ERROR",
   "MQCC_FAILED",
   "Correct the parameter.",
   "On an MQSETMP call, the Type parameter does not specify a valid M"\
     "QTYPE_* value. For properties beginning Root.MQMD. or JMS t"\
     "he specified Type must correspond to the data type of the match"\
     "ing MQMD or JMS header field:\n- For MQCHARn or Java String fie"\
     "lds use MQTYPE_STRING.\n- For MQLONG or Java int fields use MQT"\
     "YPE_INT32.\n- For MQBYTEn fields use MQTYPE_BYTE_STRING.\n- For"\
     " Java long fields use MQTYPE_INT64. On an MQINQMP call, the Typ"\
     "e parameter is not valid. Either the parameter pointer is not v"\
     "alid, the value is invalid, or it points to read-only storage. "\
     "(It is not always possible to detect parameter pointers that ar"\
     "e not valid; if not detected, unpredictable results occur.)",
},
{  2478,
   "MQRC_PROPERTIES_TOO_BIG",
   "MQCC_FAILED",
   "Do one of the following:\n- Reduc"\
     "e the number or the size of the properties associated with the "\
     "message. This could include moving some of the properties into "\
     "the application data.\n- Increase the value of the MaxPropertie"\
     "sLength queue manager attribute.",
   "An MQPUT or MQPUT1 call was issued to put a message on a queue, b"\
     "ut the properties of the message were too large. The length of "\
     "the properties cannot exceed the value of the MaxPropertiesLeng"\
     "th queue manager attribute.",
},
{  2479,
   "MQRC_PUT_NOT_RETAINED",
   "MQCC_FAILED",
   "Retained publications are stored "\
     "on the SYSTEM.RETAINED.PUB.QUEUE. Ensure that this queue is ava"\
     "ilable for use by the application. Possible reasons for failure"\
     " include the queue being full, the queue being put inhibited, o"\
     "r the queue not existing.",
   "An MQPUT or MQPUT1 call was issued to publish a message on a topi"\
     "c, using the MQPMO_RETAIN option, but the publication was unabl"\
     "e to be retained. The publication is not published to any match"\
     "ing subscribers.",
},
{  2480,
   "MQRC_ALIAS_TARGTYPE_CHANGED",
   "MQCC_FAILED",
   "Find the subscriber that is using"\
     " an alias queue which references a topic object and change it t"\
     "o reference a queue again, or change the subscription to refere"\
     "nce a different queue.",
   "An MQPUT or MQPUT1 call was issed to publish a message on a topic"\
     ". One of the subscriptions matching this topic was made with a "\
     "destination queue that was an alias queue which originally refe"\
     "renced a queue, but now references a topic object, which is not"\
     " allowed. In this situation the reason code MQRC_ALIAS_TARGTYPE"\
     "_CHANGED is returned in the Feedback field in the MQMD of a rep"\
     "ort message, or in the Reason field in the MQDLH structure of a"\
     " message on the dead-letter queue.",
},
{  2481,
   "MQRC_DMPO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QDMPO structure are set correctly.",
   "On an MQDLTMP call, the delete message property options structure"\
     " MQDMPO is not valid, for one of the following reasons:\n- The "\
     "StrucId field is not MQDMPO_STRUC_ID.\n- The Version field spec"\
     "ifies a value that is not valid or not supported.\n- The parame"\
     "ter pointer is not valid. (It is not always possible to detect "\
     "parameter pointers that are not valid; if not detected, unpredi"\
     "ctable results occur.)",
},
{  2482,
   "MQRC_PD_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QPD structure are set correctly.",
   "On an MQSETMP or MQINQMP call, the property descriptor structure "\
     "MQPD is not valid, for one of the following reasons:\n- The Str"\
     "ucId field is not MQPD_STRUC_ID.\n- The Version field specifies"\
     " a value that is not valid or not supported.\n- The parameter p"\
     "ointer is not valid. (It is not always possible to detect param"\
     "eter pointers that are not valid; if not detected, unpredictabl"\
     "e results occur.)\n- The Context field contains an unrecognized"\
     " value.",
},
{  2483,
   "MQRC_CALLBACK_TYPE_ERROR",
   "MQCC_FAILED",
   "Ensure that the CallbackType fiel"\
     "d of the MQCBDO is specified correctly.",
   "An MQCB call was made with an Operation of MQOP_REGISTER with an "\
     "incorrect value for CallbackType",
},
{  2484,
   "MQRC_CBD_OPTIONS_ERROR",
   "MQCC_FAILED",
   "Ensure that the Options are speci"\
     "fied correctly.",
   "An MQCB call was made with an Operation of MQOP_REGISTER with an "\
     "incorrect value for the Options field of the MQCBD.",
},
{  2485,
   "MQRC_MAX_MSG_LENGTH_ERROR",
   "MQCC_FAILED",
   "Ensure that the MaxMsgLength are "\
     "specified correctly.",
   "An MQCB call was made with an Operation of MQOP_REGISTER with an "\
     "incorrect value for the MaxMsgLength field of the MQCBD.",
},
{  2486,
   "MQRC_CALLBACK_ROUTINE_ERROR",
   "MQCC_FAILED",
   "Ensure that the CallbackName valu"\
     "e is specified correctly.",
   "An MQCB call was made with an Operation of MQOP_REGISTER failed f"\
     "or one of the following reasons:\n- Both CallbackName and Callb"\
     "ackFunction are specified. Only one must be specified on the ca"\
     "ll.\n- The call was made from an environment not supporting fun"\
     "ction pointers. CICS on z/OS\n- A programming language that doe"\
     "s not support Function pointer references.",
},
{  2487,
   "MQRC_CALLBACK_LINK_ERROR",
   "MQCC_FAILED",
   "Ensure that the correct library c"\
     "oncatenation has been specified in the application program exec"\
     "ution JCL, and in the queue-manager startup JCL. Any uncommitte"\
     "d changes in a unit of work should be backed out. A unit of wor"\
     "k that is coordinated by the queue manager is backed out automa"\
     "tically.",
   "On an MQCTL call, the callback handling module (CSQBMCSM or CSQBM"\
     "CSX for batch and CSQCMCSM for CICS) could not be loaded, so th"\
     "e adapter could not link to it. This reason code occurs only on"\
     " z/OS.",
},
{  2488,
   "MQRC_OPERATION_ERROR",
   "MQCC_FAILED",
   "Ensure that a valid value for Ope"\
     "ration is specified.",
   "An MQCTL or MQCB call was made with an invalid Operation paramete"\
     "r.",
},
{  2489,
   "MQRC_BMHO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QBMHO structure are set correctly.",
   "On an MQBUFMH call, the buffer to message handle options structur"\
     "e MQBMHO is not valid, for one of the following reasons:\n- v T"\
     "he StrucId field is not MQBMHO_STRUC_ID.\n- v The Version field"\
     " specifies a value that is not valid or not supported.\n- v The"\
     " parameter pointer is not valid. (It is not always possible to "\
     "detect parameter pointers that are not valid; if not detected, "\
     "unpredictable results occur.)",
},
{  2490,
   "MQRC_UNSUPPORTED_PROPERTY",
   "MQCC_FAILED",
   "Determine which property of the m"\
     "essage is not supported by the queue manager and decide whether"\
     " to remove the property from the message or connect to a queue "\
     "manager which does support the property.",
   "A message was found to contain a property that the queue manager "\
     "does not support. The operation that failed required all the pr"\
     "operties to be supported by the queue manager. This can occur o"\
     "n the MQPUT/MQPUT1 call or when a message is about to be sent d"\
     "own a channel to a queue manager than does not support message "\
     "properties.",
},
{  2492,
   "MQRC_PROP_NAME_NOT_CONVERTED",
   "MQCC_WARNING Programmer Response Check that the character set of "\
     "the returned name was correctly described when the property was"\
     " set. Also check that these values, and the RequestedCCSID and "\
     "RequestedEncoding specified in the InqPropOpts parameter of the"\
     " MQINQMP call, are supported for MQ conversion. If the required"\
     " conversion is not supported, conversion must be carried out by"\
     " the application.",
   "An MQINQMP call was issued with the MQIMPO_CONVERT_VALUE option s"\
     "pecified in the InqPropOpts parameter, but an error occurred du"\
     "ring conversion of the returned name of the property. The retur"\
     "ned name is unconverted",
},
{  2494,
   "MQRC_GET_ENABLED",
   "MQCC_FAILED",
   "None. This reason code is used to"\
     " inform the application of the change in state of the queue.",
   "This reason code is return to an Asynchronous consumer at the tim"\
     "e a queue that was previous inhibited for get has been re-enabl"\
     "ed for get.",
},
{  2495,
   "MQRC_MODULE_NOT_FOUND",
   "MQCC_FAILED",
   "This problem could be caused by e"\
     "ither of the two following reasons:\n- A MQCB call was made wit"\
     "h an Operation of MQOP_REGISTER specifying a CallbackName which"\
     " could not be found. Ensure that the CallbackName value is spec"\
     "ified correctly.\n- The Java MQ code could not load a Java nati"\
     "ve shared library. Check the associated Exception stack and FFS"\
     "T. Ensure that the JNI shared library is specified correctly.",
   "A native shared library could not be loaded.",
},
{  2496,
   "MQRC_MODULE_INVALID",
   "MQCC_FAILED",
   "Ensure that the CallbackName valu"\
     "e is specified correctly.",
   "An MQCB call was made with an Operation of MQOP_REGISTER, specify"\
     "ing a CallbackName which is not a valid load module.",
},
{  2497,
   "MQRC_MODULE_ENTRY_NOT_FOUND",
   "MQCC_FAILED",
   "An MQCB call was made with an Operation of MQOP_REGISTER and the "\
     "CallbackName identifies a function name which cant be found in"\
     " the specified library.",
   "Ensure that the CallbackName value is specified correctly.",
},
{  2498,
   "MQRC_MIXED_CONTENT_NOT_ALLOWED",
   "MQCC_FAILED",
   "Valid property names are describe"\
     "d in the WebSphere MQ documentation. Change the property name h"\
     "ierarchy so that it no longer contains mixed content before re-"\
     "issuing the call.",
   "An attempt was made to set a property with mixed content. For exa"\
     "mple, if an application set the property x.y and then attempt"\
     "ed to set the property x.y.z it is unclear whether in the prop"\
     "erty name hierarchy y contains a value or another logical gro"\
     "uping. Such a hierarchy would be mixed content and this is no"\
     "t supported. Setting a property which would cause mixed content"\
     " is not allowed. A hierarchy within a property name is created "\
     "using the . character (U+002E).",
},
{  2499,
   "MQRC_MSG_HANDLE_IN_USE",
   "MQCC_FAILED",
   "A message property call was called (MQCRTMH, MQDLTMH, MQSETMP, MQ"\
     "INQMP, MQDLTMP or MQMHBUF) specifying a message handle that is "\
     "already in use on another API call. A message handle may only b"\
     "e used on one call at a time. Concurrent use of a message handl"\
     "e can arise, for example, when an application uses multiple thr"\
     "eads.",
   "Ensure that the message handle cannot be used while another call "\
     "is in progress.",
},
{  2500,
   "MQRC_HCONN_ASYNC_ACTIVE",
   "MQCC_FAILED",
   "Stop or suspend the connection us"\
     "ing the MQCTL call and retry the operation.",
   "An attempt to issue an MQI call has been made while the connectio"\
     "n is started.",
},
{  2501,
   "MQRC_MHBO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QMHBO structure are set correctly.",
   "On an MQMHBUF call, the message handle to buffer options structur"\
     "e MQMHBO is not valid, for one of the following reasons:\n- The"\
     " StrucId field is not MQMHBO_STRUC_ID.\n- The Version field spe"\
     "cifies a value that is not valid or not supported.\n- The param"\
     "eter pointer is not valid. (It is not always possible to detect"\
     " parameter pointers that are not valid; if not detected, unpred"\
     "ictable results occur.)",
},
{  2502,
   "MQRC_PUBLICATION_FAILURE",
   "MQCC_FAILED",
   "An MQPUT or MQPUT1 call was issued to publish a message on a topi"\
     "c. Delivery of the publication to one of the subscribers failed"\
     " and due to the combination of the syncpoint option used and ei"\
     "ther:\n- v The PMSGDLV attribute on the administrative TOPIC ob"\
     "ject if it was a persistent message.\n- v The NPMSGDLV attribut"\
     "e on the administrative TOPIC object if it was a non-persistent"\
     " message. The publication has not been delivered to any of the "\
     "subscribers.",
   "Find the subscriber or subscribers who are having problems with t"\
     "heir subscription queue and resolve the problem, or change the "\
     "setting of the PMSGDLV or NPMSGDLV attributes on the TOPIC so t"\
     "hat problems with one subscriber do not have an effect on other"\
     " subscribers. Retry the MQPUT.",
},
{  2503,
   "MQRC_SUB_INHIBITED",
   "MQCC_FAILED",
   "If the system design allows subsc"\
     "ription requests to be inhibited for short periods, retry the o"\
     "peration later.",
   "MQSUB calls are currently inhibited for the topic subscribed to.",
},
{  2504,
   "MQRC_SELECTOR_ALWAYS_FALSE",
   "MQCC_FAILED",
   "Verify that the logic of the sele"\
     "ction string which was passed in on the API is as expected. Mak"\
     "e any necessary corrections to the logic of the string and resu"\
     "bmit the MQ API call for which the message occurred.",
   "An MQOPEN, MQPUT1 or MQSUB call was issued but a selection string"\
     " was specified which will never select a message",
},
{  2507,
   "MQRC_XEPO_ERROR",
   "MQCC_FAILED",
   "Ensure that input fields in the M"\
     "QXEPO structure are set correctly.",
   "On an MQXEP call, the exit options structure MQXEPO is not valid,"\
     " for one of the following reasons:\n- The StrucId field is not "\
     "MQXEPO_STRUC_ID.\n- The Version field specifies a value that is"\
     " not valid or not supported.\n- The parameter pointer is not va"\
     "lid. (It is not always possible to detect parameter pointers th"\
     "at are not valid; if not detected, unpredictable results occur."\
     ")",
},
{  2509,
   "MQRC_DURABILITY_NOT_ALTERABLE",
   "MQCC_FAILED",
   "Remove the subscription using MQC"\
     "LOSE and recreate it again with MQSUB with the attributes set c"\
     "orrectly, or change the durability option used on the MQSUB cal"\
     "l so that it matches the existing subscription.",
   "An MQSUB call using option MQSO_ALTER was made changing the durab"\
     "ility of the subscription. The durability of a subscription can"\
     "not be changed.",
},
{  2510,
   "MQRC_TOPIC_NOT_ALTERABLE",
   "MQCC_FAILED",
   "Remove the subscription using MQC"\
     "LOSE and recreate it again with MQSUB with the attributes set c"\
     "orrectly, or change the attributes and options used on the MQSU"\
     "B call so that it matches the existing subscription.",
   "An MQSUB call using option MQSO_ALTER was made changing the one o"\
     "r more of the fields in the MQSD that provide the topic being s"\
     "ubscribed to. These fields are the ObjectName, ObjectString, or"\
     " wildcard options. The topic subscribed to cannot be changed.",
},
{  2512,
   "MQRC_SUBLEVEL_NOT_ALTERABLE",
   "MQCC_FAILED",
   "Remove the subscription using MQC"\
     "LOSE and recreate it again with MQSUB with the attributes set c"\
     "orrectly, or change the SubLevel field used on the MQSUB call s"\
     "o that it matches the existing subscription.",
   "An MQSUB call using option MQSO_ALTER was made changing the SubLe"\
     "vel of the subscription. The SubLevel of a subscription cannot "\
     "be changed.",
},
{  2513,
   "MQRC_PROPERTY_NAME_LENGTH_ERR",
   "MQCC_FAILED",
   "Valid property names are describe"\
     "d in the WebSphere MQ documentation. Ensure that the property h"\
     "as a valid name length before issuing the call again.",
   "An attempt was made to set, inquire or delete a property with an "\
     "invalid name. This is for one of the following reasons:\n- The "\
     "VSLength field of the property name was set to less than or equ"\
     "al to zero.\n- The VSLength field of the property name was set "\
     "to greater than the maximum allowed value (see constant MQ_MAX_"\
     "PROPERTY_NAME_LENGTH).\n- The VSLength field of the property na"\
     "me was set to MQVS_NULL_TERMINATED and the property name was gr"\
     "eater than the maximum allowed value.",
},
{  2514,
   "MQRC_DUPLICATE_GROUP_SUB",
   "MQCC_FAILED",
   "Correct the Full topic name used "\
     "so that it does not match any existing subscription in the grou"\
     "p, or correct the grouping attributes if, either a different gr"\
     "oup was intended or the subscription was not intended to be gro"\
     "uped at all.",
   "An MQSUB call using option MQSO_GROUP_SUB was made creating a new"\
     " grouped subscription but, although it has a unique SubName, it"\
     " matches the Full topic name of an existing subscription in the"\
     " group.",
},
{  2515,
   "MQRC_GROUPING_NOT_ALTERABLE",
   "MQCC_FAILED",
   "An MQSUB call was made using option MQSO_ALTER on a grouped subsc"\
     "ription, that is one made with the option MQSO_GROUP_SUB. Group"\
     "ing of subscriptions is not alterable.",
   "Remove the subscription using MQCLOSE and recreate it again with "\
     "MQSUB with the attributes set correctly, or change the various "\
     "grouping fields used on the MQSUB call so that it matches the e"\
     "xisting subscription.",
},
{  2516,
   "MQRC_SELECTOR_INVALID_FOR_TYPE",
   "MQCC_FAILED",
   "Modify the value of ObjectType to"\
     " be MQOT_Q and ensure that the queue is being opened using one "\
     "of the MQOO_INPUT_* options.",
   "A SelectionString may only be specified in the MQOD for an MQOPEN"\
     "/MQPUT1 if the following is true:\n- ObjectType is MQOT_Q\n- Th"\
     "e queue is being opened using one of the MQOO_INPUT_* open opti"\
     "ons.",
},
{  2517,
   "MQRC_HOBJ_QUIESCED",
   "MQCC_FAILED",
   "This reason code indicates that a"\
     "ll messages with the current selection criteria have been proce"\
     "ssed. Do one of the following:\n- If no further messages need t"\
     "o be processed issue an MQCLOSE without the MQCO_QUIESCE option"\
     ". Any messages in the read ahead buffer will be discarded.\n- R"\
     "elax the current selection criteria by modifying the values in "\
     "the MQGMO and reissue the call. Once all messages have been con"\
     "sumed the call will return MQRC_HOBJ_QUIESCED_NO_MSGS.",
   "The HOBJ has been quiesced but there are no messages in the read "\
     "ahead buffer which match the current selection criteria. This r"\
     "eason code indicates that the read ahead buffer is not empty.",
},
{  2518,
   "MQRC_HOBJ_QUIESCED_NO_MSGS",
   "MQCC_FAILED",
   "Issue MQCLOSE against the HOBJ.",
   "The HOBJ has been quiesced and the read ahead buffer is now empty"\
     ". No further messages will be delivered to this HOBJ",
},
{  2519,
   "MQRC_SELECTION_STRING_ERROR",
   "MQCC_FAILED",
   "Modify the fields of the MQCHARV "\
     "so that it follows the rules for a valid MQCHARV structure.",
   "The SelectionString must be specified as per the description of h"\
     "ow to use an MQCHARV structure. Examples of why this error was "\
     "returned:\n- VSPtr and VSOffset were both specified.\n- Neither"\
     " VSPtr or VSOffset were specified.\n- The supplied VSLength was"\
     " invalid.",
},
{  2520,
   "MQRC_RES_OBJECT_STRING_ERROR",
   "MQCC_FAILED",
   "Ensure that one of ResObjectStrin"\
     "g.VSOffset or ResObjectString.VSPtr is zero and the other nonze"\
     "ro and that the buffer length is provided in ResObjectString.VS"\
     "BufSize. Ensure that the field used points to accessible storag"\
     "e.",
   "On the MQOPEN or MQPUT1 call in the Object Descriptor MQOD, or on"\
     " the MQSUB call in the Subscription Descriptor MQSD the ResObje"\
     "ctString field is not valid. One of the following applies:\n- R"\
     "esObjectString.VSLength is greater than zero, but ResObjectStri"\
     "ng.VSOffset is zero and ResObjectString.VSPtr is the null point"\
     "er.\n- ResObjectString.VSOffset is nonzero and ResObjectString."\
     "VSPtr is not the null pointer (that is, it appears both fields "\
     "are being used where only one is allowed).\n- ResObjectString.V"\
     "SPtr is not a valid pointer.\n- ResObjectString.VSOffset or Res"\
     "ObjectString.VSPtr points to storage that is not accessible.\n-"\
     " ResObjectString.VSBufSize is MQVS_USE_VSLENGTH and one of ResO"\
     "bjectString.VSOffset or ResObjectString.VSPtr have been provide"\
     "d.",
},
{  2521,
   "MQRC_CONNECTION_SUSPENDED",
   "MQCC_WARNING Programmer Response If this is an expected condition"\
     ", no corrective action required. If this is an unexpected condi"\
     "tion check that:\n- At least one consumer is registered and not"\
     " suspended\n- The connection has not been suspended",
   "An MQCTL call with Operation MQOP_START_WAIT has returned because"\
     " the asynchronous consumption of messages has been suspended. T"\
     "his can be for the following reasons:\n- The connection was exp"\
     "licitly suspended using MQCTL with Operation MQOP_SUSPEND\n- Al"\
     "l consumers have been either unregistered or suspended.",
},
{  2522,
   "MQRC_INVALID_DESTINATION",
   "MQCC_FAILED",
   "Ensure that the model queues refe"\
     "rred to by MNDURMDL and MDURMDL exist and have an appropriate D"\
     "EFTYPE. Create the queue referred to by the DEST parameter in a"\
     "n administrative subscription if one is being used. Alter the s"\
     "ubscription to use an existing queue if the previously used one"\
     " does not exist.",
   "An MQSUB call failed because of a problem with the destination wh"\
     "ere publications messages are to be sent, so an object handle c"\
     "annot be returned to the application and the subscription is no"\
     "t made. This can be for one of the following reasons:\n- The MQ"\
     "SUB call used MQSO_CREATE, MQSO_MANAGED and MQSO_NON_DURABLE an"\
     "d the model queue referred to by MNDURMDL on the administrative"\
     " topic node does not exist\n- The MQSUB call used MQSO_CREATE, "\
     "MQSO_MANAGED and MQSO_DURABLE and the model queue referred to b"\
     "y MDURMDL on the administrative topic node does not exist, or h"\
     "as been defined with a DEFTYPE of TEMPDYN.\n- The MQSUB call us"\
     "ed MQSO_CREATE or MQSO_ALTER on a durable subscription and the "\
     "object handle provided referred to a temporary dynamic queue. T"\
     "his is not an appropriate destination for a durable subscriptio"\
     "n.\n- The MQSUB call used MQSO_RESUME and a Hobj of MQHO_NONE, "\
     "to resume an administratively created subscription, but the que"\
     "ue name provided in the DEST parameter of the subscription does"\
     " not exist.\n- The MQSUB call used MQSO_RESUME and a Hobj of MQ"\
     "HO_NONE, to resume a previously created API subscription, but t"\
     "he queue previously used no longer exists.",
},
{  2523,
   "MQRC_INVALID_SUBSCRIPTION",
   "MQCC_FAILED",
   "Ensure the subscription named in "\
     "SubName field is not one of the invalid ones listed above. If y"\
     "ou have a handle open to the subscription already it must have "\
     "expired. Use MQCLOSE to close the handle and then if necessary "\
     "create a new subscription.",
   "An MQSUB call using MQSO_RESUME or MQSO_ALTER failed because the "\
     "subscription named is not valid for use by applications. This c"\
     "an be for one of the following reasons:\n- The subscription is "\
     "the SYSTEM.DEFAULT.SUB subscription which is not a valid subscr"\
     "iption and should only be used to fill in the default values on"\
     " DEFINE SUB commands.\n- The subscription is a proxy type subsc"\
     "ription which is not a valid subscription for an application to"\
     " resume and is only used to enable publications to be forwarded"\
     " between queue managers.\n- The subscription has expired and is"\
     " no longer valid for use.",
},
{  2524,
   "MQRC_SELECTOR_NOT_ALTERABLE",
   "MQCC_FAILED",
   "An MQSUB call was issued with the MQSO_ALTER option and the MQSD "\
     "contained a SelectionString. It is not valid to alter the Selec"\
     "tionString of a subscription.",
   "Ensure that the SelectionString field of the MQSD does not contai"\
     "n a valid VSPtr and that the VSLength is set to zero when makin"\
     "g a call to MQSUB.",
},
{  2525,
   "MQRC_RETAINED_MSG_Q_ERROR",
   "MQCC_FAILED",
   "If this occurs on an MQSUB call, "\
     "re-issue the MQSUB call using the option MQSO_NEW_PUBLICATIONS_"\
     "ONLY, which will mean no previously retained publications are s"\
     "ent to this subscription, or fix the SYSTEM.RETAINED.PUB.QUEUE "\
     "so that messages can be retrieved from it and re-issue the MQSU"\
     "B call. If this occurs on an MQSUBRQ call, fix the SYSTEM.RETAI"\
     "NED.PUB.QUEUE so that messages can be retrieved from it and re-"\
     "issue the MQSUBRQ call.",
   "An MQSUB call which did not use the MQSO_NEW_PUBLICATIONS_ONLY op"\
     "tion, or an MQSUBRQ call, failed because the retained publicati"\
     "ons which exist for the topic string subscribed to cannot be re"\
     "trieved from the SYSTEM.RETAINED.PUB.QUEUE. This can be for one"\
     " of the following reasons:\n- The queue has become damaged or h"\
     "as been deleted.\n- The queue has been set to GET(DISABLED).\n-"\
     " Messages have been removed from this queue directly. An error "\
     "message will be written to the log giving more details about th"\
     "e problem with the SYSTEM.RETAINED.PUB.QUEUE. When this return "\
     "code occurs on an MQSUB call, it can only occur using the MQSO_"\
     "CREATE option, and in this case the subscription is not created"\
     ".",
},
{  2526,
   "MQRC_RETAINED_NOT_DELIVERED",
   "MQCC_FAILED",
   "An MQSUB call which did not use the MQSO_NEW_PUBLICATIONS_ONLY op"\
     "tion or an MQSUBRQ call, failed because the retained publicatio"\
     "ns which exist for the topic string subscribed to cannot be del"\
     "ivered to the subscription destination queue and have subsequen"\
     "tly failed to be delivered to the dead-letter queue. When this "\
     "return code occurs on an MQSUB call, it can only occur using th"\
     "e MQSO_CREATE option, and in this case the subscription is not "\
     "created.",
   "Fix the problems with the destination queue and the dead-letter q"\
     "ueue and re-issue the MQSUB or MQSUBRQ call.",
},
{  2527,
   "MQRC_RFH_RESTRICTED_FORMAT_ERR",
   "MQCC_FAILED",
   "Change the message to include val"\
     "id MQRFH2 folders.",
   "A message was put to a queue containing an MQRFH2 header which in"\
     "cluded a folder with a restricted format. However, the folder w"\
     "as not in the required format. These restrictions are:\n- If Na"\
     "meValueCCSID of the folder is 1208 then only single byte UTF-8 "\
     "characters are allowed in the folder, group or element names.\n"\
     "- Groups are not allowed in the folder.\n- The values of proper"\
     "ties may not contain any characters that require escaping.\n- O"\
     "nly Unicode character U+0020 will be treated as white space wit"\
     "hin the folder.\n- The folder tag should not contain the conten"\
     "t attribute.\n- The folder should not contain a property with a"\
     " null value. The <mq> folder requires formatting of this restri"\
     "cted form.",
},
{  2528,
   "MQRC_CONNECTION_STOPPED",
   "MQCC_FAILED",
   "If this is an expected condition,"\
     " no corrective action required. If this is an unexpected condit"\
     "ion check whether an MQCTL with Operation MQOP_STOP was issued "\
     "during the MQCBCT_START callback function.",
   "An MQCTL call was issued to start the asynchronous consumption of"\
     " messages, but before the connection was ready to consume messa"\
     "ges it was stopped by one of the message consumers.",
},
{  2529,
   "MQRC_ASYNC_UOW_CONFLICT",
   "MQCC_FAILED",
   "Issue an MQCMIT on the connection"\
     " handle to commit the unit of work and then reissue the MQCTL c"\
     "all, or issue an MQCTL call using Operation MQOP_START_WAIT in "\
     "order to use the unit of work from within the asynchronous cons"\
     "ume callback functions.",
   "An MQCTL call with Operation MQOP_START was issued to start the a"\
     "synchronous consumption of messages, but the connection handle "\
     "used already has a global unit of work outstanding. MQCTL canno"\
     "t be used to start asynchronous consumption of messages while a"\
     " unit of work is in existence unless the MQOP_START_WAIT Operat"\
     "ion is used",
},
{  2530,
   "MQRC_ASYNC_XA_CONFLICT",
   "MQCC_FAILED",
   "Reissue the MQCTL call using Oper"\
     "ation MQOP_START_WAIT.",
   "An MQCTL call with Operation MQOP_START was issued to start the a"\
     "synchronous consumption of messages, but an external XA syncpoi"\
     "nt coordinator has already issued an xa_open call for this conn"\
     "ection handle. XA transactions must be done using the MQOP_STAR"\
     "T_WAIT Operation.",
},
{  2531,
   "MQRC_PUBSUB_INHIBITED",
   "MQCC_FAILED",
   "If this queue manager does not in"\
     "tentionally inhibit publish/subscribe, investigate any error me"\
     "ssages that describe the failure at queue manager start-up, or "\
     "wait until start-up processing completes. You can use the DISPL"\
     "AY PUBSUB command to check the status of the publish/subscribe "\
     "engine to ensure it is ready for use, and additionally on z/OS "\
     "you will receive an information message CSQM076I.",
   "MQSUB, MQOPEN, MQPUT and MQPUT1 calls are currently inhibited for"\
     " all publish/subscribe topics, either by means of the queue man"\
     "ager attribute PSMODE or because processing of publish/subscrib"\
     "e state at queue manager start-up has failed, or has not yet co"\
     "mpleted.",
},
{  2532,
   "MQRC_MSG_HANDLE_COPY_FAILURE",
   "MQCC_WARNING",
   "An MQGET call was issued specifying a valid MsgHandle in which to"\
     " retrieve any properties of the message. After the message had "\
     "been removed from the queue the application could not allocate "\
     "enough storage for the properties of the message. The message d"\
     "ata is available to the application but the properties are not."\
     " Check the queue manager error logs for more information about "\
     "how much storage was required.",
   "Raise the memory limit of the application to allow it store the p"\
     "roperties.",
},
{  2533,
   "MQRC_DEST_CLASS_NOT_ALTERABLE",
   "MQCC_FAILED",
   "Remove the subscription using MQC"\
     "LOSE and recreate it again with MQSUB with the attributes set c"\
     "orrectly, or change the use of the MQSO_MANAGED option used on "\
     "the MQSUB call so that it matches the existing subscription.",
   "An MQSUB call using option MQSO_ALTER was made changing the use o"\
     "f the MQSO_MANAGED option on the subscription. The destination "\
     "class of a subscription cannot be changed. When the MQSO_MANAGE"\
     "D option is not used, the queue provided can be changed, but th"\
     "e class of destination (managed or not) cannot be changed.",
},
{  2534,
   "MQRC_OPERATION_NOT_ALLOWED",
   "MQCC_FAILED",
   "An MQPUT call was issued, but the value of the Action field in th"\
     "e PutMsgOpts parameter is not a valid MQACTP_* value.",
   "Specify a valid value for the field.",
},
{  2537,
   "MQRC_CHANNEL_NOT_AVAILABLE",
   "MQCC_FAILED",
   "Examine the queue manager and cli"\
     "ent error logs for messages explaining the cause of the problem"\
     ".",
   "An MQCONN call was issued from a client to connect to a queue man"\
     "ager but the channel is not currently available. Common causes "\
     "of this reason code are:\n- The channel is currently in stopped"\
     " state.\n- The channel has been stopped by a channel exit.\n- T"\
     "he queue manager has reached its maximum allowable limit for th"\
     "is channel from this client.\n- The queue manager has reached i"\
     "ts maximum allowable limit for this channel.\n- The queue manag"\
     "er has reached its maximum allowable limit for all channels.",
},
{  2538,
   "MQRC_HOST_NOT_AVAILABLE",
   "MQCC_FAILED",
   "Examine the client error log for "\
     "messages explaining the cause of the problem.",
   "An MQCONN call was issued from a client to connect to a queue man"\
     "ager but the attempt to allocate a conversation to the remote s"\
     "ystem failed. Common causes of this reason code are:\n- The lis"\
     "tener has not been started on the remote system.\n- The connect"\
     "ion name in the client channel definition is incorrect.\n- The "\
     "network is currently unavailable.",
},
{  2539,
   "MQRC_CHANNEL_CONFIG_ERROR",
   "MQCC_FAILED",
   "Examine the queue manager and cli"\
     "ent error logs for messages explaining the cause of the problem"\
     ".",
   "An MQCONN call was issued from a client to connect to a queue man"\
     "ager but the attempt to establish communication failed. Common "\
     "causes of this reason code are:\n- The server and client cannot"\
     " agree on the channel attributes to use.\n- There are errors in"\
     " one or both of the QM.INI or MQCLIENT.INI configuration files."\
     "\n- The server machine does not support the code page used by t"\
     "he client.",
},
{  2540,
   "MQRC_UNKNOWN_CHANNEL_NAME",
   "MQCC_FAILED",
   "An MQCONN call was issued from a client to connect to a queue man"\
     "ager but the attempt to establish communication failed because "\
     "the queue manager did not recognise the channel name.",
   "Ensure that the client is configured to use the correct channel n"\
     "ame.",
},
{  2541,
   "MQRC_LOOPING_PUBLICATION",
   "MQCC_FAILED",
   "A Hierarchy has been configured such that a node which is already"\
     " a parent, declares its own parent to be an existing node in th"\
     "e tree. A loop cannot occur in a cluster collective alone, beca"\
     "use messages travel directly between nodes and dont take multi"\
     " hop routes. A looping publication has been detected and put on"\
     "to the dead-letter queue.",
   "Examine the hierarchy and correct the loop.",
},
{  2550,
   "MQRC_NO_SUBS_MATCHED",
   "MQCC_WARNING",
   "An MQPUT or MQPUT1 call was successful but no subscriptions match"\
     "ed the topic.",
   "No response is required, unless this reason code was not expected"\
     " by the application that put the message.",
},
{  3001,
   "MQRCCF_CFH_TYPE_ERROR",
   "",
   "Type not valid. The MQCFH Type field value was not valid.",
   "Specify a valid type.",
},
{  3002,
   "MQRCCF_CFH_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFH StrucLength field value was"\
     " not valid.",
   "Specify a valid structure length.",
},
{  3003,
   "MQRCCF_CFH_VERSION_ERROR",
   "",
   "Structure version number is not valid. The MQCFH Version field va"\
     "lue was not valid.\n",
   "Specify a valid structure version number.",
},
{  3004,
   "MQRCCF_CFH_MSG_SEQ_NUMBER_ERR",
   "",
   "Message sequence number not valid. The MQCFH MsgSeqNumber field v"\
     "alue was not valid.",
   "Specify a valid message sequence number.",
},
{  3005,
   "MQRCCF_CFH_CONTROL_ERROR",
   "",
   "Control option not valid. The MQCFH Control field value was not v"\
     "alid.",
   "Specify a valid control option.",
},
{  3006,
   "MQRCCF_CFH_PARM_COUNT_ERROR",
   "",
   "Parameter count not valid. The MQCFH ParameterCount field value w"\
     "as not valid.",
   "Specify a valid parameter count.",
},
{  3007,
   "MQRCCF_CFH_COMMAND_ERROR",
   "",
   "Command identifier not valid. The MQCFH Command field value was n"\
     "ot valid.",
   "Specify a valid command identifier.",
},
{  3008,
   "MQRCCF_COMMAND_FAILED",
   "",
   "Command failed. The command has failed.",
   "Refer to the previous error messages for this command.",
},
{  3009,
   "MQRCCF_CFIN_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFIN or MQCFIN64 StrucLength fi"\
     "eld value was not valid.",
   "Specify a valid structure length.",
},
{  3010,
   "MQRCCF_CFST_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFST StrucLength field value wa"\
     "s not valid. The value was not a multiple of four or was incons"\
     "istent with the MQCFST StringLength field value.",
   "Specify a valid structure length.",
},
{  3011,
   "MQRCCF_CFST_STRING_LENGTH_ERR",
   "",
   "String length not valid. The MQCFST StringLength field value was "\
     "not valid. The value was negative or greater than the maximum p"\
     "ermitted length of the parameter specified in the Parameter fie"\
     "ld.",
   "Specify a valid string length for the parameter.",
},
{  3012,
   "MQRCCF_FORCE_VALUE_ERROR",
   "",
   "Force value not valid. The force value specified was not valid.",
   "Specify a valid force value.",
},
{  3013,
   "MQRCCF_STRUCTURE_TYPE_ERROR",
   "",
   "Structure type not valid. The structure Type value was not valid.",
   "Specify a valid structure type.",
},
{  3014,
   "MQRCCF_CFIN_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFIN or MQCFIN64 Paramet"\
     "er field value was not valid.",
   "Specify a valid parameter identifier.",
},
{  3015,
   "MQRCCF_CFST_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFST Parameter field val"\
     "ue was not valid.",
   "Specify a valid parameter identifier.",
},
{  3016,
   "MQRCCF_MSG_LENGTH_ERROR",
   "",
   "Message length not valid. The message data length was inconsisten"\
     "t with the length implied by the parameters in the message, or "\
     "a positional parameter was out of sequence.",
   "Specify a valid message length, and check that positional paramet"\
     "ers are in the correct sequence.",
},
{  3017,
   "MQRCCF_CFIN_DUPLICATE_PARM",
   "",
   "Duplicate parameter. Two MQCFIN or MQCFIN64 or MQCFIL or MQCFIL64"\
     " structures, or any two of those types of structure, with the s"\
     "ame parameter identifier were present.",
   "Check for and remove duplicate parameters.",
},
{  3018,
   "MQRCCF_CFST_DUPLICATE_PARM",
   "",
   "Duplicate parameter. Two MQCFST structures, or an MQCFSL followed"\
     " by an MQCFST structure, with the same parameter identifier wer"\
     "e present.",
   "Check for and remove duplicate parameters.",
},
{  3019,
   "MQRCCF_PARM_COUNT_TOO_SMALL",
   "",
   "Parameter count too small. The MQCFH ParameterCount field value w"\
     "as less than the minimum required for the command.",
   "Specify a parameter count that is valid for the command.",
},
{  3020,
   "MQRCCF_PARM_COUNT_TOO_BIG",
   "",
   "Parameter count too big. The MQCFH ParameterCount field value was"\
     " more than the maximum for the command.",
   "Specify a parameter count that is valid for the command.",
},
{  3021,
   "MQRCCF_Q_ALREADY_IN_CELL",
   "",
   "Queue already exists in cell. An attempt was made to define a que"\
     "ue with cell scope, or to change the scope of an existing queue"\
     " from queue-manager scope to cell scope, but a queue with that "\
     "name already existed in the cell.",
   "Do one of the following:\n- Delete the existing queue and retry t"\
     "he operation.\n- Change the scope of the existing queue from ce"\
     "ll to queue-manager and retry the operation.\n- Create the new "\
     "queue with a different name.",
},
{  3022,
   "MQRCCF_Q_TYPE_ERROR",
   "",
   "Queue type not valid. The QType value was not valid.",
   "Specify a valid queue type.",
},
{  3023,
   "MQRCCF_MD_FORMAT_ERROR",
   "",
   "Format not valid. The MQMD Format field value was not MQFMT_ADMIN"\
     ".",
   "Specify the valid format.",
},
{  3024,
   "MQRCCF_CFSL_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFSL StrucLength field value wa"\
     "s not valid. The value was not a multiple of four or was incons"\
     "istent with the MQCFSL StringLength field value.",
   "Specify a valid structure length.",
},
{  3025,
   "MQRCCF_REPLACE_VALUE_ERROR",
   "",
   "Replace value not valid. The Replace value was not valid.",
   "Specify a valid replace value.",
},
{  3026,
   "MQRCCF_CFIL_DUPLICATE_VALUE",
   "",
   "Duplicate parameter value. In the MQCFIL or MQCFIL64 structure, t"\
     "here was a duplicate parameter value in the list.",
   "Check for and remove duplicate parameter values.",
},
{  3027,
   "MQRCCF_CFIL_COUNT_ERROR",
   "",
   "Count of parameter values not valid. The MQCFIL or MQCFIL64 Count"\
     " field value was not valid. The value was negative or greater t"\
     "han the maximum permitted for the parameter specified in the Pa"\
     "rameter field.",
   "Specify a valid count for the parameter.",
},
{  3028,
   "MQRCCF_CFIL_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFIL or MQCFIL64 StrucLength fi"\
     "eld value was not valid.",
   "Specify a valid structure length.",
},
{  3029,
   "MQRCCF_MODE_VALUE_ERROR",
   "",
   "Mode value not valid. The Mode value was not valid.",
   "Specify a valid mode value.",
},
{  3029,
   "MQRCCF_QUIESCE_VALUE_ERROR",
   "",
   "Former name for MQRCCF_MODE_VALUE_ERROR.",
   "",
},
{  3030,
   "MQRCCF_MSG_SEQ_NUMBER_ERROR",
   "",
   "Message sequence number not valid. The message sequence number pa"\
     "rameter value was not valid.",
   "Specify a valid message sequence number.",
},
{  3031,
   "MQRCCF_PING_DATA_COUNT_ERROR",
   "",
   "Data count not valid. The Ping Channel DataCount value was not va"\
     "lid.",
   "Specify a valid data count value.",
},
{  3032,
   "MQRCCF_PING_DATA_COMPARE_ERROR",
   "",
   "Ping Channel command failed. The Ping Channel command failed with"\
     " a data compare error. The data offset that failed is returned "\
     "in the message (with parameter identifier MQIACF_ERROR_OFFSET).",
   "Consult your systems administrator.",
},
{  3033,
   "MQRCCF_CFSL_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFSL Parameter field val"\
     "ue was not valid.",
   "Specify a valid parameter identifier.",
},
{  3034,
   "MQRCCF_CHANNEL_TYPE_ERROR",
   "",
   "Channel type not valid. The ChannelType specified was not valid, "\
     "or did not match the type of an existing channel being copied, "\
     "changed or replaced, or the command and the specified dispositi"\
     "on cannot be used with that type of channel.",
   "Specify a valid channel name, type, or disposition.",
},
{  3035,
   "MQRCCF_PARM_SEQUENCE_ERROR",
   "",
   "Parameter sequence not valid. The sequence of parameters is not v"\
     "alid for this command.",
   "Specify the positional parameters in a valid sequence for the com"\
     "mand.",
},
{  3036,
   "MQRCCF_XMIT_PROTOCOL_TYPE_ERR",
   "",
   "Transmission protocol type not valid. The TransportType value was"\
     " not valid.",
   "Specify a valid transmission protocol type.",
},
{  3037,
   "MQRCCF_BATCH_SIZE_ERROR",
   "",
   "Batch size not valid. The batch size specified was not valid.",
   "Specify a valid batch size value.",
},
{  3038,
   "MQRCCF_DISC_INT_ERROR",
   "",
   "Disconnection interval not valid. The disconnection interval spec"\
     "ified was not valid.",
   "Specify a valid disconnection interval.",
},
{  3039,
   "MQRCCF_SHORT_RETRY_ERROR",
   "",
   "Short retry count not valid. The ShortRetryCount value was not va"\
     "lid.",
   "Specify a valid short retry count value.",
},
{  3040,
   "MQRCCF_SHORT_TIMER_ERROR",
   "",
   "Short timer value not valid. The ShortRetryInterval value was not"\
     " valid.",
   "Specify a valid short timer value.",
},
{  3041,
   "MQRCCF_LONG_RETRY_ERROR",
   "",
   "Long retry count not valid. The long retry count value specified "\
     "was not valid.",
   "Specify a valid long retry count value.",
},
{  3042,
   "MQRCCF_LONG_TIMER_ERROR",
   "",
   "Long timer not valid. The long timer (long retry wait interval) v"\
     "alue specified was not valid.",
   "Specify a valid long timer value.",
},
{  3043,
   "MQRCCF_SEQ_NUMBER_WRAP_ERROR",
   "",
   "Sequence wrap number not valid. The SeqNumberWrap value was not v"\
     "alid.",
   "Specify a valid sequence wrap number.",
},
{  3044,
   "MQRCCF_MAX_MSG_LENGTH_ERROR",
   "",
   "Maximum message length not valid. The maximum message length valu"\
     "e specified was not valid.",
   "Specify a valid maximum message length.",
},
{  3045,
   "MQRCCF_PUT_AUTH_ERROR",
   "",
   "Put authority value not valid. The PutAuthority value was not val"\
     "id.",
   "Specify a valid authority value.",
},
{  3046,
   "MQRCCF_PURGE_VALUE_ERROR",
   "",
   "Purge value not valid. The Purge value was not valid.",
   "Specify a valid purge value.",
},
{  3047,
   "MQRCCF_CFIL_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFIL or MQCFIL64 Paramet"\
     "er field value was not valid, or specifies a parameter that can"\
     "not be filtered, or that is also specified as a parameter to se"\
     "lect a subset of objects.",
   "Specify a valid parameter identifier.",
},
{  3048,
   "MQRCCF_MSG_TRUNCATED",
   "",
   "Message truncated. The command server received a message that is "\
     "larger than its maximum valid message size.",
   "Check the message contents are correct.",
},
{  3049,
   "MQRCCF_CCSID_ERROR",
   "",
   "Coded character-set identifier error. In a command message, one o"\
     "f the following occurred:\n- The CodedCharSetId field in the me"\
     "ssage descriptor of the command does not match the coded charac"\
     "ter-set identifier of the queue manager at which the command is"\
     " being processed, or\n- The CodedCharSetId field in a string pa"\
     "rameter structure within the message text of the command is not"\
     "\n  * MQCCSI_DEFAULT, or\n  * the coded character-set identifie"\
     "r of the queue manager at which the command is being processed,"\
     " as in the CodedCharSetId field in the message descriptor. The "\
     "error response message contains the correct value. This reason "\
     "can also occur if a ping cannot be performed because the coded "\
     "character-set identifiers are not compatible. In this case the "\
     "correct value is not returned.",
   "Construct the command with the correct coded character-set identi"\
     "fier, and specify this in the message descriptor when sending t"\
     "he command. For ping, use a suitable coded character-set identi"\
     "fier.",
},
{  3050,
   "MQRCCF_ENCODING_ERROR",
   "",
   "Encoding error. The Encoding field in the message descriptor of t"\
     "he command does not match that required for the platform at whi"\
     "ch the command is being processed.",
   "Construct the command with the correct encoding, and specify this"\
     " in the message descriptor when sending the command.",
},
{  3052,
   "MQRCCF_DATA_CONV_VALUE_ERROR",
   "",
   "Data conversion value not valid. The value specified for DataConv"\
     "ersion is not valid.",
   "Specify a valid value.",
},
{  3053,
   "MQRCCF_INDOUBT_VALUE_ERROR",
   "",
   "In-doubt value not valid. The value specified for InDoubt is not "\
     "valid.",
   "Specify a valid value.",
},
{  3054,
   "MQRCCF_ESCAPE_TYPE_ERROR",
   "",
   "Escape type not valid. The value specified for EscapeType is not "\
     "valid.",
   "Specify a valid value.",
},
{  3062,
   "MQRCCF_CHANNEL_TABLE_ERROR",
   "",
   "Channel table value not valid. The ChannelTable specified was not"\
     " valid, or was not appropriate for the channel type specified o"\
     "n an Inquire Channel or Inquire Channel Names command.",
   "Specify a valid channel table value.",
},
{  3063,
   "MQRCCF_MCA_TYPE_ERROR",
   "",
   "Message channel agent type not valid. The MCAType value specified"\
     " was not valid.",
   "Specify a valid value.",
},
{  3064,
   "MQRCCF_CHL_INST_TYPE_ERROR",
   "",
   "Channel instance type not valid. The ChannelInstanceType specifie"\
     "d was not valid.",
   "Specify a valid channel instance type.",
},
{  3065,
   "MQRCCF_CHL_STATUS_NOT_FOUND",
   "",
   "Channel status not found. For Inquire Channel Status, no channel "\
     "status is available for the specified channel. This may indicat"\
     "e that the channel has not been used.",
   "None, unless this is unexpected, in which case consult your syste"\
     "ms administrator.",
},
{  3066,
   "MQRCCF_CFSL_DUPLICATE_PARM",
   "",
   "Duplicate parameter. Two MQCFSL structures, or an MQCFST followed"\
     " by an MQCFSL structure, with the same parameter identifier wer"\
     "e present.",
   "Check for and remove duplicate parameters.",
},
{  3067,
   "MQRCCF_CFSL_TOTAL_LENGTH_ERROR",
   "",
   "Total string length error. The total length of the strings (not i"\
     "ncluding trailing blanks) in a MQCFSL structure exceeds the max"\
     "imum allowable for the parameter.",
   "Check that the structure has been specified correctly, and if so "\
     "reduce the number of strings.",
},
{  3068,
   "MQRCCF_CFSL_COUNT_ERROR",
   "",
   "Count of parameter values not valid. The MQCFSL Count field value"\
     " was not valid. The value was negative or greater than the maxi"\
     "mum permitted for the parameter specified in the Parameter fiel"\
     "d.",
   "Specify a valid count for the parameter.",
},
{  3069,
   "MQRCCF_CFSL_STRING_LENGTH_ERR",
   "",
   "String length not valid. The MQCFSL StringLength field value was "\
     "not valid. The value was negative or greater than the maximum p"\
     "ermitted length of the parameter specified in the Parameter fie"\
     "ld.",
   "Specify a valid string length for the parameter.",
},
{  3070,
   "MQRCCF_BROKER_DELETED",
   "",
   "Broker has been deleted. When a broker is deleted using the dltmq"\
     "brk command, all broker queues created by the broker are delete"\
     "d. Before this can be done the queues are emptied of all comman"\
     "d messages; any that are found are placed on the dead-letter qu"\
     "eue with this reason code.",
   "Process the command messages that were placed on the dead-letter "\
     "queue.",
},
{  3071,
   "MQRCCF_STREAM_ERROR",
   "",
   "Stream name is not valid. The stream name parameter is not valid."\
     " Stream names must obey the same naming rules as for WebSphere "\
     "MQ queues.",
   "Retry the command with a valid stream name parameter.",
},
{  3072,
   "MQRCCF_TOPIC_ERROR",
   "",
   "Topic name is invalid. A command has been sent to the broker cont"\
     "aining a topic name that is not valid. Note that wildcard topic"\
     " names are not allowed for Register Publisher and Publish comma"\
     "nds.",
   "Retry the command with a valid topic name parameter. Up to 256 ch"\
     "aracters of the topic name in question are returned with the er"\
     "ror response message. If the topic name contains a null charact"\
     "er, this is assumed to terminate the string and is not consider"\
     "ed to be part of it. A zero length topic name is not valid, as "\
     "is one that contains an escape sequence that is not valid.",
},
{  3073,
   "MQRCCF_NOT_REGISTERED",
   "",
   "Subscriber or publisher is not registered. A Deregister command h"\
     "as been issued to remove registrations for a topic, or topics, "\
     "for which the publisher or subscriber is not registered. If mul"\
     "tiple topics were specified on the command, it fails with a com"\
     "pletion code of MQCC_WARNING if the publisher or subscriber was"\
     " registered for some, but not all, of the topics specified. Thi"\
     "s error code is also returned to a subscriber issuing a Request"\
     " Update command for a topic for which he does not have a subscr"\
     "iption.",
   "Investigate why the publisher or subscriber is not registered. In"\
     " the case of a subscriber, the subscriptions might have expired"\
     ", or been removed automatically by the broker if the subscriber"\
     " is no longer authorized.",
},
{  3074,
   "MQRCCF_Q_MGR_NAME_ERROR",
   "",
   "An invalid or unknown queue manager name has been supplied. A que"\
     "ue manager name has been supplied as part of a publisher or sub"\
     "scriber identity. This might have been supplied as an explicit "\
     "parameter or in the ReplyToQMgr field in the message descriptor"\
     " of the command. Either the queue manager name is not valid, or"\
     " in the case of a subscriber identity, the subscribers queue c"\
     "ould not be resolved because the remote queue manager is not kn"\
     "own to the broker queue manager.",
   "Retry the command with a valid queue manager name. If appropriate"\
     ", the broker includes a further error reason code within the er"\
     "ror response message. If one is supplied, follow the guidance f"\
     "or that reason code in WebSphere MQ Application Programming Ref"\
     "erence to resolve the problem.",
},
{  3075,
   "MQRCCF_INCORRECT_STREAM",
   "",
   "Stream name does not match the stream queue it was sent to. A com"\
     "mand has been sent to a stream queue that specified a different"\
     " stream name parameter.",
   "Retry the command either by sending it to the correct stream queu"\
     "e or by modifying the command so that the stream name parameter"\
     " matches.",
},
{  3076,
   "MQRCCF_Q_NAME_ERROR",
   "",
   "An invalid or unknown queue name has been supplied. A queue name "\
     "has been supplied as part of a publisher or subscriber identity"\
     ". This might have been supplied as an explicit parameter or in "\
     "the ReplyToQ field in the message descriptor of the command. Ei"\
     "ther the queue name is not valid, or in the case of a subscribe"\
     "r identity, the broker has failed to open the queue.",
   "Retry the command with a valid queue name. If appropriate, the br"\
     "oker includes a further error reason code within the error resp"\
     "onse message. If one is supplied, follow the guidance for that "\
     "reason code in WebSphere MQ Application Programming Reference t"\
     "o resolve the problem.",
},
{  3077,
   "MQRCCF_NO_RETAINED_MSG",
   "",
   "No retained message exists for the topic specified. A Request Upd"\
     "ate command has been issued to request the retained message ass"\
     "ociated with the specified topic. No retained message exists fo"\
     "r that topic.",
   "If the topic or topics in question should have retained messages,"\
     " the publishers of these topics might not be publishing with th"\
     "e correct publication options to cause their publications to be"\
     " retained.",
},
{  3078,
   "MQRCCF_DUPLICATE_IDENTITY",
   "",
   "Publisher or subscriber identity already assigned to another user"\
     " ID. Each publisher and subscriber has a unique identity consis"\
     "ting of a queue manager name, a queue name, and optionally a co"\
     "rrelation identifier. Associated with each identity is the user"\
     " ID under which that publisher or subscriber first registered. "\
     "A given identity can be assigned only to one user ID at a time."\
     " While the identity is registered with the broker all commands "\
     "wanting to use it must specify the correct user ID. When a publ"\
     "isher or a subscriber no longer has any registrations with the "\
     "broker the identity can be used by another user ID.",
   "Either retry the command using a different identity or remove all"\
     " registrations associated with the identity so that it can be u"\
     "sed by a different user ID. The user ID to which the identity i"\
     "s currently assigned is returned within the error response mess"\
     "age. A Deregister command could be issued to remove these regis"\
     "trations. If the user ID in question cannot be used to execute "\
     "such a command, you need to have the necessary authority to ope"\
     "n the SYSTEM.BROKER.CONTROL.QUEUE using the MQOO_ALTERNATE_USER"\
     "_AUTHORITY option.",
},
{  3079,
   "MQRCCF_INCORRECT_Q",
   "",
   "Command sent to wrong broker queue. The command is a valid broker"\
     " command but the queue it has been sent to is incorrect. Publis"\
     "h and Delete Publication commands need to be sent to the stream"\
     " queue, all other commands need to be sent to the SYSTEM.BROKER"\
     ".CONTROL.QUEUE.",
   "Retry the command by sending it to the correct queue.",
},
{  3080,
   "MQRCCF_CORREL_ID_ERROR",
   "",
   "Correlation identifier used as part of an identity is all binary "\
     "zeroes. Each publisher and subscriber is identified by a queue "\
     "manager name, a queue name, and optionally a correlation identi"\
     "fier. The correlation identifier is typically used to allow mul"\
     "tiple subscribers to share the same subscriber queue. In this i"\
     "nstance a publisher or subscriber has indicated within the Regi"\
     "stration or Publication options supplied on the command that th"\
     "eir identity does include a correlation identifier, but a valid"\
     " identifier has not been supplied.",
   "Retry the command ensuring that the correlation identifier suppli"\
     "ed in the message descriptor of the command message is not all "\
     "binary zeroes.",
},
{  3081,
   "MQRCCF_NOT_AUTHORIZED",
   "",
   "Subscriber has insufficient authority. To receive publications a "\
     "subscriber application needs both browse authority for the stre"\
     "am queue that it is subscribing to, and put authority for the q"\
     "ueue that publications are to be sent to. Subscriptions are rej"\
     "ected if the subscriber does not have both authorities. In addi"\
     "tion to having browse authority for the stream queue, a subscri"\
     "ber would also require altusr authority for the stream queue to"\
     " subscribe to certain topics that the broker itself publishes i"\
     "nformation on. These topics start with the MQ/SA/ prefix.",
   "Ensure that the subscriber has the necessary authorities and reis"\
     "sue the request. The problem might occur because the subscriber"\
     "s user ID is not known to the broker. This can be identified i"\
     "f a further error reason code of MQRC_UNKNOWN_ENTITY is returne"\
     "d within the error response message.",
},
{  3082,
   "MQRCCF_UNKNOWN_STREAM",
   "",
   "Stream is not known by the broker or could not be created. A comm"\
     "and message has been put to the SYSTEM.BROKER.CONTROL.QUEUE for"\
     " an unknown stream. This error code is also returned if dynamic"\
     " stream creation is enabled and the broker failed to create a s"\
     "tream queue for the new stream using the SYSTEM.BROKER.MODEL.ST"\
     "REAM queue.",
   "Retry the command for a stream that the broker supports. If the b"\
     "roker should support the stream, either define the stream queue"\
     " manually, or correct the problem that prevented the broker fro"\
     "m creating the stream queue itself.",
},
{  3083,
   "MQRCCF_REG_OPTIONS_ERROR",
   "",
   "Invalid registration options have been supplied. The registration"\
     " options provided on a command are not valid.",
   "Retry the command with a valid combination of options.",
},
{  3084,
   "MQRCCF_PUB_OPTIONS_ERROR",
   "",
   "Invalid publication options have been supplied. The publication o"\
     "ptions provided on a Publish command are not valid.",
   "Retry the command with a valid combination of options.",
},
{  3085,
   "MQRCCF_UNKNOWN_BROKER",
   "",
   "Command received from an unknown broker. Within a multi-broker ne"\
     "twork, related brokers pass subscriptions and publications betw"\
     "een each other as a series of command messages. One such comman"\
     "d message has been received from a broker that is not, or is no"\
     " longer, related to the detecting broker.",
   "his situation can occur if the broker network is not quiesced whi"\
     "le topology changes are made to the network. When removing a br"\
     "oker from the network ensure that the channels between the two "\
     "related brokers in question are active.",
},
{  3086,
   "MQRCCF_Q_MGR_CCSID_ERROR",
   "",
   "Queue manager coded character set identifier error. The coded cha"\
     "racter set value for the queue manager was not valid.",
   "Specify a valid value.",
},
{  3087,
   "MQRCCF_DEL_OPTIONS_ERROR",
   "",
   "Invalid delete options have been supplied. The options provided w"\
     "ith a Delete Publication command are not valid.",
   "Retry the command with a valid combination of options.",
},
{  3088,
   "MQRCCF_CLUSTER_NAME_CONFLICT",
   "",
   "ClusterName and ClusterNamelist attributes conflict. The command "\
     "was rejected because it would have resulted in the ClusterName "\
     "attribute and the ClusterNamelist attribute both being nonblank"\
     ". At least one of these attributes must be blank.",
   "If the command specified one of these attributes only, you must a"\
     "lso specify the other one, but with a value of blanks. If the c"\
     "ommand specified both attributes, ensure that one of them has a"\
     " value of blanks.",
},
{  3089,
   "MQRCCF_REPOS_NAME_CONFLICT",
   "",
   "RepositoryName and RepositoryNamelist attributes conflict. Either"\
     ":\n- The command was rejected because it would have resulted in"\
     " the RepositoryName and RepositoryNamelist attributes both bein"\
     "g nonblank. At least one of these attributes must be blank.\n- "\
     "For a Reset Queue Manager Cluster command, the queue manager do"\
     "es not provide a full repository management service for the spe"\
     "cified cluster. That is, the RepositoryName attribute of the qu"\
     "eue manager is not the specified cluster name, or the namelist "\
     "specified by the RepositoryNamelist attribute does not contain "\
     "the cluster name.",
   "Reissue the command with the correct values or on the correct que"\
     "ue manager.",
},
{  3090,
   "MQRCCF_CLUSTER_Q_USAGE_ERROR",
   "",
   "Queue cannot be a cluster queue. The command was rejected because"\
     " it would have resulted in a cluster queue also being a transmi"\
     "ssion queue, which is not permitted, or because the queue in qu"\
     "estion cannot be a cluster queue.",
   "Ensure that the command specifies either:\n- The Usage parameter "\
     "with a value of MQUS_NORMAL, or\n- The ClusterName and ClusterN"\
     "amelist parameters with values of blanks.\n- A QName parameter "\
     "with a value that is not one of these reserved queues:\n  * SYS"\
     "TEM.CHANNEL.INITQ\n  * SYSTEM.CHANNEL.SYNCQ\n  * SYSTEM.CLUSTER"\
     ".COMMAND.QUEUE\n  * SYSTEM.CLUSTER.REPOSITORY.QUEUE\n  * SYSTEM"\
     ".COMMAND.INPUT\n  * SYSTEM.QSG.CHANNEL.SYNCQ\n  * SYSTEM.QSG.TR"\
     "ANSMIT.QUEUE",
},
{  3091,
   "MQRCCF_ACTION_VALUE_ERROR",
   "",
   "Action value not valid. The value specified for Action is not val"\
     "id. There is only one valid value.",
   "Specify MQACT_FORCE_REMOVE as the value of the Action parameter.",
},
{  3092,
   "MQRCCF_COMMS_LIBRARY_ERROR",
   "",
   "Library for requested communications protocol could not be loaded"\
     ". The library needed for the requested communications protocol "\
     "could not be loaded.",
   "Install the library for the required communications protocol, or "\
     "specify a communications protocol that has already been install"\
     "ed.",
},
{  3093,
   "MQRCCF_NETBIOS_NAME_ERROR",
   "",
   "NetBIOS listener name not defined. The NetBIOS listener name is n"\
     "ot defined.",
   "Add a local name to the configuration file and retry the operatio"\
     "n.",
},
{  3094,
   "MQRCCF_BROKER_COMMAND_FAILED",
   "",
   "The broker command failed to complete. A broker command was issue"\
     "d but it failed to complete.",
   "Diagnose the problem using the provided information and issue a c"\
     "orrected command.",
},
{  3095,
   "MQRCCF_CFST_CONFLICTING_PARM",
   "",
   "Conflicting parameters. The command was rejected because the para"\
     "meter identified in the error response was in conflict with ano"\
     "ther parameter in the command.",
   "Consult the description of the parameter identified to ascertain "\
     "the nature of the conflict, and the correct command.",
},
{  3096,
   "MQRCCF_PATH_NOT_VALID",
   "",
   "Path not valid. The path specified was not valid.",
   "Specify a valid path.",
},
{  3097,
   "MQRCCF_PARM_SYNTAX_ERROR",
   "",
   "Syntax error found in parameter. The parameter specified containe"\
     "d a syntax error.",
   "Check the syntax for this parameter.",
},
{  3098,
   "MQRCCF_PWD_LENGTH_ERROR",
   "",
   "Password length error. The password string length is rounded up b"\
     "y to the nearest eight bytes. This rounding causes the total le"\
     "ngth of the SSLCryptoHardware string to exceed its maximum.",
   "Decrease the size of the password, or of earlier fields in the SS"\
     "LCryptoHardware string.",
},
{  3150,
   "MQRCCF_FILTER_ERROR",
   "",
   "Filter not valid. Either: 1. In an inquire command message, the s"\
     "pecification of a filter is not valid. 2. In a publish/subscrib"\
     "e command message, the content-based filter expression supplied"\
     " in the publish/subscribe command message contains invalid synt"\
     "ax, and cannot be used.",
   "1. Correct the specification of the filter parameter structure in"\
     " the inquire command message. 2. Correct the syntax of the filt"\
     "er expression in the publish/subscribe command message. The fil"\
     "ter expression is the value of the Filter tag in the psc folder"\
     " in the MQRFH2 structure. See the Websphere MQ Integrator V2 Pr"\
     "ogramming Guidefor details of valid syntax.",
},
{  3151,
   "MQRCCF_WRONG_USER",
   "",
   "Wrong user. A publish/subscribe command message cannot be execute"\
     "d on behalf of the requesting user because the subscription tha"\
     "t it would update is already owned by a different user. A subsc"\
     "ription can be updated or deregistered only by the user that or"\
     "iginally registered the subscription.",
   "Ensure that applications that need to issue commands against exis"\
     "ting subscriptions are running under the user identifier that o"\
     "riginally registered the subscription. Alternatively, use diffe"\
     "rent subscriptions for different users.",
},
{  3152,
   "MQRCCF_DUPLICATE_SUBSCRIPTION",
   "",
   "The subscription already exists. A matching subscription already "\
     "exists.",
   "Either modify the new subscription properties to distinguish it f"\
     "rom the existing subscription or deregister the existing subscr"\
     "iption. Then reissue the command.",
},
{  3153,
   "MQRCCF_SUB_NAME_ERROR",
   "",
   "The subscription name parameter is in error. Either the subscript"\
     "ion name is of an invalid format or a matching subscription alr"\
     "eady exists with no subscription name.",
   "Either correct the subscription name or remove it from the comman"\
     "d and reissue the command.",
},
{  3154,
   "MQRCCF_SUB_IDENTITY_ERROR",
   "",
   "The subscription identity parameter is in error. Either the suppl"\
     "ied value exceeds the maximum length allowed or the subscriptio"\
     "n identity is not currently a member of the subscriptions iden"\
     "tity set and a Join registration option was not specified.",
   "Either correct the identity value or specify a Join registration "\
     "option to add this identity to the identity set for this subscr"\
     "iption.",
},
{  3155,
   "MQRCCF_SUBSCRIPTION_IN_USE",
   "",
   "The subscription is in use. An attempt to modify or deregister a "\
     "subscription was attempted by a member of the identity set when"\
     " they were not the only member of this set.",
   "Reissue the command when you are the only member of the identity "\
     "set. To avoid the identity set check and force the modification"\
     " or deregistration remove the subscription identity from the co"\
     "mmand message and reissue the command.",
},
{  3156,
   "MQRCCF_SUBSCRIPTION_LOCKED",
   "",
   "The subscription is locked. The subscription is currently exclusi"\
     "vely locked by another identity.",
   "Wait for this identity to release the exclusive lock.",
},
{  3157,
   "MQRCCF_ALREADY_JOINED",
   "",
   "The identity already has an entry for this subscription. A Join r"\
     "egistration option was specified but the subscriber identity wa"\
     "s already a member of the subscriptions identity set.",
   "None. The command completed, this reason code is a warning.",
},
{  3160,
   "MQRCCF_OBJECT_IN_USE",
   "",
   "Object in use by another command. A modification of an object was"\
     " attempted while the object was being modified by another comma"\
     "nd.",
   "Retry the command.",
},
{  3161,
   "MQRCCF_UNKNOWN_FILE_NAME",
   "",
   "File not defined to CICS. A file name parameter identifies a file"\
     " that is not defined to CICS.",
   "Provide a valid file name or create a CSD definition for the requ"\
     "ired file.",
},
{  3162,
   "MQRCCF_FILE_NOT_AVAILABLE",
   "",
   "File not available to CICS. A file name parameter identifies a fi"\
     "le that is defined to CICS, but is not available.",
   "Check that the CSD definition for the file is correct and enabled"\
     ".",
},
{  3163,
   "MQRCCF_DISC_RETRY_ERROR",
   "",
   "Disconnection retry count not valid. The DiscRetryCount value was"\
     " not valid.",
   "Specify a valid count.",
},
{  3164,
   "MQRCCF_ALLOC_RETRY_ERROR",
   "",
   "Allocation retry count not valid. The AllocRetryCount value was n"\
     "ot valid.",
   "Specify a valid count.",
},
{  3165,
   "MQRCCF_ALLOC_SLOW_TIMER_ERROR",
   "",
   "Allocation slow retry timer value not valid. The AllocRetrySlowTi"\
     "mer value was not valid.",
   "Specify a valid timer value.",
},
{  3166,
   "MQRCCF_ALLOC_FAST_TIMER_ERROR",
   "",
   "Allocation fast retry timer value not valid. The AllocRetryFastTi"\
     "mer value was not valid.",
   "Specify a valid value.",
},
{  3167,
   "MQRCCF_PORT_NUMBER_ERROR",
   "",
   "Port number value not valid. The PortNumber value was not valid.",
   "Specify a valid port number value.",
},
{  3168,
   "MQRCCF_CHL_SYSTEM_NOT_ACTIVE",
   "",
   "Channel system is not active. An attempt was made to start a chan"\
     "nel while the channel system was inactive.",
   "Activate the channel system before starting a channel.",
},
{  3169,
   "MQRCCF_ENTITY_NAME_MISSING",
   "",
   "Entity name required but missing. A parameter specifying entity n"\
     "ames must be supplied.",
   "Specify the required parameter.",
},
{  3170,
   "MQRCCF_PROFILE_NAME_ERROR",
   "",
   "Profile name not valid. A profile name is not valid. Profile name"\
     "s may include wildcard characters or may be given explicitly. I"\
     "f you give an explicit profile name, then the object identified"\
     " by the profile name must exist. This error may also occur if y"\
     "ou specify more than one double asterisk in a profile name.",
   "Specify a valid name.",
},
{  3171,
   "MQRCCF_AUTH_VALUE_ERROR",
   "",
   "Authorization value not valid. A value for the AuthorizationList "\
     "or AuthorityRemove or AuthorityAdd parameter was not valid.",
   "Specify a valid value.",
},
{  3172,
   "MQRCCF_AUTH_VALUE_MISSING",
   "",
   "Authorization value required but missing. A parameter specifying "\
     "authorization values must be supplied.",
   "Specify the required parameter.",
},
{  3173,
   "MQRCCF_OBJECT_TYPE_MISSING",
   "",
   "Object type value required but missing. A parameter specifying th"\
     "e object type must be supplied.",
   "Specify the required parameter.",
},
{  3174,
   "MQRCCF_CONNECTION_ID_ERROR",
   "",
   "Error in connection id parameter. The ConnectionId specified was "\
     "not valid.",
   "Specify a valid connection id.",
},
{  3175,
   "MQRCCF_LOG_TYPE_ERROR",
   "",
   "Log type not valid. The log type value specified was not valid.",
   "Specify a valid log type value.",
},
{  3176,
   "MQRCCF_PROGRAM_NOT_AVAILABLE",
   "",
   "Program not available. A request to start or stop a service faile"\
     "d because the request to start the program failed. This could b"\
     "e because the program could not be found at the specified locat"\
     "ion, or that insufficient system resources are available curren"\
     "tly to start it.",
   "Check that the correct name is specified in the definition of the"\
     " service, and that the program is in the appropriate libraries,"\
     " before retrying the request.",
},
{  3177,
   "MQRCCF_PROGRAM_AUTH_FAILED",
   "",
   "Program not available. A request to start or stop a service faile"\
     "d because the user does not have sufficient access authority to"\
     " start the program at the specified location.",
   "Correct the progam name and location, and the users authority, b"\
     "efore retrying the request.",
},
{  3200,
   "MQRCCF_NONE_FOUND",
   "",
   "No items found matching request criteria. An Inquire command foun"\
     "d no items that matched the specified name and satisfied any ot"\
     "her criteria requested.",
   "",
},
{  3201,
   "MQRCCF_SECURITY_SWITCH_OFF",
   "",
   "Security refresh or reverification not processed, security switch"\
     " set OFF. Either\n- a Reverify Security command was issued, but"\
     " the subsystem security switch is off, so there are no internal"\
     " control tables to flag for reverification; or\n- a Refresh Sec"\
     "urity command was issued, but the security switch for the reque"\
     "sted class or the subsystem security switch is off. The switch "\
     "in question may be returned in the message (with parameter iden"\
     "tifier MQIACF_SECURITY_SWITCH).",
   "",
},
{  3202,
   "MQRCCF_SECURITY_REFRESH_FAILED",
   "",
   "Security refresh did not take place. A SAF RACROUTE REQUEST=STAT "\
     "call to your external security manager (ESM) returned a non-zer"\
     "o return code. In consequence, the requested security refresh c"\
     "ould not be done. The security item affected may be returned in"\
     " the message (with parameter identifier MQIACF_SECURITY_ITEM). "\
     "Possible causes of this problem are:\n- The class is not instal"\
     "led\n- The class is not active\n- The external security manager"\
     " (ESM) is not active\n- The RACF z/OS router table is incorrect",
   "For information about resolving the problem, see the explanations"\
     " of messages CSQH003I and CSQH004I.",
},
{  3203,
   "MQRCCF_PARM_CONFLICT",
   "",
   "Incompatible parameters or parameter values. The parameters or pa"\
     "rameter values for a command are incompatible. One of the follo"\
     "wing occurred:\n- A parameter was not specified that is require"\
     "d by another parameter or parameter value.\n- A parameter or pa"\
     "rameter value was specified that is not allowed with some other"\
     " parameter or parameter value.\n- The values for two specified "\
     "parameters were not both blank or non-blank.\n- The values for "\
     "two specified parameters were incompatible. The parameters in q"\
     "uestion may be returned in the message (with parameter identifi"\
     "ers MQIACF_PARAMETER_ID).",
   "Reissue the command with correct parameters and values.",
},
{  3204,
   "MQRCCF_COMMAND_INHIBITED",
   "",
   "Commands not allowed at present time. The queue manager cannot ac"\
     "cept commands at the present time, because it is restarting or "\
     "terminating, or because the command server is not running.",
   "",
},
{  3205,
   "MQRCCF_OBJECT_BEING_DELETED",
   "",
   "Object is being deleted. The object specified on a command is in "\
     "the process of being deleted, so the command is ignored.",
   "",
},
{  3207,
   "MQRCCF_STORAGE_CLASS_IN_USE",
   "",
   "Storage class is active or queue is in use. The command for a loc"\
     "al queue involved a change to the StorageClass value, but there"\
     " are messages on the queue, or other threads have the queue ope"\
     "n.",
   "Remove the messages from the queue, or wait until any other threa"\
     "ds have closed the queue.",
},
{  3208,
   "MQRCCF_OBJECT_NAME_RESTRICTED",
   "",
   "Incompatible object name and type. The command used a reserved ob"\
     "ject name with an incorrect object type or subtype. The object "\
     "is only allowed to be of a predetermined type, as listed in the"\
     " explanation of message CSQM108I.",
   "",
},
{  3209,
   "MQRCCF_OBJECT_LIMIT_EXCEEDED",
   "",
   "Local queue limit exceeded. The command failed because no more lo"\
     "cal queues could be defined. There is an implementation limit o"\
     "f 524 287 for the total number of local queues that can exist. "\
     "For shared queues, there is a limit of 512 queues in a single c"\
     "oupling facility structure.",
   "Delete any existing queues that are no longer required.",
},
{  3210,
   "MQRCCF_OBJECT_OPEN_FORCE",
   "",
   "Object is in use, but could be changed specifying Force as MQFC_Y"\
     "ES. The object specified is in use. This could be because it is"\
     " open through the API, or for certain parameter changes, becaus"\
     "e there are messages currently on the queue. The requested chan"\
     "ges can be made by specifying Force as MQFC_YES on a Change com"\
     "mand.",
   "Wait until the object is not in use. Alternatively specify Force "\
     "as MQFC_YES for a change command.",
},
{  3211,
   "MQRCCF_DISPOSITION_CONFLICT",
   "",
   "Parameters are incompatible with disposition. The parameters or p"\
     "arameter values for a command are incompatible with the disposi"\
     "tion of an object. One of the following occurred:\n- A value sp"\
     "ecified for the object name or other parameter is not allowed f"\
     "or a local queue whose disposition is shared or a model queue u"\
     "sed to create a dynamic queue that is shared.\n- A value specif"\
     "ied for a parameter is not allowed for an object with such disp"\
     "osition.\n- A value specified for a parameter must be non-blank"\
     " for an object with such disposition.\n- The CommandScope and Q"\
     "SGDisposition or ChannelDisposition parameter values are incomp"\
     "atible.\n- The action requested for a channel cannot be perform"\
     "ed because it has the wrong disposition. The parameter and disp"\
     "osition in question may be returned in the message (with parame"\
     "ter identifiers MQIACF_PARAMETER_ID and MQIA_QSG_DISP).",
   "Reissue the command with correct parameters and values.",
},
{  3212,
   "MQRCCF_Q_MGR_NOT_IN_QSG",
   "",
   "Queue manager is not in a queue-sharing group. The command or its"\
     " parameters are not allowed when the queue manager is not in a "\
     "queue-sharing group. The parameter in question may be returned "\
     "in the message (with parameter identifier MQIACF_PARAMETER_ID).",
   "Reissue the command correctly.",
},
{  3213,
   "MQRCCF_ATTR_VALUE_FIXED",
   "",
   "Parameter value cannot be changed. The value for a parameter cann"\
     "ot be changed. The parameter in question may be returned in the"\
     " message (with parameter identifier MQIACF_PARAMETER_ID).",
   "To change the parameter, the object must be deleted and then crea"\
     "ted again with the new value.",
},
{  3215,
   "MQRCCF_NAMELIST_ERROR",
   "",
   "Namelist is empty or wrong type. A namelist used to specify a lis"\
     "t of clusters has no names in it or does not have type MQNT_CLU"\
     "STER or MQNT_NONE.",
   "Reissue the command specifying a namelist that is not empty and h"\
     "as a suitable type.",
},
{  3217,
   "MQRCCF_NO_CHANNEL_INITIATOR",
   "",
   "Channel initiator not active. The command requires the channel in"\
     "itiator to be started.",
   "",
},
{  3218,
   "MQRCCF_CHANNEL_INITIATOR_ERROR",
   "",
   "Channel initiator cannot be started, or no suitable channel initi"\
     "ator is available. One of the following:\n- The channel initiat"\
     "or cannot be started because:\n  * It is already active.\n  * T"\
     "here are insufficient system resources.\n  * The queue manager "\
     "was shutting down.\n- The shared channel cannot be started beca"\
     "use there was no suitable channel initiator available for any a"\
     "ctive queue manager in the queue-sharing group. This could be b"\
     "ecause:\n  * No channel initiators are running.\n  * The channe"\
     "l initiators that are running are too busy to allow any channel"\
     ", or a channel of the particular type, to be started.",
   "",
},
{  3222,
   "MQRCCF_COMMAND_LEVEL_CONFLICT",
   "",
   "Incompatible queue manager command levels. Changing the CFLevel p"\
     "arameter of a CF structure, or deleting a CF structure, require"\
     "s that all queue managers in the queue-sharing group have a com"\
     "mand level of at least 530. Some of the queue managers have a l"\
     "ower level.",
   "",
},
{  3223,
   "MQRCCF_Q_ATTR_CONFLICT",
   "",
   "Queue attributes are incompatible. The queues involved in a Move "\
     "Queue command have different values for one or more of these at"\
     "tributes: DefinitionType, HardenGetBackout, Usage. Messages can"\
     "not be moved safely if these attributes differ.",
   "",
},
{  3224,
   "MQRCCF_EVENTS_DISABLED",
   "",
   "Events not enabled. The command required performance or configura"\
     "tion events to be enabled.",
   "Use the Change Queue manager command to enable the events if requ"\
     "ired.",
},
{  3225,
   "MQRCCF_COMMAND_SCOPE_ERROR",
   "",
   "Queue-sharing group error. While processing a command that used t"\
     "he CommandScope parameter, an error occurred while trying to se"\
     "nd data to the coupling facility.",
   "Notify your system programmer.",
},
{  3226,
   "MQRCCF_COMMAND_REPLY_ERROR",
   "",
   "Error saving command reply information. While processing a comman"\
     "d that used the CommandScope parameter, or a command for the ch"\
     "annel initiator, an error occurred while trying to save informa"\
     "tion about the command.",
   "The most likely cause is insufficient storage. If the problem per"\
     "sists, you may need to restart the queue manager after making m"\
     "ore storage available.",
},
{  3227,
   "MQRCCF_FUNCTION_RESTRICTED",
   "",
   "Restricted command or parameter value used. The command, or the v"\
     "alue specified for one of its parameters, is not allowed becaus"\
     "e the installation and customization options chosen do not allo"\
     "w all functions to be used. The parameter in question may be re"\
     "turned in the message (with parameter identifier MQIACF_PARAMET"\
     "ER_ID).",
   "",
},
{  3228,
   "MQRCCF_PARM_MISSING",
   "",
   "Required parameter not specified. The command did not specify a p"\
     "arameter or parameter value that was required. It may be:\n- A "\
     "parameter that is always required.\n- A parameter that is one o"\
     "f a set of two or more alternative required parameters.\n- A pa"\
     "rameter that is required because some other parameter was speci"\
     "fied.\n- A parameter that is a list of values which has too few"\
     " values. The parameter in question may be returned in the messa"\
     "ge (with parameter identifier MQIACF_PARAMETER_ID).",
   "Reissue the command with correct parameters and values.",
},
{  3229,
   "MQRCCF_PARM_VALUE_ERROR",
   "",
   "Parameter value invalid. The value specified for a parameter was "\
     "not acceptable. It may be:\n- Outside the acceptable numeric ra"\
     "nge for the parameter.\n- Not one of a list of acceptable value"\
     "s for the parameter.\n- Using characters that are invalid for t"\
     "he parameter.\n- Completely blank, when such is not allowed for"\
     " the parameter.\n- A filter value that is invalid for the param"\
     "eter being filtered. The parameter in question may be returned "\
     "in the message (with parameter identifier MQIACF_PARAMETER_ID).",
   "Reissue the command with correct parameters and values.",
},
{  3230,
   "MQRCCF_COMMAND_LENGTH_ERROR",
   "",
   "Command exceeds allowable length. The command is so large that it"\
     "s internal form has exceeded the maximum length allowed. The si"\
     "ze of the internal form of the command is affected by both the "\
     "length, and the complexity of the command.",
   "",
},
{  3231,
   "MQRCCF_COMMAND_ORIGIN_ERROR",
   "",
   "Command issued incorrectly. The command cannot be issued using co"\
     "mmand server. This is an internal error.",
   "Notify your system programmer.",
},
{  3232,
   "MQRCCF_LISTENER_CONFLICT",
   "",
   "Address conflict for listener. A listener was already active for "\
     "a port and IP address combination that conflicted with the Port"\
     " and IPAddress values specified by a Start Channel Listener or "\
     "Stop Channel Listener command. The Port and IPAddress value com"\
     "bination specified must match a combination for which the liste"\
     "ner is active. It cannot be a superset or a subset of that comb"\
     "ination.",
   "Reissue the command with correct values, if required.",
},
{  3233,
   "MQRCCF_LISTENER_STARTED",
   "",
   "Listener is started. An attempt was made to start a listener, but"\
     " it is already active for the requested TransportType, InboundD"\
     "isposition, Port, and IPAddress values. The requested parameter"\
     " values may be returned in the message, if applicable (with par"\
     "ameter identifiers MQIACH_XMIT_PROTOCOL_TYPE, MQIACH_INBOUND_DI"\
     "SP, MQIACH_PORT_NUMBER, MQCACH_IP_ADDRESS).",
   "",
},
{  3234,
   "MQRCCF_LISTENER_STOPPED",
   "",
   "Listener is stopped. An attempt was made to stop a listener, but "\
     "it is not active or already stopping for the requested Transpor"\
     "tType, InboundDisposition, Port, and IPAddress values. The requ"\
     "ested parameter values may be returned in the message, if appli"\
     "cable (with parameter identifiers MQIACH_XMIT_PROTOCOL_TYPE, MQ"\
     "IACH_INBOUND_DISP, MQIACH_PORT_NUMBER, MQCACH_IP_ADDRESS).",
   "",
},
{  3235,
   "MQRCCF_CHANNEL_ERROR",
   "",
   "Channel command failed. A channel command failed because of an er"\
     "ror in the channel definition, or at the remote end of the chan"\
     "nel, or in the communications system. An error identifier value"\
     " nnn may be returned in the message (with parameter identifier "\
     "MQIACF_ERROR_ID).",
   "For information about the error, see the explanation of the corre"\
     "sponding error message. Error nnn generally corresponds to mess"\
     "age CSQXnnn, although there are some exceptions. The section Di"\
     "stributed queuing message codes in the WebSphere MQ for z/OS Me"\
     "ssages and Codes book gives full details.",
},
{  3236,
   "MQRCCF_CF_STRUC_ERROR",
   "",
   "CF structure error. A command could not be processed because of a"\
     " coupling facility or CF structure error. It may be:\n- A Backu"\
     "p CF Structure or Recover CF Structure command when the status "\
     "of the CF structure is unsuitable. In this case, the CF structu"\
     "re status may be returned in the message together with the CF s"\
     "tructure name (with parameter identifiers MQIACF_CF_STRUC_STATU"\
     "S and MQCA_CF_STRUC_NAME).\n- A command could not access an obj"\
     "ect because of an error in the coupling facility information, o"\
     "r because a CF structure has failed. In this case, the name of "\
     "the object involved may be returned in the message (with parame"\
     "ter identifier MQCA_Q_NAME, for example).\n- A command involvin"\
     "g a shared channel could not access the channel status or synch"\
     "ronization key information.",
   "In the case of a Backup CF Structure or Recover CF Structure comm"\
     "and, take action appropriate to the CF struture status reported"\
     ". In other cases, check for error messages on the console log t"\
     "hat might relate to the problem. Check whether the coupling fac"\
     "ility structure has failed and check that DB2 is available.",
},
{  3237,
   "MQRCCF_UNKNOWN_USER_ID",
   "",
   "User identifier not found. A user identifier specified in a Rever"\
     "ify Security command was not valid because there was no entry f"\
     "ound for it in the internal control table. This could be becaus"\
     "e the identifier was entered incorrectly in the command, or bec"\
     "ause it was not in the table (for example, because it had timed"\
     "-out). The user identifier in question may be returned in the m"\
     "essage (with parameter identifier MQCACF_USER_IDENTIFIER).",
   "",
},
{  3238,
   "MQRCCF_UNEXPECTED_ERROR",
   "",
   "Unexpected or severe error. An unexpected or severe error or othe"\
     "r failure occurred. A code associated with the error may be ret"\
     "urned in the message (with parameter identifier MQIACF_ERROR_ID"\
     ").",
   "Notify your system programmer.",
},
{  3239,
   "MQRCCF_NO_XCF_PARTNER",
   "",
   "MQ is not connected to the XCF partner. The command involving the"\
     " IMS Bridge cannot be processed because MQ is not connected to "\
     "the XCF partner. The group and member names of the XCF partner "\
     "in question may be returned in the message (with parameter iden"\
     "tifiers MQCA_XCF_GROUP_NAME and MQCA_XCF_MEMBER_NAME).",
   "",
},
{  3240,
   "MQRCCF_CFGR_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFGR Parameter field val"\
     "ue was not valid.",
   "Specify a valid parameter identifier.",
},
{  3241,
   "MQRCCF_CFIF_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFIF StrucLength field value wa"\
     "s not valid.",
   "Specify a valid structure length.",
},
{  3242,
   "MQRCCF_CFIF_OPERATOR_ERROR",
   "",
   "Parameter count not valid. The MQCFIF Operator field value was no"\
     "t valid.",
   "Specify a valid operator value.",
},
{  3243,
   "MQRCCF_CFIF_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFIF Parameter field val"\
     "ue was not valid, or specifies a parameter that cannot be filte"\
     "red, or that is also specified as a parameter to select a subse"\
     "t of objects.",
   "Specify a valid parameter identifier.",
},
{  3244,
   "MQRCCF_CFSF_FILTER_VAL_LEN_ERR",
   "",
   "Filter value length not valid. The MQCFSF FilterValueLength field"\
     " value was not valid.",
   "Specify a valid length.",
},
{  3245,
   "MQRCCF_CFSF_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFSF StrucLength field value wa"\
     "s not valid.",
   "Specify a valid structure length.",
},
{  3246,
   "MQRCCF_CFSF_OPERATOR_ERROR",
   "",
   "Parameter count not valid. The MQCFSF Operator field value was no"\
     "t valid.",
   "Specify a valid operator value.",
},
{  3247,
   "MQRCCF_CFSF_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFSF Parameter field val"\
     "ue was not valid.",
   "Specify a valid parameter identifier.",
},
{  3248,
   "MQRCCF_TOO_MANY_FILTERS",
   "",
   "Too many filters. The command contained more than the maximum per"\
     "mitted number of filter structures.",
   "Specify the command correctly.",
},
{  3249,
   "MQRCCF_LISTENER_RUNNING",
   "",
   "Listener is running. An attempt was made to perform an operation "\
     "on a listener, but it is currently active.",
   "Stop the listener if required.",
},
{  3250,
   "MQRCCF_LSTR_STATUS_NOT_FOUND",
   "",
   "Listener status not found. For Inquire Listener Status, no listen"\
     "er status is available for the specified listener. This may ind"\
     "icate that the listener has not been used.",
   "None, unless this is unexpected, in which case consult your syste"\
     "ms administrator.",
},
{  3251,
   "MQRCCF_SERVICE_RUNNING",
   "",
   "Service is running. An attempt was made to perform an operation o"\
     "n a service, but it is currently active.",
   "Stop the service if required.",
},
{  3252,
   "MQRCCF_SERV_STATUS_NOT_FOUND",
   "",
   "Service status not found. For Inquire Service Status, no service "\
     "status is available for the specified service. This may indicat"\
     "e that the service has not been used.",
   "None, unless this is unexpected, in which case consult your syste"\
     "ms administrator.",
},
{  3253,
   "MQRCCF_SERVICE_STOPPED",
   "",
   "Service is stopped. An attempt was made to stop a service, but it"\
     " is not active or already stopping.",
   "",
},
{  3254,
   "MQRCCF_CFBS_DUPLICATE_PARM",
   "",
   "Duplicate parameter. Two MQCFBS structures with the same paramete"\
     "r identifier were present.",
   "Check for and remove duplicate parameters.",
},
{  3255,
   "MQRCCF_CFBS_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFBS StrucLength field value wa"\
     "s not valid.",
   "Specify a valid structure length.",
},
{  3256,
   "MQRCCF_CFBS_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFBS Parameter field val"\
     "ue was not valid.",
   "Specify a valid parameter identifier.",
},
{  3257,
   "MQRCCF_CFBS_STRING_LENGTH_ERR",
   "",
   "String length not valid. The MQCFBS StringLength field value was "\
     "not valid. The value was negative or greater than the maximum p"\
     "ermitted length of the parameter specified in the Parameter fie"\
     "ld.",
   "Specify a valid string length for the parameter.",
},
{  3258,
   "MQRCCF_CFGR_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFGR StrucLength field value wa"\
     "s not valid.",
   "Specify a valid structure length.",
},
{  3259,
   "MQRCCF_CFGR_PARM_COUNT_ERROR",
   "",
   "Parameter count not valid. The MQCFGR ParameterCount field value "\
     "was not valid. The value was negative or greater than the maxim"\
     "um permitted for the parameter identifier specified in the Para"\
     "meter field.",
   "Specify a valid count for the parameter.",
},
{  3260,
   "MQRCCF_CONN_NOT_STOPPED",
   "",
   "Connection not stopped. The Stop Connection command could not be "\
     "executed, so the connection was not stopped.",
   "",
},
{  3261,
   "MQRCCF_SERVICE_REQUEST_PENDING",
   "",
   "A Suspend or Resume Queue Manager command was issued, or a Refres"\
     "h Security command, but such a command is currently in progress"\
     ".",
   "Wait until the current request completes, then reissue the comman"\
     "d if necessary.",
},
{  3262,
   "MQRCCF_NO_START_CMD",
   "",
   "No start command. The service cannot be started because no start "\
     "command is specified in the service definition.",
   "Correct the definition of the service.",
},
{  3263,
   "MQRCCF_NO_STOP_CMD",
   "",
   "No stop command. The service cannot be stopped because no stop co"\
     "mmand is specified in the service definition.",
   "Correct the definition of the service.",
},
{  3264,
   "MQRCCF_CFBF_LENGTH_ERROR",
   "",
   "Structure length not valid. The MQCFBF StrucLength field value wa"\
     "s not valid.",
   "Specify a valid structure length.",
},
{  3265,
   "MQRCCF_CFBF_PARM_ID_ERROR",
   "",
   "Parameter identifier is not valid. The MQCFBF Parameter field val"\
     "ue was not valid.",
   "Specify a valid parameter identifier.",
},
{  3266,
   "MQRCCF_CFBF_FILTER_VAL_LEN_ERR",
   "",
   "Filter value length not valid. The MQCFBF FilterValueLength field"\
     " value was not valid.",
   "Specify a valid length.",
},
{  3267,
   "MQRCCF_CFBF_OPERATOR_ERROR",
   "",
   "Parameter count not valid. The MQCFBF Operator field value was no"\
     "t valid.",
   "Specify a valid operator value.",
},
{  3268,
   "MQRCCF_LISTENER_STILL_ACTIVE",
   "",
   "Listener still active. An attempt mas made to stop a listener, bu"\
     "t it failed and the listener is still active. For example, the "\
     "the listener may still have active channels.",
   "Wait for the active connections to the listener to complete befor"\
     "e retrying the request.",
},
{  3300,
   "MQRCCF_TOPICSTR_ALREADY_EXISTS",
   "",
   "",
   "",
},
{  3301,
   "MQRCCF_SHARING_CONVS_ERROR",
   "",
   "",
   "",
},
{  3302,
   "MQRCCF_SHARING_CONVS_TYPE",
   "",
   "",
   "",
},
{  3303,
   "MQRCCF_SECURITY_CASE_CONFLICT",
   "",
   "",
   "",
},
{  3305,
   "MQRCCF_TOPIC_TYPE_ERROR",
   "",
   "",
   "",
},
{  3306,
   "MQRCCF_MAX_INSTANCES_ERROR",
   "",
   "",
   "",
},
{  3307,
   "MQRCCF_MAX_INSTS_PER_CLNT_ERR",
   "",
   "",
   "",
},
{  3308,
   "MQRCCF_TOPIC_STRING_NOT_FOUND",
   "",
   "",
   "",
},
{  3309,
   "MQRCCF_SUBSCRIPTION_POINT_ERR",
   "",
   "",
   "",
},
{  3317,
   "MQRCCF_INVALID_DESTINATION",
   "",
   "",
   "",
},
{  3318,
   "MQRCCF_PUBSUB_INHIBITED",
   "MQCC_FAILED",
   "MQSUB, MQOPEN, MQPUT and MQPUT1 calls are currently inhibited for"\
     " all publish/subscribe topics, either by means of the queue man"\
     "ager attribute PSMODE or because processing of publish/subscrib"\
     "e state at queue manager start-up has failed, or has not yet co"\
     "mpleted.",
   "If this queue manager does not intentionally inhibit publish/subs"\
     "cribe, investigate any error messages that describe the failure"\
     " at queue manager start-up, or wait until start-up processing c"\
     "ompletes. You can use the DISPLAY PUBSUB command to check the s"\
     "tatus of the publish/subscribe engine to ensure it is ready for"\
     " use, and additionally on z/OS you will receive an information "\
     "message CSQM076I.",
},
{  4001,
   "MQRCCF_OBJECT_ALREADY_EXISTS",
   "",
   "Object already exists. An attempt was made to create an object, b"\
     "ut the object already existed and the Replace parameter was not"\
     " specified as MQRP_YES.",
   "Specify Replace as MQRP_YES, or use a different name for the obje"\
     "ct to be created.",
},
{  4002,
   "MQRCCF_OBJECT_WRONG_TYPE",
   "",
   "Object has wrong type or disposition. An object already exists wi"\
     "th the same name but a different subtype or disposition from th"\
     "at specified by the command.",
   "Ensure that the specified object is the same subtype and disposit"\
     "ion.",
},
{  4003,
   "MQRCCF_LIKE_OBJECT_WRONG_TYPE",
   "",
   "New and existing objects have different subtype. An attempt was m"\
     "ade to create an object based on the definition of an existing "\
     "object, but the new and existing objects had different subtypes"\
     ".",
   "Ensure that the new object has the same subtype as the one on whi"\
     "ch it is based.",
},
{  4004,
   "MQRCCF_OBJECT_OPEN",
   "",
   "Object is open. An attempt was made to operate on an object that "\
     "was in use.",
   "Wait until the object is not in use, and then retry the operation"\
     ". Alternatively specify Force as MQFC_YES for a change command.",
},
{  4005,
   "MQRCCF_ATTR_VALUE_ERROR",
   "",
   "Attribute value not valid or repeated. One or more of the attribu"\
     "te values specified was not valid or was repeated. The error re"\
     "sponse message contains the failing attribute selectors (with p"\
     "arameter identifier MQIACF_PARAMETER_ID).",
   "Specify the attribute values correctly.",
},
{  4006,
   "MQRCCF_UNKNOWN_Q_MGR",
   "",
   "Queue manager not known. The queue manager specified was not know"\
     "n.",
   "Specify the name of the queue manager to which the command is sen"\
     "t, or blank.",
},
{  4007,
   "MQRCCF_Q_WRONG_TYPE",
   "",
   "Action not valid for the queue of specified type. An attempt was "\
     "made to perform an action on a queue of the wrong type.",
   "Specify a queue of the correct type.",
},
{  4008,
   "MQRCCF_OBJECT_NAME_ERROR",
   "",
   "Name not valid. An object or other name name was specified using "\
     "characters that were not valid.",
   "Specify only valid characters for the name.",
},
{  4009,
   "MQRCCF_ALLOCATE_FAILED",
   "",
   "Allocation failed. An attempt to allocate a conversation to a rem"\
     "ote system failed. The error may be due to an entry in the chan"\
     "nel definition that is not valid, or it might be that the liste"\
     "ning program at the remote system is not running.",
   "Ensure that the channel definition is correct, and start the list"\
     "ening program if necessary. If the error persists, consult your"\
     " systems administrator.",
},
{  4010,
   "MQRCCF_HOST_NOT_AVAILABLE",
   "",
   "Remote system not available. An attempt to allocate a conversatio"\
     "n to a remote system was unsuccessful. The error might be trans"\
     "itory, and the allocate might succeed later. This reason can oc"\
     "cur if the listening program at the remote system is not runnin"\
     "g.",
   "Ensure that the listening program is running, and retry the opera"\
     "tion.",
},
{  4011,
   "MQRCCF_CONFIGURATION_ERROR",
   "",
   "Configuration error. There was a configuration error in the chann"\
     "el definition or communication subsystem, and allocation of a c"\
     "onversation was not possible. This might be caused by one of th"\
     "e following:\n- For LU 6.2, either the ModeName or the TpName i"\
     "s incorrect. The ModeName must match that on the remote system,"\
     " and the TpName must be specified. (On i5/OS, these are held in"\
     " the communications Side Object.)\n- For LU 6.2, the session mi"\
     "ght not be established.\n- For TCP, the ConnectionName in the c"\
     "hannel definition cannot be resolved to a network address. This"\
     " might be because the name has not been correctly specified, or"\
     " because the name server is not available.\n- The requested com"\
     "munications protocol might not be supported on the platform.",
   "Identify the error and take appropriate action.",
},
{  4012,
   "MQRCCF_CONNECTION_REFUSED",
   "",
   "Connection refused. The attempt to establish a connection to a re"\
     "mote system was rejected. The remote system might not be config"\
     "ured to allow a connection from this system.\n- For LU 6.2 eith"\
     "er the user ID or the password supplied to the remote system is"\
     " incorrect.\n- For TCP the remote system might not recognize th"\
     "e local system as valid, or the TCP listener program might not "\
     "be started.",
   "Correct the error or restart the listener program.",
},
{  4013,
   "MQRCCF_ENTRY_ERROR",
   "",
   "Connection name not valid. The connection name in the channel def"\
     "inition could not be resolved into a network address. Either th"\
     "e name server does not contain the entry, or the name server wa"\
     "s not available.",
   "Ensure that the connection name is correctly specified and that t"\
     "he name server is available.",
},
{  4014,
   "MQRCCF_SEND_FAILED",
   "",
   "Send failed. An error occurred while sending data to a remote sys"\
     "tem. This might be caused by a communications failure.",
   "Consult your systems administrator.",
},
{  4015,
   "MQRCCF_RECEIVED_DATA_ERROR",
   "",
   "Received data error. An error occurred while receiving data from "\
     "a remote system. This might be caused by a communications failu"\
     "re.",
   "Consult your systems administrator.",
},
{  4016,
   "MQRCCF_RECEIVE_FAILED",
   "",
   "Receive failed. The receive operation failed.",
   "Correct the error and retry the operation.",
},
{  4017,
   "MQRCCF_CONNECTION_CLOSED",
   "",
   "Connection closed. An error occurred while receiving data from a "\
     "remote system. The connection to the remote system has unexpect"\
     "edly terminated.",
   "Contact your systems administrator.",
},
{  4018,
   "MQRCCF_NO_STORAGE",
   "",
   "Not enough storage available. Insufficient storage is available.",
   "Consult your systems administrator.",
},
{  4019,
   "MQRCCF_NO_COMMS_MANAGER",
   "",
   "Communications manager not available. The communications subsyste"\
     "m is not available.",
   "Ensure that the communications subsystem has been started.",
},
{  4020,
   "MQRCCF_LISTENER_NOT_STARTED",
   "",
   "Listener not started. The listener program could not be started. "\
     "Either the communications subsystem has not been started, or th"\
     "e number of current channels using the communications subsystem"\
     " is the maximum allowed, or there are too many jobs waiting in "\
     "the queue.",
   "Ensure the communications subsystem is started or retry the opera"\
     "tion later. Increase the number of current channels allowed, if"\
     " appropriate.",
},
{  4024,
   "MQRCCF_BIND_FAILED",
   "",
   "Bind failed. The bind to a remote system during session negotiati"\
     "on has failed.",
   "Consult your systems administrator.",
},
{  4025,
   "MQRCCF_CHANNEL_INDOUBT",
   "",
   "Channel in-doubt. The requested operation cannot complete because"\
     " the channel is in doubt.",
   "Examine the status of the channel, and either restart a channel t"\
     "o resolve the in-doubt state, or resolve the channel.",
},
{  4026,
   "MQRCCF_MQCONN_FAILED",
   "",
   "MQCONN call failed.",
   "Check whether the queue manager is active.",
},
{  4027,
   "MQRCCF_MQOPEN_FAILED",
   "",
   "MQOPEN call failed.",
   "Check whether the queue manager is active, and the queues involve"\
     "d are correctly set up.",
},
{  4028,
   "MQRCCF_MQGET_FAILED",
   "",
   "MQGET call failed.",
   "Check whether the queue manager is active, and the queues involve"\
     "d are correctly set up, and enabled for MQGET.",
},
{  4029,
   "MQRCCF_MQPUT_FAILED",
   "",
   "MQPUT call failed.",
   "Check whether the queue manager is active, and the queues involve"\
     "d are correctly set up, and not inhibited for puts.",
},
{  4030,
   "MQRCCF_PING_ERROR",
   "",
   "Ping error. A ping operation can only be issued for a sender or s"\
     "erver channel. If the local channel is a receiver channel, you "\
     "must issue the ping from a remote queue manager.",
   "Reissue the ping request for a different channel of the correct t"\
     "ype, or for a receiver channel from a different queue manager.",
},
{  4031,
   "MQRCCF_CHANNEL_IN_USE",
   "",
   "Channel in use. An attempt was made to perform an operation on a "\
     "channel, but the channel is currently active.",
   "Stop the channel or wait for it to terminate.",
},
{  4032,
   "MQRCCF_CHANNEL_NOT_FOUND",
   "",
   "Channel not found. The channel specified does not exist.",
   "Specify the name of a channel which exists.",
},
{  4033,
   "MQRCCF_UNKNOWN_REMOTE_CHANNEL",
   "",
   "Remote channel not known. There is no definition of the reference"\
     "d channel at the remote system.",
   "Ensure that the local channel is correctly defined. If it is, add"\
     " an appropriate channel definition at the remote system.",
},
{  4034,
   "MQRCCF_REMOTE_QM_UNAVAILABLE",
   "",
   "Remote queue manager not available. The channel cannot be started"\
     " because the remote queue manager is not available.",
   "Start the remote queue manager.",
},
{  4035,
   "MQRCCF_REMOTE_QM_TERMINATING",
   "",
   "Remote queue manager terminating. The channel is ending because t"\
     "he remote queue manager is terminating.",
   "Restart the remote queue manager.",
},
{  4036,
   "MQRCCF_MQINQ_FAILED",
   "",
   "MQINQ call failed.",
   "Check whether the queue manager is active.",
},
{  4037,
   "MQRCCF_NOT_XMIT_Q",
   "",
   "Queue is not a transmission queue. The queue specified in the cha"\
     "nnel definition is not a transmission queue, or is in use.",
   "Ensure that the queue is specified correctly in the channel defin"\
     "ition, and that it is correctly defined to the queue manager.",
},
{  4038,
   "MQRCCF_CHANNEL_DISABLED",
   "",
   "Channel disabled. An attempt was made to use a channel, but the c"\
     "hannel was disabled (that is, stopped).",
   "Start the channel.",
},
{  4039,
   "MQRCCF_USER_EXIT_NOT_AVAILABLE",
   "",
   "User exit not available. The channel was terminated because the u"\
     "ser exit specified does not exist.",
   "Ensure that the user exit is correctly specified and the program "\
     "is available.",
},
{  4040,
   "MQRCCF_COMMIT_FAILED",
   "",
   "Commit failed. An error was received when an attempt was made to "\
     "commit a unit of work.",
   "Consult your systems administrator.",
},
{  4041,
   "MQRCCF_WRONG_CHANNEL_TYPE",
   "",
   "Parameter not allowed for this channel type. The parameter is not"\
     " allowed for the type of channel being created, copied, or chan"\
     "ged. Refer to the description of the parameter in error to dete"\
     "rmine the types of channel for which the parameter is valid",
   "Remove the parameter.",
},
{  4042,
   "MQRCCF_CHANNEL_ALREADY_EXISTS",
   "",
   "Channel already exists. An attempt was made to create a channel b"\
     "ut the channel already existed and Replace was not specified as"\
     " MQRP_YES.",
   "Specify Replace as MQRP_YES or use a different name for the chann"\
     "el to be created.",
},
{  4043,
   "MQRCCF_DATA_TOO_LARGE",
   "",
   "Data too large. The data to be sent exceeds the maximum that can "\
     "be supported for the command.",
   "Reduce the size of the data.",
},
{  4044,
   "MQRCCF_CHANNEL_NAME_ERROR",
   "",
   "Channel name error. The ChannelName parameter contained character"\
     "s that are not allowed for channel names.",
   "Specify a valid name.",
},
{  4045,
   "MQRCCF_XMIT_Q_NAME_ERROR",
   "",
   "Transmission queue name error. The XmitQName parameter contains c"\
     "haracters that are not allowed for queue names. This reason cod"\
     "e also occurs if the parameter is not present when a sender or "\
     "server channel is being created, and no default value is availa"\
     "ble.",
   "Specify a valid name, or add the parameter.",
},
{  4047,
   "MQRCCF_MCA_NAME_ERROR",
   "",
   "Message channel agent name error. The MCAName value contained cha"\
     "racters that are not allowed for program names on the platform "\
     "in question.",
   "Specify a valid name.",
},
{  4048,
   "MQRCCF_SEND_EXIT_NAME_ERROR",
   "",
   "Channel send exit name error. The SendExit value contained charac"\
     "ters that are not allowed for program names on the platform in "\
     "question.",
   "Specify a valid name.",
},
{  4049,
   "MQRCCF_SEC_EXIT_NAME_ERROR",
   "",
   "Channel security exit name error. The SecurityExit value containe"\
     "d characters that are not allowed for program names on the plat"\
     "form in question.",
   "Specify a valid name.",
},
{  4050,
   "MQRCCF_MSG_EXIT_NAME_ERROR",
   "",
   "Channel message exit name error. The MsgExit value contained char"\
     "acters that are not allowed for program names on the platform i"\
     "n question.",
   "Specify a valid name.",
},
{  4051,
   "MQRCCF_RCV_EXIT_NAME_ERROR",
   "",
   "Channel receive exit name error. The ReceiveExit value contained "\
     "characters that are not allowed for program names on the platfo"\
     "rm in question.",
   "Specify a valid name.",
},
{  4052,
   "MQRCCF_XMIT_Q_NAME_WRONG_TYPE",
   "",
   "Transmission queue name not allowed for this channel type. The Xm"\
     "itQName parameter is only allowed for sender or server channel "\
     "types.",
   "Remove the parameter.",
},
{  4053,
   "MQRCCF_MCA_NAME_WRONG_TYPE",
   "",
   "Message channel agent name not allowed for this channel type. The"\
     " MCAName parameter is only allowed for sender, server or reques"\
     "ter channel types.",
   "Remove the parameter.",
},
{  4054,
   "MQRCCF_DISC_INT_WRONG_TYPE",
   "",
   "Disconnection interval not allowed for this channel type. The Dis"\
     "cInterval parameter is only allowed for sender or server channe"\
     "l types.",
   "Remove the parameter.",
},
{  4055,
   "MQRCCF_SHORT_RETRY_WRONG_TYPE",
   "",
   "Short retry parameter not allowed for this channel type. The Shor"\
     "tRetryCount parameter is only allowed for sender or server chan"\
     "nel types.",
   "Remove the parameter.",
},
{  4056,
   "MQRCCF_SHORT_TIMER_WRONG_TYPE",
   "",
   "Short timer parameter not allowed for this channel type. The Shor"\
     "tRetryInterval parameter is only allowed for sender or server c"\
     "hannel types.",
   "Remove the parameter.",
},
{  4057,
   "MQRCCF_LONG_RETRY_WRONG_TYPE",
   "",
   "Long retry parameter not allowed for this channel type. The LongR"\
     "etryCount parameter is only allowed for sender or server channe"\
     "l types.",
   "Remove the parameter.",
},
{  4058,
   "MQRCCF_LONG_TIMER_WRONG_TYPE",
   "",
   "Long timer parameter not allowed for this channel type. The LongR"\
     "etryInterval parameter is only allowed for sender or server cha"\
     "nnel types.",
   "Remove the parameter.",
},
{  4059,
   "MQRCCF_PUT_AUTH_WRONG_TYPE",
   "",
   "Put authority parameter not allowed for this channel type. The Pu"\
     "tAuthority parameter is only allowed for receiver or requester "\
     "channel types.",
   "Remove the parameter.",
},
{  4061,
   "MQRCCF_MISSING_CONN_NAME",
   "",
   "Connection name parameter required but missing. The ConnectionNam"\
     "e parameter is required for sender or requester channel types, "\
     "but is not present.",
   "Add the parameter.",
},
{  4062,
   "MQRCCF_CONN_NAME_ERROR",
   "",
   "Error in connection name parameter. The ConnectionName parameter "\
     "contains one or more blanks at the start of the name.",
   "Specify a valid connection name.",
},
{  4063,
   "MQRCCF_MQSET_FAILED",
   "",
   "MQSET call failed.",
   "Check whether the queue manager is active.",
},
{  4064,
   "MQRCCF_CHANNEL_NOT_ACTIVE",
   "",
   "Channel not active. An attempt was made to stop a channel, but th"\
     "e channel was already stopped.",
   "No action is required.",
},
{  4065,
   "MQRCCF_TERMINATED_BY_SEC_EXIT",
   "",
   "Channel terminated by security exit. A channel security exit term"\
     "inated the channel.",
   "Check that the channel is attempting to connect to the correct qu"\
     "eue manager, and if so that the security exit is specified corr"\
     "ectly, and is working correctly, at both ends.",
},
{  4067,
   "MQRCCF_DYNAMIC_Q_SCOPE_ERROR",
   "",
   "Dynamic queue scope error. The Scope attribute of the queue is to"\
     " be MQSCO_CELL, but this is not allowed for a dynamic queue.",
   "Predefine the queue if it is to have cell scope.",
},
{  4068,
   "MQRCCF_CELL_DIR_NOT_AVAILABLE",
   "",
   "Cell directory is not available. The Scope attribute of the queue"\
     " is to be MQSCO_CELL, but no name service supporting a cell dir"\
     "ectory has been configured.",
   "Configure the queue manager with a suitable name service.",
},
{  4069,
   "MQRCCF_MR_COUNT_ERROR",
   "",
   "Message retry count not valid. The MsgRetryCount value was not va"\
     "lid.",
   "Specify a value in the range 0-999 999 999.",
},
{  4070,
   "MQRCCF_MR_COUNT_WRONG_TYPE",
   "",
   "Message-retry count parameter not allowed for this channel type. "\
     "The MsgRetryCount parameter is allowed only for receiver and re"\
     "quester channels.",
   "Remove the parameter.",
},
{  4071,
   "MQRCCF_MR_EXIT_NAME_ERROR",
   "",
   "Channel message-retry exit name error. The MsgRetryExit value con"\
     "tained characters that are not allowed for program names on the"\
     " platform in question.",
   "Specify a valid name.",
},
{  4072,
   "MQRCCF_MR_EXIT_NAME_WRONG_TYPE",
   "",
   "Message-retry exit parameter not allowed for this channel type. T"\
     "he MsgRetryExit parameter is allowed only for receiver and requ"\
     "ester channels.",
   "Remove the parameter.",
},
{  4073,
   "MQRCCF_MR_INTERVAL_ERROR",
   "",
   "Message retry interval not valid. The MsgRetryInterval value was "\
     "not valid.",
   "Specify a value in the range 0-999 999 999.",
},
{  4074,
   "MQRCCF_MR_INTERVAL_WRONG_TYPE",
   "",
   "Message-retry interval parameter not allowed for this channel typ"\
     "e. The MsgRetryInterval parameter is allowed only for receiver "\
     "and requester channels.",
   "Remove the parameter.",
},
{  4075,
   "MQRCCF_NPM_SPEED_ERROR",
   "",
   "Nonpersistent message speed not valid. The NonPersistentMsgSpeed "\
     "value was not valid.",
   "Specify MQNPMS_NORMAL or MQNPMS_FAST.",
},
{  4076,
   "MQRCCF_NPM_SPEED_WRONG_TYPE",
   "",
   "Nonpersistent message speed parameter not allowed for this channe"\
     "l type. The NonPersistentMsgSpeed parameter is allowed only for"\
     " sender, receiver, server, requester, cluster sender, and clust"\
     "er receiver channels.",
   "Remove the parameter.",
},
{  4077,
   "MQRCCF_HB_INTERVAL_ERROR",
   "",
   "Heartbeat interval not valid. The HeartbeatInterval value was not"\
     " valid.",
   "Specify a value in the range 0-999 999.",
},
{  4078,
   "MQRCCF_HB_INTERVAL_WRONG_TYPE",
   "",
   "Heartbeat interval parameter not allowed for this channel type. T"\
     "he HeartbeatInterval parameter is allowed only for receiver and"\
     " requester channels.",
   "Remove the parameter.",
},
{  4079,
   "MQRCCF_CHAD_ERROR",
   "",
   "Channel automatic definition error. The ChannelAutoDef value was "\
     "not valid.",
   "Specify MQCHAD_ENABLED or MQCHAD_DISABLED.",
},
{  4080,
   "MQRCCF_CHAD_WRONG_TYPE",
   "",
   "Channel automatic definition parameter not allowed for this chann"\
     "el type. The ChannelAutoDef parameter is allowed only for recei"\
     "ver and server-connection channels.",
   "Remove the parameter.",
},
{  4081,
   "MQRCCF_CHAD_EVENT_ERROR",
   "",
   "Channel automatic definition event error. The ChannelAutoDefEvent"\
     " value was not valid.",
   "Specify MQEVR_ENABLED or MQEVR_DISABLED.",
},
{  4082,
   "MQRCCF_CHAD_EVENT_WRONG_TYPE",
   "",
   "Channel automatic definition event parameter not allowed for this"\
     " channel type. The ChannelAutoDefEvent parameter is allowed onl"\
     "y for receiver and server-connection channels.",
   "Remove the parameter.",
},
{  4083,
   "MQRCCF_CHAD_EXIT_ERROR",
   "",
   "Channel automatic definition exit name error. The ChannelAutoDefE"\
     "xit value contained characters that are not allowed for program"\
     " names on the platform in question.",
   "Specify a valid name.",
},
{  4084,
   "MQRCCF_CHAD_EXIT_WRONG_TYPE",
   "",
   "Channel automatic definition exit parameter not allowed for this "\
     "channel type. The ChannelAutoDefExit parameter is allowed only "\
     "for receiver and server-connection channels.",
   "Remove the parameter.",
},
{  4085,
   "MQRCCF_SUPPRESSED_BY_EXIT",
   "",
   "Action suppressed by exit program. An attempt was made to define "\
     "a channel automatically, but this was inhibited by the channel "\
     "automatic definition exit. The AuxErrorDataInt1 parameter conta"\
     "ins the feedback code from the exit indicating why it inhibited"\
     " the channel definition.",
   "Examine the value of the AuxErrorDataInt1 parameter, and take any"\
     " action that is appropriate.",
},
{  4086,
   "MQRCCF_BATCH_INT_ERROR",
   "",
   "Batch interval not valid. The batch interval specified was not va"\
     "lid.",
   "Specify a valid batch interval value.",
},
{  4087,
   "MQRCCF_BATCH_INT_WRONG_TYPE",
   "",
   "Batch interval parameter not allowed for this channel type. The B"\
     "atchInterval parameter is allowed only for sender and server ch"\
     "annels.",
   "Remove the parameter.",
},
{  4088,
   "MQRCCF_NET_PRIORITY_ERROR",
   "",
   "Network priority value is not valid.",
   "Specify a valid value.",
},
{  4089,
   "MQRCCF_NET_PRIORITY_WRONG_TYPE",
   "",
   "Network priority parameter not allowed for this channel type. The"\
     " NetworkPriority parameter is allowed for sender and server cha"\
     "nnels only.",
   "Remove the parameter.",
},
{  4090,
   "MQRCCF_CHANNEL_CLOSED",
   "",
   "Channel closed. The channel was closed prematurely. This can occu"\
     "r because a user stopped the channel while it was running, or a"\
     " channel exit decided to close the channel.",
   "Determine the reason that the channel was closed prematurely. Res"\
     "tart the channel if required.",
},
{  4092,
   "MQRCCF_SSL_CIPHER_SPEC_ERROR",
   "",
   "SSL cipher specification not valid. The SSLCipherSpec specified i"\
     "s not valid.",
   "Specify a valid cipher specification.",
},
{  4093,
   "MQRCCF_SSL_PEER_NAME_ERROR",
   "",
   "SSL peer name not valid. The SSLPeerName specified is not valid.",
   "Specify a valid peer name.",
},
{  4094,
   "MQRCCF_SSL_CLIENT_AUTH_ERROR",
   "",
   "SSL client authentication not valid. The SSLClientAuth specified "\
     "is not valid.",
   "Specify a valid client authentication.",
},
{  4095,
   "MQRCCF_RETAINED_NOT_SUPPORTED",
   "",
   "Retained messages used on restricted stream. An attempt has been "\
     "made to use retained messages on a publish/subscribe stream def"\
     "ined to be restricted to JMS usage. JMS does not support the co"\
     "ncept of retained messages and the request is rejected.",
   "Either modify the application not to use retained messages, or mo"\
     "dify the broker JmsStreamPrefix configuration parameter so that"\
     " this stream is not treated as a JMS stream.",
},
{  6100,
   "MQRC_REOPEN_EXCL_INPUT_ERROR",
   "MQCC_FAILED",
   "An open object does not have the correct ImqObject open options a"\
     "nd requires one or more additional options. An implicit reopen "\
     "is required but closure has been prevented. Closure has been pr"\
     "evented because the queue is open for exclusive input and closu"\
     "re might result in the queue being accessed by another process "\
     "or thread, before the queue is reopened by the process or threa"\
     "d that presently has access. This reason code occurs in the Web"\
     "Sphere MQ C++ environment.",
   "Set the open options explicitly to cover all eventualities so tha"\
     "t implicit reopening is not required.",
},
{  6101,
   "MQRC_REOPEN_INQUIRE_ERROR",
   "MQCC_FAILED",
   "An open object does not have the correct ImqObject open options a"\
     "nd requires one or more additional options. An implicit reopen "\
     "is required but closure has been prevented. Closure has been pr"\
     "evented because one or more characteristics of the object need "\
     "to be checked dynamically prior to closure, and the open option"\
     "s do not already include MQOO_INQUIRE. This reason code occurs "\
     "in the WebSphere MQ C++ environment.",
   "Set the open options explicitly to include MQOO_INQUIRE.",
},
{  6102,
   "MQRC_REOPEN_SAVED_CONTEXT_ERR",
   "MQCC_FAILED",
   "An open object does not have the correct ImqObject open options a"\
     "nd requires one or more additional options. An implicit reopen "\
     "is required but closure has been prevented. Closure has been pr"\
     "evented because the queue is open with MQOO_SAVE_ALL_CONTEXT, a"\
     "nd a destructive get has been performed previously. This has ca"\
     "used retained state information to be associated with the open "\
     "queue and this information would be destroyed by closure. This "\
     "reason code occurs in the WebSphere MQ C++ environment.",
   "Set the open options explicitly to cover all eventualities so tha"\
     "t implicit reopening is not required.",
},
{  6103,
   "MQRC_REOPEN_TEMPORARY_Q_ERROR",
   "MQCC_FAILED",
   "An open object does not have the correct ImqObject open options a"\
     "nd requires one or more additional options. An implicit reopen "\
     "is required but closure has been prevented. Closure has been pr"\
     "evented because the queue is a local queue of the definition ty"\
     "pe MQQDT_TEMPORARY_DYNAMIC, that would be destroyed by closure."\
     " This reason code occurs in the WebSphere MQ C++ environment.",
   "Set the open options explicitly to cover all eventualities so tha"\
     "t implicit reopening is not required.",
},
{  6104,
   "MQRC_ATTRIBUTE_LOCKED",
   "MQCC_FAILED",
   "An attempt has been made to change the value of an attribute of a"\
     "n object while that object is open, or, for an ImqQueueManager "\
     "object, while that object is connected. Certain attributes cann"\
     "ot be changed in these circumstances. Close or disconnect the o"\
     "bject (as appropriate) before changing the attribute value. An "\
     "object may have been connected and/or opened unexpectedly and i"\
     "mplicitly in order to perform an MQINQ call. Check the attribut"\
     "e cross-reference table in the WebSphere MQ Using C++ book to d"\
     "etermine whether any of your method invocations result in an MQ"\
     "INQ call. This reason code occurs in the WebSphere MQ C++ envir"\
     "onment.",
   "Include MQOO_INQUIRE in the ImqObject open options and set them e"\
     "arlier.",
},
{  6105,
   "MQRC_CURSOR_NOT_VALID",
   "MQCC_FAILED",
   "The browse cursor for an open queue has been invalidated since it"\
     " was last used by an implicit reopen. This reason code occurs i"\
     "n the WebSphere MQ C++ environment.",
   "Set the ImqObject open options explicitly to cover all eventualit"\
     "ies so that implicit reopening is not required.",
},
{  6106,
   "MQRC_ENCODING_ERROR",
   "MQCC_FAILED",
   "The encoding of the (next) message item needs to be MQENC_NATIVE "\
     "for pasting. This reason code occurs in the WebSphere MQ C++ en"\
     "vironment.",
   "",
},
{  6107,
   "MQRC_STRUC_ID_ERROR",
   "MQCC_FAILED",
   "The structure id for the (next) message item, which is derived fr"\
     "om the 4 characters beginning at the data pointer, is either mi"\
     "ssing or is inconsistent with the class of object into which th"\
     "e item is being pasted. This reason code occurs in the WebSpher"\
     "e MQ C++ environment.",
   "",
},
{  6108,
   "MQRC_NULL_POINTER",
   "MQCC_FAILED",
   "A null pointer has been supplied where a nonnull pointer is eithe"\
     "r required or implied. This reason code occurs in the WebSphere"\
     " MQ C++ environment.",
   "",
},
{  6109,
   "MQRC_NO_CONNECTION_REFERENCE",
   "MQCC_FAILED",
   "The connection reference is null. A connection to an ImqQueueMana"\
     "ger object is required. This reason code occurs in the WebSpher"\
     "e MQ C++ environment.",
   "",
},
{  6110,
   "MQRC_NO_BUFFER",
   "MQCC_FAILED",
   "No buffer is available. For an ImqCache object, one cannot be all"\
     "ocated, denoting an internal inconsistency in the object state "\
     "that should not occur. This reason code occurs in the WebSphere"\
     " MQ C++ environment.",
   "",
},
{  6111,
   "MQRC_BINARY_DATA_LENGTH_ERROR",
   "MQCC_FAILED",
   "The length of the binary data is inconsistent with the length of "\
     "the target attribute. Zero is a correct length for all attribut"\
     "es.\n- The correct length for an accounting token is MQ_ACCOUNT"\
     "ING_TOKEN_LENGTH.\n- The correct length for an alternate securi"\
     "ty id is MQ_SECURITY_ID_LENGTH.\n- The correct length for a cor"\
     "relation id is MQ_CORREL_ID_LENGTH.\n- The correct length for a"\
     " facility token is MQ_FACILITY_LENGTH.\n- The correct length fo"\
     "r a group id is MQ_GROUP_ID_LENGTH.\n- The correct length for a"\
     " message id is MQ_MSG_ID_LENGTH.\n- The correct length for an i"\
     "nstance id is MQ_OBJECT_INSTANCE_ID_LENGTH.\n- The correct leng"\
     "th for a transaction instance id is MQ_TRAN_INSTANCE_ID_LENGTH."\
     "\n- The correct length for a message token is MQ_MSG_TOKEN_LENG"\
     "TH. This reason code occurs in the WebSphere MQ C++ environment"\
     ".",
   "",
},
{  6112,
   "MQRC_BUFFER_NOT_AUTOMATIC",
   "MQCC_FAILED",
   "A user-defined (and managed) buffer cannot be resized. A user-def"\
     "ined buffer can only be replaced or withdrawn. A buffer must be"\
     " automatic (system-managed) before it can be resized. This reas"\
     "on code occurs in the WebSphere MQ C++ environment.",
   "",
},
{  6113,
   "MQRC_INSUFFICIENT_BUFFER",
   "MQCC_FAILED",
   "There is insufficient buffer space available after the data point"\
     "er to accommodate the request. This might be because the buffer"\
     " cannot be resized. This reason code occurs in the WebSphere MQ"\
     " C++ environment.",
   "",
},
{  6114,
   "MQRC_INSUFFICIENT_DATA",
   "MQCC_FAILED",
   "There is insufficient data after the data pointer to accommodate "\
     "the request. This reason code occurs in the WebSphere MQ C++ en"\
     "vironment.",
   "",
},
{  6115,
   "MQRC_DATA_TRUNCATED",
   "MQCC_FAILED",
   "Data has been truncated when copying from one buffer to another. "\
     "This might be because the target buffer cannot be resized, or b"\
     "ecause there is a problem addressing one or other buffer, or be"\
     "cause a buffer is being downsized with a smaller replacement. T"\
     "his reason code occurs in the WebSphere MQ C++ environment.",
   "",
},
{  6116,
   "MQRC_ZERO_LENGTH",
   "MQCC_FAILED",
   "A zero length has been supplied where a positive length is either"\
     " required or implied. This reason code occurs in the WebSphere "\
     "MQ C++ environment.",
   "",
},
{  6117,
   "MQRC_NEGATIVE_LENGTH",
   "MQCC_FAILED",
   "A negative length has been supplied where a zero or positive leng"\
     "th is required. This reason code occurs in the WebSphere MQ C++"\
     " environment.",
   "",
},
{  6118,
   "MQRC_NEGATIVE_OFFSET",
   "MQCC_FAILED",
   "A negative offset has been supplied where a zero or positive offs"\
     "et is required. This reason code occurs in the WebSphere MQ C++"\
     " environment.",
   "",
},
{  6119,
   "MQRC_INCONSISTENT_FORMAT",
   "MQCC_FAILED",
   "The format of the (next) message item is inconsistent with the cl"\
     "ass of object into which the item is being pasted. This reason "\
     "code occurs in the WebSphere MQ C++ environment.",
   "",
},
{  6120,
   "MQRC_INCONSISTENT_OBJECT_STATE",
   "MQCC_FAILED",
   "There is an inconsistency between this object, which is open, and"\
     " the referenced ImqQueueManager object, which is not connected."\
     " This reason code occurs in the WebSphere MQ C++ environment.",
   "",
},
{  6121,
   "MQRC_CONTEXT_OBJECT_NOT_VALID",
   "MQCC_FAILED",
   "The ImqPutMessageOptions context reference does not reference a v"\
     "alid ImqQueue object. The object has been previously destroyed."\
     " This reason code occurs in the WebSphere MQ C++ environment.",
   "",
},
{  6122,
   "MQRC_CONTEXT_OPEN_ERROR",
   "MQCC_FAILED",
   "The ImqPutMessageOptions context reference references an ImqQueue"\
     " object that could not be opened to establish a context. This m"\
     "ay be because the ImqQueue object has inappropriate open option"\
     "s. Inspect the referenced object reason code to establish the c"\
     "ause. This reason code occurs in the WebSphere MQ C++ environme"\
     "nt.",
   "",
},
{  6123,
   "MQRC_STRUC_LENGTH_ERROR",
   "MQCC_FAILED",
   "The length of a data structure is inconsistent with its content. "\
     "For an MQRMH, the length is insufficient to contain the fixed f"\
     "ields and all offset data. This reason code occurs in the WebSp"\
     "here MQ C++ environment.",
   "",
},
{  6124,
   "MQRC_NOT_CONNECTED",
   "MQCC_FAILED",
   "A method failed because a required connection to a queue manager "\
     "was not available, and a connection cannot be established impli"\
     "citly because the IMQ_IMPL_CONN flag of the ImqQueueManager beh"\
     "avior class attribute is FALSE. This reason code occurs in the "\
     "WebSphere MQ C++ environment.",
   "Establish a connection to a queue manager and retry.",
},
{  6125,
   "MQRC_NOT_OPEN",
   "MQCC_FAILED",
   "A method failed because an object was not open, and opening canno"\
     "t be accomplished implicitly because the IMQ_IMPL_OPEN flag of "\
     "the ImqObject behavior class attribute is FALSE. This reason co"\
     "de occurs in the WebSphere MQ C++ environment.",
   "Open the object and retry.",
},
{  6126,
   "MQRC_DISTRIBUTION_LIST_EMPTY",
   "MQCC_FAILED",
   "An ImqDistributionList failed to open because there are no ImqQue"\
     "ue objects referenced. This reason code occurs in the WebSphere"\
     " MQ C++ environment.",
   "Establish at least one ImqQueue object in which the distribution "\
     "list reference addresses the ImqDistributionList object, and re"\
     "try.",
},
{  6127,
   "MQRC_INCONSISTENT_OPEN_OPTIONS",
   "MQCC_FAILED",
   "A method failed because the object is open, and the ImqObject ope"\
     "n options are inconsistent with the required operation. The obj"\
     "ect cannot be reopened implicitly because the IMQ_IMPL_OPEN fla"\
     "g of the ImqObject behavior class attribute is false. This reas"\
     "on code occurs in the WebSphere MQ C++ environment.",
   "Open the object with appropriate ImqObject open options and retry"\
     ".",
},
{  6128,
   "MQRC_WRONG_VERSION",
   "MQCC_FAILED",
   "A method failed because a version number specified or encountered"\
     " is either incorrect or not supported. For the ImqCICSBridgeHea"\
     "der class, the problem is with the version attribute. This reas"\
     "on code occurs in the WebSphere MQ C++ environment.",
   "If you are specifying a version number, use one that is supported"\
     " by the class. If you are receiving message data from another p"\
     "rogram, ensure that both programs are using consistent and supp"\
     "orted version numbers.",
},
{  6129,
   "MQRC_REFERENCE_ERROR",
   "MQCC_FAILED",
   "An object reference is invalid. There is a problem with the addre"\
     "ss of a referenced object. At the time of use, the address of t"\
     "he object is nonnull, but is invalid and cannot be used for its"\
     " intended purpose. This reason code occurs in the WebSphere MQ "\
     "C++ environment.",
   "Check that the referenced object is neither deleted nor out of sc"\
     "ope, or remove the reference by supplying a null address value.",
},
};

static int Reason_Codes_Size =
                    sizeof(Reason_Codes) / sizeof(MQ_ARRAY_T);
